# Classes and methods


```python
class Dog:
    # init method
    def __init__(self, dogName, dogAge):
        self.name = dogName
        self.age = dogAge
        pass 
    
    def status(self):
        print("The dog's name is: ", self.name)
        print("The dog's age is: ", self.age)
```


```python
dog1 = Dog("firulais", 8)
dog2 = Dog("Perro", 2)
dog3 = Dog("cuadrado", 5) 
```


```python
dog3.status()
```

    The dog's name is:  cuadrado
    The dog's age is:  5



```python

```

# ANN class implementation


```python
class Neurona:
    # init
    def __init__():
        pass
    # feedforward (cálculo)
    def feedforward():
        pass
    # backpropagation (entrenamiento)
    def backpropagation():
        pass
    
```


```python
import numpy as np

class Neurona:
    # init
    def __init__(self, inputNodes, hiddenNodes, outputNodes):
        self.inN = inputNodes
        self.hN = hiddenNodes
        self.outN = outputNodes
        ## 
        ## W = w11 w21
        self.wih = np.random.rand(self.hN, self.inN)
        self.who = np.random.rand(self.outN, self.hN)
        pass
    # feedforward (cálculo)
    def feedforward():
        pass
    # backpropagation (entrenamiento)
    def backpropagation():
        pass
    
```


```python
inputs = np.array([0.21,0.39, 0.87],ndmin=2).T
inputs
```




    array([[0.21],
           [0.39],
           [0.87]])




```python
import numpy as np
class Neurona:
    # init
    def __init__(self, inputNodes, hiddenNodes, outputNodes):
        self.inN = inputNodes
        self.hN = hiddenNodes
        self.outN = outputNodes
        ## 
        ## W = w11 w21
        self.wih = np.random.rand(self.hN, self.inN)-0.5
        self.who = np.random.rand(self.outN, self.hN)-0.5
        pass
    # feedforward (cálculo)
    def feedforward(self, Inputs):
        #Xh
        self.inputs = np.array(Inputs, ndmin=2).T
        self.Xh = np.dot(self.wih, self.inputs)
        self.af = lambda x:1/(1+np.exp(-x))
        #Oh
        self.Oh = self.af(self.Xh)
        
        #Xo
        self.Xo = np.dot(self.who, self.Oh)
        #Oh
        self.Oo = self.af(self.Xo)
        #Oo
        pass
    # backpropagation (entrenamiento)
    def backpropagation(self, Inputs, Targets, Learning):
        lr = Learning
        self.inputs = np.array(Inputs, ndmin=2).T
        self.targets = np.array(Targets, ndmin=2).T
        #Xh
        self.Xh = np.dot(self.wih, self.inputs)
        self.af = lambda x:1/(1+np.exp(-x))
        #Oh
        self.Oh = self.af(self.Xh)
        
        #Xo
        self.Xo = np.dot(self.who, self.Oh)
        #Oh
        self.Oo = self.af(self.Xo)
        #Oo

        # output error
        oe = self.targets-self.Oo
        he = np.dot(self.who.T, oe)
        self.who=self.who+lr*np.dot(oe*self.Oo*(1-self.Oo), self.Oh.T)
        self.wih=self.wih+lr*np.dot(he*self.Oh*(1-self.Oh), self.inputs.T)
        pass
```


```python
mynn = Neurona(3,5,3)
mynn.backpropagation([0.21, 0.39, 0.87], [0.12, 0.10, 0.99], 0.3)
mynn.who
```




    array([[0.89962766, 0.94344371, 0.25520613, 0.50403018, 0.79841922],
           [0.46742312, 0.8497042 , 0.72150451, 0.4832481 , 0.1614701 ],
           [0.07348318, 0.74125584, 0.96294501, 0.6829789 , 0.99122929]])




```python
mynn.backpropagation([0.21, 0.39, 0.87], [0.12, 0.10, 0.99], 0.3)
mynn.who
```




    array([[0.88622924, 0.92904876, 0.24001207, 0.48936863, 0.78475758],
           [0.45035738, 0.83136916, 0.70215163, 0.46457349, 0.14406909],
           [0.07510425, 0.74299748, 0.96478333, 0.68475279, 0.9928822 ]])



# Mnist database 


```python
data_file = open("mnist_train.csv", 'r')
data_list = data_file.readlines()
data_file.close
data_list
```




    ['5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,18,18,18,126,136,175,26,166,255,247,127,0,0,0,0,0,0,0,0,0,0,0,0,30,36,94,154,170,253,253,253,253,253,225,172,253,242,195,64,0,0,0,0,0,0,0,0,0,0,0,49,238,253,253,253,253,253,253,253,253,251,93,82,82,56,39,0,0,0,0,0,0,0,0,0,0,0,0,18,219,253,253,253,253,253,198,182,247,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,156,107,253,253,205,11,0,43,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,1,154,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,190,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,190,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,241,225,160,108,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,240,253,253,119,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,186,253,253,150,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,93,252,253,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,249,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,130,183,253,253,207,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,148,229,253,253,253,250,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,114,221,253,253,253,253,201,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,66,213,253,253,253,253,198,81,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,171,219,253,253,253,253,195,80,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,172,226,253,253,253,253,244,133,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,253,212,135,132,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,159,253,159,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,238,252,252,252,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,227,253,252,239,233,252,57,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,60,224,252,253,252,202,84,252,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,252,252,252,253,252,252,96,189,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,238,253,253,190,114,253,228,47,79,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,238,252,252,179,12,75,121,21,0,0,253,243,50,0,0,0,0,0,0,0,0,0,0,0,0,0,38,165,253,233,208,84,0,0,0,0,0,0,253,252,165,0,0,0,0,0,0,0,0,0,0,0,0,7,178,252,240,71,19,28,0,0,0,0,0,0,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,63,0,0,0,0,0,0,0,0,0,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,198,253,190,0,0,0,0,0,0,0,0,0,0,255,253,196,0,0,0,0,0,0,0,0,0,0,0,76,246,252,112,0,0,0,0,0,0,0,0,0,0,253,252,148,0,0,0,0,0,0,0,0,0,0,0,85,252,230,25,0,0,0,0,0,0,0,0,7,135,253,186,12,0,0,0,0,0,0,0,0,0,0,0,85,252,223,0,0,0,0,0,0,0,0,7,131,252,225,71,0,0,0,0,0,0,0,0,0,0,0,0,85,252,145,0,0,0,0,0,0,0,48,165,252,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,225,0,0,0,0,0,0,114,238,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,249,146,48,29,85,178,225,253,223,167,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,229,215,252,252,252,196,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,199,252,252,253,252,252,233,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,128,252,253,252,141,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,232,39,0,0,0,0,0,0,0,0,0,62,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,180,39,0,0,0,0,0,0,0,0,0,126,163,0,0,0,0,0,0,0,0,0,0,0,0,0,2,153,210,40,0,0,0,0,0,0,0,0,0,220,163,0,0,0,0,0,0,0,0,0,0,0,0,0,27,254,162,0,0,0,0,0,0,0,0,0,0,222,163,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,125,0,0,0,0,0,0,0,0,0,46,245,163,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,56,0,0,0,0,0,0,0,0,0,120,254,163,0,0,0,0,0,0,0,0,0,0,0,0,23,231,254,29,0,0,0,0,0,0,0,0,0,159,254,120,0,0,0,0,0,0,0,0,0,0,0,0,163,254,216,16,0,0,0,0,0,0,0,0,0,159,254,67,0,0,0,0,0,0,0,0,0,14,86,178,248,254,91,0,0,0,0,0,0,0,0,0,0,159,254,85,0,0,0,47,49,116,144,150,241,243,234,179,241,252,40,0,0,0,0,0,0,0,0,0,0,150,253,237,207,207,207,253,254,250,240,198,143,91,28,5,233,250,0,0,0,0,0,0,0,0,0,0,0,0,119,177,177,177,177,177,98,56,0,0,0,0,0,102,254,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,255,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,255,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,244,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,236,251,211,31,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,228,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,251,235,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,205,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,251,253,184,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,240,251,193,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,253,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,251,251,251,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,221,251,251,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,251,251,196,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,255,253,253,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,228,253,247,140,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,193,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,148,210,253,253,113,87,148,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,232,252,253,189,210,252,252,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,57,242,252,190,65,5,12,182,252,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,252,252,183,14,0,0,92,252,252,225,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,252,146,14,0,0,0,215,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,247,176,9,0,0,8,78,245,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,232,252,176,0,0,0,36,201,252,252,169,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,252,252,30,22,119,197,241,253,252,251,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,231,252,253,252,252,252,226,227,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,235,253,217,138,42,24,192,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,255,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,255,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,252,189,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,184,252,170,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,147,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,25,100,122,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,151,208,252,252,252,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,152,244,252,253,224,211,252,232,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,152,239,252,252,252,216,31,37,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,252,252,252,252,217,29,0,37,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,220,167,30,0,0,77,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,128,58,22,0,0,0,0,100,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,121,122,121,202,252,194,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,53,179,253,253,255,253,253,228,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,54,227,252,243,228,170,242,252,252,231,117,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,78,252,252,125,59,0,18,208,252,252,252,252,87,7,0,0,0,0,0,0,0,0,0,0,0,0,5,135,252,252,180,16,0,21,203,253,247,129,173,252,252,184,66,49,49,0,0,0,0,0,0,0,0,3,136,252,241,106,17,0,53,200,252,216,65,0,14,72,163,241,252,252,223,0,0,0,0,0,0,0,0,105,252,242,88,18,73,170,244,252,126,29,0,0,0,0,0,89,180,180,37,0,0,0,0,0,0,0,0,231,252,245,205,216,252,252,252,124,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,252,252,252,178,116,36,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,93,143,121,23,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,255,211,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,237,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,175,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,253,252,124,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,252,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,255,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,211,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,43,105,255,253,253,253,253,253,174,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,139,224,226,252,253,252,252,252,252,252,252,158,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,252,252,252,253,252,252,252,252,252,252,252,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,230,132,133,132,132,189,252,252,252,252,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,29,29,24,0,0,0,0,14,226,252,252,172,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,243,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,189,252,252,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,212,247,252,252,252,204,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,125,193,193,193,253,252,252,252,238,102,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,222,252,252,252,252,253,252,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,223,253,253,253,253,255,253,253,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,123,52,44,44,44,44,143,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,75,9,0,0,0,0,0,0,98,242,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,61,183,252,29,0,0,0,0,18,92,239,252,252,243,65,0,0,0,0,0,0,0,0,0,0,0,0,0,208,252,252,147,134,134,134,134,203,253,252,252,188,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,252,252,252,252,252,252,252,252,253,230,153,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,157,252,252,252,252,252,217,207,146,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,103,235,252,172,103,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,63,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,230,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,255,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,239,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,254,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,245,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,246,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,241,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,240,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,247,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,209,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,247,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,247,242,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,252,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,185,18,0,0,0,0,89,236,217,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,253,60,0,0,0,0,212,255,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,252,68,0,0,0,48,242,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,251,212,21,0,0,11,167,252,197,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,232,247,63,0,0,0,153,252,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,219,252,143,0,0,0,116,249,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,96,253,255,253,200,122,7,25,201,250,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,252,253,217,252,252,200,227,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,251,247,231,65,48,189,252,252,253,252,251,227,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,221,98,0,0,0,42,196,252,253,252,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,29,0,0,0,0,62,239,252,86,42,42,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,148,253,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,252,231,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,221,251,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,118,219,166,118,118,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,242,254,254,254,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,232,254,254,254,254,254,238,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,244,254,224,254,254,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,210,254,254,254,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,206,254,254,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,209,254,254,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,137,253,254,254,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,214,250,254,254,254,254,254,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,247,254,254,254,254,254,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,246,254,254,254,254,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,89,89,93,240,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,254,219,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,254,254,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,177,90,0,0,0,0,0,25,240,254,254,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,215,63,36,0,51,89,206,254,254,139,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,197,254,254,222,180,241,254,254,253,213,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,105,254,254,254,254,254,254,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,117,117,165,254,254,239,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,40,129,234,234,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,150,239,254,253,253,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,201,254,254,254,241,150,98,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,154,254,236,203,83,39,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,145,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,129,222,78,79,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,167,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,226,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,6,0,18,128,253,241,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,205,235,92,0,0,20,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,245,108,0,0,0,132,253,185,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,245,254,254,254,217,254,223,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,165,233,233,234,180,39,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,99,91,142,155,246,182,155,155,155,155,131,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,254,254,254,254,254,254,254,254,254,252,210,122,33,0,0,0,0,0,0,0,0,0,0,0,0,220,254,254,254,235,189,189,189,189,150,189,205,254,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,35,74,35,35,25,0,0,0,0,0,0,13,224,254,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,247,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,152,246,254,254,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,158,254,254,249,103,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,251,254,254,254,248,74,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,254,254,254,254,254,202,125,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,181,234,254,254,254,254,254,254,252,140,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,50,73,155,253,254,254,254,254,191,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,200,254,254,254,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,192,254,254,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,25,126,86,0,0,0,0,0,0,3,188,254,254,250,61,0,0,0,0,0,0,0,0,0,0,0,0,24,209,254,15,0,0,0,0,0,23,137,254,254,254,209,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,254,48,9,0,0,9,127,241,254,254,255,242,63,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,254,254,205,190,190,205,254,254,254,254,242,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,166,254,254,254,254,254,254,254,254,250,138,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,88,154,116,194,194,154,154,88,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,234,252,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,197,253,252,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,178,252,253,117,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,179,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,246,220,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,252,135,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,140,253,252,118,0,0,0,0,111,140,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,191,255,253,56,0,0,114,113,222,253,253,255,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,253,223,37,0,48,174,252,252,242,214,253,199,31,0,0,0,0,0,0,0,0,0,0,0,0,13,109,252,228,130,0,38,165,253,233,164,49,63,253,214,31,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,126,0,23,178,252,240,148,7,44,215,240,148,0,0,0,0,0,0,0,0,0,0,0,0,0,119,252,252,0,0,197,252,252,63,0,57,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,174,0,48,229,253,112,0,38,222,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,252,173,0,48,227,252,158,226,234,201,27,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,57,104,240,252,252,253,233,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,242,252,253,252,252,252,252,240,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,189,253,252,252,157,112,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,168,242,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,228,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,248,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,254,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,212,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,199,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,121,162,253,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,107,170,251,252,252,252,252,250,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,192,226,226,241,252,253,202,252,252,252,252,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,68,223,252,252,252,252,252,39,19,39,65,224,252,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,186,252,252,252,245,108,53,0,0,0,150,252,252,220,20,0,0,0,0,0,0,0,0,0,0,0,0,70,242,252,252,222,59,0,0,0,0,0,178,252,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,185,252,252,194,67,0,0,0,0,17,90,240,252,194,67,0,0,0,0,0,0,0,0,0,0,0,0,0,83,205,190,24,0,0,0,0,0,121,252,252,209,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,247,252,248,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,255,253,253,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,183,253,252,107,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,102,252,253,163,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,168,252,252,110,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,252,252,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,155,252,214,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,179,252,150,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,252,221,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,164,211,250,250,194,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,176,253,237,180,180,243,254,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,236,135,18,0,0,40,242,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,167,0,0,0,0,0,130,254,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,217,79,0,0,0,0,0,46,254,231,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,10,0,0,0,0,0,0,39,254,254,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,212,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,215,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,254,254,56,0,0,20,67,124,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,35,98,254,254,208,157,207,225,254,241,160,0,0,0,0,0,0,0,0,0,0,9,31,82,137,203,203,212,254,254,254,254,251,223,223,127,52,33,0,0,0,0,0,0,0,0,0,9,137,214,254,254,254,254,240,228,250,254,254,154,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,247,179,146,67,60,28,0,216,254,220,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,222,49,0,0,0,0,4,137,244,232,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,206,4,0,0,0,8,179,254,247,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,158,177,130,96,213,252,199,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,247,249,249,249,171,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,203,229,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,47,47,30,95,254,215,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,154,185,185,223,253,253,133,175,255,188,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,246,161,228,253,253,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,245,253,158,137,21,0,48,233,253,233,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,223,25,0,0,36,170,254,244,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,212,253,161,11,26,178,253,236,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,155,253,228,80,223,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,254,253,154,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,254,179,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,171,254,254,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,123,254,253,203,156,253,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,254,121,13,93,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,239,253,76,8,32,219,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,191,0,5,108,234,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,190,5,85,253,236,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,169,192,253,253,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,253,254,236,129,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,118,243,191,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,169,250,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,242,221,143,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,247,143,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,245,184,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,192,200,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,247,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,231,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,243,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,251,41,0,0,0,64,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,210,7,0,96,237,254,247,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,84,0,6,223,84,13,87,246,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,254,80,0,56,151,0,0,0,147,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,41,0,13,19,0,0,0,42,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,13,0,0,0,0,0,0,14,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,255,13,0,0,0,0,0,0,77,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,13,0,0,0,0,0,5,181,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,229,105,0,0,0,0,5,156,213,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,246,105,14,49,95,217,209,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,246,253,253,240,130,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,105,227,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,199,253,252,252,252,252,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,211,252,232,152,73,167,252,215,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,182,0,0,0,37,235,243,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,252,103,0,0,0,37,235,229,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,86,8,43,139,190,211,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,252,200,201,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,245,252,253,252,242,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,84,253,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,252,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,255,253,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,189,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,179,232,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,225,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,245,243,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,237,245,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,148,252,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,196,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,228,129,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,190,25,0,0,0,0,0,0,0,0,0,0,0,13,25,10,0,0,0,0,0,0,0,0,0,0,0,112,252,125,4,0,0,0,0,0,0,0,0,0,0,132,252,113,0,0,0,0,0,0,0,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,0,0,0,132,252,240,79,0,0,0,0,0,0,0,0,0,0,84,252,252,36,0,0,0,0,0,0,0,0,0,0,132,252,252,238,52,0,0,0,0,0,0,0,0,12,198,252,252,122,0,0,0,0,0,0,0,0,0,0,99,252,252,252,181,17,0,0,0,0,0,0,0,49,252,252,252,122,0,0,0,0,0,0,0,0,0,0,3,125,252,252,252,100,0,0,0,0,0,0,0,26,218,252,252,36,0,0,0,0,0,0,0,0,0,0,0,15,216,252,252,207,19,0,0,0,0,0,0,49,252,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,157,252,252,252,48,0,0,0,6,109,109,194,252,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,100,252,252,252,105,0,58,116,128,252,252,252,252,252,212,19,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,253,253,253,253,255,253,253,253,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,252,252,252,252,252,253,252,252,252,252,252,252,155,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,252,252,252,252,252,217,216,141,126,252,252,252,155,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,252,252,234,204,89,0,0,0,49,252,252,252,155,0,0,0,0,0,0,0,0,0,0,0,0,0,14,158,192,151,45,0,0,0,0,0,49,252,252,252,225,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,252,252,252,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,228,252,252,252,157,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,229,252,252,252,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,232,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,206,131,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,205,251,253,205,111,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,189,251,251,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,64,223,244,251,251,211,213,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,181,251,253,251,251,251,94,96,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,253,255,253,253,253,95,96,253,253,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,236,251,243,220,233,251,251,243,82,96,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,251,251,188,0,96,251,251,109,0,96,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,96,240,253,243,188,42,0,96,204,109,4,0,12,197,251,31,0,0,0,0,0,0,0,0,0,0,0,0,221,251,253,121,0,0,0,36,23,0,0,0,0,190,251,31,0,0,0,0,0,0,0,0,0,0,0,48,234,253,0,0,0,0,0,0,0,0,0,0,0,191,253,31,0,0,0,0,0,0,0,0,0,0,44,221,251,251,0,0,0,0,0,0,0,0,0,0,12,197,251,31,0,0,0,0,0,0,0,0,0,0,190,251,251,251,0,0,0,0,0,0,0,0,0,0,96,251,251,31,0,0,0,0,0,0,0,0,0,0,190,251,251,113,0,0,0,0,0,0,0,0,0,40,234,251,219,23,0,0,0,0,0,0,0,0,0,0,190,251,251,94,0,0,0,0,0,0,0,0,40,217,253,231,47,0,0,0,0,0,0,0,0,0,0,0,191,253,253,253,0,0,0,0,0,0,12,174,253,253,219,39,0,0,0,0,0,0,0,0,0,0,0,0,67,236,251,251,191,190,111,72,190,191,197,251,243,121,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,251,253,251,251,251,251,253,251,188,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,129,253,251,251,251,251,229,168,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,212,251,211,94,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,144,250,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,241,204,97,126,253,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,121,247,133,16,0,50,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,109,0,0,0,120,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,234,169,4,0,0,31,220,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,215,212,18,0,0,0,195,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253,63,0,0,0,90,251,242,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,214,5,0,0,24,233,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,124,0,0,14,197,253,149,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,45,0,71,224,254,218,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,246,214,227,248,241,255,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,193,167,78,226,189,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,145,249,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,227,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,250,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,206,223,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,207,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,230,253,248,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,118,253,253,225,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,206,253,253,186,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,253,239,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,255,253,186,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,229,254,207,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,229,253,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,254,213,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,251,253,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,212,253,250,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,214,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,253,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,189,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,235,253,126,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,248,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,235,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,222,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,218,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,249,254,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,254,254,174,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,164,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,245,254,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,248,254,204,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,59,98,151,237,254,254,109,35,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,216,254,254,239,153,37,4,32,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,44,44,30,0,0,0,32,254,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,230,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,54,54,45,26,84,221,84,21,31,162,78,0,0,0,0,0,0,0,0,0,0,0,0,0,6,41,141,244,254,254,248,236,254,254,254,233,239,254,138,0,0,0,0,0,0,0,0,0,0,0,0,23,167,254,254,254,254,229,228,185,138,138,138,138,138,138,44,0,0,0,0,0,0,0,0,0,0,0,0,113,254,254,254,179,64,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,209,183,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,91,143,255,190,91,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,49,180,246,253,253,253,253,253,220,154,17,3,0,0,0,0,0,0,0,0,0,0,0,0,0,46,107,178,253,253,253,253,253,253,253,253,253,253,253,126,45,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,253,253,223,220,220,220,220,245,253,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,107,173,253,229,129,12,0,0,0,0,110,253,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,17,14,40,32,0,0,0,0,0,0,57,253,253,253,242,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,139,224,253,253,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,178,253,253,253,253,219,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,250,253,253,253,253,127,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,125,250,253,253,253,245,171,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,41,217,253,253,250,245,245,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,192,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,47,220,253,253,188,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,253,189,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,225,253,253,186,22,0,0,0,0,0,31,42,174,205,205,205,193,58,0,0,0,0,0,0,0,0,48,218,253,253,253,150,59,0,0,128,131,131,222,253,253,253,253,253,94,0,0,0,0,0,0,0,0,0,12,152,253,253,253,253,236,222,222,252,253,253,253,253,253,253,253,253,122,0,0,0,0,0,0,0,0,0,0,7,167,253,253,253,253,253,253,253,253,253,253,253,253,253,124,106,7,0,0,0,0,0,0,0,0,0,0,0,76,188,253,253,253,253,253,253,253,224,57,15,15,15,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,89,121,253,253,151,89,89,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,229,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,30,0,0,0,0,0,181,223,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,242,113,0,0,0,0,57,249,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,162,0,0,0,0,0,136,253,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,138,0,0,0,0,0,162,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,239,137,0,0,0,0,0,245,244,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,148,7,0,0,0,0,254,206,3,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,169,34,0,0,0,254,240,191,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,174,254,255,169,161,195,255,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,90,173,206,206,223,254,77,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,204,210,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,234,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,80,207,255,254,254,254,97,80,80,44,0,0,0,0,0,0,0,0,0,0,0,0,0,39,158,158,158,168,253,253,253,253,253,253,253,253,253,210,38,0,0,0,0,0,0,0,0,0,0,0,0,226,253,253,253,253,253,253,253,253,253,253,253,253,253,253,241,146,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,238,113,215,253,253,253,253,253,253,253,253,253,210,43,0,0,0,0,0,0,0,0,0,0,39,34,34,34,30,0,31,148,34,204,235,253,253,253,253,253,236,64,0,0,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,35,199,253,253,253,253,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,33,202,202,216,253,253,253,253,241,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,167,253,253,253,253,253,253,253,238,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,253,253,253,253,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,201,253,253,253,253,253,253,253,230,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,87,87,87,248,253,253,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,152,253,253,253,250,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,238,253,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,233,253,253,150,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,203,253,253,253,138,0,0,0,0,0,0,0,0,0,0,0,66,211,211,211,59,36,36,21,26,36,151,222,253,253,253,253,138,0,0,0,0,0,0,0,0,0,0,0,80,253,253,253,253,253,253,195,215,253,253,253,253,253,253,157,77,0,0,0,0,0,0,0,0,0,0,0,80,253,253,253,253,253,253,253,253,253,253,253,253,237,235,40,0,0,0,0,0,0,0,0,0,0,0,0,49,156,247,253,253,253,253,253,253,253,253,159,156,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,253,253,253,253,126,78,78,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,189,254,255,254,254,254,174,101,31,50,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,242,253,253,253,253,253,253,253,253,216,226,206,200,200,58,0,0,0,0,0,0,0,0,0,0,0,0,101,253,253,253,253,253,253,253,253,253,253,253,253,253,253,227,53,0,0,0,0,0,0,0,0,0,0,0,251,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,249,181,17,0,0,0,0,0,0,0,0,0,122,214,214,158,61,61,113,214,214,250,253,253,253,253,253,253,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,115,115,237,253,253,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,24,168,241,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,102,243,253,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,253,197,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,182,253,253,251,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,99,198,253,253,247,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,224,244,253,253,239,30,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,169,213,253,253,253,197,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,253,242,137,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,253,253,253,141,62,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,239,253,253,253,253,253,172,162,162,162,64,8,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,247,253,253,253,253,253,253,253,253,253,253,253,199,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,199,227,253,253,253,253,253,253,253,220,230,201,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,99,99,174,253,253,253,122,39,57,22,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,37,37,37,7,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,14,84,182,188,193,254,254,254,124,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,22,91,130,193,254,254,204,125,201,254,254,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,255,254,255,173,22,0,98,254,255,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,245,198,75,31,2,0,117,245,254,221,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,36,0,0,0,0,78,246,254,222,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,243,254,225,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,249,254,220,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,242,254,224,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,251,254,219,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,242,254,254,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,209,254,232,83,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,226,254,224,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,250,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,244,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,19,95,143,143,143,143,143,143,143,143,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,149,208,253,253,253,253,253,253,253,253,253,253,217,22,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,251,222,222,161,140,99,99,99,99,143,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,217,210,86,0,0,0,0,0,0,0,29,161,253,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,203,253,253,174,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,78,232,253,253,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,253,253,253,253,192,180,180,128,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,253,253,253,253,253,253,253,169,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,61,61,61,61,83,176,79,110,247,253,195,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,192,30,0,0,50,203,253,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,195,57,0,0,0,0,112,253,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,204,17,0,0,0,0,58,248,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,184,62,0,0,85,164,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,243,223,223,250,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,152,253,253,253,253,253,253,152,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,18,122,141,141,141,87,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,154,180,255,176,118,118,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,253,253,253,253,236,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,253,204,177,177,177,243,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,216,22,0,0,23,227,238,96,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,205,0,0,17,124,253,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,234,62,18,201,253,253,253,251,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,253,253,253,253,253,253,221,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,253,253,253,253,208,24,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,236,253,253,253,251,97,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,69,224,253,253,240,169,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,134,253,253,253,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,225,253,253,253,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,227,253,253,250,174,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,179,63,111,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,251,201,13,5,0,166,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,222,253,198,0,0,0,248,253,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,243,253,124,0,38,133,252,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,237,179,223,253,253,190,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,230,253,253,253,253,253,244,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,231,253,253,253,182,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,255,225,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,128,246,183,128,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,235,204,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,252,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,251,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,229,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,232,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,227,194,3,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,115,0,0,0,0,25,139,155,242,235,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,75,0,0,0,83,224,251,155,152,254,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,104,0,0,82,249,217,60,0,37,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,72,0,18,247,159,14,0,7,201,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,239,147,1,5,155,72,0,4,193,253,122,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,97,0,0,13,73,225,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,244,248,226,226,231,254,243,115,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,177,254,254,235,152,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,103,254,254,255,184,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,169,245,253,253,253,253,253,230,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,233,253,160,89,95,232,253,253,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,117,7,0,6,136,242,253,251,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,113,2,76,75,194,253,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,239,228,216,253,253,253,173,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,200,253,253,253,253,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,14,15,102,253,253,159,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,216,253,190,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,153,253,248,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,252,120,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,250,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,182,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,220,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,92,252,244,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,226,241,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,235,253,137,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,208,253,190,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,218,240,146,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,160,167,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,253,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,251,251,145,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,217,241,253,251,251,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,251,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,251,251,253,251,96,148,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,253,130,0,0,110,253,255,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,251,251,251,0,0,0,109,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,251,251,251,225,0,0,6,129,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,251,251,251,71,0,0,115,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,173,20,0,0,217,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,255,253,216,0,0,0,0,218,253,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,221,253,251,215,0,0,0,84,236,251,251,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,215,0,0,11,160,251,251,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,137,0,0,150,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,35,0,130,253,251,251,173,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,255,253,98,150,253,255,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,251,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,241,253,251,251,251,251,216,112,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,251,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,251,225,71,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,141,198,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,141,198,255,255,255,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,141,226,255,255,255,255,198,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,170,86,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,226,170,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,141,86,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,198,114,226,170,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,198,255,114,29,0,141,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,114,0,0,0,141,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,226,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,114,226,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,198,86,0,0,0,141,255,255,170,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,226,170,226,255,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,255,255,170,141,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,191,122,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,254,191,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,242,253,254,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,239,253,253,254,162,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,253,187,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,233,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,253,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,229,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,227,254,254,254,176,121,122,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,253,253,253,253,253,254,242,191,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,253,253,253,253,253,254,253,253,119,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,237,253,253,253,206,173,254,253,253,253,187,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,253,145,32,53,208,253,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,240,253,253,253,253,218,54,209,253,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,196,253,253,253,253,253,255,253,253,253,243,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,197,253,253,253,253,255,253,253,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,128,241,253,253,255,253,253,199,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,120,190,183,196,120,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,227,73,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,251,251,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,166,228,251,251,251,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,220,253,251,251,251,251,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,231,253,251,251,251,251,232,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,253,255,253,253,253,253,255,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,253,168,107,169,251,253,189,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,89,236,251,235,215,164,15,6,129,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,47,211,253,251,251,142,0,0,0,37,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,251,142,0,0,0,11,148,251,253,251,164,0,0,0,0,0,0,0,0,0,0,0,0,11,150,253,255,211,25,0,0,0,0,11,150,253,255,211,25,0,0,0,0,0,0,0,0,0,0,0,0,140,251,251,253,107,0,0,0,0,0,37,251,251,211,46,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,253,128,5,0,0,0,0,37,251,251,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,251,251,253,188,20,0,0,32,109,129,251,173,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,201,30,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,253,255,149,73,150,253,255,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,251,253,251,251,251,251,253,251,230,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,253,251,251,251,251,242,215,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,189,251,253,251,251,251,173,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,200,253,251,96,71,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,29,29,88,89,126,126,126,126,126,121,29,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,254,254,254,254,254,254,254,254,254,254,176,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,204,197,197,197,197,197,197,197,197,200,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,5,0,0,0,0,0,0,0,0,4,193,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,224,16,0,75,83,83,83,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,49,67,229,254,252,241,241,253,254,242,193,111,0,0,0,0,0,0,0,0,0,0,11,74,112,180,207,247,254,254,254,254,252,240,213,143,69,35,0,0,0,0,0,0,0,0,0,0,0,20,233,254,254,254,254,254,254,225,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,218,254,135,115,22,19,19,30,229,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,91,8,0,0,0,0,0,207,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,255,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,59,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,255,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,162,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,248,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,220,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,220,253,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,253,253,195,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,195,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,219,24,0,0,0,16,153,128,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,227,253,116,0,0,0,54,203,253,253,224,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,243,61,0,0,17,179,253,253,253,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,210,0,0,0,162,253,253,196,149,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,232,253,173,0,0,0,192,253,229,30,94,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,86,0,0,51,242,229,57,0,193,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,189,0,20,188,253,136,0,116,247,219,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,217,253,247,69,56,253,253,128,132,247,219,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,233,230,253,253,253,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,215,253,253,253,253,253,253,253,123,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,141,218,253,253,168,106,18,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,219,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,192,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,255,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,188,253,216,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,202,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,199,253,128,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,225,253,235,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,202,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,244,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,47,47,34,0,116,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,164,246,253,252,234,33,116,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,188,252,252,253,252,252,45,210,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,244,252,252,147,148,210,22,140,250,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,205,21,0,64,140,169,233,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,154,9,0,0,68,252,252,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,252,252,196,48,49,228,252,227,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,177,252,252,232,233,252,227,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,137,252,252,253,231,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,253,255,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,228,252,231,232,236,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,228,252,227,48,138,252,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,227,50,0,138,252,208,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,252,79,0,0,138,252,221,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,255,144,0,0,0,149,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,249,75,0,0,43,253,223,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,237,70,70,112,246,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,253,252,252,252,252,150,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,137,253,252,200,210,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,26,111,195,230,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,107,195,254,254,254,244,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,167,248,254,222,146,150,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,223,246,254,153,61,10,0,48,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,175,164,80,2,0,0,0,48,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,202,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,248,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,246,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,240,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,255,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,255,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,193,254,253,254,213,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,173,252,253,252,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,233,244,203,102,20,72,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,212,81,0,21,102,193,171,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,151,0,0,62,122,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,151,0,0,0,183,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,213,152,71,173,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,253,252,253,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,163,203,214,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,255,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,192,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,132,51,51,51,51,51,51,51,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,253,252,253,252,253,252,223,203,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,142,203,203,203,203,203,203,214,253,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,203,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,224,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,223,102,102,61,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,142,203,243,254,253,254,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,71,111,172,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,172,132,253,142,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,232,151,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,185,255,253,253,230,132,132,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,71,242,252,252,228,231,252,252,252,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,166,252,252,235,92,0,14,142,252,252,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,204,252,234,152,44,0,0,48,225,252,180,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,164,252,232,61,0,0,0,6,179,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,252,76,0,0,0,44,199,252,252,252,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,252,228,32,0,0,99,231,244,220,252,203,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,207,97,97,206,234,243,32,157,252,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,252,252,252,252,252,200,22,11,198,231,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,131,224,252,252,142,11,0,82,252,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,252,220,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,252,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,247,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,216,244,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,200,249,252,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,200,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,152,203,181,141,58,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,172,247,188,232,234,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,82,101,143,252,245,67,35,225,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,132,237,254,254,254,254,254,243,80,210,248,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,251,211,107,23,36,120,240,246,98,218,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,251,166,0,0,0,0,0,16,43,189,212,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,250,214,14,0,0,0,0,10,148,250,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,234,103,6,0,0,154,225,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,44,195,254,184,24,129,235,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,240,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,154,253,98,190,254,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,131,0,13,212,225,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,238,254,29,0,0,55,244,195,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,219,6,0,0,0,100,254,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,116,0,0,0,0,23,248,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,63,0,0,0,0,49,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,248,29,0,0,0,38,167,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,233,211,115,115,135,254,244,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,236,254,254,254,173,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,191,128,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,128,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,191,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,64,0,0,64,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,209,255,172,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,236,254,247,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,237,31,149,240,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,137,0,126,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,137,0,126,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,137,0,126,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,189,86,210,254,226,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,159,254,254,196,169,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,50,50,25,90,254,191,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,182,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,248,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,207,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,220,198,102,0,0,137,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,219,214,252,129,36,162,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,5,44,199,254,250,253,235,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,117,242,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,114,238,253,253,253,255,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,225,240,253,252,252,252,252,253,228,225,130,38,0,0,0,0,0,0,0,0,26,6,0,0,0,0,67,240,252,252,253,252,252,252,252,253,252,252,252,112,0,0,0,0,0,0,0,0,101,24,0,0,0,0,28,121,249,239,253,236,204,112,189,253,252,252,217,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,99,63,112,50,159,252,252,253,252,220,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,114,238,253,253,253,255,152,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,101,240,253,252,252,252,204,106,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,253,252,176,55,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,253,252,155,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,112,112,174,252,252,239,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,229,253,253,114,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,177,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,227,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,215,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,27,0,0,63,114,113,222,253,253,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,252,253,103,85,178,240,253,252,252,252,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,155,252,253,252,252,252,252,253,252,239,180,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,239,253,252,252,249,223,225,99,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,174,252,141,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,56,140,126,175,200,96,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,166,238,254,246,242,253,246,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,182,146,127,70,30,45,36,215,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,207,246,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,251,169,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,215,232,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,190,250,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,118,206,254,248,142,108,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,223,254,254,254,254,254,254,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,174,129,95,16,16,16,106,249,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,244,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,140,5,0,0,0,0,0,0,3,150,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,254,181,38,0,0,0,0,34,188,254,209,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,226,255,223,88,68,128,157,242,254,207,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,210,254,254,254,254,255,254,187,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,129,239,229,179,91,16,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,105,254,254,254,254,255,239,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,118,222,254,253,253,253,253,253,253,211,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,200,253,253,254,253,253,253,253,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,16,160,236,253,253,253,254,253,253,246,229,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,253,253,254,253,253,213,99,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,25,194,253,253,253,253,131,97,169,253,93,99,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,251,233,127,9,0,18,38,3,15,171,253,253,116,0,0,0,0,0,0,0,0,0,0,0,55,240,253,253,233,0,0,0,0,0,0,0,31,186,253,253,116,0,0,0,0,0,0,0,0,0,0,0,176,253,253,253,127,0,0,0,0,0,0,0,99,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,176,253,253,131,9,0,0,0,0,0,0,0,99,253,253,253,116,0,0,0,0,0,0,0,0,0,0,119,254,254,232,75,0,0,0,0,0,0,0,0,0,158,254,254,117,0,0,0,0,0,0,0,0,0,0,118,253,253,154,0,0,0,0,0,0,0,0,0,0,156,253,253,116,0,0,0,0,0,0,0,0,0,0,118,253,253,154,0,0,0,0,0,0,0,0,0,0,156,253,253,116,0,0,0,0,0,0,0,0,0,46,222,253,253,154,0,0,0,0,0,0,0,0,7,116,246,253,180,9,0,0,0,0,0,0,0,0,0,0,118,253,253,154,0,0,0,0,0,0,0,0,116,253,253,253,174,0,0,0,0,0,0,0,0,0,0,0,118,253,253,154,0,0,0,0,0,0,0,110,246,253,253,240,67,0,0,0,0,0,0,0,0,0,0,0,118,253,253,238,215,49,20,20,20,66,215,241,253,245,233,64,0,0,0,0,0,0,0,0,0,0,0,0,82,229,253,253,253,253,253,253,253,254,253,253,240,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,253,253,253,253,253,254,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,239,253,253,253,253,253,253,254,161,57,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,109,109,109,109,110,109,129,253,110,109,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,94,217,252,252,252,252,253,252,252,252,253,252,227,134,42,0,0,0,0,0,0,0,0,0,0,0,0,176,252,252,252,252,252,252,253,252,252,252,253,252,252,252,222,139,11,0,0,0,0,0,0,0,0,0,0,217,252,252,252,128,108,108,108,108,108,108,108,232,252,252,253,252,71,0,0,0,0,0,0,0,0,0,0,42,159,252,252,210,31,0,0,0,0,0,0,0,37,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,5,119,210,252,124,31,0,0,0,0,0,0,37,252,253,231,51,0,0,0,0,0,0,0,0,0,0,0,0,0,31,195,195,31,0,0,0,0,0,0,140,252,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,221,252,191,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,247,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,212,252,226,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,255,222,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,201,252,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,170,110,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,154,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,164,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,34,0,244,254,112,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,190,225,0,255,185,13,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,170,254,197,64,254,59,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,132,254,204,23,112,254,28,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,6,167,254,216,58,24,242,225,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,254,162,85,138,254,188,0,0,0,48,85,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,159,254,254,254,254,254,228,151,151,214,250,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,79,131,158,254,254,226,225,225,225,190,148,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,148,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,248,201,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,189,227,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,226,175,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,203,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,242,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,169,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,233,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,125,235,255,254,122,0,0,0,0,0,13,134,180,57,0,0,0,0,0,0,0,0,0,0,0,0,163,250,253,253,253,253,252,63,0,0,0,16,199,253,253,117,0,0,0,0,0,0,0,0,0,0,52,168,252,253,213,32,12,49,109,3,0,0,0,157,253,253,183,6,0,0,0,0,0,0,0,0,0,0,171,253,103,19,12,0,0,0,0,0,0,0,91,247,253,235,8,0,0,0,0,0,0,0,0,0,0,0,248,253,19,0,0,0,0,0,0,0,21,189,245,253,243,77,0,0,0,0,0,0,0,0,0,0,0,0,201,253,104,9,0,0,0,0,71,122,228,253,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,18,199,253,219,215,215,215,215,245,253,253,253,253,182,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,165,205,253,253,253,191,175,193,253,253,221,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,51,51,51,11,0,59,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,218,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,237,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,215,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,206,243,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,235,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,246,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,68,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,159,152,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,130,130,225,255,255,109,7,116,243,200,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,95,217,253,253,253,253,253,253,253,253,253,248,11,0,0,0,0,0,0,0,0,0,0,0,0,0,27,213,253,253,240,143,111,152,253,253,253,253,194,62,0,0,0,0,0,0,0,0,0,0,0,0,0,27,213,253,215,105,31,0,7,153,253,253,253,244,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,230,34,0,0,0,69,253,253,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,221,13,0,0,28,156,253,253,253,176,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,253,175,14,0,186,253,253,253,196,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,253,174,50,199,253,253,237,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,92,234,253,253,253,253,237,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,253,253,236,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,161,253,253,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,101,253,253,237,233,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,173,38,186,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,237,253,114,14,0,186,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,238,253,176,13,0,21,211,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,240,253,226,11,0,0,165,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,243,69,0,0,97,246,227,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,178,112,112,194,248,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,253,253,253,253,142,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,253,253,235,129,45,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,105,220,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,166,233,253,253,253,236,209,209,209,77,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,253,253,253,254,253,253,253,253,172,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,238,253,253,253,253,253,254,253,253,253,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,14,238,253,253,253,253,253,253,179,196,253,253,253,253,238,12,0,0,0,0,0,0,0,0,0,0,0,0,33,253,253,253,253,253,248,134,0,18,83,237,253,253,253,14,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,253,253,253,128,0,0,0,0,57,119,214,253,94,0,0,0,0,0,0,0,0,0,0,0,57,248,253,253,253,126,14,4,0,0,0,0,0,0,179,253,248,56,0,0,0,0,0,0,0,0,0,0,175,253,253,240,190,28,0,0,0,0,0,0,0,0,179,253,253,173,0,0,0,0,0,0,0,0,0,0,209,253,253,178,0,0,0,0,0,0,0,0,0,0,92,253,253,208,0,0,0,0,0,0,0,0,0,0,211,254,254,179,0,0,0,0,0,0,0,0,0,0,0,135,255,209,0,0,0,0,0,0,0,0,0,0,209,253,253,90,0,0,0,0,0,0,0,0,0,0,0,134,253,208,0,0,0,0,0,0,0,0,0,0,209,253,253,178,0,0,0,0,0,0,0,0,0,0,2,142,253,208,0,0,0,0,0,0,0,0,0,0,209,253,253,214,35,0,0,0,0,0,0,0,0,0,30,253,253,208,0,0,0,0,0,0,0,0,0,0,165,253,253,253,215,36,0,0,0,0,0,0,0,0,163,253,253,164,0,0,0,0,0,0,0,0,0,0,18,172,253,253,253,214,127,7,0,0,0,0,0,72,232,253,171,17,0,0,0,0,0,0,0,0,0,0,0,8,182,253,253,253,253,162,56,0,0,0,64,240,253,253,14,0,0,0,0,0,0,0,0,0,0,0,0,0,7,173,253,253,253,253,245,241,239,239,246,253,225,14,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,59,138,224,253,253,254,253,253,253,240,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,104,192,255,253,253,182,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,152,233,254,213,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,243,253,252,253,252,243,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,132,253,254,213,142,61,31,233,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,253,212,50,10,0,41,132,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,163,0,0,0,0,102,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,0,0,0,0,0,142,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,151,0,0,0,0,132,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,232,183,102,102,183,253,252,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,243,254,253,254,213,152,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,151,151,91,10,152,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,91,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,255,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,233,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,210,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,47,0,0,0,0,0,7,243,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,95,237,232,5,0,0,0,0,7,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,6,0,0,0,0,7,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,6,0,0,0,0,7,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,6,0,0,0,0,7,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,77,0,0,0,0,7,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,253,253,191,12,0,81,111,189,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,253,253,230,227,246,253,253,253,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,62,242,253,253,253,253,253,253,253,253,253,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,21,182,253,253,253,253,253,253,253,253,253,253,253,237,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,107,226,226,226,226,226,125,104,241,253,253,224,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,230,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,253,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,244,253,253,201,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,176,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,253,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,170,253,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,217,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,253,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,240,253,239,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,245,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,255,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,229,254,242,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,229,253,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,254,213,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,243,253,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,142,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,253,253,232,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,253,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,232,253,189,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,235,253,253,195,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,231,253,253,184,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,84,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,235,213,5,0,0,0,0,0,0,88,248,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,234,253,253,6,0,0,0,0,0,0,81,246,238,161,0,0,0,0,0,0,0,0,0,0,0,0,11,201,253,251,147,2,0,0,0,0,0,0,0,220,253,217,13,0,0,0,0,0,0,0,0,0,0,0,158,253,253,157,0,0,0,0,0,0,0,0,0,220,253,253,96,0,0,0,0,0,0,0,0,0,0,50,234,253,235,50,0,0,0,0,0,0,0,0,0,220,253,253,96,0,0,0,0,0,0,0,0,0,51,239,253,253,85,0,0,0,0,0,0,0,0,0,0,160,253,253,229,0,0,0,0,0,0,0,0,0,118,253,253,204,9,0,0,0,0,0,0,0,0,0,0,9,205,253,232,0,0,0,0,0,0,0,0,0,229,253,233,70,0,0,0,0,0,0,0,0,0,0,0,0,199,253,238,32,0,0,0,0,0,0,0,0,254,253,177,0,0,0,0,0,0,0,0,0,0,24,49,49,210,253,253,216,0,0,0,0,0,0,0,0,254,253,227,135,28,28,28,28,77,165,165,165,165,208,253,253,253,253,253,238,0,0,0,0,0,0,0,0,173,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,241,50,0,0,0,0,0,0,0,0,0,166,253,253,253,253,253,253,253,253,253,253,253,192,129,129,227,253,165,0,0,0,0,0,0,0,0,0,0,5,13,118,150,150,150,91,62,113,13,13,13,7,0,0,199,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,229,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,201,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,237,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,164,252,230,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,254,254,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,159,20,0,12,214,254,159,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,243,238,29,0,178,254,159,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,160,254,183,0,37,238,239,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,235,53,0,227,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,252,235,119,0,78,254,175,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,231,254,178,120,133,244,254,49,0,48,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,254,254,254,254,255,244,188,232,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,95,95,127,228,254,230,189,188,188,160,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,239,239,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,127,251,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,174,238,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,247,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,238,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,205,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,218,255,234,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,216,253,253,253,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,244,253,253,196,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,214,253,253,205,9,176,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,253,230,57,0,17,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,248,253,230,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,248,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,194,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,204,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,233,57,100,196,196,196,175,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,253,193,181,253,253,253,253,253,228,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,253,253,253,253,184,98,210,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,253,253,240,174,20,0,46,253,253,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,253,253,181,0,0,0,66,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,198,198,91,0,0,34,226,253,249,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,221,28,0,0,7,140,253,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,168,46,54,174,253,253,220,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,229,253,253,253,253,253,253,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,227,252,253,253,253,252,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,159,152,123,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,176,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,176,251,251,251,251,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,217,241,253,251,251,251,251,243,113,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,231,251,251,253,251,251,251,251,253,251,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,253,251,251,251,251,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,253,255,253,253,253,253,255,253,227,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,253,251,251,251,251,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,251,251,235,241,253,251,246,137,35,98,251,251,236,61,0,0,0,0,0,0,0,0,0,0,0,47,211,253,251,235,82,103,253,251,137,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,0,0,27,211,251,253,251,86,0,0,72,71,10,0,0,73,251,251,173,20,0,0,0,0,0,0,0,0,0,0,89,253,253,255,253,35,0,0,0,0,0,0,0,73,253,253,253,72,0,0,0,0,0,0,0,0,0,84,236,251,251,253,251,138,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,63,236,251,251,251,227,251,246,138,11,0,0,0,16,37,228,251,246,137,10,0,0,0,0,0,0,0,0,73,251,251,251,173,42,142,142,142,41,0,0,0,109,251,253,251,137,0,0,0,0,0,0,0,0,0,0,73,251,251,173,20,0,0,0,0,0,0,0,27,211,251,253,147,10,0,0,0,0,0,0,0,0,0,0,73,253,253,143,0,0,0,0,0,0,21,176,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,251,205,144,0,0,0,0,0,176,251,251,188,107,0,0,0,0,0,0,0,0,0,0,0,0,0,62,236,251,251,251,218,217,217,217,217,253,230,189,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,158,251,251,253,251,251,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,251,251,122,72,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,237,121,0,0,0,0,0,0,13,48,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,235,254,202,0,0,0,0,0,8,179,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,254,237,48,0,0,0,0,0,10,209,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,254,112,0,0,0,0,0,0,16,233,251,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,240,222,20,0,0,0,0,0,0,118,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,231,255,120,0,0,0,0,0,0,23,205,254,111,0,0,0,0,0,0,0,0,0,0,0,0,0,6,168,255,241,47,0,0,0,0,0,0,85,254,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,67,0,0,0,0,0,0,8,200,254,184,13,0,0,0,0,0,0,0,0,0,0,0,0,3,172,254,221,18,0,0,0,0,0,0,120,254,246,48,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,238,30,0,0,0,0,0,0,0,157,254,212,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,254,105,0,0,0,0,0,0,0,112,252,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,172,1,0,0,0,36,107,146,249,253,254,210,13,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,134,10,89,96,193,245,254,254,254,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,244,241,254,254,254,254,223,140,252,254,169,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,252,254,254,254,218,176,88,0,0,250,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,60,119,26,14,0,0,0,9,251,254,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,194,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,37,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,51,110,160,207,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,136,212,253,254,253,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,80,195,255,254,254,222,181,182,181,135,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,223,250,253,253,254,182,18,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,133,228,253,247,216,151,69,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,254,253,116,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,227,254,253,227,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,182,249,254,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,253,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,92,0,0,0,0,184,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,218,46,0,0,27,242,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,254,215,228,255,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,160,206,253,214,140,108,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,36,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,128,128,128,128,128,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,128,128,128,128,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,128,64,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,64,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,128,128,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,128,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,45,131,131,131,101,68,92,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,112,89,0,40,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,251,127,40,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,254,91,40,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,247,254,236,50,40,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,254,91,0,6,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,218,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,254,255,239,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,254,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,242,254,241,88,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,254,254,189,0,0,0,28,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,168,0,0,0,40,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,245,51,0,0,0,35,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,239,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,254,210,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,252,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,255,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,198,255,255,255,226,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,170,29,0,86,255,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,198,57,0,0,0,0,226,255,255,226,114,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,114,0,0,0,0,0,0,141,170,114,255,255,141,0,0,0,0,0,0,0,0,0,0,0,0,226,255,170,0,0,0,0,0,0,0,29,57,0,0,141,255,226,0,0,0,0,0,0,0,0,0,0,57,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,198,0,0,0,0,0,0,0,0,0,226,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,57,0,0,0,0,0,0,0,0,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,170,0,0,0,0,0,0,0,0,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,198,0,0,0,0,0,0,0,0,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,0,0,0,0,0,0,0,0,198,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,0,0,0,0,0,0,0,0,114,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,0,0,0,0,0,0,0,0,29,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,0,0,0,0,0,0,0,0,0,170,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,198,0,0,0,0,0,0,0,0,0,29,226,255,170,0,0,0,0,0,0,0,0,0,0,0,0,29,255,114,0,0,0,0,0,0,0,0,0,0,29,226,255,141,0,0,0,0,0,0,0,0,0,0,57,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,170,86,0,0,0,0,29,86,226,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,255,255,255,255,255,255,255,255,255,141,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,114,170,170,170,170,170,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,252,252,252,214,51,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,221,252,250,250,250,252,250,160,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,211,250,252,250,250,250,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,221,250,250,252,250,250,250,252,250,128,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,252,252,252,254,252,252,252,254,252,252,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,190,250,250,252,250,250,169,171,250,250,250,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,191,250,250,252,189,100,20,172,250,250,250,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,250,250,250,212,29,0,0,252,250,250,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,252,252,0,0,0,0,51,252,252,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,252,250,250,169,0,0,0,0,132,250,250,250,121,0,0,0,0,0,0,0,0,0,0,0,0,0,92,231,252,250,159,20,0,0,0,0,252,250,250,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,211,252,250,221,40,0,0,0,0,90,250,250,250,163,0,0,0,0,0,0,0,0,0,0,0,0,0,31,213,254,232,80,0,0,0,0,0,92,252,252,212,163,0,0,0,0,0,0,0,0,0,0,0,0,0,151,250,252,149,0,0,0,0,0,0,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,221,252,210,60,0,0,0,0,0,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,252,250,221,40,0,0,123,202,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,243,255,252,252,252,254,252,252,252,254,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,171,250,250,250,252,250,250,250,252,250,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,160,250,250,252,250,250,250,252,189,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,170,250,252,250,128,49,49,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,243,253,249,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,223,253,253,247,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,238,253,253,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,236,253,253,253,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,191,247,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,143,86,249,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,36,7,14,233,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,255,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,245,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,0,0,0,0,35,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,0,0,9,142,233,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,253,253,128,7,99,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,230,253,253,252,210,253,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,207,253,253,253,254,253,253,235,70,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,253,253,253,254,253,168,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,201,190,132,63,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,19,133,133,156,254,254,214,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,134,197,254,253,253,253,253,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,78,194,253,253,254,250,217,217,226,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,10,135,234,253,253,253,253,246,76,0,10,98,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,9,155,253,253,253,224,198,134,69,0,0,78,253,253,192,10,0,0,0,0,0,0,0,0,0,0,0,0,9,140,180,88,60,32,6,0,0,0,63,234,253,163,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,189,253,163,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,221,253,211,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,253,238,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,249,242,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,249,249,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,232,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,194,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,232,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,240,230,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,211,229,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,126,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,144,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,195,227,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,230,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,240,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,238,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,226,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,254,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,235,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,227,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,255,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,212,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,134,255,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,214,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,198,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,229,243,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,228,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,186,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,230,253,68,0,0,0,20,56,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,188,253,182,18,17,63,162,209,253,227,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,215,18,17,179,253,253,253,253,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,233,253,107,0,159,253,253,193,136,101,244,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,178,16,85,240,231,136,10,0,76,248,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,189,253,86,42,241,253,185,0,0,0,94,219,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,240,71,185,253,154,27,0,0,33,213,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,216,93,253,231,41,0,0,81,213,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,216,117,253,221,106,106,142,249,253,214,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,251,157,214,253,253,253,253,253,118,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,159,253,253,253,253,253,253,219,35,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,253,253,223,96,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,159,253,159,243,191,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,252,252,252,252,253,236,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,205,253,252,252,252,252,253,252,202,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,160,203,160,160,160,108,253,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,53,253,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,255,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,47,140,244,253,252,102,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,252,252,253,252,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,236,252,252,64,211,252,252,194,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,211,221,43,2,86,252,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,252,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,234,252,252,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,252,252,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,154,0,0,0,0,36,222,253,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,236,78,9,22,57,219,252,235,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,196,215,253,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,252,252,252,252,253,252,101,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,211,252,252,200,137,64,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,91,213,255,228,91,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,230,253,253,253,253,253,152,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,246,253,253,253,253,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,247,253,253,253,253,253,253,208,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,253,253,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,238,253,253,253,221,253,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,253,253,198,40,177,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,156,251,253,189,182,15,0,86,240,253,210,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,156,3,0,0,0,0,205,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,252,253,135,3,0,0,0,0,0,46,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,28,212,253,248,23,0,0,0,0,0,0,42,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,234,70,0,0,0,0,0,0,0,42,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,11,202,253,187,0,0,0,0,0,0,0,0,58,253,210,27,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,40,0,0,0,0,0,0,0,53,227,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,40,0,0,0,0,0,0,47,227,253,231,58,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,40,0,0,0,0,5,131,222,253,231,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,204,253,226,222,73,58,58,170,253,253,227,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,253,253,253,253,253,253,238,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,179,241,253,253,253,253,250,116,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,179,253,151,89,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,80,80,80,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,159,159,199,254,254,254,228,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,62,160,252,254,254,254,254,233,233,254,245,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,212,254,254,254,186,114,114,114,74,75,251,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,254,244,210,58,18,0,0,0,0,30,249,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,131,100,0,0,0,0,0,0,0,168,254,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,237,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,157,254,254,192,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,140,254,254,203,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,204,254,196,87,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,212,254,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,192,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,242,249,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,254,250,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,254,254,196,116,76,0,112,48,0,0,16,116,116,116,116,0,0,0,0,0,0,0,0,0,0,0,0,11,154,254,254,254,234,194,253,219,194,194,203,254,241,237,237,0,0,0,0,0,0,0,0,0,0,0,0,0,77,157,198,254,254,254,254,254,254,254,173,157,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,78,78,78,78,78,78,78,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,228,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,236,251,235,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,202,255,253,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,129,251,253,127,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,251,251,201,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,228,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,251,251,204,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,102,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,254,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,252,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,253,252,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,253,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,253,252,192,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,255,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,252,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,255,253,203,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,131,233,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,129,253,192,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,94,217,218,227,252,252,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,37,182,201,252,252,253,252,252,252,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,120,252,253,252,252,252,253,252,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,63,109,232,252,252,253,252,174,143,47,232,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,73,237,252,252,252,210,180,138,10,0,233,252,252,210,20,0,0,0,0,0,0,0,0,0,0,0,0,0,72,236,215,91,71,31,0,0,0,21,253,252,246,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,21,206,253,210,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,208,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,242,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,242,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,255,222,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,232,252,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,237,252,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,253,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,252,231,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,221,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,189,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,138,201,253,255,232,107,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,219,252,252,210,207,214,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,233,89,6,0,13,202,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,252,183,0,0,0,0,159,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,252,79,0,0,0,0,63,43,220,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,255,232,38,0,0,0,0,7,212,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,252,154,30,0,0,9,155,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,227,184,132,197,252,252,252,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,119,160,236,252,253,252,227,160,244,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,0,0,61,85,75,22,16,0,178,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,128,11,0,0,0,0,0,0,0,0,231,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,116,0,0,0,0,0,0,0,0,157,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,116,0,0,0,0,0,0,0,0,116,237,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,252,63,0,0,0,0,0,0,0,0,116,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,252,116,0,0,0,0,0,0,0,0,220,241,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,244,61,0,0,0,0,0,38,233,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,217,253,236,129,9,0,0,30,155,252,231,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,252,252,196,80,185,228,252,227,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,219,252,252,252,253,252,252,119,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,54,179,147,190,117,22,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,195,254,254,254,254,254,255,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,191,253,253,253,253,253,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,190,253,253,253,253,240,191,242,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,187,253,253,253,253,253,200,0,211,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,66,253,253,253,253,241,209,44,23,218,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,253,253,182,0,0,131,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,217,253,253,244,111,37,0,0,131,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,165,0,0,0,22,182,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,240,45,0,0,0,53,253,253,249,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,168,253,216,45,0,0,0,0,53,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,253,147,0,0,0,0,0,53,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,252,253,227,5,0,0,0,0,0,53,253,243,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,253,124,0,0,0,0,0,0,156,253,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,164,253,142,5,0,0,0,0,0,32,233,253,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,130,0,0,0,0,0,37,203,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,147,36,36,36,36,151,222,253,245,127,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,202,253,253,253,253,253,253,253,253,253,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,253,253,253,253,253,253,248,235,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,173,253,253,253,253,253,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,78,96,253,253,253,137,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,78,156,209,165,43,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,157,252,252,252,252,253,205,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,252,252,252,252,253,252,225,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,252,252,252,252,227,252,252,196,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,252,252,226,59,42,182,252,252,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,254,222,106,0,0,0,36,224,253,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,63,16,0,0,0,0,0,48,252,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,210,252,215,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,218,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,85,85,85,85,85,57,0,0,211,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,2,92,127,192,252,252,252,252,253,246,232,232,249,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,252,253,252,252,252,252,253,252,252,252,252,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,215,252,252,253,252,252,252,252,253,252,252,252,252,253,203,9,0,0,0,0,0,0,0,0,0,0,0,85,253,253,253,194,106,53,0,0,62,120,156,253,253,255,253,188,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,129,57,71,0,71,146,211,252,252,252,160,231,231,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,253,246,249,232,249,253,252,252,252,244,53,51,72,0,0,0,0,0,0,0,0,0,0,0,64,247,252,252,253,252,252,252,252,253,252,252,236,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,252,253,252,252,252,252,253,252,235,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,64,128,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,128,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,64,0,0,128,255,255,255,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,128,0,0,128,255,255,191,0,0,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,191,255,191,0,0,0,64,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,64,255,255,0,0,0,0,64,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,64,0,0,128,255,191,0,0,0,0,191,255,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,128,255,64,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,255,255,128,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,128,128,128,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,191,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,152,152,152,152,152,152,152,152,254,253,254,172,152,71,0,0,0,0,0,0,0,0,0,0,0,61,213,252,253,252,253,252,253,252,253,252,213,252,253,252,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,41,102,102,102,102,82,0,0,0,0,0,0,0,52,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,233,30,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,254,213,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,232,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,211,254,254,255,254,133,8,0,36,98,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,157,253,253,243,173,100,250,123,7,147,186,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,253,225,82,57,0,0,249,244,187,240,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,236,54,0,0,0,0,249,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,238,33,0,0,34,197,252,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,199,0,0,200,253,253,253,211,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,251,252,160,215,252,253,245,61,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,253,243,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,253,253,218,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,168,244,236,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,199,49,87,253,187,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,144,205,70,0,10,204,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,129,0,0,0,88,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,229,248,13,0,0,0,78,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,133,0,0,0,0,91,242,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,201,195,10,0,0,0,0,195,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,134,0,0,0,11,148,237,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,198,253,86,0,41,84,111,253,153,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,221,253,241,219,236,253,237,126,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,223,253,253,195,69,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,7,77,142,254,254,254,254,254,163,98,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,252,241,241,243,253,253,253,253,219,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,229,111,100,0,0,19,111,111,141,249,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,56,228,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,141,253,253,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,253,226,161,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,231,210,243,253,253,224,123,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,0,61,117,219,253,253,183,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,117,245,253,135,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,246,253,169,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,235,253,167,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,248,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,26,0,0,0,0,0,0,163,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,219,206,112,112,112,112,112,224,252,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,195,253,253,253,253,253,253,201,78,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,5,5,5,51,129,17,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,125,225,254,254,255,254,170,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,101,250,253,253,253,253,253,253,253,250,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,246,247,253,253,196,227,116,56,253,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,253,180,19,9,15,0,4,55,253,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,238,253,253,125,0,0,0,21,189,232,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,253,220,165,34,92,21,52,228,253,253,241,82,13,0,0,0,0,0,0,0,0,0,0,0,0,0,38,241,170,25,20,12,75,39,59,253,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,236,67,0,0,0,0,100,253,253,221,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,239,253,235,202,135,99,173,240,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,200,253,253,253,253,253,253,253,241,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,112,244,253,237,142,253,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,71,51,159,253,188,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,150,236,212,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,243,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,237,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,219,253,195,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,171,253,207,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,198,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,242,253,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,206,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,76,202,254,255,163,37,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,182,253,253,253,253,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,179,253,253,212,91,218,253,253,179,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,160,35,156,253,253,253,253,250,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,212,253,253,88,121,253,233,128,91,245,253,248,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,110,2,142,253,90,0,0,26,199,253,248,63,0,0,0,0,0,0,0,0,0,0,0,0,1,173,253,253,29,0,84,228,39,0,0,0,72,251,253,215,29,0,0,0,0,0,0,0,0,0,0,0,36,253,253,203,13,0,0,0,0,0,0,0,0,82,253,253,170,0,0,0,0,0,0,0,0,0,0,0,36,253,253,164,0,0,0,0,0,0,0,0,0,11,198,253,184,6,0,0,0,0,0,0,0,0,0,0,36,253,253,82,0,0,0,0,0,0,0,0,0,0,138,253,253,35,0,0,0,0,0,0,0,0,0,0,128,253,253,47,0,0,0,0,0,0,0,0,0,0,48,253,253,35,0,0,0,0,0,0,0,0,0,0,154,253,253,47,0,0,0,0,0,0,0,0,0,0,48,253,253,35,0,0,0,0,0,0,0,0,0,0,102,253,253,99,0,0,0,0,0,0,0,0,0,0,48,253,253,35,0,0,0,0,0,0,0,0,0,0,36,253,253,164,0,0,0,0,0,0,0,0,0,16,208,253,211,17,0,0,0,0,0,0,0,0,0,0,32,244,253,175,4,0,0,0,0,0,0,0,0,44,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,29,0,0,0,0,0,0,0,30,217,253,188,19,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,59,0,0,0,0,0,0,60,217,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,253,231,48,0,0,0,26,128,249,253,244,94,15,0,0,0,0,0,0,0,0,0,0,0,0,0,8,151,253,253,234,101,121,219,229,253,253,201,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,232,253,253,253,253,253,253,253,201,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,86,46,0,0,0,0,0,0,91,246,252,232,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,252,187,13,0,0,0,0,22,219,252,252,175,0,0,0,0,0,0,0,0,0,10,0,0,0,0,8,181,252,246,30,0,0,0,0,65,252,237,197,64,0,0,0,0,0,0,0,0,0,87,0,0,0,13,172,252,252,104,0,0,0,0,5,184,252,67,103,0,0,0,0,0,0,0,0,0,0,0,0,0,8,172,252,248,145,14,0,0,0,0,109,252,183,137,64,0,0,0,0,0,0,0,0,0,0,0,0,5,224,252,248,134,0,0,0,0,0,53,238,252,245,86,0,0,0,0,0,0,0,0,0,0,0,0,12,174,252,223,88,0,0,0,0,0,0,209,252,252,179,9,0,0,0,0,0,0,0,0,0,0,0,11,171,252,246,61,0,0,0,0,0,0,83,241,252,211,14,0,0,0,0,0,0,0,0,0,0,0,0,129,252,252,249,220,220,215,111,192,220,221,243,252,252,149,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,253,253,253,253,253,253,253,255,253,226,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,77,77,77,77,77,77,77,77,153,253,235,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,214,240,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,221,243,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,180,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,252,153,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,136,251,226,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,246,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,175,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,214,225,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,145,212,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,253,246,188,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,164,254,253,223,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,236,253,252,124,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,217,253,218,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,175,225,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,217,241,248,114,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,201,253,253,114,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,213,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,254,169,0,0,0,0,0,2,13,100,133,89,0,0,0,0,0,0,0,0,0,0,0,0,0,18,210,253,253,100,0,0,0,19,76,116,253,253,253,176,4,0,0,0,0,0,0,0,0,0,0,0,0,41,222,253,208,18,0,0,93,209,232,217,224,253,253,241,31,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,229,32,0,154,250,246,36,0,49,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,253,195,125,247,166,69,0,0,37,236,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,253,253,253,135,32,0,7,130,73,202,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,7,185,253,253,253,253,64,0,10,210,253,253,253,153,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,253,238,218,221,253,253,235,156,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,111,228,253,253,253,253,254,253,168,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,110,178,253,253,249,63,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,121,240,253,218,121,121,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,107,184,240,253,252,252,252,252,252,252,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,122,230,252,252,252,253,252,252,252,252,252,252,239,56,0,0,0,0,0,0,0,0,0,0,77,129,213,244,252,252,252,252,252,253,252,252,209,252,252,252,225,0,0,0,0,0,0,0,0,0,0,0,240,252,252,252,252,252,252,213,185,53,53,53,89,252,252,252,120,0,0,0,0,0,0,0,0,0,0,0,240,232,198,93,164,108,66,28,0,0,0,0,81,252,252,222,24,0,0,0,0,0,0,0,0,0,0,0,76,50,0,0,0,0,0,0,0,0,0,0,171,252,243,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,238,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,70,241,248,133,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,252,252,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,253,209,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,246,253,207,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,252,209,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,168,252,252,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,208,252,241,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,166,252,204,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,166,243,191,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,168,231,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,172,241,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,202,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,49,0,0,0,0,0,0,34,244,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,135,0,0,0,0,0,0,40,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,150,0,0,0,0,0,0,40,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,233,0,0,0,0,0,0,77,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,136,0,0,0,0,0,0,77,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,135,0,0,0,0,0,0,123,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,135,0,0,0,0,0,0,136,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,254,135,0,0,0,0,0,0,136,237,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,135,0,0,38,99,98,98,219,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,208,186,254,254,255,254,254,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,253,239,180,135,39,39,39,237,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,92,24,0,0,0,0,0,234,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,237,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,242,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,248,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,236,255,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,231,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,193,253,253,230,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,156,253,253,149,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,190,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,175,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,253,138,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,244,253,230,34,0,9,24,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,249,123,0,69,195,253,249,146,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,231,253,202,0,70,236,253,253,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,139,253,213,26,13,200,253,253,183,252,253,220,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,129,0,86,253,253,129,4,105,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,77,22,245,253,183,4,0,2,105,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,253,11,24,253,253,116,0,0,1,150,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,241,10,24,253,253,59,0,0,82,253,212,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,147,0,24,253,253,150,30,44,208,212,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,174,3,7,185,253,253,227,247,184,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,253,145,95,234,253,253,253,126,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,253,253,253,253,253,169,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,114,240,253,253,234,135,44,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,139,212,253,159,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,89,203,253,252,252,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,184,234,252,252,184,110,100,208,252,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,233,252,252,176,56,0,0,0,17,234,249,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,178,54,4,0,0,0,0,43,240,243,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,255,180,55,5,0,0,0,7,160,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,252,252,67,0,0,0,91,252,231,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,190,252,252,185,38,0,119,234,252,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,177,252,252,179,155,236,227,119,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,252,252,253,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,229,253,255,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,236,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,234,252,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,236,252,252,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,181,252,168,43,232,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,255,218,32,93,253,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,244,239,33,0,114,252,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,237,70,153,240,252,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,253,252,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,242,253,252,168,96,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,254,255,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,176,230,253,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,197,253,253,253,253,253,229,107,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,253,253,253,253,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,241,253,253,253,253,241,186,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,161,253,253,253,246,40,57,231,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,253,253,253,154,0,25,253,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,253,135,8,0,3,128,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,238,253,253,253,7,0,0,0,116,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,165,253,253,231,70,1,0,0,0,78,237,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,253,253,253,182,0,0,0,0,0,0,200,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,253,24,0,0,0,0,0,0,42,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,253,24,0,0,0,0,0,0,163,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,189,13,0,0,0,0,0,53,227,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,114,0,0,0,0,0,21,227,253,231,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,114,0,0,0,5,131,143,253,231,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,236,73,58,217,223,253,253,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,253,253,253,253,253,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,253,253,253,253,253,253,182,15,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,168,253,253,253,253,253,248,89,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,67,141,205,255,255,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,57,121,188,253,253,254,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,198,241,253,254,253,253,215,179,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,242,253,253,253,191,116,28,16,79,253,253,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,114,114,13,0,0,0,0,142,254,207,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,217,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,234,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,242,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,241,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,180,254,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,177,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,254,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,253,235,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,228,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,29,29,66,28,0,0,10,179,242,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,144,253,252,252,215,170,82,28,209,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,253,252,252,252,253,240,72,210,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,246,252,178,28,28,28,253,151,91,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,179,253,178,0,0,0,0,166,91,229,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,196,252,103,0,0,0,0,16,215,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,228,38,0,0,0,204,252,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,228,252,226,38,38,213,253,252,127,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,255,203,253,253,214,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,184,253,252,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,184,253,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,159,252,253,252,252,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,114,194,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,225,233,96,0,131,252,252,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,252,80,0,13,206,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,253,102,6,0,13,206,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,251,75,0,0,104,253,206,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,244,144,95,169,253,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,253,252,252,252,244,93,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,128,253,252,202,102,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,108,233,253,255,180,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,219,252,252,252,253,252,227,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,222,252,233,141,69,79,227,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,235,64,0,0,0,161,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,128,18,0,0,0,22,244,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,99,253,244,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,153,240,252,253,240,101,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,252,252,253,252,252,215,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,210,137,23,96,221,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,223,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,248,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,138,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,47,34,0,0,5,136,252,252,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,234,90,70,191,252,252,227,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,252,252,253,235,128,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,211,252,252,252,137,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,255,103,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,233,253,244,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,240,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,208,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,110,253,235,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,223,235,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,235,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,145,253,231,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,220,231,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,205,253,176,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,125,253,185,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,214,231,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,225,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,205,207,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,249,233,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,18,46,136,136,244,255,241,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,94,163,253,253,253,253,238,218,204,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,253,237,200,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,246,253,247,108,65,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,250,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,231,249,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,231,213,213,123,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,253,253,253,253,253,190,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,116,72,124,209,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,219,253,206,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,246,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,226,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,209,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,7,7,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,13,120,137,186,254,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,53,143,179,254,254,254,255,254,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,4,25,50,149,175,254,254,254,254,254,254,255,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,96,170,254,254,254,254,254,245,183,99,99,147,252,254,196,3,0,0,0,0,0,0,0,0,4,145,162,162,219,254,254,254,246,186,93,66,0,0,0,125,246,254,119,2,0,0,0,0,0,0,0,0,87,215,254,254,254,254,204,87,68,0,0,0,0,0,46,197,254,180,47,0,0,0,0,0,0,0,0,0,168,254,156,80,80,80,28,0,0,0,0,0,0,0,126,245,255,57,0,0,0,0,0,0,0,0,0,0,2,74,33,0,0,0,0,0,0,0,0,0,0,43,200,254,91,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,245,205,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,244,254,85,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,217,254,121,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,245,215,58,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,254,185,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,254,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,237,254,126,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,6,6,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,250,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,250,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,252,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,251,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,250,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,255,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,13,88,156,254,162,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,145,145,145,151,253,253,253,253,253,217,21,0,0,0,0,0,0,0,0,0,0,0,0,0,25,66,157,235,253,253,253,254,253,248,217,243,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,106,226,253,253,253,253,253,149,142,84,72,10,195,253,196,12,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,207,193,146,72,4,0,0,0,49,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,9,60,60,14,0,0,0,0,0,0,0,84,253,232,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,242,230,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,199,232,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,243,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,203,251,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,244,246,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,248,160,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,247,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,114,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,228,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,236,251,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,232,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,251,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,251,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,242,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,255,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,236,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,254,255,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,228,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,227,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,188,253,253,253,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,253,157,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,107,253,253,245,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,253,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,248,253,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,102,242,253,253,110,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,253,214,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,240,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,217,253,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,219,253,140,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,151,237,73,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,169,254,254,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,169,254,254,219,246,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,168,254,237,130,2,193,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,126,254,254,139,0,0,137,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,255,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,245,254,150,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,244,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,251,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,240,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,181,54,203,203,203,203,101,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,223,240,254,254,254,254,254,251,195,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,254,254,254,254,180,166,166,253,254,254,203,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,178,51,3,0,0,15,94,247,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,31,0,0,0,0,0,0,240,254,240,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,255,31,0,0,0,0,4,179,253,254,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,249,254,175,24,0,0,27,184,254,254,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,247,254,231,131,179,233,254,254,249,137,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,185,235,254,254,254,254,211,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,195,254,254,152,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,191,255,253,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,73,115,242,252,253,252,252,252,238,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,221,253,252,252,252,253,252,252,252,253,190,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,210,108,108,108,108,128,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,83,0,0,0,0,0,37,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,181,252,253,189,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,252,252,237,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,237,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,255,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,115,222,252,253,252,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,252,252,252,217,215,241,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,231,108,0,0,181,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,145,104,0,0,0,0,182,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,201,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,237,252,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,79,109,0,0,0,0,110,109,109,191,255,253,237,62,0,0,0,0,0,0,0,0,0,0,0,0,0,187,242,252,217,217,217,217,253,252,252,252,253,231,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,252,252,252,252,253,220,215,215,217,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,211,252,189,108,108,108,108,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,192,254,250,147,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,247,253,254,253,253,196,79,176,175,175,124,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,247,247,176,95,102,117,243,237,192,232,253,253,245,152,6,0,0,0,0,0,0,0,0,0,0,0,23,229,253,138,0,0,0,0,219,58,0,95,118,80,230,254,196,30,0,0,0,0,0,0,0,0,0,0,120,254,205,8,0,0,0,0,114,0,0,0,0,0,38,255,254,155,5,0,0,0,0,0,0,0,0,0,156,253,92,0,0,0,0,0,0,0,0,0,0,0,0,61,235,253,102,0,0,0,0,0,0,0,0,0,224,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,196,18,0,0,0,0,0,0,0,0,254,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,9,211,253,73,0,0,0,0,0,0,0,0,254,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,155,0,0,0,0,0,0,0,0,194,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,155,0,0,0,0,0,0,0,0,112,253,211,9,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,200,0,0,0,0,0,0,0,0,41,241,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,25,240,253,0,0,0,0,0,0,0,0,0,147,253,227,47,0,0,0,0,0,0,0,0,0,0,0,0,94,253,200,0,0,0,0,0,0,0,0,0,5,193,253,230,76,0,0,0,0,0,0,0,0,0,0,0,175,253,155,0,0,0,0,0,0,0,0,0,0,31,219,254,255,126,18,0,0,0,0,0,0,0,14,149,254,244,45,0,0,0,0,0,0,0,0,0,0,0,21,158,254,253,226,162,118,96,20,20,73,118,224,253,247,85,0,0,0,0,0,0,0,0,0,0,0,0,0,30,155,253,253,253,253,254,253,253,253,253,254,247,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,27,117,206,244,229,213,213,213,176,117,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,152,152,152,86,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,190,247,254,254,254,254,233,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,244,195,135,216,244,254,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,254,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,180,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,119,247,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,74,192,254,244,163,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,142,254,254,251,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,184,254,233,151,26,0,0,0,0,0,0,0,0,0,0,0,13,22,13,0,0,0,0,0,0,0,0,64,254,249,0,0,0,0,0,0,0,0,0,40,60,72,168,168,216,254,218,0,0,0,0,0,0,0,0,147,254,253,141,67,0,0,76,99,167,207,207,238,254,254,254,254,254,227,111,0,0,0,0,0,0,0,0,6,187,254,254,251,245,245,252,254,254,254,254,248,227,227,153,119,59,8,0,0,0,0,0,0,0,0,0,0,59,129,228,254,254,254,254,254,213,189,88,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,124,151,151,151,144,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,133,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,81,226,253,253,253,228,44,50,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,215,111,204,253,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,244,253,163,14,0,9,212,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,246,253,196,19,0,0,0,183,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,246,253,198,17,0,0,1,117,250,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,69,0,0,0,78,253,253,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,225,4,0,0,63,245,253,222,253,250,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,253,223,0,15,132,229,252,135,25,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,249,250,253,204,63,0,15,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,253,253,253,253,212,22,0,0,15,253,239,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,94,184,193,138,22,0,0,0,16,253,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,230,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,248,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,232,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,185,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,91,47,77,91,133,254,254,254,254,254,254,255,254,255,254,101,32,0,0,0,0,0,0,0,0,0,2,117,253,218,242,253,253,253,253,253,253,253,253,253,253,253,253,253,100,0,0,0,0,0,0,0,0,0,17,253,253,253,253,253,253,253,253,253,253,242,195,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,4,126,220,236,253,253,202,56,56,162,56,51,26,56,56,228,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,64,129,198,108,0,0,0,0,0,0,0,0,222,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,9,0,0,0,0,0,23,50,134,248,253,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,11,0,0,0,55,139,191,253,253,253,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,56,66,215,230,230,230,239,253,253,253,253,253,214,33,9,0,0,0,0,0,0,0,0,0,0,0,0,77,238,253,253,253,253,253,253,253,253,253,253,217,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,253,253,253,253,253,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,81,171,245,143,81,86,245,245,245,246,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,218,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,162,253,215,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,186,253,253,15,0,0,0,0,0,0,0,0,0,15,42,42,36,0,0,0,0,0,0,0,0,0,0,68,253,253,253,15,0,0,0,0,0,0,0,0,0,91,253,253,237,131,21,0,0,0,0,0,0,99,131,230,253,253,176,8,0,0,0,0,0,0,0,0,0,197,253,253,253,253,226,222,222,222,62,63,222,245,253,253,253,165,13,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,253,253,253,253,253,253,253,229,106,13,0,0,0,0,0,0,0,0,0,0,0,6,26,179,179,215,253,253,253,253,253,202,179,179,179,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,89,89,89,89,89,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,247,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,156,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,227,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,189,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,252,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,255,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,230,252,221,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,230,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,247,255,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,221,252,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,252,252,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,252,252,223,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,252,252,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,236,252,235,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,148,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,135,252,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,252,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,252,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,200,252,252,252,105,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,218,252,252,252,105,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,252,252,240,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,237,252,252,228,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,218,252,252,225,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,208,252,252,252,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,252,252,252,225,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,252,252,244,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,252,252,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,77,145,253,190,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,77,193,252,252,253,252,238,157,71,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,78,193,252,252,252,252,253,252,252,252,252,228,128,49,5,0,0,0,0,0,0,0,0,0,0,6,78,194,252,252,252,252,252,252,253,217,192,232,252,252,252,252,135,3,0,0,0,0,0,0,0,0,4,147,252,252,252,252,252,252,252,252,175,26,0,40,145,235,252,252,252,104,0,0,0,0,0,0,0,0,208,252,252,252,252,252,252,133,48,48,0,0,0,0,0,71,236,252,252,230,0,0,0,0,0,0,0,0,253,185,170,252,252,252,173,22,0,0,0,0,0,0,0,0,102,252,252,252,0,0,0,0,0,0,0,0,24,141,243,252,252,186,5,0,0,0,0,0,0,0,0,0,8,220,252,252,0,0,0,0,0,0,0,0,70,247,252,252,165,37,0,0,0,0,0,0,0,0,0,0,81,251,252,194,0,0,0,0,0,0,0,0,255,253,253,251,69,0,0,0,0,0,0,0,0,0,0,39,231,253,253,127,0,0,0,0,0,0,0,0,253,252,249,127,0,0,0,0,0,0,0,0,0,0,6,147,252,252,190,5,0,0,0,0,0,0,0,0,253,252,216,0,0,0,0,0,0,0,0,0,0,7,145,252,252,252,69,0,0,0,0,0,0,0,0,0,253,252,223,16,0,0,0,0,0,0,0,0,25,185,252,252,252,107,8,0,0,0,0,0,0,0,0,0,167,252,252,181,18,0,0,0,0,0,0,105,191,252,252,235,151,10,0,0,0,0,0,0,0,0,0,0,37,221,252,252,210,193,96,73,130,188,194,227,252,252,235,128,0,0,0,0,0,0,0,0,0,0,0,0,0,97,220,252,252,252,252,252,252,252,253,252,252,236,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,174,252,252,252,252,252,252,253,197,138,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,23,116,143,143,143,143,24,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,107,247,171,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,238,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,0,0,0,0,0,26,210,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,188,38,0,0,0,57,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,234,252,150,0,0,0,13,169,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,234,252,164,25,0,0,0,13,206,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,163,253,227,103,15,0,0,0,0,76,243,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,7,154,253,255,134,10,29,29,22,23,29,204,253,178,4,0,0,0,0,0,0,0,0,0,0,0,0,0,82,252,252,253,196,197,252,253,234,234,252,253,252,170,9,0,0,0,0,0,0,0,0,0,0,0,0,0,63,196,252,253,252,252,252,253,233,234,252,253,233,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,28,91,139,139,139,28,22,97,252,241,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,204,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,150,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,252,224,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,243,159,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,197,202,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,209,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,192,192,139,139,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,131,162,245,254,253,253,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,156,253,253,253,255,241,184,241,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,234,253,253,167,161,99,37,0,38,235,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,253,222,35,0,0,0,0,137,251,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,254,136,0,0,0,0,15,139,254,254,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,246,59,0,0,22,111,220,253,253,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,254,188,102,185,216,254,219,203,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,245,254,253,253,253,253,204,159,241,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,253,253,253,200,63,57,253,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,85,0,0,0,47,254,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,237,253,135,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,216,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,173,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,47,47,47,47,47,47,47,47,47,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,146,205,253,253,253,253,253,253,253,253,253,227,53,0,0,0,0,0,0,0,0,0,0,0,0,102,247,253,253,253,253,253,253,253,253,253,253,253,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,200,253,253,247,214,238,214,214,214,214,214,248,253,253,244,115,0,0,0,0,0,0,0,0,0,0,0,0,200,253,253,130,0,154,0,0,0,0,68,240,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,133,168,112,4,0,9,0,0,26,100,246,253,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,112,206,253,253,253,251,151,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,253,253,253,217,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,247,253,253,246,176,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,47,177,249,253,241,230,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,250,253,253,253,238,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,241,253,253,253,230,68,0,0,0,0,0,0,0,0,3,70,163,28,0,0,0,0,0,0,0,0,68,236,253,253,241,153,56,0,0,5,16,16,7,16,87,169,172,253,253,202,0,0,0,0,0,0,0,0,171,253,253,253,61,0,0,85,116,157,253,253,169,253,253,253,253,253,253,182,0,0,0,0,0,0,0,0,255,253,253,253,225,216,216,243,253,253,253,253,253,253,253,253,251,191,158,15,0,0,0,0,0,0,0,0,152,245,250,253,253,253,253,253,253,253,253,253,246,245,245,208,89,0,0,0,0,0,0,0,0,0,0,0,0,0,85,145,227,253,253,253,197,145,145,145,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,45,45,45,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,164,254,233,148,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,164,254,234,225,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,235,48,32,166,251,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,111,214,205,49,0,0,24,216,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,217,254,254,211,0,0,0,0,87,237,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,216,254,254,252,243,61,0,0,0,38,248,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,184,205,175,36,0,0,0,0,0,171,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,234,190,13,193,157,0,0,0,0,0,0,124,238,26,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,131,0,129,157,0,0,0,0,0,0,124,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,201,238,56,0,70,103,0,0,0,0,0,0,124,254,148,0,0,0,0,0,0,0,0,0,0,0,0,62,255,210,0,0,0,0,0,0,0,0,0,0,150,254,122,0,0,0,0,0,0,0,0,0,0,0,0,86,254,201,15,0,0,0,0,0,0,0,0,28,237,246,44,0,0,0,0,0,0,0,0,0,0,0,0,128,254,143,0,0,0,0,0,0,0,0,0,34,243,227,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,210,0,0,0,0,0,0,0,0,0,58,249,179,0,0,0,0,0,0,0,0,0,0,0,0,0,30,240,210,0,0,0,0,0,0,0,0,0,207,254,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,231,34,0,0,0,0,0,0,0,129,248,170,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,170,0,0,0,0,0,17,129,248,225,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,245,245,184,106,106,106,133,231,254,244,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,249,254,254,254,254,254,251,193,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,157,248,166,166,139,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,255,219,67,67,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,181,253,253,253,253,226,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,129,206,253,253,253,253,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,141,253,253,253,253,253,253,253,253,166,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,253,253,253,253,253,253,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,2,83,207,246,253,253,253,253,253,249,234,247,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,253,253,253,253,189,253,253,205,0,179,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,85,234,253,253,253,253,157,26,164,151,83,0,179,253,253,65,0,0,0,0,0,0,0,0,0,0,0,65,237,253,253,253,67,36,14,0,15,12,0,0,179,253,253,65,0,0,0,0,0,0,0,0,0,0,4,141,253,253,221,158,23,0,0,0,0,0,0,0,179,253,253,65,0,0,0,0,0,0,0,0,0,0,129,253,253,241,62,0,0,0,0,0,0,0,0,72,226,253,175,24,0,0,0,0,0,0,0,0,0,119,247,253,253,206,0,0,0,0,0,0,0,0,8,134,253,253,130,0,0,0,0,0,0,0,0,0,0,132,253,253,194,27,0,0,0,0,0,0,0,0,125,253,253,253,130,0,0,0,0,0,0,0,0,0,45,213,253,253,112,0,0,0,0,0,0,0,70,170,247,253,253,89,43,0,0,0,0,0,0,0,0,0,67,253,253,196,55,9,0,0,0,0,0,8,131,253,253,253,86,1,0,0,0,0,0,0,0,0,0,0,67,253,253,253,253,129,0,0,0,43,114,134,253,253,231,139,41,0,0,0,0,0,0,0,0,0,0,0,20,167,253,253,253,247,179,179,179,206,253,253,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,240,253,253,253,253,253,253,253,253,244,119,8,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,253,253,253,253,253,175,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,121,253,253,253,253,253,182,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,7,13,117,191,76,7,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,83,100,145,223,167,173,253,253,253,203,133,145,65,7,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,253,253,253,253,253,253,253,253,254,253,253,253,184,38,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,253,253,253,254,253,253,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,253,198,193,254,253,253,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,220,253,243,123,94,60,60,60,6,0,60,118,88,253,253,236,37,0,0,0,0,0,0,0,0,0,0,0,25,48,41,0,0,0,0,0,0,0,0,0,7,144,253,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,201,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,217,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,59,254,254,116,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,89,88,212,253,253,253,253,160,145,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,203,254,253,253,253,253,253,253,253,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,246,253,254,253,253,253,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,254,253,253,253,253,253,253,253,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,245,253,253,254,253,253,253,236,88,60,118,60,32,0,0,0,0,0,0,0,0,0,0,0,0,0,25,222,253,253,253,254,253,253,214,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,253,254,253,239,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,253,254,243,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,150,149,242,253,11,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,183,252,254,252,252,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,85,168,250,250,252,250,250,250,250,71,0,43,85,14,0,0,0,0,0,0,0,0,0,0,0,0,107,252,250,250,250,250,252,250,250,250,250,210,0,127,250,146,0,0,0,0,0,0,0,0,0,0,0,114,237,252,250,250,250,250,252,250,250,250,250,210,0,127,250,250,0,0,0,0,0,0,0,0,0,0,107,237,250,252,250,250,250,74,41,41,41,41,217,34,0,127,250,250,0,0,0,0,0,0,0,0,0,15,148,252,252,254,238,105,0,0,0,0,0,0,0,0,0,128,252,252,0,0,0,0,0,0,0,0,15,140,250,250,250,167,111,0,0,0,0,0,0,0,0,0,0,127,250,250,0,0,0,0,0,0,0,0,43,250,250,250,250,0,0,0,0,0,0,0,0,0,0,0,0,127,250,250,0,0,0,0,0,0,0,0,183,250,250,250,110,0,0,0,0,0,0,0,0,0,0,0,57,210,250,250,0,0,0,0,0,0,0,0,252,250,250,110,7,0,0,0,0,0,0,0,0,0,0,0,85,250,250,250,0,0,0,0,0,0,0,0,254,252,252,83,0,0,0,0,0,0,0,0,0,0,0,0,86,252,252,217,0,0,0,0,0,0,0,0,252,250,250,138,14,0,0,0,0,0,0,0,0,0,0,15,140,250,250,41,0,0,0,0,0,0,0,0,252,250,250,250,41,0,0,0,0,0,0,0,0,0,0,43,250,250,250,41,0,0,0,0,0,0,0,0,252,250,250,250,181,0,0,0,0,0,0,0,0,0,0,183,250,250,250,41,0,0,0,0,0,0,0,0,76,250,250,250,250,0,0,0,0,0,0,0,0,0,177,252,250,250,110,7,0,0,0,0,0,0,0,0,36,224,252,252,252,219,43,43,43,7,0,15,43,183,252,255,252,126,0,0,0,0,0,0,0,0,0,0,0,85,250,250,250,252,250,250,250,111,86,140,250,250,250,252,222,83,0,0,0,0,0,0,0,0,0,0,0,42,188,250,250,252,250,250,250,250,252,250,250,250,250,126,83,0,0,0,0,0,0,0,0,0,0,0,0,0,127,250,250,252,250,250,250,250,252,250,250,137,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,41,217,252,250,250,250,250,217,41,41,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,228,254,224,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,253,222,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,106,46,142,222,251,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,221,250,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,253,231,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,244,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,196,253,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,83,234,253,225,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,245,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,234,253,253,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,74,235,253,253,203,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,169,253,253,246,227,64,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,9,140,150,240,253,253,253,193,20,6,0,0,13,34,203,66,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,253,253,253,253,253,174,143,143,214,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,241,253,253,251,247,247,247,248,253,253,253,253,253,253,239,51,0,0,0,0,0,0,0,0,0,0,0,0,118,244,135,79,0,0,0,32,153,253,253,253,253,172,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,113,113,113,114,238,253,253,253,255,206,88,0,0,0,0,0,0,0,0,0,0,0,0,0,57,85,147,234,252,252,252,253,252,252,252,252,253,252,246,75,0,0,0,0,0,0,0,0,0,0,67,197,234,252,253,252,252,252,252,196,195,195,195,195,253,252,252,84,0,0,0,0,0,0,0,0,0,0,85,252,252,252,225,223,114,84,84,0,0,0,0,16,253,252,214,28,0,0,0,0,0,0,0,0,0,0,38,221,157,112,0,0,0,0,0,0,0,0,16,203,253,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,207,253,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,252,215,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,240,252,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,181,252,217,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,191,255,215,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,196,252,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,209,252,252,56,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,181,252,217,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,191,255,215,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,252,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,187,252,133,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,206,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,176,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,233,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,195,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,234,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,233,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,241,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,13,13,108,137,137,137,238,254,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,254,254,254,254,254,254,254,103,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,149,222,254,248,229,237,254,246,184,105,241,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,248,134,75,0,91,254,91,0,0,90,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,143,0,0,63,235,224,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,254,238,71,11,204,205,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,238,254,237,194,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,237,254,254,178,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,254,203,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,235,254,254,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,167,254,201,198,254,238,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,214,15,12,205,254,239,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,239,254,162,0,0,193,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,238,51,0,0,193,254,225,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,194,254,101,0,0,0,193,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,220,9,0,0,109,249,186,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,217,20,113,201,250,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,250,254,253,245,254,254,254,131,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,91,255,255,255,255,166,39,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,79,192,216,216,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,209,252,253,252,252,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,147,209,252,252,244,168,80,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,175,253,252,214,139,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,255,209,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,234,252,234,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,234,252,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,233,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,252,168,0,0,76,113,113,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,253,216,191,254,253,253,253,242,141,53,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,252,252,252,253,252,252,252,253,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,214,156,56,56,106,178,252,252,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,252,252,139,0,0,0,0,4,78,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,231,253,253,76,0,0,0,4,128,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,190,252,244,94,57,57,179,252,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,193,253,252,252,252,253,252,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,153,252,252,252,253,177,52,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,130,173,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,162,254,231,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,215,244,159,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,175,72,0,0,0,79,245,254,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,254,117,0,0,14,247,254,104,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,185,251,254,59,0,0,161,254,163,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,70,233,254,232,61,1,17,128,252,243,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,254,254,38,0,0,142,255,249,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,141,252,254,197,71,1,0,109,254,243,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,133,254,254,180,15,0,0,2,192,254,216,16,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,254,254,247,160,39,0,10,133,254,253,96,108,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,252,254,254,254,234,215,222,254,254,254,254,251,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,85,171,184,220,254,254,254,227,198,161,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,122,18,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,226,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,133,253,195,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,196,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,241,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,138,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,237,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,255,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,237,253,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,207,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,221,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,190,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,255,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,236,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,229,252,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,51,221,252,247,219,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,236,252,252,216,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,222,253,252,135,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,224,252,253,220,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,252,252,154,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,172,248,252,252,53,81,193,193,62,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,203,252,252,252,192,252,252,252,207,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,253,253,253,253,255,253,185,149,241,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,252,252,252,252,253,237,155,0,135,239,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,183,252,252,252,252,247,216,53,0,135,239,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,217,252,252,252,252,198,21,0,0,223,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,243,252,252,252,207,29,5,58,223,182,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,240,252,252,252,132,30,13,153,226,181,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,252,252,252,231,134,183,252,252,188,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,252,252,252,252,252,253,252,193,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,239,252,252,252,252,253,216,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,103,103,129,252,253,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,198,91,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,254,251,176,164,93,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,248,254,254,254,254,254,251,207,160,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,157,99,99,172,243,254,254,254,235,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,17,207,254,254,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,143,250,254,249,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,144,242,254,254,230,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,254,247,163,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,248,254,212,91,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,234,254,254,183,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,219,254,254,116,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,203,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,134,254,239,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,133,254,246,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,61,116,242,254,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,14,90,174,244,254,254,254,249,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,199,254,255,254,254,254,239,120,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,248,230,244,251,191,206,122,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,102,0,46,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,7,0,0,0,0,9,105,231,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,201,70,0,0,0,124,252,252,197,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,243,252,104,0,0,7,191,252,240,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,241,252,252,0,0,0,129,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,239,252,252,136,0,0,27,229,252,171,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,238,252,252,134,3,0,7,156,252,206,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,108,239,252,252,133,5,0,5,158,252,236,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,176,252,252,224,58,5,0,0,162,252,238,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,252,211,109,109,10,53,253,252,164,0,27,78,0,0,0,0,0,0,0,0,0,0,0,0,0,30,252,252,252,252,252,252,242,246,253,252,245,160,152,249,201,75,0,0,0,0,0,0,0,0,0,0,0,0,76,121,149,241,247,252,253,253,255,253,253,253,253,253,243,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,93,239,252,241,159,108,108,108,108,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,243,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,184,252,206,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,205,252,174,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,182,252,190,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,173,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,246,221,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,223,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,229,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,148,254,253,249,130,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,254,253,248,128,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,254,253,175,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,178,254,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,243,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,154,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,227,253,253,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,254,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,127,253,239,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,143,213,178,255,253,248,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,132,251,253,253,254,216,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,117,128,247,253,164,105,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,135,255,189,106,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,166,254,254,254,254,184,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,201,254,236,167,254,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,249,165,9,1,22,240,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,143,0,0,26,197,254,245,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,115,87,141,240,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,254,254,254,233,254,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,155,191,138,121,46,254,250,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,251,254,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,249,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,246,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,228,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,210,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,238,201,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,248,166,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,132,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,241,251,251,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,251,251,251,245,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,204,251,251,251,245,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,251,251,251,251,167,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,155,251,251,251,251,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,157,248,251,251,251,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,251,251,251,212,78,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,251,251,253,251,170,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,57,162,251,253,251,251,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,239,255,253,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,251,251,230,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,221,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,251,251,251,251,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,199,251,251,251,155,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,204,251,251,251,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,249,251,251,248,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,251,251,251,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,251,251,251,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,131,251,251,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,121,233,218,121,121,121,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,241,251,252,252,252,252,252,252,238,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,94,171,240,253,252,252,252,252,252,252,252,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,252,252,252,253,218,172,172,136,39,185,252,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,185,185,185,53,31,0,0,0,15,194,252,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,200,252,252,249,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,166,252,252,233,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,77,238,252,252,212,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,14,147,191,252,252,248,210,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,252,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,255,253,253,253,218,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,145,146,145,241,252,252,249,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,237,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,223,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,23,197,252,252,252,79,0,0,0,0,0,0,0,0,0,0,0,20,167,215,131,30,0,0,0,0,22,41,200,252,252,241,184,25,0,0,0,0,0,0,0,0,0,0,0,121,252,252,252,227,160,160,160,160,208,253,252,252,229,96,0,0,0,0,0,0,0,0,0,0,0,0,0,51,161,250,252,252,252,252,252,252,252,253,239,189,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,161,252,252,252,252,252,252,120,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,164,217,255,212,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,218,250,254,254,254,254,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,239,252,174,53,95,26,86,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,230,62,0,0,0,0,32,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,80,0,0,0,0,0,32,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,240,248,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,208,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,235,254,243,89,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,253,254,254,254,254,253,223,114,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,221,222,207,175,222,223,254,254,144,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,86,244,254,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,239,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,238,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,69,0,0,0,1,128,252,245,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,243,190,117,123,206,254,247,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,237,254,254,254,254,249,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,123,196,164,163,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,191,255,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,128,64,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,128,0,0,0,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,64,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,79,150,255,224,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,36,135,244,253,253,253,244,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,73,191,253,253,253,253,247,200,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,253,253,222,177,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,233,253,253,226,121,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,145,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,196,253,251,207,81,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,233,253,253,253,100,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,176,244,253,253,144,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,253,253,195,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,59,200,253,253,215,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,205,253,253,194,20,0,0,0,0,0,0,0,0,0,0,0,0,0,85,209,231,231,102,0,0,0,0,0,18,206,253,253,105,0,0,0,0,0,0,0,0,0,0,0,0,168,252,253,248,183,55,0,0,0,0,0,0,32,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,209,21,0,0,0,0,0,0,0,44,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,85,241,253,253,152,21,0,0,0,0,0,30,217,253,241,84,0,0,0,0,0,0,0,0,0,0,0,0,0,86,241,253,253,203,66,20,20,66,66,217,253,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,244,253,253,253,217,217,253,253,253,244,94,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,95,253,253,253,253,253,253,201,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,28,135,218,217,135,28,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,202,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,193,253,202,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,252,236,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,230,21,0,0,64,248,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,170,253,253,128,0,5,191,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,235,18,0,47,252,252,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,252,202,44,0,0,130,252,153,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,248,253,235,64,0,0,62,236,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,243,60,0,0,0,138,252,221,25,106,221,42,0,0,0,0,0,0,0,0,0,0,0,0,0,32,229,253,233,24,24,24,24,255,253,222,138,243,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,253,252,252,252,252,253,252,252,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,215,253,252,252,252,252,253,252,252,227,183,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,161,160,185,252,252,253,193,128,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,232,252,128,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,243,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,197,252,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,185,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,194,227,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,141,141,141,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,133,133,203,252,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,56,171,252,247,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,128,253,246,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,252,224,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,224,252,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,179,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,196,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,209,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,247,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,246,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,188,246,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,194,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,157,253,240,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,140,252,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,243,252,252,78,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,205,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,118,205,251,253,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,144,241,244,253,253,253,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,145,240,253,253,253,253,253,253,253,235,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,145,249,253,253,253,253,233,173,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,221,253,253,253,227,162,131,44,188,253,253,183,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,245,179,168,128,28,0,20,120,253,253,182,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,6,0,0,0,0,100,253,253,221,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,240,253,180,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,210,253,240,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,181,253,209,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,240,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,240,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,241,241,177,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,242,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,231,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,243,246,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,236,248,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,182,247,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,232,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,231,24,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,235,235,27,0,0,0,0,0,0,88,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,253,195,0,0,0,0,0,0,13,237,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,83,0,0,0,0,0,0,116,237,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,246,254,0,0,0,0,0,0,20,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,0,0,0,0,0,5,150,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,0,0,0,0,0,59,253,198,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,250,253,68,0,0,0,0,164,242,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,240,68,0,0,76,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,173,255,246,127,59,134,255,114,0,0,0,37,104,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,250,253,253,253,254,213,118,118,118,201,191,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,145,247,253,254,253,253,253,253,205,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,215,117,109,19,110,41,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,248,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,244,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,229,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,37,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,49,49,49,158,170,174,253,201,89,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,61,84,199,253,253,253,253,253,254,253,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,137,199,253,253,253,253,253,225,180,65,60,60,180,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,237,168,168,168,47,0,0,0,61,235,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,157,212,253,101,0,0,0,0,0,0,161,238,253,235,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,24,8,0,0,0,0,0,162,255,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,254,242,57,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,255,255,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,124,238,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,156,253,239,107,5,0,0,0,0,9,37,37,141,157,157,0,0,0,0,0,0,0,0,0,0,0,33,155,253,253,151,49,3,0,5,49,129,190,253,253,253,232,147,0,0,0,0,0,0,0,0,0,0,27,230,253,253,253,219,253,185,183,188,253,253,253,253,204,146,41,0,0,0,0,0,0,0,0,0,0,0,37,253,253,253,253,253,253,253,220,246,180,180,151,60,12,0,0,0,0,0,0,0,0,0,0,0,0,0,7,128,139,48,89,168,168,53,25,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,62,146,182,254,254,181,176,139,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,186,253,217,208,136,136,136,166,232,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,242,208,111,3,0,0,0,0,0,18,32,107,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,242,23,0,0,0,0,0,0,0,13,191,181,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,255,98,3,0,0,0,0,0,8,194,225,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,120,3,0,0,0,0,128,247,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,111,244,169,19,0,14,131,249,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,241,235,72,142,229,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,218,254,231,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,221,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,237,111,196,217,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,138,0,23,193,204,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,224,0,0,0,25,218,169,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,138,0,0,0,0,86,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,97,0,0,0,0,3,162,214,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,97,0,0,0,0,0,118,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,157,0,0,0,0,0,40,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,244,61,0,0,0,0,112,244,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,251,142,59,83,167,244,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,133,253,253,253,169,61,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,65,101,164,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,66,147,219,244,253,253,253,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,173,174,224,253,253,253,253,184,143,79,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4,103,185,248,253,241,223,218,124,36,24,2,0,0,0,0,0,0,0,0,0,0,0,0,4,149,137,27,30,253,240,168,71,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,253,253,157,14,114,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,253,253,144,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,168,247,253,253,216,95,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,248,249,253,253,216,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,128,227,253,235,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,66,0,0,0,0,0,22,204,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,143,0,0,0,0,0,55,234,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,194,26,26,18,23,98,235,253,160,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,253,253,232,247,253,253,192,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,106,241,253,253,236,218,109,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,64,64,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,63,160,255,254,254,149,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,167,240,254,254,254,254,254,254,252,130,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,254,254,167,157,132,162,235,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,220,145,4,1,0,0,0,7,180,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,245,23,0,0,0,0,0,0,0,11,55,48,78,138,0,0,0,0,0,0,0,0,0,0,0,0,0,216,134,0,0,0,0,0,0,0,0,25,102,211,209,201,0,0,0,0,0,0,0,0,0,0,0,0,0,124,92,0,0,0,0,0,0,0,46,215,254,253,201,66,0,0,0,0,0,0,0,0,0,0,0,0,0,41,206,4,0,0,0,2,115,211,245,254,185,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,231,77,0,0,34,182,254,254,219,109,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,187,46,80,238,254,254,227,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,236,254,254,247,115,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,254,155,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,206,254,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,115,239,254,205,179,225,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,252,254,229,161,47,24,244,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,248,254,235,70,0,25,173,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,225,254,254,62,38,157,223,254,234,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,254,254,219,254,254,254,254,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,224,254,254,254,254,254,225,122,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,254,254,221,102,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,240,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,156,252,253,201,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,240,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,252,242,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,243,252,208,0,0,0,23,123,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,220,37,0,0,126,227,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,196,0,63,176,253,253,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,252,195,10,178,253,252,252,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,195,138,252,253,233,176,205,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,202,178,252,253,74,73,252,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,252,252,252,190,137,227,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,253,253,253,253,255,253,253,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,206,252,252,252,252,253,252,233,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,246,252,252,252,253,201,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,246,252,236,84,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,173,254,187,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,236,187,222,237,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,248,241,66,0,42,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,141,244,58,0,0,21,246,250,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,119,0,0,0,0,166,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,33,0,0,0,0,166,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,186,5,0,0,0,1,170,211,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,175,13,0,0,0,23,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,34,34,34,48,144,187,255,254,81,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,67,171,253,253,253,254,253,253,253,239,187,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,220,253,253,236,154,154,154,223,253,235,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,83,121,20,9,0,0,3,184,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,188,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,254,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,213,254,139,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,234,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,144,253,253,255,253,253,253,253,255,128,25,0,0,0,0,0,0,0,0,0,0,0,0,0,57,163,226,249,252,252,252,253,252,252,252,252,253,252,103,0,0,0,0,0,0,0,0,0,0,0,19,166,234,252,253,252,252,214,195,196,70,133,71,227,253,252,195,0,0,0,0,0,0,0,0,0,0,0,76,246,252,252,225,99,84,28,0,0,0,0,0,140,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,88,112,112,0,0,0,0,0,0,0,0,95,203,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,255,215,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,210,246,252,252,215,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,222,252,252,252,173,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,60,169,215,253,252,252,252,252,169,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,240,252,252,252,253,252,252,252,252,253,214,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,190,141,94,0,0,141,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,167,167,74,12,0,0,0,0,94,253,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,85,9,0,0,0,0,0,67,178,240,253,223,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,203,165,57,135,198,197,240,252,252,228,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,237,252,252,252,252,253,252,252,249,145,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,237,252,252,252,253,252,220,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,221,254,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,227,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,254,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,138,252,254,253,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,138,253,253,254,253,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,144,253,253,253,254,230,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,216,253,247,127,224,254,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,219,253,247,39,0,221,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,78,246,253,188,63,0,58,245,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,196,253,253,157,21,0,0,127,253,254,77,0,0,0,0,0,68,111,15,0,0,0,0,0,0,0,0,193,254,254,245,72,34,34,13,189,254,227,34,34,34,58,144,197,255,244,77,0,0,0,0,0,0,0,0,107,204,253,253,253,253,253,207,234,253,254,253,253,253,253,253,253,213,82,0,0,0,0,0,0,0,0,0,0,12,87,154,219,253,253,253,253,253,254,253,253,245,154,154,53,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,10,112,144,253,253,223,10,10,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,211,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,219,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,148,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,241,254,219,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,246,253,253,225,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,164,241,253,253,131,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,254,219,53,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,231,253,223,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,180,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,133,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,254,94,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,215,5,0,0,0,0,217,247,241,213,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,220,233,64,0,0,0,45,221,251,253,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,199,0,0,0,0,163,253,253,228,237,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,199,0,0,11,201,254,253,143,100,242,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,199,0,0,14,253,254,230,40,188,253,115,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,208,34,0,14,253,255,93,190,253,186,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,248,253,238,161,165,253,255,253,243,184,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,253,253,253,255,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,218,253,253,253,253,121,120,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,200,255,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,237,254,221,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,254,231,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,232,254,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,229,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,217,254,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,233,254,212,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,215,254,254,116,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,254,254,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,254,254,254,254,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,163,254,185,58,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,170,255,254,215,159,73,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,225,239,216,201,125,215,250,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,227,248,119,0,0,0,0,231,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,68,0,0,0,3,138,184,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,247,148,3,0,0,7,90,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,103,0,0,5,89,253,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,187,85,120,198,253,253,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,208,253,253,253,197,247,251,106,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,128,86,37,67,249,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,255,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,238,202,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,250,165,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,193,198,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,234,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,222,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,196,92,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,18,131,136,136,164,255,248,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,167,253,253,253,211,100,100,63,0,0,0,29,154,104,0,0,0,0,0,0,0,0,0,0,0,0,12,203,253,253,199,82,31,0,0,0,0,53,123,187,253,145,0,0,0,0,0,0,0,0,0,0,0,10,164,253,228,78,3,0,0,0,0,27,179,252,253,253,235,38,0,0,0,0,0,0,0,0,0,0,0,36,253,253,68,0,0,0,0,21,180,224,253,166,161,253,147,0,0,0,0,0,0,0,0,0,0,0,0,36,253,253,97,0,0,60,127,231,253,213,95,6,192,211,8,0,0,0,0,0,0,0,0,0,0,0,0,2,116,252,250,243,243,249,252,220,38,7,0,183,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,208,230,230,163,94,0,0,0,0,249,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,249,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,238,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,243,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,187,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,206,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,185,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,158,37,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,240,234,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,163,135,83,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,245,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,170,253,216,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,237,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,238,253,249,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,173,253,253,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,253,157,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,223,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,160,253,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,253,180,9,0,0,2,69,69,69,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,226,253,253,63,0,36,64,187,253,253,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,166,10,8,193,253,252,226,252,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,218,253,253,6,0,73,253,253,242,0,159,252,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,189,3,44,229,253,240,56,0,51,236,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,123,0,90,253,253,169,0,0,159,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,241,17,0,209,253,211,12,3,150,252,136,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,239,0,27,233,253,217,78,201,223,61,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,249,179,211,253,253,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,253,253,253,253,251,229,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,134,253,253,253,253,253,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,57,57,57,57,57,57,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,185,229,252,252,252,253,252,252,252,185,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,188,246,252,253,252,252,252,241,139,177,252,253,246,187,13,0,0,0,0,0,0,0,0,0,0,0,26,255,253,244,175,101,0,0,0,0,0,0,0,126,244,253,153,0,0,0,0,0,0,0,0,0,0,82,243,253,214,81,0,0,0,0,0,0,0,0,0,0,169,252,252,0,0,0,0,0,0,0,0,0,19,215,252,206,56,0,0,0,0,0,0,0,0,0,0,0,169,252,252,0,0,0,0,0,0,0,0,0,157,252,252,13,0,0,0,0,0,0,0,0,0,0,0,0,169,252,151,0,0,0,0,0,0,0,0,41,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,92,253,206,13,0,0,0,0,0,0,0,0,166,252,196,9,0,0,0,0,0,0,0,0,0,0,0,0,216,252,142,0,0,0,0,0,0,0,0,0,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,89,253,208,13,0,0,0,0,0,0,0,0,0,253,252,68,0,0,0,0,0,0,0,0,0,0,0,38,225,253,96,0,0,0,0,0,0,0,0,0,0,254,253,56,0,0,0,0,0,0,0,0,0,0,45,229,253,151,0,0,0,0,0,0,0,0,0,0,0,253,252,81,0,0,0,0,0,0,0,0,0,70,225,252,227,0,0,0,0,0,0,0,0,0,0,0,0,216,252,168,0,0,0,0,0,0,0,29,134,253,252,186,31,0,0,0,0,0,0,0,0,0,0,0,0,91,252,243,125,0,0,0,51,114,113,210,252,253,151,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,254,253,253,253,254,253,244,175,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,122,196,197,221,196,196,197,121,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,118,184,254,255,146,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,197,246,253,253,253,253,253,239,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,199,253,253,251,177,208,253,253,253,250,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,217,119,0,25,61,212,253,237,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,203,228,77,0,0,0,75,236,253,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,28,0,0,0,62,240,253,251,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,248,253,253,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,90,179,242,253,253,224,56,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,203,206,219,253,253,253,253,197,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,253,253,253,253,253,253,149,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,226,226,226,125,89,93,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,179,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,187,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,16,98,221,253,253,181,8,0,0,0,0,0,0,0,0,0,0,0,93,229,158,49,9,63,63,63,63,174,210,253,253,253,138,37,0,0,0,0,0,0,0,0,0,0,0,0,35,239,253,237,189,253,253,253,253,253,253,253,226,75,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,253,253,253,253,253,253,248,232,143,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,156,253,253,253,253,253,130,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,255,213,41,0,0,0,0,0,0,0,0,82,132,10,0,0,0,0,0,0,0,0,0,0,0,0,51,252,213,252,243,203,142,61,0,0,0,82,163,243,253,50,0,0,0,0,0,0,0,0,0,0,0,0,52,253,203,0,102,102,163,243,254,172,254,253,224,223,224,20,0,0,0,0,0,0,0,0,0,0,0,0,51,252,203,0,0,0,0,40,50,50,151,70,20,102,223,20,0,0,0,0,0,0,0,0,0,0,0,0,0,203,214,10,0,0,0,0,0,0,0,0,0,102,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,50,0,0,0,0,0,0,0,0,0,183,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,151,0,0,0,0,0,0,0,0,0,203,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,151,0,0,0,0,0,0,0,0,21,223,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,61,0,0,0,0,0,0,0,0,51,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,232,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,112,112,151,241,241,241,147,112,112,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,158,242,253,253,253,253,253,253,253,253,253,225,94,0,0,0,0,0,0,0,0,0,0,0,0,162,228,252,253,253,253,253,172,155,155,155,155,223,253,253,237,40,0,0,0,0,0,0,0,0,0,0,0,255,253,42,86,162,48,32,6,0,0,0,0,39,210,253,230,13,0,0,0,0,0,0,0,0,0,0,0,211,253,12,0,0,0,0,0,0,0,0,18,116,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,22,45,3,0,0,0,0,0,0,0,19,181,253,253,243,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,214,253,253,205,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,240,253,253,184,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,189,240,253,240,101,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,166,243,253,238,167,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,206,253,253,215,82,0,0,0,0,0,0,0,28,46,46,46,0,0,0,0,0,0,0,0,0,19,163,247,253,239,170,15,0,11,40,40,40,127,169,170,219,253,253,233,0,0,0,0,0,0,0,0,17,202,253,253,253,107,143,163,163,186,253,253,253,253,253,250,221,220,150,44,0,0,0,0,0,0,0,0,125,253,253,253,253,253,253,253,253,253,234,227,227,227,143,87,0,0,0,0,0,0,0,0,0,0,0,0,115,234,234,242,253,253,253,237,129,104,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,110,110,110,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,239,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,251,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,240,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,227,254,66,0,0,0,2,82,181,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,207,193,40,0,0,0,169,250,147,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,247,229,31,7,0,0,0,195,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,231,37,0,0,0,0,143,254,218,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,205,178,178,102,76,246,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,164,234,254,254,254,254,254,254,162,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,52,109,133,230,254,254,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,254,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,232,224,121,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,102,4,240,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,192,225,14,0,239,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,75,0,26,245,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,52,0,102,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,52,10,216,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,52,166,254,195,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,184,251,237,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,188,255,212,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,105,105,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,87,209,229,253,253,232,209,209,209,68,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,15,188,253,253,254,253,253,253,253,253,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,253,253,253,254,253,182,253,253,253,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,199,245,253,253,240,90,29,29,25,253,253,253,253,129,7,0,0,0,0,0,0,0,0,0,0,0,0,0,110,244,237,170,61,0,0,61,184,253,253,249,143,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,56,0,0,0,0,209,253,253,213,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,152,251,253,210,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,72,229,254,242,199,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,253,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,184,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,215,253,232,79,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,87,243,253,245,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,253,239,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,243,253,186,69,0,0,0,0,0,0,0,0,0,9,75,75,75,75,0,0,0,0,0,0,0,0,75,240,253,253,56,13,30,30,30,30,31,30,30,30,163,188,253,253,253,235,0,0,0,0,0,0,0,0,184,253,253,253,253,183,253,253,253,253,254,253,253,253,253,253,253,253,149,49,0,0,0,0,0,0,0,0,255,253,253,253,253,253,253,253,253,253,255,253,253,253,226,163,84,14,4,0,0,0,0,0,0,0,0,0,139,253,253,253,253,253,253,237,181,147,209,208,199,59,42,0,0,0,0,0,0,0,0,0,0,0,0,0,43,104,104,104,104,104,104,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,214,253,234,152,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,243,253,252,253,252,203,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,253,123,0,21,183,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,130,0,0,0,0,253,252,203,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,244,40,0,0,0,0,92,253,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,162,0,0,0,0,0,51,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,102,0,0,0,0,0,132,253,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,183,0,0,0,123,203,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,254,172,152,233,254,253,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,253,252,253,252,233,151,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,102,102,61,0,102,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,255,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,213,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,29,128,251,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,234,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,241,252,177,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,141,241,242,47,10,179,255,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,187,252,252,209,41,172,252,222,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,229,252,252,77,25,95,252,252,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,237,253,227,103,3,76,243,252,202,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,229,253,226,88,0,0,204,253,244,25,0,7,66,28,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,194,57,57,82,253,252,187,157,170,187,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,252,252,228,253,252,252,252,253,252,224,118,0,0,0,0,0,0,0,0,0,0,0,0,0,7,116,240,253,252,252,252,253,252,252,202,140,65,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,207,253,253,226,113,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,187,252,227,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,252,224,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,227,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,237,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,122,174,95,0,0,0,0,0,0,0,15,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,254,254,247,30,0,0,0,0,0,0,177,217,157,13,0,0,0,0,0,0,0,0,0,0,0,0,0,8,254,254,254,95,0,0,0,0,0,0,207,254,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,225,0,0,0,0,0,0,0,207,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,135,0,0,0,0,0,0,0,207,254,254,228,4,0,0,0,0,0,0,0,0,0,0,0,0,120,254,254,130,0,0,0,0,0,0,3,209,254,254,254,5,0,0,0,0,0,0,0,0,0,0,0,15,229,254,254,27,0,0,0,0,0,0,60,254,254,254,235,4,0,0,0,0,0,0,0,0,0,0,0,18,230,254,254,27,0,0,0,0,0,0,35,234,254,254,231,4,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,41,17,101,126,195,234,234,239,254,254,254,254,114,5,0,0,0,0,0,0,0,0,0,0,17,230,254,254,254,254,254,254,254,254,254,254,254,254,254,254,248,60,0,0,0,0,0,0,0,0,0,0,77,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,136,0,0,0,0,0,0,0,0,0,0,0,77,254,254,254,254,254,254,254,254,247,177,201,254,254,254,157,7,0,0,0,0,0,0,0,0,0,0,0,59,247,254,254,254,254,234,195,171,55,0,35,234,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,139,213,223,106,48,32,0,0,0,0,37,236,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,1,6,7,0,0,0,0,0,0,0,0,207,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,254,254,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,180,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,202,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,194,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,202,253,252,167,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,253,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,241,254,235,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,253,242,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,253,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,169,252,253,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,245,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,254,217,35,63,167,254,254,254,122,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,184,175,235,254,253,253,253,253,204,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,253,253,253,254,241,238,238,251,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,253,253,253,205,23,0,0,224,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,250,253,253,253,240,90,17,0,0,36,233,244,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,253,253,102,0,0,8,39,214,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,253,253,138,80,135,163,253,253,213,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,226,253,253,253,251,247,255,253,253,210,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,240,253,253,253,253,254,242,199,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,253,253,255,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,166,250,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,254,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,151,107,0,0,0,0,0,105,254,231,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,235,0,0,0,0,21,213,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,235,0,0,0,0,113,254,230,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,235,0,0,0,0,196,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,243,254,155,0,0,0,72,251,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,237,58,0,0,0,173,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,201,0,0,0,82,219,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,248,254,118,0,0,124,246,254,230,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,254,195,3,72,173,250,254,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,254,248,236,251,254,254,254,241,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,254,254,249,238,148,212,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,173,86,36,0,24,245,250,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,237,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,223,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,71,198,255,255,231,220,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,128,192,253,254,251,229,245,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,189,253,253,236,218,138,0,65,209,226,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,234,253,235,152,44,0,0,0,0,182,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,199,253,204,62,0,0,0,0,0,12,199,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,198,12,0,0,0,0,42,91,205,253,232,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,205,57,177,60,0,86,181,253,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,241,248,238,218,254,207,253,253,155,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,170,253,253,253,253,201,24,87,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,46,132,132,22,6,12,249,253,207,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,235,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,255,251,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,249,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,195,253,223,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,192,253,224,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,191,253,222,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,191,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,66,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,247,253,176,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,219,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,255,253,143,113,113,114,50,113,113,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,214,253,252,252,252,252,253,237,252,252,237,86,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,252,252,252,252,253,252,252,252,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,84,115,223,223,237,252,252,252,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,252,252,190,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,252,252,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,252,245,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,215,253,252,252,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,153,252,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,255,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,200,252,252,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,252,252,252,253,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,252,252,253,242,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,240,252,252,252,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,253,253,255,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,252,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,246,252,252,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,252,252,252,240,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,221,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,235,255,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,132,208,253,253,171,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,177,253,253,253,253,253,242,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,253,253,253,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,208,253,253,253,253,253,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,253,253,236,156,184,253,148,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,141,253,253,253,253,27,0,170,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,253,253,253,253,253,27,0,170,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,186,253,253,253,242,105,4,0,170,253,253,94,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,242,100,0,0,0,170,253,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,224,0,0,0,0,170,253,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,12,158,253,253,230,51,0,0,0,0,18,237,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,218,61,0,0,0,0,0,0,236,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,168,0,0,0,0,0,0,0,110,253,132,3,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,168,0,0,0,0,0,20,174,239,147,5,0,0,0,0,0,0,0,0,0,0,0,0,0,5,155,253,253,168,0,0,0,0,102,170,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,128,253,253,228,179,179,179,179,245,253,253,219,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,253,253,253,253,253,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,199,253,253,253,253,253,253,253,253,170,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,219,253,253,253,253,253,224,65,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,87,254,255,240,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,105,228,253,253,230,249,252,100,73,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,149,253,253,224,56,21,99,230,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,253,187,13,0,0,0,134,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,241,253,237,14,0,0,0,7,131,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,249,251,86,0,0,0,37,168,253,253,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,202,0,0,0,63,226,253,221,253,237,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,140,0,34,102,226,239,99,71,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,233,236,181,238,253,197,28,0,114,253,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,200,253,197,114,17,0,14,218,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,254,254,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,222,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,247,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,227,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,242,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,47,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,58,146,146,146,146,179,253,201,146,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,249,253,253,253,253,253,253,253,253,239,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,253,253,225,214,214,218,253,253,253,225,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,250,147,115,115,31,0,0,11,182,253,253,253,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,4,0,0,0,0,0,8,167,253,253,253,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,145,253,253,253,239,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,168,253,253,253,245,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,97,243,253,253,253,232,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,108,203,253,253,253,237,154,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,222,253,253,253,253,140,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,159,234,253,253,230,165,30,3,0,0,0,0,0,0,3,70,70,70,0,0,0,0,0,0,0,0,68,185,253,253,241,237,64,0,0,0,2,16,16,16,16,147,172,253,250,238,0,0,0,0,0,0,0,0,171,253,253,253,61,0,110,116,116,116,128,253,253,253,253,253,253,253,199,0,0,0,0,0,0,0,0,0,255,253,253,253,225,216,251,253,253,253,253,253,253,253,253,200,191,191,57,0,0,0,0,0,0,0,0,0,152,247,253,253,253,253,253,253,253,246,245,245,245,236,92,14,0,0,0,0,0,0,0,0,0,0,0,0,0,27,145,250,253,253,253,174,145,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,45,45,45,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,238,143,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,85,85,0,0,0,57,85,253,252,233,56,0,0,0,0,0,0,0,0,0,0,0,0,38,57,198,197,240,214,195,0,19,88,234,252,253,252,164,0,0,0,0,0,0,0,0,0,0,0,0,7,178,252,253,242,223,74,0,92,196,252,252,252,253,195,19,0,0,0,0,0,0,0,0,0,0,0,0,135,252,252,190,74,0,95,140,253,252,252,252,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,253,51,113,144,253,253,255,152,31,169,253,255,106,0,0,0,0,0,0,0,0,0,0,0,0,9,155,252,252,238,252,252,195,167,27,3,0,169,252,215,18,0,0,0,0,0,0,0,0,0,0,0,0,0,13,149,195,253,201,164,19,0,0,0,76,234,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,9,0,0,0,0,10,203,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,252,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,246,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,215,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,227,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,239,253,224,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,127,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,49,123,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,90,174,223,238,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,176,166,149,241,254,254,254,195,137,53,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,230,254,254,253,226,169,137,79,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,239,115,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,140,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,199,255,194,94,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,254,254,191,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,108,28,28,162,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,213,239,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,230,56,0,0,0,0,4,115,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,187,37,88,172,182,182,210,254,135,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,254,254,254,254,254,232,127,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,129,129,129,110,72,102,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,231,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,255,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,234,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,232,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,244,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,173,252,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,232,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,135,165,165,147,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,121,58,0,13,111,219,236,253,254,254,254,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,254,179,117,224,253,253,254,253,184,143,79,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,254,253,253,254,222,124,115,24,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,157,250,254,203,167,69,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,185,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,248,254,223,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,253,250,230,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,200,248,248,252,253,249,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,80,0,0,0,0,0,73,227,254,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,229,183,0,0,0,0,0,0,111,253,250,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,89,0,0,0,0,0,0,149,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,235,130,26,26,26,26,63,201,254,241,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,240,253,253,253,253,253,253,253,253,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,144,249,254,254,254,254,240,199,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,64,64,64,64,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,197,254,130,25,28,130,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,224,253,224,255,233,240,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,222,253,223,39,167,253,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,220,36,0,19,220,253,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,211,246,35,0,25,178,253,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,246,35,66,209,254,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,199,253,241,248,253,166,183,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,250,253,240,161,0,177,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,156,46,0,25,234,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,220,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,250,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,144,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,163,253,253,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,235,195,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,251,251,251,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,180,253,251,251,173,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,255,253,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,255,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,251,253,168,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,246,251,251,190,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,221,251,251,251,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,251,251,188,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,235,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,128,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,128,64,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,191,64,0,0,0,0,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,128,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,64,0,0,0,0,0,191,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,0,0,0,0,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,0,0,0,0,0,0,0,0,0,255,191,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,191,0,0,0,0,0,0,128,255,64,0,0,0,0,0,0,0,0,0,0,0,0,191,255,0,0,191,191,255,255,191,128,0,0,64,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,128,64,0,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,64,0,0,0,0,0,0,64,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,64,0,0,0,128,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,255,191,128,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,125,125,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,118,154,248,248,249,253,253,253,248,248,174,115,0,0,0,0,0,0,0,0,0,0,0,0,0,43,158,251,253,253,253,253,253,253,253,253,253,253,253,253,174,0,0,0,0,0,0,0,0,0,0,46,225,242,253,253,253,253,253,253,178,149,149,149,149,211,253,253,253,0,0,0,0,0,0,0,0,0,0,69,246,203,167,155,116,25,25,25,7,0,0,0,0,33,253,253,203,0,0,0,0,0,0,0,0,0,0,0,30,16,4,0,0,0,0,0,0,0,0,0,71,224,253,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,215,239,253,253,251,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,106,209,239,253,253,247,168,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,113,202,202,240,253,253,253,253,195,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,245,253,253,253,253,253,253,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,253,208,194,128,128,234,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,71,71,71,17,0,0,0,76,253,232,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,19,23,0,0,0,0,0,0,0,0,0,0,40,253,253,104,0,0,0,0,0,0,0,0,0,0,0,33,202,199,10,0,0,0,0,0,0,0,0,6,134,253,253,104,0,0,0,0,0,0,0,0,0,0,0,255,253,211,36,3,0,0,0,0,0,20,27,134,253,253,224,40,0,0,0,0,0,0,0,0,0,0,0,244,253,253,253,160,150,150,150,150,150,227,253,253,250,234,90,0,0,0,0,0,0,0,0,0,0,0,0,54,170,253,253,253,253,253,253,253,253,253,250,149,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,237,247,247,247,247,247,247,216,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,102,243,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,254,254,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,183,254,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,247,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,254,225,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,229,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,215,254,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,145,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,234,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,244,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,237,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,60,230,255,200,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,254,22,67,0,67,7,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,254,213,237,209,237,176,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,255,254,254,179,100,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,47,129,253,255,253,232,109,110,78,0,0,0,0,0,0,0,0,0,0,0,0,0,1,73,73,94,217,233,232,252,252,253,252,252,252,253,242,196,31,0,0,0,0,0,0,0,0,0,0,0,21,252,252,252,252,253,252,252,252,253,252,252,252,253,252,252,128,0,0,0,0,0,0,0,0,0,0,21,206,252,252,252,252,253,252,252,168,108,108,108,108,253,252,252,252,0,0,0,0,0,0,0,0,0,0,21,205,205,143,123,0,0,0,0,0,0,0,0,0,47,232,252,189,0,0,0,0,0,0,0,0,0,0,0,20,20,0,0,0,0,0,0,0,0,0,53,73,233,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,78,232,252,253,252,205,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,144,191,252,252,252,253,210,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,253,253,253,255,253,253,191,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,252,253,231,76,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,217,174,71,175,253,231,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,255,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,189,10,0,0,0,0,0,0,0,0,0,0,0,0,0,79,181,51,0,0,0,0,0,0,11,150,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,71,0,0,0,0,0,0,155,252,252,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,109,109,109,191,255,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,252,252,252,252,252,253,231,158,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,71,175,215,215,226,252,231,217,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,108,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,192,109,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,181,252,253,252,227,217,156,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,252,252,253,252,252,252,253,231,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,191,252,252,252,108,232,252,252,253,252,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,252,252,236,62,0,0,0,0,0,42,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,252,252,247,134,73,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,71,215,247,252,252,253,190,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,108,190,253,252,236,144,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,176,253,253,192,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,56,179,253,242,114,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,252,252,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,148,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,222,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,201,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,99,46,0,0,0,0,0,0,16,181,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,179,0,0,0,0,0,0,191,252,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,253,253,72,0,0,0,79,191,255,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,210,252,227,217,73,197,242,252,253,252,179,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,206,252,252,253,252,252,252,217,91,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,211,252,253,252,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,255,255,128,128,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,191,255,255,128,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,64,0,0,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,191,0,0,0,0,0,64,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,191,0,0,0,0,0,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,128,191,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,64,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,255,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,237,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,217,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,238,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,225,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,237,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,248,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,98,98,101,235,235,235,235,235,148,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,35,126,225,254,254,254,254,254,254,254,254,254,233,0,0,0,0,0,0,0,0,0,52,56,160,194,194,225,221,254,254,254,254,254,254,254,254,254,254,254,149,0,0,0,0,0,0,0,0,81,248,254,254,254,254,254,254,254,254,229,205,82,82,82,138,254,254,254,117,0,0,0,0,0,0,0,0,186,253,254,254,254,254,247,241,117,103,28,0,0,0,63,185,254,252,154,47,0,0,0,0,0,0,0,0,0,114,124,124,124,124,60,0,0,0,0,0,0,0,104,254,254,234,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,169,254,254,176,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,195,254,254,221,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,74,230,254,232,151,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,56,0,0,0,8,55,175,254,254,228,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,148,254,254,251,114,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,230,254,254,251,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,232,254,235,135,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,254,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,200,253,232,80,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,234,234,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,173,207,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,230,252,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,236,101,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,235,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,235,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,174,0,0,0,0,122,121,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,180,0,115,242,253,255,253,253,253,167,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,180,9,220,252,252,109,108,125,233,252,187,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,252,190,92,252,167,96,0,0,0,19,208,252,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,204,252,212,252,47,0,0,0,0,0,181,252,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,252,143,0,0,0,0,0,95,252,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,252,252,143,0,0,0,0,0,96,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,204,252,252,143,0,0,0,0,80,239,193,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,234,252,237,159,98,97,115,241,229,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,168,252,252,253,252,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,63,131,132,201,235,131,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,80,80,80,80,80,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,159,159,159,162,254,254,254,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,254,254,254,254,254,254,254,254,246,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,254,254,254,254,254,254,254,254,254,239,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,34,53,136,34,34,34,248,254,254,254,193,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,251,254,254,190,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,89,237,254,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,254,254,254,232,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,185,236,254,254,254,145,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,221,254,254,254,254,168,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,210,254,254,254,196,87,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,169,254,254,254,225,56,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,254,254,254,239,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,163,253,254,254,254,191,0,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,80,254,254,254,254,190,25,0,0,0,0,0,0,0,0,0,60,132,132,217,0,0,0,0,0,0,0,0,80,254,254,254,254,234,194,36,164,212,212,212,212,212,212,212,231,254,254,230,0,0,0,0,0,0,0,0,159,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,255,254,211,43,0,0,0,0,0,0,0,0,238,248,254,254,254,254,254,254,254,254,254,254,254,251,237,212,61,61,38,0,0,0,0,0,0,0,0,0,0,99,157,211,254,254,254,254,183,157,157,157,157,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,78,78,78,78,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,111,189,254,229,170,84,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,189,253,237,221,231,254,245,229,170,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,222,39,0,15,174,253,253,253,238,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,254,123,0,0,0,12,31,31,186,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,254,63,0,0,0,0,0,0,64,253,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,255,63,0,0,0,0,0,0,64,254,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,254,63,0,0,0,0,0,0,133,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,128,0,0,0,0,0,64,237,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,204,47,0,0,0,28,208,253,233,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,253,230,115,5,35,200,253,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,220,254,254,229,230,254,196,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,199,253,253,254,253,241,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,241,253,253,223,156,241,253,221,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,209,253,241,145,17,0,126,253,253,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,243,67,0,0,0,2,184,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,255,142,0,0,0,0,0,182,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,142,0,0,0,0,0,206,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,157,0,0,0,0,66,244,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,249,62,0,0,4,196,253,132,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,230,158,133,215,253,238,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,25,57,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,107,170,169,234,205,252,216,169,59,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,140,215,252,253,252,252,252,252,253,252,252,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,253,255,253,253,253,253,255,253,253,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,186,167,167,168,167,167,224,252,253,252,233,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,55,12,0,0,0,0,76,234,252,253,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,234,252,252,253,179,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,240,252,252,252,112,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,253,228,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,243,252,253,129,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,240,252,220,56,6,0,0,0,0,0,0,38,57,57,182,197,197,197,0,0,0,0,0,0,0,0,92,243,252,217,53,29,29,29,29,29,92,169,169,224,252,253,252,252,252,236,0,0,0,0,0,0,0,0,253,252,252,177,203,253,252,252,252,252,253,252,252,252,252,253,252,220,112,50,0,0,0,0,0,0,0,0,255,253,253,253,253,255,253,253,253,253,255,253,253,253,190,141,15,0,0,0,0,0,0,0,0,0,0,0,168,167,186,252,252,253,176,167,167,167,106,27,27,27,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,55,55,56,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,121,177,194,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,219,254,251,253,203,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,254,254,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,189,252,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,117,186,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,232,254,254,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,254,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,148,122,181,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,254,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,248,232,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,221,254,81,0,0,0,0,11,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,194,254,191,7,0,0,0,0,100,245,0,0,0,0,0,0,0,0,0,0,0,13,53,53,9,0,4,151,254,238,46,0,0,0,0,0,184,227,0,0,0,0,0,0,0,0,0,0,13,216,254,254,225,149,201,254,254,100,0,0,0,0,0,69,245,157,0,0,0,0,0,0,0,0,0,0,216,254,254,254,254,254,254,254,168,15,0,0,0,0,5,164,254,145,0,0,0,0,0,0,0,0,0,0,246,254,254,254,254,254,254,254,187,27,1,10,6,42,164,254,252,63,0,0,0,0,0,0,0,0,0,0,143,230,236,236,224,157,249,254,254,255,195,214,206,254,254,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,224,254,254,254,254,254,254,249,135,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,139,224,254,254,254,162,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,37,37,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,116,199,200,249,253,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,175,243,253,253,254,253,253,214,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,150,61,149,255,254,217,104,33,92,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,207,245,114,110,83,18,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,102,208,245,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,136,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,161,254,255,234,163,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,47,108,134,210,253,251,203,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,89,0,0,0,8,36,107,204,217,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,180,27,0,0,0,0,0,21,218,126,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,173,0,0,0,0,53,91,193,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,254,176,169,254,255,254,254,248,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,153,245,253,253,238,198,121,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,36,36,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,255,165,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,253,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,253,228,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,168,238,202,174,253,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,81,1,215,128,28,12,181,253,253,175,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,204,253,77,0,0,0,0,7,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,248,253,253,143,0,0,0,0,1,127,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,253,20,0,0,0,0,0,81,249,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,218,5,0,0,0,0,0,0,203,253,208,21,0,0,0,0,0,0,0,0,0,0,0,0,56,237,253,250,100,0,0,0,0,0,0,0,104,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,224,0,0,0,0,0,0,0,0,119,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,80,253,253,103,0,0,0,0,0,0,0,4,241,253,218,32,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,103,0,0,0,0,0,0,0,125,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,103,0,0,0,0,0,0,3,176,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,103,0,0,0,0,0,9,162,253,253,226,37,0,0,0,0,0,0,0,0,0,0,0,0,0,179,253,253,135,0,0,0,0,46,157,253,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,188,253,249,179,179,179,179,233,253,253,233,156,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,235,253,253,253,253,253,253,251,232,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,124,253,253,253,253,152,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,125,125,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,119,119,202,250,255,254,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,112,213,243,245,254,254,254,254,254,254,254,254,0,0,0,0,0,0,0,0,0,0,0,0,95,152,236,251,254,254,254,254,254,254,254,254,254,254,254,133,0,0,0,0,0,0,0,0,0,46,156,230,252,254,254,254,254,254,254,254,186,136,25,167,254,254,198,13,0,0,0,0,0,0,0,0,0,233,254,254,254,254,254,179,58,32,32,32,10,0,29,242,254,254,117,0,0,0,0,0,0,0,0,0,150,254,254,254,177,55,39,7,0,0,0,0,16,106,221,254,204,96,18,0,0,0,0,0,0,0,0,0,45,173,119,45,5,0,0,0,0,0,0,0,47,254,254,246,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,212,254,245,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,172,254,224,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,218,254,235,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,203,254,218,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,139,254,245,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,101,254,245,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,169,254,195,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,190,254,196,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,172,254,238,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,248,204,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,128,0,0,0,0,0,0,128,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,128,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,64,191,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,128,128,191,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,191,128,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,77,145,255,231,133,41,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,25,134,249,254,253,253,253,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,167,253,253,253,235,205,171,217,226,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,209,90,41,0,0,0,21,176,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,184,7,0,0,0,9,84,182,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,99,0,0,0,7,156,253,236,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,235,206,148,149,210,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,253,253,254,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,24,128,196,144,35,253,253,209,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,13,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,198,255,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,255,251,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,198,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,165,247,224,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,133,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,125,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,184,245,253,124,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,253,125,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,126,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,109,109,109,109,129,253,255,253,253,253,255,253,232,191,110,15,0,0,0,0,0,0,0,0,0,0,0,73,252,252,252,252,252,252,253,252,252,252,253,252,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,63,241,252,252,252,246,215,217,215,215,215,217,226,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,98,252,252,252,215,1,0,0,0,0,0,31,211,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,37,252,252,252,252,108,0,0,0,0,0,42,221,252,253,98,0,0,0,0,0,0,0,0,0,0,0,0,5,119,252,252,241,77,0,0,0,0,0,0,181,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,1,71,195,184,0,0,0,0,0,0,0,181,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,212,253,255,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,255,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,119,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,242,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,246,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,190,92,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,41,166,253,203,129,10,0,0,0,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,206,253,252,252,252,253,159,0,0,19,187,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,206,93,56,56,119,81,0,38,154,208,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,13,0,0,0,0,0,89,225,228,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,63,0,0,0,16,166,253,241,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,188,0,0,76,179,252,208,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,225,0,154,222,244,168,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,240,250,225,246,252,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,253,244,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,243,253,240,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,110,240,252,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,252,202,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,255,209,25,63,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,234,28,0,113,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,100,0,0,150,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,246,151,0,0,126,249,228,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,140,4,54,229,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,165,79,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,252,253,252,186,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,116,240,253,227,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,222,159,113,114,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,163,226,249,252,252,252,253,228,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,234,252,253,252,252,220,252,253,252,239,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,225,99,84,37,84,146,249,252,180,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,227,252,173,0,0,0,0,0,0,225,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,228,47,0,0,0,0,0,0,0,163,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,21,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,104,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,191,252,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,255,253,253,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,152,253,252,252,252,252,241,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,56,55,55,155,252,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,177,253,224,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,140,126,0,0,0,0,0,63,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,84,0,0,0,0,0,0,192,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,234,146,85,57,0,0,48,159,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,208,252,252,253,233,197,197,227,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,99,223,237,252,252,252,252,253,226,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,237,252,252,252,190,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,23,23,28,133,133,229,230,133,133,75,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,253,253,253,253,254,253,253,253,196,128,5,0,0,0,0,0,0,0,0,0,0,0,0,0,44,248,253,253,253,253,226,165,165,165,238,253,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,131,180,79,22,15,0,0,0,18,196,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,250,253,199,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,107,242,253,236,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,178,253,253,244,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,53,178,254,251,221,129,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,171,253,253,253,178,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,172,225,253,253,179,58,0,0,0,44,66,100,100,100,100,196,0,0,0,0,0,0,0,0,0,45,176,249,253,253,195,33,25,120,148,243,243,248,250,253,253,250,231,134,0,0,0,0,0,0,0,0,71,227,253,253,253,253,253,253,253,253,255,253,253,253,241,198,145,73,0,0,0,0,0,0,0,0,0,0,159,253,253,253,253,253,211,145,136,203,151,131,122,55,43,0,0,0,0,0,0,0,0,0,0,0,0,0,195,242,242,233,131,94,11,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,197,255,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,196,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,254,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,83,196,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,210,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,252,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,86,242,252,252,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,252,188,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,242,252,252,225,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,231,252,252,212,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,252,252,252,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,132,253,252,252,230,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,252,253,252,154,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,55,0,0,0,0,107,253,255,228,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,24,23,0,0,0,110,242,252,228,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,83,0,0,0,88,247,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,189,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,252,252,238,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,217,252,252,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,252,85,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,239,252,156,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,180,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,25,25,25,25,7,19,159,244,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,198,254,253,253,253,184,231,241,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,96,246,253,252,193,166,253,253,239,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,166,69,0,124,253,239,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,242,253,78,32,4,142,231,239,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,134,5,0,53,253,200,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,180,5,0,151,238,244,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,212,253,168,0,100,247,249,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,185,253,209,122,241,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,254,254,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,253,202,140,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,231,183,96,148,234,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,230,239,39,0,0,122,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,155,253,94,0,0,0,150,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,172,14,0,28,183,251,251,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,235,214,14,25,126,224,253,213,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,170,253,223,98,200,253,253,165,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,253,253,253,253,253,217,99,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,81,207,230,132,98,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,125,125,125,125,125,125,125,125,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,226,249,253,254,254,255,254,254,255,255,254,248,58,0,0,0,0,0,0,0,0,0,0,0,0,44,159,247,254,254,254,254,254,254,254,254,254,254,254,254,248,0,0,0,0,0,0,0,0,0,0,0,0,126,241,254,254,254,173,149,149,127,19,36,149,157,254,254,187,0,0,0,0,0,0,0,0,0,0,0,0,0,22,136,116,25,6,0,0,0,0,64,99,178,254,201,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,113,243,254,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,216,243,254,254,254,248,96,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,117,210,243,254,254,202,176,95,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,254,254,254,114,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,189,206,254,254,191,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,95,238,254,211,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,239,254,228,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,249,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,189,254,239,51,0,0,0,0,0,0,0,0,0,0,0,0,17,161,164,43,4,0,0,0,0,0,39,183,254,249,126,0,0,0,0,0,0,0,0,0,0,0,0,0,138,255,254,254,25,0,14,0,22,128,180,254,250,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,254,254,161,151,204,151,234,255,254,250,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,242,254,254,254,254,254,254,251,241,143,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,117,117,167,248,248,207,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,192,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,166,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,254,223,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,243,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,245,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,113,0,0,0,0,55,60,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,235,254,113,0,0,60,122,249,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,113,0,23,218,255,254,254,250,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,249,10,19,146,254,254,254,254,227,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,249,18,151,254,251,247,254,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,252,208,254,255,108,110,254,234,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,254,254,193,148,240,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,254,235,115,238,254,225,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,254,254,254,254,179,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,182,254,254,254,254,176,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,249,254,254,227,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,255,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,228,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,251,205,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,158,251,251,178,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,253,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,251,251,211,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,174,251,251,140,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,253,251,219,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,204,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,255,233,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,174,244,251,253,109,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,189,251,251,126,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,106,251,235,188,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,251,228,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,213,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,251,251,85,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,127,253,235,126,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,251,253,240,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,193,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,191,178,253,242,141,104,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,253,252,252,252,253,252,252,252,108,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,123,222,253,252,252,252,168,224,252,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,243,252,252,253,252,252,252,0,19,153,252,253,209,25,0,0,0,0,0,0,0,0,0,0,0,10,128,255,253,244,225,114,194,253,178,0,0,0,163,254,253,168,0,0,0,0,0,0,0,0,0,0,0,85,252,253,189,56,0,0,19,133,9,0,0,0,38,253,252,168,0,0,0,0,0,0,0,0,0,0,19,191,252,194,19,0,0,0,0,0,0,0,0,0,0,253,252,234,22,0,0,0,0,0,0,0,0,0,107,252,252,13,0,0,0,0,0,0,0,0,0,0,0,253,252,252,128,0,0,0,0,0,0,0,0,0,169,253,241,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,140,0,0,0,0,0,0,0,0,19,225,252,139,0,0,0,0,0,0,0,0,0,0,0,0,66,252,252,139,0,0,0,0,0,0,0,0,29,252,252,52,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,29,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,40,0,0,0,0,0,0,0,0,141,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,154,253,168,0,0,0,0,0,0,0,0,0,66,252,252,165,0,0,0,0,0,0,0,0,0,0,0,0,253,252,168,0,0,0,0,0,0,0,0,0,19,224,252,252,0,0,0,0,0,0,0,0,0,0,0,126,253,252,80,0,0,0,0,0,0,0,0,0,0,169,252,252,214,38,0,0,0,0,0,0,0,0,126,249,253,151,6,0,0,0,0,0,0,0,0,0,0,26,223,253,254,253,128,29,0,0,0,13,41,216,253,253,226,38,0,0,0,0,0,0,0,0,0,0,0,0,122,252,253,252,252,252,169,169,169,206,253,252,252,202,38,0,0,0,0,0,0,0,0,0,0,0,0,0,19,56,168,224,252,252,253,252,252,252,253,233,130,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,139,190,153,252,164,139,28,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,118,118,118,118,118,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,112,222,253,253,253,253,253,251,225,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,222,251,253,253,253,253,253,253,253,253,253,242,235,161,48,0,0,0,0,0,0,0,0,0,0,0,0,65,244,253,127,25,129,155,126,25,49,155,218,253,253,253,236,48,0,0,0,0,0,0,0,0,0,0,0,0,79,48,5,0,0,0,0,0,0,0,21,45,169,253,253,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,99,253,253,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,79,163,253,253,248,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,96,210,253,253,253,253,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,169,196,196,208,253,253,253,246,188,115,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,215,253,253,253,253,244,194,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,201,201,239,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,176,9,0,0,0,0,0,0,0,0,183,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,193,6,0,0,0,0,0,0,0,0,183,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,12,0,0,0,0,0,0,9,64,228,247,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,161,103,27,13,27,27,27,152,253,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,231,252,253,253,200,253,253,253,253,253,212,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,253,253,253,249,240,206,110,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,117,117,117,117,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,250,255,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,123,247,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,180,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,253,228,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,251,253,253,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,238,253,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,253,253,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,253,177,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,253,219,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,247,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,176,253,253,159,113,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,252,252,252,241,100,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,227,253,252,252,252,252,253,252,239,181,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,224,252,253,226,246,252,252,253,252,252,252,252,108,3,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,27,88,112,112,112,112,142,252,252,253,152,31,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,79,0,0,0,0,0,0,32,153,253,255,253,196,0,0,0,0,0,0,0,0,0,0,0,76,246,252,127,0,0,0,0,0,0,0,0,3,106,253,252,214,28,0,0,0,0,0,0,0,0,0,0,194,252,252,112,0,0,0,0,0,0,0,0,0,0,143,252,252,193,0,0,0,0,0,0,0,0,0,0,225,252,217,37,0,0,0,0,0,0,0,0,0,0,38,234,252,223,0,0,0,0,0,0,0,0,0,63,240,252,84,0,0,0,0,0,0,0,0,0,0,0,0,146,252,223,0,0,0,0,0,0,0,0,0,114,253,228,47,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,112,0,0,0,0,0,0,0,0,159,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,252,112,0,0,0,0,0,0,0,0,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,230,25,0,0,0,0,0,0,0,0,159,252,202,10,0,0,0,0,0,0,0,0,0,0,0,92,243,252,208,0,0,0,0,0,0,0,0,0,113,252,252,161,0,0,0,0,0,0,0,0,0,0,79,253,252,220,37,0,0,0,0,0,0,0,0,0,114,253,253,253,174,63,0,0,0,0,0,0,26,128,253,255,253,133,0,0,0,0,0,0,0,0,0,0,12,228,252,252,252,241,100,85,76,0,85,131,231,252,252,253,129,6,0,0,0,0,0,0,0,0,0,0,0,97,208,252,252,253,252,252,246,197,253,252,252,252,220,133,6,0,0,0,0,0,0,0,0,0,0,0,0,0,19,99,239,253,252,252,252,252,253,252,245,223,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,112,112,221,252,252,253,127,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,136,254,255,195,115,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,175,253,196,160,252,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,234,4,0,27,205,232,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,253,68,0,0,0,24,243,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,134,235,99,4,0,0,0,0,132,247,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,62,0,0,0,0,0,0,23,233,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,183,4,0,0,0,0,0,0,0,182,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,232,59,0,0,0,0,0,0,0,0,95,232,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,183,0,0,0,0,0,0,0,0,0,0,228,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,124,0,0,0,0,0,0,0,0,0,0,228,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,124,0,0,0,0,0,0,0,0,0,0,228,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,124,0,0,0,0,0,0,0,0,0,0,169,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,124,0,0,0,0,0,0,0,0,0,0,203,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,124,0,0,0,0,0,0,0,0,0,10,220,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,155,0,0,0,0,0,0,0,0,0,111,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,228,7,0,0,0,0,0,0,0,12,181,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,166,9,0,0,0,0,0,24,209,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,250,167,11,2,11,11,129,227,90,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,247,253,178,253,253,244,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,175,253,232,149,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,225,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,251,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,251,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,255,255,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,221,253,253,253,218,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,220,253,217,138,248,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,220,253,231,108,0,199,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,220,253,246,63,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,165,188,70,0,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,205,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,169,211,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,155,253,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,72,228,253,251,251,251,212,131,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,189,251,251,253,251,251,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,251,251,211,189,69,110,244,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,211,35,0,0,0,221,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,158,119,0,0,0,0,223,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,244,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,169,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,205,251,251,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,96,253,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,171,190,230,190,190,150,32,115,251,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,251,251,251,251,253,251,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,236,235,188,189,188,220,251,251,253,251,251,251,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,188,0,0,0,127,251,251,253,251,251,251,251,159,39,0,0,0,0,0,0,0,0,0,0,0,60,230,253,213,194,255,253,253,253,253,255,253,253,253,253,255,233,96,12,0,0,0,0,0,0,0,0,0,0,190,251,251,251,253,251,251,251,231,161,62,141,228,251,253,251,251,157,12,0,0,0,0,0,0,0,0,0,111,251,251,251,253,251,251,219,47,0,0,0,32,204,253,251,251,251,94,0,0,0,0,0,0,0,0,0,4,110,188,188,189,168,31,23,0,0,0,0,0,19,91,236,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,251,211,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,101,115,255,212,194,101,101,98,0,0,0,0,0,0,0,0,0,0,0,0,130,47,197,200,200,200,200,228,253,253,253,253,253,253,253,247,27,0,0,0,0,0,0,0,0,0,0,59,231,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,207,26,0,0,0,0,0,0,0,0,0,3,202,253,253,239,160,160,160,160,160,160,160,160,160,160,239,253,253,215,37,0,0,0,0,0,0,0,0,0,77,214,65,52,0,0,0,0,0,0,0,0,0,0,99,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,202,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,179,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,241,253,253,220,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,253,251,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,175,253,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,253,253,238,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,182,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,105,106,105,105,176,254,237,105,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,243,253,254,253,253,253,253,253,253,159,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,254,253,252,167,132,249,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,254,225,126,0,0,179,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,143,178,179,48,0,0,23,201,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,184,253,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,191,253,253,253,205,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,240,253,253,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,243,253,253,253,230,59,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,241,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,212,218,254,254,254,254,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,29,115,211,253,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,205,253,168,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,253,210,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,245,253,163,0,0,0,0,0,0,0,0,0,0,0,8,128,179,135,9,0,0,0,0,0,8,30,102,245,253,253,57,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,169,134,8,0,0,80,139,253,253,253,253,253,14,0,0,0,0,0,0,0,0,0,0,0,47,222,253,253,253,253,240,239,239,249,251,253,253,253,189,84,1,0,0,0,0,0,0,0,0,0,0,0,0,47,208,221,253,253,253,253,253,254,253,253,232,76,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,104,183,253,253,253,255,253,155,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,167,208,254,255,129,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,253,253,253,209,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,253,253,227,181,253,207,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,253,253,92,38,226,253,129,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,253,248,62,0,50,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,135,0,0,12,208,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,232,253,253,21,0,0,0,60,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,224,14,0,0,0,14,217,247,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,193,253,250,64,0,0,0,0,0,199,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,205,0,0,0,0,0,0,98,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,245,43,0,0,0,0,0,0,63,250,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,243,0,0,0,0,0,0,0,0,244,222,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,217,0,0,0,0,0,0,0,0,244,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,3,195,253,134,0,0,0,0,0,0,0,0,156,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,134,0,0,0,0,0,0,0,0,239,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,134,0,0,0,0,0,0,0,53,246,237,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,200,229,40,0,0,0,0,0,25,225,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,250,230,58,17,0,12,42,213,253,238,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,217,179,206,253,253,196,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,58,145,152,253,214,145,74,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,232,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,228,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,226,51,0,0,0,0,0,99,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,236,58,0,0,0,0,0,99,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,254,234,16,0,0,0,0,99,254,232,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,254,21,0,0,0,0,151,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,199,8,0,0,0,0,207,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,249,254,82,0,0,0,0,48,244,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,143,254,254,243,232,130,45,22,169,254,241,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,254,254,254,254,254,254,254,254,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,250,156,74,48,118,156,249,254,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,119,68,0,0,0,0,0,146,254,202,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,255,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,112,254,247,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,254,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,97,217,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,118,250,253,174,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,250,240,109,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,255,219,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,244,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,253,235,27,0,0,0,0,37,79,79,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,142,0,0,0,68,159,243,253,253,200,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,98,0,0,106,239,254,253,253,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,99,0,138,254,254,196,91,0,16,218,255,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,98,70,241,250,121,15,0,0,0,113,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,128,214,253,146,0,0,0,0,0,128,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,249,250,240,23,0,0,0,0,7,204,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,254,253,137,0,0,0,0,0,189,253,171,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,240,255,254,78,0,0,0,13,186,254,231,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,253,226,125,118,178,217,253,219,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,253,253,253,254,253,168,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,232,253,253,253,254,219,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,126,208,215,155,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,13,123,137,137,192,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,59,236,254,254,254,254,254,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,56,117,153,254,254,254,254,244,229,229,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,190,254,246,126,138,120,205,114,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,180,254,245,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,225,254,245,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,254,148,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,228,254,254,254,236,181,84,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,186,254,254,254,254,254,254,233,144,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,83,186,125,186,186,206,254,254,96,9,0,0,0,0,0,0,0,0,0,0,0,0,2,35,0,0,0,0,0,0,0,0,0,17,119,254,254,67,0,0,0,0,0,0,0,0,0,0,0,0,108,218,0,0,0,0,0,0,0,0,0,0,82,254,254,116,0,0,0,0,0,0,0,0,0,0,0,0,174,252,93,0,0,0,0,0,0,0,0,0,82,254,254,30,0,0,0,0,0,0,0,0,0,0,0,0,149,254,164,39,0,0,0,0,0,0,0,0,128,254,254,30,0,0,0,0,0,0,0,0,0,0,0,0,21,254,254,225,88,0,0,0,0,0,0,116,249,254,124,4,0,0,0,0,0,0,0,0,0,0,0,0,1,24,154,254,252,151,107,107,107,136,231,249,254,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,208,254,254,254,254,254,254,254,254,219,100,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,88,211,254,254,254,254,164,39,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,6,6,6,6,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,91,91,218,254,254,254,148,254,95,91,91,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,253,253,253,253,253,246,180,180,180,34,0,0,0,0,0,0,0,0,0,0,0,254,253,253,170,146,146,146,146,146,146,219,253,253,253,253,253,220,107,7,0,0,0,0,0,0,0,0,0,57,56,56,13,0,0,0,0,0,0,39,56,56,56,189,237,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,155,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,218,253,195,92,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,200,253,253,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,146,251,253,186,86,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,124,253,253,249,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,99,249,253,253,179,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,116,205,253,253,236,164,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,116,142,253,253,253,215,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,111,211,253,253,253,215,111,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,139,253,253,253,253,180,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,253,253,253,236,73,58,58,58,58,58,58,58,58,8,34,58,58,0,0,0,0,0,0,0,0,255,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,161,209,253,253,0,0,0,0,0,0,0,0,74,179,179,179,179,179,179,246,253,253,253,253,253,253,253,253,253,253,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,89,89,201,253,253,253,253,253,110,89,89,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,255,179,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,203,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,202,253,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253,253,253,132,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,237,253,253,212,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,253,253,211,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,239,252,253,209,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,195,253,253,211,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,253,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,253,68,0,0,0,0,69,78,78,78,75,0,0,0,0,0,0,0,0,0,0,0,0,0,103,251,253,253,179,21,0,0,31,177,244,253,253,253,246,14,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,253,14,0,0,38,214,253,253,245,186,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,253,14,0,0,213,253,253,234,79,14,220,251,106,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,160,5,0,89,246,253,245,79,0,0,216,250,98,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,115,0,0,131,253,253,129,0,0,54,233,253,145,0,0,0,0,0,0,0,0,0,0,0,12,172,253,253,115,0,8,161,253,247,99,55,165,233,253,209,22,0,0,0,0,0,0,0,0,0,0,0,47,253,253,253,203,162,173,253,253,245,162,242,253,253,209,33,0,0,0,0,0,0,0,0,0,0,0,0,27,207,253,253,253,253,253,253,253,253,253,253,253,203,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,195,199,229,253,253,253,253,253,253,238,189,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,244,253,253,253,253,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,173,242,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,169,254,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,254,254,254,169,0,0,0,0,0,0,0,2,10,10,1,0,0,0,0,0,0,0,0,0,0,0,0,67,254,254,249,119,0,0,0,0,0,0,0,105,254,254,65,0,0,0,0,0,0,0,0,0,0,0,0,199,254,254,235,0,0,0,0,0,0,0,0,237,254,254,229,74,0,0,0,0,0,0,0,0,0,0,110,245,254,254,80,0,0,0,0,0,3,20,20,239,254,254,254,131,0,0,0,0,0,0,0,0,0,0,133,254,254,254,46,0,0,0,0,0,102,254,254,254,254,254,254,131,0,0,0,0,0,0,0,0,0,0,133,254,254,254,46,0,0,0,57,152,244,254,254,254,254,254,254,131,0,0,0,0,0,0,0,0,0,0,133,254,254,254,46,0,0,25,114,254,254,254,254,254,254,254,254,131,0,0,0,0,0,0,0,0,0,0,133,254,254,254,124,96,96,232,254,254,254,215,159,248,254,254,254,131,0,0,0,0,0,0,0,0,0,0,133,254,254,254,254,254,254,254,254,254,230,55,0,237,254,254,254,131,0,0,0,0,0,0,0,0,0,0,133,254,254,254,254,254,254,254,240,216,43,0,0,237,254,254,203,14,0,0,0,0,0,0,0,0,0,0,79,232,254,254,254,254,192,150,95,0,0,0,0,237,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,73,254,254,242,84,34,0,0,0,0,0,0,237,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,1,18,18,16,0,0,0,0,0,0,0,0,237,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,254,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,254,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,255,241,0,0,0,0,0,0,0,58,118,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,252,163,97,63,27,45,97,101,243,253,236,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,253,239,224,231,253,253,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,253,253,253,243,204,253,253,253,190,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,253,164,82,82,82,66,28,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,123,0,0,0,0,110,253,253,248,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,246,60,0,0,0,25,210,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,143,61,0,0,0,0,183,253,253,199,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,246,253,251,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,194,253,246,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,244,253,248,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,248,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,190,253,253,219,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,217,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,240,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,162,253,253,133,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,242,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,246,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,150,233,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,89,253,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,203,254,254,254,232,77,54,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,155,240,254,223,76,254,254,254,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,101,216,254,227,122,26,110,254,254,254,184,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,222,254,254,179,48,0,0,181,254,254,146,6,0,0,0,0,0,0,0,0,0,0,0,0,0,2,145,248,254,182,111,4,0,0,3,250,254,206,3,0,0,0,0,0,0,0,0,0,0,0,0,0,6,144,254,254,171,0,0,0,0,0,125,254,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,6,142,254,179,95,4,0,0,0,0,61,246,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,254,177,14,0,0,0,0,0,0,124,254,246,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,97,15,0,0,0,0,0,0,24,226,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,255,254,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,254,99,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,199,254,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,192,8,3,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,198,254,128,66,130,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,202,106,84,84,84,112,254,254,254,254,212,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,254,254,254,254,254,254,254,254,162,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,106,177,254,254,254,235,135,100,17,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,151,255,234,125,125,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,252,253,253,253,253,253,240,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,251,253,253,253,253,253,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,214,253,229,55,19,106,149,213,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,203,194,0,0,0,0,39,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,253,203,48,0,0,0,0,140,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,65,0,0,14,102,239,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,190,39,103,216,253,253,207,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,212,253,253,227,253,253,244,181,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,173,242,253,253,253,241,101,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,107,211,253,253,253,253,226,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,197,253,253,210,164,118,253,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,248,253,237,97,14,0,20,209,253,239,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,167,54,0,0,0,0,189,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,249,240,22,0,0,0,0,0,189,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,159,3,0,0,0,0,0,189,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,253,43,13,0,0,0,0,189,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,214,143,77,143,143,225,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,249,253,253,253,253,253,253,253,252,156,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,123,237,253,253,253,253,155,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,54,43,185,254,255,227,150,3,75,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,165,253,253,253,237,238,253,253,206,253,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,221,100,65,2,3,156,253,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,114,0,0,0,0,9,213,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,228,253,128,0,0,0,0,0,41,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,196,253,225,29,0,0,0,0,136,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,234,95,2,0,52,245,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,109,245,253,253,230,230,246,253,253,216,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,145,224,253,251,147,213,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,8,8,0,188,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,181,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,111,180,255,255,71,6,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,176,253,242,253,253,254,180,10,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,106,226,253,183,51,96,96,237,253,176,13,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,7,186,253,181,16,0,0,0,133,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,239,46,0,0,0,0,133,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,193,0,0,0,0,0,168,253,225,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,193,0,0,0,0,197,254,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,216,98,19,0,89,247,255,186,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,177,253,253,235,230,251,253,191,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,132,225,253,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,255,255,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,220,253,222,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,216,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,248,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,225,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,120,202,254,254,255,160,79,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,253,249,246,244,243,253,253,208,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,89,47,27,9,0,85,165,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,250,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,181,253,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,103,237,253,204,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,207,93,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,252,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,235,253,244,157,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,176,231,253,231,148,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,163,249,253,242,121,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,135,208,253,191,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,169,253,234,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,170,253,227,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,179,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,13,0,0,12,214,237,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,213,189,124,91,206,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,96,229,253,254,253,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,121,203,253,187,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,131,246,252,252,203,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,252,252,166,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,107,253,252,252,252,252,253,224,137,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,252,220,128,252,253,252,252,239,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,255,168,0,0,79,192,253,253,253,253,255,90,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,252,215,33,0,0,0,12,74,233,252,252,253,195,19,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,31,0,0,0,0,0,0,43,149,195,253,252,177,19,0,0,0,0,0,0,0,0,0,0,57,234,252,252,0,0,0,0,0,0,0,0,0,0,237,252,252,180,13,0,0,0,0,0,0,0,0,0,85,252,252,173,0,0,0,0,0,0,0,0,0,0,50,237,252,252,112,0,0,0,0,0,0,0,0,0,226,253,240,63,0,0,0,0,0,0,0,0,0,0,0,163,253,253,112,0,0,0,0,0,0,0,0,38,234,252,176,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,158,0,0,0,0,0,0,0,0,113,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,19,209,252,252,0,0,0,0,0,0,0,0,207,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,10,203,252,236,0,0,0,0,0,0,0,0,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,114,253,253,146,0,0,0,0,0,0,0,0,0,0,0,51,159,253,240,63,0,0,0,0,0,0,0,0,75,243,252,249,146,0,0,0,0,0,0,0,0,57,85,238,252,252,99,0,0,0,0,0,0,0,0,0,0,116,252,252,252,198,197,165,57,57,57,182,197,234,252,253,233,164,19,0,0,0,0,0,0,0,0,0,0,28,84,180,252,253,252,252,252,252,253,252,252,252,252,225,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,112,253,252,252,252,252,253,252,252,157,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,13,117,133,133,197,254,254,173,133,99,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,147,253,253,253,253,254,253,253,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,226,253,223,216,216,101,97,96,96,126,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,181,16,0,0,0,0,0,0,72,253,239,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,72,17,0,0,0,0,0,0,9,189,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,156,253,235,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,238,253,165,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,220,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,241,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,255,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,180,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,223,253,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,174,253,232,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,225,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,242,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,220,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,212,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,183,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,141,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,131,253,251,235,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,255,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,251,253,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,158,251,251,169,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,251,251,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,253,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,251,251,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,251,251,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,127,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,58,20,14,217,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,146,247,253,235,27,84,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,164,19,15,0,0,156,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,222,34,0,0,0,0,234,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,116,0,0,0,0,0,235,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,251,72,0,0,0,0,0,151,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,233,0,0,0,0,0,0,136,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,218,0,0,0,0,0,0,136,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,135,0,0,0,0,0,0,136,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,255,114,0,0,0,0,0,0,137,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,122,0,0,0,0,0,0,136,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,106,0,0,0,0,0,0,166,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,128,0,0,0,0,0,0,234,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,135,0,0,0,0,0,61,248,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,238,18,0,0,0,13,224,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,128,2,0,5,150,253,167,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,226,253,49,31,156,253,228,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,243,241,254,227,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,126,245,253,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,128,253,255,206,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,131,246,252,252,253,252,199,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,57,222,252,252,214,195,222,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,226,114,28,0,113,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,112,112,12,0,0,0,113,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,135,253,252,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,252,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,204,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,255,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,85,85,85,163,85,215,252,252,152,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,135,198,246,252,252,252,253,252,252,252,252,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,131,252,253,226,223,227,252,253,252,252,252,252,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,190,12,0,29,252,253,252,252,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,190,0,0,89,207,253,255,253,190,253,253,255,27,0,0,0,0,0,0,0,0,0,0,0,0,76,246,226,12,85,210,246,252,252,215,42,12,52,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,85,252,246,197,253,252,252,245,195,31,0,0,7,55,56,6,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,253,252,198,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,112,205,252,190,112,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,141,156,156,194,194,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,132,239,253,253,253,253,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,172,253,235,167,78,93,174,254,247,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,210,253,237,90,0,0,0,0,201,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,237,58,0,0,0,0,0,156,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,235,53,0,0,0,19,5,0,156,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,253,92,0,0,0,17,226,217,49,148,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,239,24,0,0,0,20,253,253,58,18,115,24,0,0,0,0,0,0,0,0,0,0,0,0,0,37,248,254,91,0,0,0,0,2,117,250,163,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,254,39,0,0,0,0,0,0,196,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,254,218,15,0,0,0,0,0,0,77,254,255,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,113,0,0,0,0,0,0,0,21,226,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,25,240,253,68,0,0,0,0,0,0,0,0,195,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,0,0,0,0,0,0,0,0,0,195,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,76,0,0,0,0,0,0,0,0,195,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,254,209,9,0,0,0,0,0,0,10,209,196,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,254,137,36,0,0,0,2,20,168,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,235,254,253,199,124,79,79,167,253,253,185,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,117,217,253,253,253,254,253,240,109,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,126,208,253,193,147,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,105,106,140,254,254,254,255,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,243,253,254,253,253,253,253,253,253,238,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,253,253,254,249,140,89,132,240,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,232,133,134,102,0,0,0,31,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,24,0,0,0,0,0,0,163,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,163,232,253,242,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,191,253,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,126,248,253,253,253,205,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,253,253,240,102,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,222,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,254,254,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,56,253,253,230,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,166,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,183,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,226,14,0,0,0,0,0,0,0,0,0,0,0,75,179,179,109,31,9,0,0,0,0,0,25,175,253,253,205,0,0,0,0,0,0,0,0,0,0,0,0,50,230,253,253,253,153,0,0,0,0,56,233,253,253,213,35,0,0,0,0,0,0,0,0,0,0,0,0,0,47,222,253,253,251,239,240,239,239,247,253,253,210,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,129,221,253,253,253,253,253,254,253,215,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,210,253,253,253,253,105,104,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,0,51,150,155,255,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,129,207,126,248,253,253,232,52,0,0,0,0,0,0,0,0,0,0,0,0,45,140,140,98,98,140,223,249,253,253,253,253,253,237,126,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,253,253,253,253,253,253,253,253,253,253,197,52,0,0,0,0,0,0,0,0,0,0,0,0,0,35,242,253,253,253,253,253,253,253,244,215,124,73,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,253,253,253,253,253,195,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,252,212,134,113,31,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,242,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,229,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,146,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,186,251,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,241,110,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,160,253,253,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,88,4,0,0,0,0,0,35,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,167,21,21,13,7,10,47,128,253,253,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,253,253,220,196,210,253,253,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,224,253,253,253,253,253,253,253,253,249,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,253,253,253,253,253,253,218,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,226,168,253,253,211,164,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,253,238,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,203,76,0,0,0,0,0,0,0,12,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,2,191,253,147,0,0,0,0,0,0,0,15,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,24,217,253,157,1,0,0,0,0,0,0,130,253,227,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,11,0,0,0,0,0,0,205,253,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,178,4,0,0,0,0,0,79,252,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,239,253,179,76,0,0,0,0,0,113,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,253,252,213,194,95,67,0,212,253,228,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,225,253,201,253,253,253,253,246,175,251,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,5,3,5,72,198,244,253,253,253,242,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,150,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,210,253,224,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,209,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,88,211,219,151,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,210,254,254,222,106,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,63,229,254,185,97,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,254,182,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,219,248,181,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,255,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,245,241,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,235,253,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,118,0,0,0,0,0,0,19,66,156,106,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,78,0,0,0,0,0,57,196,254,254,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,254,78,0,0,1,64,229,253,254,249,243,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,254,78,0,22,135,254,254,254,151,55,146,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,254,142,81,165,254,254,254,147,4,4,185,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,248,254,254,254,254,254,224,3,0,32,254,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,129,129,160,254,250,58,0,0,134,254,219,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,132,0,0,88,250,234,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,168,115,174,246,236,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,254,254,254,234,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,152,190,150,91,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,25,25,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,107,157,157,71,129,189,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,253,253,253,253,253,253,253,232,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,250,254,253,253,253,253,207,193,146,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,248,253,216,180,163,60,60,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,230,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,253,98,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,238,253,253,254,251,213,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,122,132,254,253,253,251,155,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,255,254,181,0,0,0,0,0,0,0,0,0,0,0,0,140,11,0,0,0,0,0,0,0,0,0,0,16,205,253,180,0,0,0,0,0,0,0,0,0,0,0,0,254,198,78,0,0,0,0,0,0,0,0,0,6,182,253,163,0,0,0,0,0,0,0,0,0,0,0,0,148,233,241,146,37,0,0,0,0,0,0,0,60,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,111,230,253,236,90,12,0,0,0,0,47,226,253,181,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,194,253,253,205,194,194,194,195,228,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,134,233,253,253,253,253,254,253,241,88,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,133,156,156,156,36,36,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,241,192,66,29,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,227,97,208,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,139,0,13,209,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,240,51,0,197,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,250,229,10,38,63,16,104,104,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,109,82,169,216,240,196,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,240,240,252,206,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,253,252,252,151,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,241,255,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,172,252,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,127,128,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,206,177,3,29,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,168,0,29,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,168,0,29,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,168,0,66,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,168,0,141,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,147,253,233,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,224,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,212,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,250,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,250,254,172,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,215,254,242,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,27,254,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,254,197,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,208,254,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,201,254,242,27,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,248,84,0,0,0,0,0,0,0,0,0,16,49,15,0,0,0,0,0,0,0,0,0,0,0,64,241,254,220,0,0,0,0,0,0,0,0,0,83,195,254,169,26,0,0,0,0,0,0,0,0,0,0,176,254,254,141,0,0,0,0,0,0,0,1,75,249,254,254,254,234,0,0,0,0,0,0,0,0,0,0,235,254,254,82,0,0,0,0,0,0,0,75,254,254,254,254,254,234,0,0,0,0,0,0,0,0,0,0,235,254,254,82,0,0,0,0,0,0,83,249,254,156,65,225,254,177,0,0,0,0,0,0,0,0,0,0,190,254,254,127,0,0,0,0,0,43,243,254,254,13,84,254,241,65,0,0,0,0,0,0,0,0,0,0,74,245,254,247,115,0,0,0,0,83,254,254,187,122,218,254,105,0,0,0,0,0,0,0,0,0,0,0,0,117,254,254,250,180,180,180,180,235,254,254,254,254,254,188,22,0,0,0,0,0,0,0,0,0,0,0,0,29,126,234,246,254,254,254,254,254,254,254,254,246,189,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,254,254,254,254,254,187,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,92,92,198,92,198,92,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,108,248,254,254,254,254,254,254,243,182,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,254,254,254,254,254,254,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,254,254,254,62,57,57,179,236,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,199,142,130,4,0,0,0,60,231,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,4,0,0,0,0,21,215,247,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,130,249,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,160,254,254,254,254,254,232,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,254,254,254,254,254,254,254,251,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,254,254,238,82,110,254,254,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,223,216,140,0,42,254,254,254,15,0,0,0,0,0,0,0,0,0,0,2,95,190,190,30,0,0,0,0,45,40,0,0,42,254,254,254,15,0,0,0,0,0,0,0,0,0,0,92,254,254,198,22,0,0,0,0,0,0,0,0,117,254,254,254,15,0,0,0,0,0,0,0,0,0,0,182,254,249,110,0,0,0,0,0,0,0,5,42,214,254,254,230,13,0,0,0,0,0,0,0,0,0,0,182,254,239,68,0,0,0,0,0,0,0,25,254,254,254,254,106,0,0,0,0,0,0,0,0,0,0,0,182,254,254,239,84,58,58,58,112,223,223,226,254,255,254,204,14,0,0,0,0,0,0,0,0,0,0,0,86,254,254,254,254,254,254,254,254,254,254,254,254,230,106,82,0,0,0,0,0,0,0,0,0,0,0,0,1,85,238,254,254,254,254,254,254,254,225,180,180,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,90,229,254,211,90,90,90,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,255,240,115,0,0,0,0,103,121,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,108,209,253,253,253,241,242,241,170,251,253,244,132,0,0,0,0,0,0,0,0,0,0,0,0,0,35,229,253,253,253,243,159,159,205,253,169,209,234,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,253,253,253,114,0,0,19,39,4,47,217,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,253,253,221,20,0,0,0,0,0,81,253,253,177,0,0,0,0,0,0,0,0,0,0,0,0,0,75,245,253,242,98,0,0,0,0,0,0,109,253,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,213,168,0,0,0,0,0,0,86,241,253,216,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,242,253,250,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,247,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,253,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,164,254,253,120,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,254,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,175,253,254,132,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,165,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,175,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,133,253,252,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,239,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,255,253,254,253,198,197,254,253,86,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,251,253,251,253,251,253,251,253,251,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,197,254,253,254,253,254,253,254,253,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,196,253,251,253,251,253,251,253,251,253,251,196,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,84,0,0,0,57,85,85,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,83,0,0,169,224,253,251,225,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,254,139,141,253,254,253,254,253,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,253,251,253,251,253,251,253,251,253,251,225,56,0,0,0,0,0,0,0,0,0,0,0,0,29,197,254,253,254,253,254,253,226,168,0,0,254,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,28,196,253,251,253,251,196,83,56,0,0,0,253,251,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,253,226,56,0,0,0,0,0,169,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,83,56,0,0,0,0,0,57,224,253,251,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,254,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,168,253,251,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,85,85,85,254,253,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,168,253,251,253,251,253,251,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,254,253,254,253,254,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,251,196,83,84,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,128,128,128,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,128,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,0,0,64,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,64,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,191,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,128,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,128,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,134,218,254,254,254,217,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,208,215,156,35,119,236,246,136,91,69,151,249,246,78,0,0,0,0,0,0,0,0,0,0,0,0,44,230,254,254,254,254,254,196,48,0,0,0,0,60,224,210,24,0,0,0,0,0,0,0,0,0,0,0,118,254,202,19,201,254,181,9,0,0,0,0,0,0,35,233,168,0,0,0,0,0,0,0,0,0,0,0,193,223,34,0,59,163,236,15,0,0,0,0,0,0,0,140,205,8,0,0,0,0,0,0,0,0,0,60,254,176,0,0,0,0,38,0,0,0,0,0,0,0,0,54,237,80,0,0,0,0,0,0,0,0,0,59,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,200,0,0,0,0,0,0,0,0,0,59,240,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,214,0,0,0,0,0,0,0,0,0,59,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,248,54,0,0,0,0,0,0,0,0,59,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,58,0,0,0,0,0,0,0,0,60,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,255,59,0,0,0,0,0,0,0,0,59,251,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,250,54,0,0,0,0,0,0,0,0,59,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,214,0,0,0,0,0,0,0,0,0,5,203,187,3,0,0,0,0,0,0,0,0,0,0,0,0,4,188,199,0,0,0,0,0,0,0,0,0,0,118,254,57,0,0,0,0,0,0,0,0,0,0,0,0,96,254,117,0,0,0,0,0,0,0,0,0,0,16,237,224,14,0,0,0,0,0,0,0,0,0,0,14,187,206,8,0,0,0,0,0,0,0,0,0,0,0,88,252,186,16,0,0,0,0,0,0,0,0,16,187,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,237,94,24,0,0,0,0,0,13,214,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,57,215,248,241,235,197,137,137,137,231,238,155,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,155,246,254,254,254,254,147,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,136,136,219,254,255,87,0,0,4,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,249,253,231,135,100,212,209,3,0,48,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,244,252,133,31,0,0,31,189,4,0,16,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,242,253,126,0,0,0,0,0,118,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,166,2,0,0,0,0,120,249,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,147,0,0,0,0,0,213,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,149,1,0,0,2,133,252,145,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,253,144,24,44,168,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,135,229,253,253,247,241,253,193,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,76,76,74,195,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,224,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,245,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,197,253,223,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,246,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,188,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,252,252,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,250,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,250,232,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,250,212,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,252,252,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,250,252,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,250,252,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,250,252,231,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,254,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,250,252,250,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,250,252,250,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,250,252,250,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,243,254,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,252,250,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,252,250,190,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,252,252,252,214,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,250,250,250,252,190,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,160,250,250,252,250,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,170,250,212,49,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,121,197,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,200,252,252,252,184,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,197,252,252,252,252,253,228,107,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,196,252,252,252,252,252,253,252,252,219,178,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,252,238,94,67,224,217,53,109,245,252,252,213,63,0,0,0,0,0,0,0,0,0,0,0,0,0,98,242,252,101,0,0,39,31,0,0,109,128,241,252,207,97,0,0,0,0,0,0,0,0,0,0,0,17,230,252,241,56,0,0,0,0,0,0,0,0,109,252,252,229,17,0,0,0,0,0,0,0,0,0,13,192,252,243,96,0,0,0,0,0,0,0,0,0,25,127,252,252,120,0,0,0,0,0,0,0,0,0,121,252,252,165,0,0,0,0,0,0,0,0,0,0,0,125,252,252,246,70,0,0,0,0,0,0,0,0,190,252,252,39,0,0,0,0,0,0,0,0,0,0,0,26,210,252,252,119,0,0,0,0,0,0,0,0,255,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,22,209,253,183,0,0,0,0,0,0,0,0,253,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,0,0,0,0,0,0,0,0,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,0,0,0,0,0,0,0,0,253,252,168,13,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,209,0,0,0,0,0,0,0,0,147,252,252,75,0,0,0,0,0,0,0,0,0,0,0,0,68,233,252,119,0,0,0,0,0,0,0,0,121,252,252,189,40,0,0,0,0,0,0,0,0,0,15,82,231,252,214,31,0,0,0,0,0,0,0,0,38,135,248,252,231,145,41,41,41,41,20,24,37,83,194,252,252,212,33,0,0,0,0,0,0,0,0,0,0,0,83,213,252,252,252,252,252,252,204,213,243,252,252,252,212,34,0,0,0,0,0,0,0,0,0,0,0,0,0,34,140,238,248,252,252,252,253,252,252,241,238,238,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,119,119,119,120,119,119,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,21,86,121,121,171,147,121,83,21,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,254,254,254,254,254,254,254,254,254,222,175,175,109,39,0,0,0,0,0,0,0,0,0,0,0,0,0,244,238,125,125,125,125,125,179,224,242,254,254,254,254,233,99,15,0,0,0,0,0,0,0,0,0,0,0,104,97,0,0,0,0,0,0,0,41,72,145,159,254,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,42,238,254,225,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,96,19,23,180,195,248,254,241,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,254,251,251,254,254,254,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,251,249,249,251,210,249,254,254,215,31,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,38,0,0,133,237,254,254,107,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,194,254,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,107,0,0,0,0,0,0,0,12,172,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,206,106,26,49,41,26,75,126,139,247,255,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,254,254,254,254,254,254,254,254,240,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,57,178,219,219,174,186,219,219,206,120,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,255,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,253,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,253,253,246,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,223,253,253,243,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,237,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,118,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,148,253,253,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,253,253,253,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,253,253,253,173,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,253,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,253,239,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,234,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,73,73,115,114,73,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,150,252,252,252,252,252,222,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,237,252,252,252,252,252,252,253,221,125,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,236,143,143,143,143,205,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,159,195,0,0,0,0,20,253,252,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,232,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,120,253,252,246,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,253,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,212,253,255,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,207,252,252,119,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,129,252,252,252,0,0,0,0,0,0,27,37,37,26,27,37,0,0,0,0,0,0,0,0,0,0,21,144,252,252,252,252,145,144,144,144,145,144,221,252,253,221,221,252,0,0,0,0,0,0,0,0,0,0,99,253,253,253,253,253,255,253,253,253,255,253,253,253,255,159,62,62,0,0,0,0,0,0,0,0,0,0,46,221,252,252,252,252,253,252,252,252,253,231,179,97,35,5,0,0,0,0,0,0,0,0,0,0,0,0,0,125,215,215,215,215,217,215,112,71,72,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,96,96,96,96,96,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,190,253,251,251,251,251,253,205,111,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,111,64,236,251,253,251,251,172,251,253,251,251,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,248,236,251,251,189,168,31,12,31,91,236,251,244,83,0,0,0,0,0,0,0,0,0,0,0,0,0,36,114,172,94,94,0,0,0,0,0,0,91,251,251,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,228,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,48,84,96,96,24,0,0,60,255,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,8,32,191,236,220,244,251,253,205,95,8,170,253,251,251,69,0,0,0,0,0,0,0,0,0,0,16,127,158,251,253,251,251,251,251,253,251,188,158,251,253,251,188,15,0,0,0,0,0,0,0,0,0,0,171,251,251,211,189,69,31,31,31,213,251,251,251,251,253,85,15,0,0,0,0,0,0,0,0,0,0,60,228,251,211,35,0,0,0,0,0,194,251,251,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,155,253,253,31,0,0,12,96,96,194,255,253,253,253,253,255,63,0,0,0,0,0,0,0,0,0,0,0,253,251,251,197,190,191,197,251,251,251,253,247,236,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,253,251,251,251,251,205,110,63,156,251,205,31,0,0,0,0,0,0,0,0,0,0,0,91,188,220,251,251,253,243,188,148,31,19,0,0,8,31,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,94,94,95,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,161,174,181,160,143,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,177,236,231,216,216,241,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,231,238,80,21,0,0,69,247,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,237,58,0,0,0,0,138,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,18,0,0,0,0,149,248,157,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,83,243,248,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,219,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,78,151,221,254,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,81,164,229,254,254,254,254,254,225,189,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,232,254,254,254,254,162,66,66,149,163,254,241,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,218,181,95,4,0,0,0,0,0,64,219,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,2,28,13,0,0,0,0,0,0,0,0,0,33,229,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,235,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,132,0,0,0,0,0,0,0,207,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,151,144,0,0,0,0,0,0,0,207,206,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,216,22,0,0,0,0,0,0,81,245,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,169,0,0,0,0,0,0,26,179,254,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,251,168,51,0,0,9,96,216,254,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,207,254,249,217,218,222,254,235,173,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,87,159,194,255,240,156,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,92,0,131,254,254,254,255,189,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,127,216,248,178,241,253,253,253,253,253,177,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,253,253,129,95,107,107,142,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,25,197,253,233,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,214,214,107,31,0,0,0,86,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,139,236,253,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,189,253,253,250,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,31,139,185,245,253,253,245,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,194,253,253,253,253,245,123,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,253,253,253,253,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,230,251,253,253,253,239,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,129,129,239,253,194,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,80,0,0,0,0,0,0,0,0,0,0,0,0,68,169,81,1,0,0,0,0,0,0,0,0,224,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,7,0,0,0,0,0,0,0,0,224,253,253,121,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,160,15,0,0,0,0,0,58,216,249,253,225,29,0,0,0,0,0,0,0,0,0,0,0,0,37,219,253,253,160,8,8,8,8,8,180,253,253,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,207,253,253,253,253,253,253,253,253,253,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,248,253,253,253,253,253,253,253,253,205,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,123,253,253,253,253,113,99,99,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,231,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,247,222,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,217,247,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,183,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,183,254,209,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,219,253,171,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,149,254,254,254,134,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,175,253,250,233,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,196,253,183,0,223,247,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,210,16,0,156,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,137,0,0,156,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,255,219,30,0,0,255,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,254,135,0,19,154,254,183,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,105,109,187,253,235,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,245,253,247,213,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,253,222,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,225,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,185,241,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,93,254,220,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,205,254,178,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,48,0,0,0,0,0,7,210,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,186,60,0,0,0,0,3,128,250,228,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,173,254,102,0,0,0,0,61,252,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,251,53,0,0,0,16,136,254,230,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,219,254,165,0,0,0,0,124,254,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,254,129,0,0,0,0,214,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,254,254,235,214,194,96,96,229,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,198,254,254,254,254,254,254,254,254,254,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,212,254,250,243,243,176,143,251,254,255,249,65,0,23,33,0,0,0,0,0,0,0,0,0,0,0,0,0,72,107,69,0,0,0,39,223,254,185,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,191,254,190,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,131,254,231,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,202,254,167,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,77,105,221,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,155,242,242,242,242,242,252,254,254,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,254,238,205,205,174,205,167,116,208,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,209,211,2,0,0,0,0,0,170,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,142,3,0,0,0,0,1,178,249,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,229,232,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,207,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,227,248,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,249,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,198,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,248,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,234,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,177,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,252,182,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,19,19,19,135,250,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,0,8,65,186,254,254,254,254,254,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,140,127,185,254,254,254,254,254,254,225,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,130,254,254,188,93,196,217,217,105,93,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,146,254,244,177,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,235,141,50,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,254,254,254,254,231,138,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,192,131,192,192,241,254,254,151,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,162,209,254,91,7,0,0,0,0,0,0,0,0,0,0,0,139,93,0,0,0,0,0,0,0,0,0,0,0,62,244,254,24,0,0,0,0,0,0,0,0,0,0,0,94,228,191,0,0,0,0,0,0,0,0,0,0,111,248,223,17,0,0,0,0,0,0,0,0,0,0,0,25,214,251,200,77,0,0,0,0,0,0,0,68,247,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,26,214,254,250,139,32,0,0,0,0,74,206,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,164,254,254,235,139,100,130,224,248,254,254,124,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,101,164,254,254,254,254,254,254,254,124,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,39,142,222,254,254,166,42,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,12,12,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,37,0,7,77,137,136,136,136,136,40,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,135,254,233,0,152,215,96,140,155,118,230,254,158,68,0,0,0,0,0,0,0,0,0,0,0,0,19,164,254,114,0,0,235,140,0,0,0,0,0,99,230,254,186,14,0,0,0,0,0,0,0,0,0,70,226,242,121,0,0,0,104,195,38,0,0,0,0,0,33,179,253,140,0,0,0,0,0,0,0,0,41,241,198,43,0,0,0,0,0,0,0,0,0,0,0,0,0,24,209,223,0,0,0,0,0,0,0,0,164,250,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,0,0,0,0,0,0,0,0,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,215,0,0,0,0,0,0,0,0,255,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,127,246,133,0,0,0,0,0,0,0,0,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,5,150,247,91,9,0,0,0,0,0,0,0,0,254,165,0,0,0,0,0,0,0,0,0,0,0,13,79,194,216,84,0,0,0,0,0,0,0,0,0,0,111,251,87,0,0,0,0,0,0,16,25,40,107,186,213,117,25,0,0,0,0,0,0,0,0,0,0,0,14,185,235,142,23,0,0,0,91,157,231,207,126,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,195,255,254,254,244,157,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,39,39,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,232,231,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,217,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,252,220,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,221,253,241,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,208,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,73,207,252,210,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,252,252,252,108,0,0,0,0,0,73,181,181,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,252,231,46,0,0,0,0,63,237,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,222,125,0,0,0,0,63,171,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,179,0,0,0,21,176,237,253,231,231,252,207,20,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,76,0,0,0,176,252,252,175,61,191,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,35,0,0,0,217,252,252,207,175,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,211,94,0,171,253,253,253,255,253,237,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,221,252,252,247,217,253,252,252,252,253,231,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,215,247,252,252,253,252,252,231,217,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,128,252,108,232,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,79,104,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,252,224,119,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,168,205,243,210,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,175,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,179,255,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,197,240,252,244,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,154,253,254,253,194,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,252,222,121,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,234,252,214,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,227,103,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,214,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,209,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,110,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,166,177,3,0,0,0,0,51,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,216,28,4,10,48,241,41,60,10,117,192,84,51,38,13,0,0,0,0,0,0,0,0,0,0,0,0,82,240,215,79,122,97,252,159,178,197,215,166,196,206,243,194,44,0,0,0,0,0,0,0,0,0,0,0,0,159,252,253,252,177,252,223,177,168,168,216,214,214,240,253,240,81,0,0,0,0,0,0,0,0,0,0,0,10,28,153,177,139,139,28,9,0,0,16,15,28,78,153,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,113,25,0,0,0,0,0,31,123,174,6,0,0,0,0,0,0,0,0,0,0,0,0,13,208,221,252,252,252,218,121,148,60,60,130,221,252,252,49,0,0,0,0,0,0,0,0,0,0,0,0,112,252,252,252,252,252,252,252,253,252,252,252,252,252,252,66,0,0,0,0,0,0,0,0,0,0,0,29,205,252,252,237,132,132,153,252,253,252,252,252,252,252,188,8,0,0,0,0,0,0,0,0,0,0,0,60,252,252,252,178,0,0,6,29,29,29,42,252,252,181,14,0,0,0,0,0,0,0,0,0,0,0,0,53,241,252,199,22,0,0,0,0,0,8,131,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,118,83,0,0,0,0,0,0,60,252,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,216,252,252,181,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,252,252,230,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,192,255,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,252,253,237,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,197,252,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,252,252,253,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,225,252,252,117,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,217,252,252,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,252,228,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,248,252,252,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,236,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,113,167,228,197,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,225,251,153,97,249,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,146,244,170,41,0,0,142,228,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,246,152,7,0,0,0,71,254,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,249,142,0,0,0,0,0,71,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,232,38,0,0,0,0,0,37,246,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,248,210,0,0,0,0,0,0,0,237,225,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,243,243,70,0,0,0,0,0,0,170,254,228,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,196,5,0,0,0,0,0,182,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,242,254,209,21,0,0,0,25,243,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,254,242,77,0,0,98,254,255,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,94,239,254,253,215,158,217,254,199,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,171,215,254,254,237,90,91,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,26,114,22,0,24,235,238,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,229,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,244,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,224,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,212,253,255,211,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,73,73,125,252,252,253,252,247,217,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,252,252,252,253,252,252,252,222,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,210,128,168,108,232,252,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,179,0,0,0,0,37,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,252,253,200,21,0,0,0,37,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,236,253,252,92,0,0,11,68,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,252,236,62,63,175,252,252,191,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,253,255,253,237,144,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,253,189,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,120,212,252,252,252,191,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,221,252,253,252,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,145,73,253,253,255,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,232,252,200,179,20,31,211,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,221,252,241,61,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,97,0,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,35,0,0,0,73,253,253,208,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,222,134,217,135,227,252,252,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,236,252,252,252,252,253,252,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,169,252,252,252,253,210,108,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,121,121,121,64,0,0,0,96,121,211,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,121,240,242,252,252,252,247,240,121,219,249,252,235,131,6,0,0,0,0,0,0,0,0,0,0,0,0,122,247,252,252,192,158,89,253,252,252,222,158,60,22,0,0,0,0,0,0,0,0,0,0,0,0,0,80,246,252,136,39,15,0,0,140,218,123,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,198,0,0,0,0,25,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,195,252,238,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,195,252,239,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,196,252,242,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,199,252,246,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,203,252,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,255,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,96,252,253,247,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,97,204,252,180,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,248,252,197,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,85,35,0,0,0,0,0,107,245,252,238,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,242,185,0,0,0,0,0,0,0,109,244,252,175,17,0,0,0,0,0,0,0,0,0,0,0,0,74,244,252,160,145,41,41,41,19,0,0,0,122,252,252,170,0,0,0,0,0,0,0,0,0,0,0,0,39,222,252,252,252,252,252,252,203,161,160,160,189,252,252,212,0,0,0,0,0,0,0,0,0,0,0,0,0,89,238,246,238,238,247,252,252,253,252,252,252,252,249,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,0,0,76,119,119,253,252,252,252,146,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,39,125,249,230,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,114,219,254,254,254,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,188,254,245,140,55,51,253,242,14,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,184,53,0,0,0,168,254,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,237,239,40,0,0,0,0,168,254,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,109,0,0,0,0,20,246,254,232,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,97,0,0,0,0,90,254,254,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,218,113,8,56,173,226,254,254,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,238,251,235,244,152,193,254,254,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,138,72,0,130,254,192,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,247,224,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,230,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,239,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,186,254,254,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,254,159,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,73,115,160,115,115,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,126,244,254,254,254,254,254,193,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,130,229,254,254,239,173,166,134,237,254,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,206,254,248,209,130,22,0,0,0,201,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,163,39,0,0,0,0,0,0,134,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,228,21,0,0,0,0,0,0,0,93,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,170,14,0,0,0,0,0,0,0,146,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,116,243,254,219,201,189,93,93,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,97,247,254,254,254,254,254,254,254,254,246,239,146,0,0,0,0,0,0,0,0,0,0,0,0,0,3,144,254,251,233,254,168,87,87,87,115,195,195,119,87,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,221,61,198,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,167,28,254,205,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,227,213,255,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,254,248,128,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,72,114,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,255,187,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,191,253,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,169,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,189,253,249,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,253,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,253,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,231,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,241,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,228,253,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,249,253,193,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,160,253,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,253,186,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,253,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,199,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,234,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,230,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,255,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,255,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,251,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,245,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,254,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,225,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,234,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,238,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,255,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,206,239,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,254,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,88,3,0,0,0,0,185,254,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,254,67,0,0,0,22,243,235,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,254,143,0,0,0,133,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,243,254,41,0,0,9,205,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,230,25,0,0,83,254,242,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,254,253,163,146,146,208,254,137,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,250,254,254,254,254,254,254,254,254,247,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,246,174,187,223,180,248,254,254,251,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,73,52,0,0,0,38,240,254,117,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,251,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,160,254,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,214,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,8,0,0,0,0,0,0,0,26,104,255,200,8,0,0,0,0,0,0,0,0,0,0,0,0,0,32,244,183,0,0,0,0,0,0,19,143,164,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,86,244,253,149,0,0,0,0,0,0,30,206,183,253,153,0,0,0,0,0,0,0,0,0,0,0,0,54,242,253,216,29,0,0,0,0,0,0,119,241,236,253,120,0,0,0,0,0,0,0,0,0,0,0,61,190,253,253,129,0,0,0,0,0,0,0,148,253,253,185,7,0,0,0,0,0,0,0,0,0,0,15,206,253,253,110,15,0,0,0,0,0,0,55,192,253,253,121,0,0,0,0,0,0,0,0,0,0,9,198,253,253,111,2,1,18,125,125,125,168,243,248,253,253,219,27,0,0,0,0,0,0,0,0,0,0,85,253,253,253,66,24,128,253,253,248,230,230,251,253,253,249,64,0,0,0,0,0,0,0,0,0,0,0,117,253,253,253,253,253,210,230,212,108,0,0,231,253,253,186,0,0,0,0,0,0,0,0,0,0,0,0,6,156,253,237,194,144,76,34,0,0,0,0,231,253,233,27,0,0,0,0,0,0,0,0,0,0,0,0,0,9,59,42,0,0,0,0,0,0,0,0,231,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,250,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,250,253,190,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,196,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,187,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,232,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,125,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,135,154,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,22,22,110,128,127,135,232,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,232,252,252,252,253,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,252,252,252,252,253,173,147,77,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,236,254,253,206,106,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,232,252,239,89,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,252,252,232,127,127,57,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,252,252,253,252,252,252,182,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,147,147,147,147,200,252,252,194,0,0,0,0,0,0,0,0,0,0,0,0,87,113,4,0,0,0,0,0,0,0,0,0,0,71,194,255,95,4,0,0,0,0,0,0,0,0,0,0,192,217,48,0,0,0,0,0,0,0,0,0,0,0,45,253,217,12,0,0,0,0,0,0,0,0,0,0,183,252,233,42,0,0,0,0,0,0,0,0,0,6,198,253,166,2,0,0,0,0,0,0,0,0,0,0,14,120,247,196,126,0,0,0,0,0,0,0,0,134,252,225,21,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,252,212,131,9,0,0,0,0,98,204,252,185,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,229,254,253,245,148,148,148,183,253,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,125,231,252,252,252,253,252,210,98,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,29,126,126,127,126,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,76,255,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,240,252,215,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,209,252,210,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,193,252,168,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,252,187,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,240,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,248,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,228,252,232,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,138,253,243,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,228,252,252,168,185,184,184,184,184,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,252,252,253,252,252,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,252,221,43,22,23,43,54,107,252,251,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,255,249,63,0,0,0,0,0,93,253,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,206,0,0,0,0,0,0,114,252,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,246,253,123,0,0,0,0,0,83,240,252,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,245,58,0,0,0,0,60,209,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,230,0,0,0,53,127,244,252,116,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,205,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,206,29,0,0,0,0,0,0,182,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,36,0,0,0,0,0,0,182,253,180,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,36,0,0,0,0,0,45,247,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,222,253,36,0,0,0,0,0,164,253,184,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,150,133,76,6,0,43,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,188,253,253,253,253,253,198,76,167,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,136,253,253,224,217,217,234,254,253,253,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,204,16,0,0,41,150,253,253,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,239,80,0,0,0,0,42,253,253,213,106,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,140,80,0,0,0,0,0,168,253,225,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,244,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,220,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,221,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,191,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,255,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,195,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,202,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,254,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,248,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,172,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,254,254,254,255,169,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,17,70,230,253,253,253,253,253,199,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,240,253,253,253,253,253,253,253,253,253,167,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,62,162,56,56,56,194,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,141,129,4,0,0,0,0,42,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,4,0,0,0,0,0,0,42,253,253,253,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,1,0,0,1,84,238,253,251,148,5,0,0,0,0,0,0,0,0,0,0,0,0,13,99,99,99,99,194,103,96,0,25,253,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,11,161,253,253,253,237,253,253,251,189,195,253,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,83,173,253,253,230,138,49,138,250,253,253,253,253,253,253,32,0,0,0,0,0,0,0,0,0,0,0,74,239,253,94,48,39,0,0,0,60,201,253,253,253,253,253,32,0,0,0,0,0,0,0,0,0,0,0,91,253,197,27,0,0,0,0,0,167,253,253,253,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,91,253,170,58,30,0,0,53,159,252,253,253,210,221,253,253,246,93,0,0,0,0,0,0,0,0,0,0,91,253,253,253,202,148,148,243,253,253,248,106,27,48,225,253,253,191,9,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,253,253,181,173,0,0,0,157,253,253,210,11,0,0,0,0,0,0,0,0,0,32,206,253,253,253,253,253,210,89,3,0,0,0,0,15,174,215,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,155,179,210,155,155,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,254,254,254,241,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,254,254,225,207,222,158,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,202,19,10,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,195,254,204,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,245,254,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,249,254,241,146,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,254,225,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,5,0,0,0,0,0,18,79,230,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,139,247,70,0,0,0,0,0,0,75,245,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,252,63,0,0,0,0,0,2,178,254,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,254,234,22,0,0,0,0,0,118,254,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,167,41,36,36,38,135,236,254,254,198,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,254,254,254,254,254,254,254,254,254,200,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,110,205,237,254,254,254,254,254,252,142,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,33,126,254,254,253,92,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,128,128,128,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,191,0,0,0,0,64,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,64,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,128,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,128,128,191,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,255,255,255,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,105,255,142,117,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,151,253,203,198,235,150,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,230,253,149,6,0,170,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,238,254,152,6,0,13,207,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,242,102,0,0,0,105,254,217,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,226,253,65,0,0,0,51,254,253,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,225,19,0,0,105,247,254,253,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,168,0,64,138,247,203,153,253,215,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,195,254,254,240,201,76,0,205,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,84,84,38,0,0,26,254,215,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,250,179,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,230,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,235,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,177,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,248,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,110,233,253,253,255,253,253,253,255,211,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,237,253,252,231,66,98,200,252,252,253,252,206,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,237,215,132,92,0,21,71,71,217,247,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,108,62,0,0,0,0,0,0,0,1,217,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,155,253,252,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,78,232,252,253,200,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,252,252,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,255,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,252,252,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,215,232,252,252,252,120,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,108,211,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,255,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,35,0,0,0,0,0,0,0,0,0,0,37,26,0,0,0,0,0,0,0,0,0,0,0,11,191,252,253,138,0,0,0,0,0,0,0,0,0,0,253,179,0,0,0,0,0,0,0,0,0,0,0,155,252,252,253,97,0,0,0,0,0,0,0,0,0,0,255,253,133,0,0,0,0,0,0,0,16,109,171,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,253,252,247,217,217,93,73,73,135,217,222,252,253,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,133,226,252,252,252,252,252,252,253,252,252,252,237,215,112,31,0,0,0,0,0,0,0,0,0,0,0,0,0,31,108,190,252,252,252,252,253,252,231,108,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,119,172,254,254,255,254,232,118,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,246,253,248,183,183,183,183,248,253,251,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,128,250,190,65,16,0,0,0,0,16,66,233,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,213,5,0,0,0,0,0,0,0,0,68,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,224,247,164,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,212,253,209,87,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,136,229,253,251,201,174,30,27,3,0,0,21,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,97,148,208,241,253,253,198,117,118,240,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,70,121,156,156,236,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,227,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,247,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,223,110,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,254,58,60,59,59,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,233,253,253,148,254,253,253,232,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,117,255,253,253,253,223,176,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,116,246,253,180,18,4,18,109,241,253,253,253,236,28,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,245,107,0,0,0,0,109,170,253,253,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,233,0,0,0,0,0,0,15,156,253,253,223,72,0,0,0,0,0,0,0,0,0,0,10,156,250,253,253,67,0,0,0,0,0,0,0,99,253,253,253,127,5,0,0,0,0,0,0,0,0,0,118,253,253,253,204,26,0,0,0,0,0,0,0,68,223,253,253,253,57,0,0,0,0,0,0,0,0,32,191,253,253,253,97,0,0,0,0,0,0,0,0,0,156,253,253,253,57,0,0,0,0,0,0,0,0,59,253,253,253,253,97,0,0,0,0,0,0,0,0,0,36,224,253,253,57,0,0,0,0,0,0,0,0,60,254,255,254,156,0,0,0,0,0,0,0,0,0,0,37,226,254,254,58,0,0,0,0,0,0,0,0,59,253,253,253,154,0,0,0,0,0,0,0,0,0,0,156,253,253,253,57,0,0,0,0,0,0,0,0,59,253,253,253,154,0,0,0,0,0,0,0,0,0,0,156,253,253,253,57,0,0,0,0,0,0,0,0,59,253,253,253,246,90,0,0,0,0,0,0,0,0,16,171,253,253,231,49,0,0,0,0,0,0,0,0,59,253,253,253,253,156,91,0,0,0,0,0,0,0,99,253,253,222,71,0,0,0,0,0,0,0,0,0,59,253,253,253,253,253,245,109,0,0,0,0,0,145,194,253,253,174,0,0,0,0,0,0,0,0,0,0,9,38,174,251,253,253,253,241,215,215,217,215,215,250,253,253,221,26,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,253,253,253,253,254,253,253,253,253,204,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,116,200,253,253,253,253,254,253,253,253,199,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,57,118,253,253,58,57,57,57,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,255,255,163,7,7,7,95,130,130,130,130,130,130,19,0,0,0,0,0,0,0,0,0,0,0,0,0,12,248,253,253,253,253,253,253,253,253,253,253,253,253,203,12,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,251,235,152,196,235,235,140,111,150,235,235,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,253,225,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,189,253,239,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,239,253,192,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,237,253,236,167,167,167,167,167,126,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,236,253,253,253,253,253,253,253,224,126,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,236,186,74,74,74,114,197,245,253,135,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,20,0,0,0,0,0,104,246,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,226,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,253,12,0,0,0,0,0,0,0,0,0,0,44,81,34,0,0,0,0,0,0,0,0,0,0,0,20,234,253,112,0,0,0,0,0,0,0,0,0,0,136,253,147,0,0,0,0,0,0,0,0,0,0,0,0,230,253,135,0,0,0,0,0,0,0,0,0,0,92,253,250,191,0,0,0,0,0,0,0,0,0,0,37,238,253,29,0,0,0,0,0,0,0,0,0,0,2,108,253,222,0,0,0,0,0,0,0,0,0,0,209,253,209,7,0,0,0,0,0,0,0,0,0,0,0,2,159,250,135,0,0,0,0,0,0,0,37,212,250,209,22,0,0,0,0,0,0,0,0,0,0,0,0,0,11,108,251,154,36,0,0,0,0,130,181,253,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,135,213,246,242,181,242,242,251,253,152,26,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,91,156,253,253,253,153,87,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,93,164,254,255,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,163,253,253,243,231,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,207,253,245,200,85,31,158,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,247,98,0,0,0,113,250,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,188,0,0,0,0,21,245,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,112,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,225,3,0,0,0,3,243,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,252,253,183,60,24,124,191,252,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,235,253,253,253,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,76,159,194,244,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,244,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,244,253,211,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,124,253,199,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,239,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,203,254,254,220,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,243,253,253,254,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,125,237,253,253,253,254,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,254,253,253,253,103,69,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,254,254,254,239,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,253,254,210,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,253,254,203,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,254,253,253,253,254,228,238,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,254,254,254,254,254,254,152,70,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,253,253,253,254,253,253,253,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,240,254,253,253,253,254,253,253,253,254,244,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,254,253,253,253,254,253,253,253,254,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,235,254,254,254,254,254,254,254,254,254,254,254,186,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,253,253,253,254,253,219,253,254,253,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,253,253,253,254,253,220,253,254,253,253,253,216,53,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,253,253,253,254,253,253,253,254,253,253,253,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,254,254,254,254,254,254,254,254,254,254,254,255,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,216,253,253,254,253,253,253,254,253,253,253,190,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,96,230,230,251,253,253,254,253,242,196,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,195,143,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,40,137,196,196,137,136,136,174,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,253,253,254,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,255,254,213,180,98,76,76,0,91,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,50,244,254,145,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,245,253,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,240,253,253,254,251,166,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,223,253,177,155,238,253,169,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,83,183,238,96,0,0,0,0,0,0,0,0,0,0,0,0,0,35,160,68,0,0,0,0,0,0,0,0,0,48,245,193,0,0,0,0,0,0,0,0,0,0,0,0,0,186,173,0,0,0,0,0,0,0,0,0,0,79,245,162,0,0,0,0,0,0,0,0,0,0,0,0,0,216,161,57,0,0,0,0,0,0,0,0,49,247,247,49,0,0,0,0,0,0,0,0,0,0,0,0,0,216,253,235,180,98,0,0,0,0,38,121,244,253,191,23,0,0,0,0,0,0,0,0,0,0,0,0,0,23,106,236,254,254,255,254,254,254,254,255,226,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,91,135,158,233,233,233,233,151,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,255,203,146,110,38,38,38,94,146,146,146,119,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,253,253,253,253,253,253,253,253,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,248,248,249,249,248,248,248,192,139,139,200,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,24,0,0,0,0,0,0,154,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,250,241,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,250,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,235,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,203,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,242,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,205,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,236,137,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,194,253,212,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,203,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,203,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,255,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,78,0,0,0,0,0,84,242,222,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,242,42,0,0,0,11,211,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,232,252,84,0,0,0,48,252,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,235,14,0,0,0,127,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,255,253,170,0,0,0,0,189,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,199,253,252,125,85,50,0,64,247,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,158,252,253,252,252,252,244,233,239,252,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,231,226,128,84,84,84,172,253,252,252,183,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,24,0,0,0,0,0,165,252,235,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,210,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,236,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,222,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,246,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,240,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,252,253,154,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,178,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,209,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,252,252,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,242,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,236,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,118,118,173,255,221,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,234,246,253,253,253,253,253,142,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,251,214,181,243,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,243,183,60,30,3,220,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,66,0,0,0,33,225,253,206,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,248,253,250,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,190,253,210,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,251,253,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,230,253,253,160,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,204,253,253,253,234,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,94,205,205,228,253,231,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,252,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,125,247,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,104,183,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,70,83,27,0,0,0,0,0,16,176,253,253,253,62,8,0,0,0,0,0,0,0,0,0,0,0,0,24,223,253,217,118,31,61,63,63,173,253,251,191,135,8,0,0,0,0,0,0,0,0,0,0,0,0,0,29,202,253,253,253,215,252,253,253,253,253,250,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,199,232,245,253,253,253,253,253,150,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,116,250,204,153,152,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,255,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,251,254,45,5,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,212,18,173,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,202,254,52,0,210,243,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,201,254,107,0,210,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,254,50,13,222,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,203,254,135,2,45,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,254,239,46,0,77,254,250,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,226,254,96,0,0,56,254,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,145,254,250,46,18,18,142,254,212,108,108,108,108,108,21,0,0,0,0,0,0,0,0,0,0,0,0,83,254,254,251,183,253,254,254,254,254,254,252,249,249,158,14,0,0,0,0,0,0,0,0,0,0,0,0,111,254,254,254,254,231,192,254,254,153,85,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,9,48,32,9,6,18,232,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,206,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,254,157,34,34,218,255,206,34,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,238,252,252,252,252,252,252,252,252,252,162,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,220,252,252,252,209,153,223,252,252,252,252,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,252,252,141,0,85,230,252,252,252,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,252,252,141,0,0,73,102,252,252,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,252,191,30,0,0,0,5,97,252,252,220,51,0,0,0,0,0,0,0,0,0,0,0,0,123,245,252,252,202,14,0,0,0,0,0,56,252,252,252,65,0,0,0,0,0,0,0,0,0,0,0,18,154,252,252,241,0,0,0,0,0,0,0,56,252,252,252,65,0,0,0,0,0,0,0,0,0,0,21,146,252,252,252,241,0,0,0,0,0,0,0,56,252,252,252,65,0,0,0,0,0,0,0,0,0,0,67,252,252,252,252,241,0,0,0,0,0,0,0,56,252,252,252,65,0,0,0,0,0,0,0,0,0,0,67,252,252,252,252,116,0,0,0,0,0,0,0,56,252,252,252,65,0,0,0,0,0,0,0,0,0,0,67,252,252,252,252,20,0,0,0,0,0,0,0,56,252,252,252,65,0,0,0,0,0,0,0,0,0,0,67,252,252,252,87,4,0,0,0,0,0,0,0,56,252,252,124,11,0,0,0,0,0,0,0,0,0,0,67,252,252,252,54,0,0,0,0,0,0,19,236,245,252,252,98,0,0,0,0,0,0,0,0,0,0,0,67,252,252,252,97,5,0,0,0,0,39,219,252,252,252,252,98,0,0,0,0,0,0,0,0,0,0,0,67,252,252,252,252,102,89,89,89,89,203,252,252,252,252,209,64,0,0,0,0,0,0,0,0,0,0,0,67,252,252,252,252,252,252,252,252,252,252,252,252,226,130,68,0,0,0,0,0,0,0,0,0,0,0,0,67,252,252,252,252,252,252,252,252,252,252,252,239,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,65,163,252,252,252,252,252,252,252,252,96,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,176,252,252,252,252,155,32,32,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,118,25,0,0,0,0,0,0,0,0,0,0,0,109,234,193,76,0,0,0,0,0,0,0,0,0,0,104,253,204,29,0,0,0,0,0,0,0,0,0,0,118,253,253,244,110,0,0,0,0,0,0,0,0,0,104,253,253,190,0,0,0,0,0,0,0,0,0,0,118,253,253,253,219,0,0,0,0,0,0,0,0,0,104,253,253,243,73,0,0,0,0,0,0,0,0,0,118,253,253,253,219,0,0,0,0,0,0,0,0,0,104,253,253,253,96,0,0,0,0,0,0,0,0,0,125,253,253,253,211,0,0,0,0,0,0,0,0,0,104,253,253,253,96,0,0,0,0,0,0,0,0,0,254,253,253,253,82,0,0,0,0,0,0,0,0,65,180,253,253,253,96,0,0,0,0,0,0,0,0,0,254,253,253,229,46,0,0,0,0,0,21,126,248,250,253,253,253,253,96,0,0,0,0,0,0,0,0,0,206,253,253,247,227,145,90,90,213,227,232,253,253,253,253,253,253,253,96,0,0,0,0,0,0,0,0,0,118,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,96,0,0,0,0,0,0,0,0,0,95,249,253,253,253,253,253,253,253,253,253,248,205,137,68,229,253,253,96,0,0,0,0,0,0,0,0,0,0,133,249,253,253,253,253,253,253,246,226,127,0,0,0,220,253,253,96,0,0,0,0,0,0,0,0,0,0,0,92,138,246,239,109,109,109,80,0,0,0,0,0,220,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,211,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,207,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,118,232,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,137,137,137,253,242,60,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,225,254,254,254,254,254,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,213,145,201,195,83,195,233,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,177,15,0,0,0,0,166,224,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,14,0,0,0,0,0,166,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,108,40,0,0,0,0,6,122,245,196,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,254,95,0,0,0,3,128,254,251,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,254,164,8,0,65,192,254,241,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,184,254,133,160,240,254,227,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,255,254,255,147,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,95,254,254,254,90,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,154,254,254,255,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,141,87,221,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,206,254,182,0,0,178,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,148,254,178,5,0,0,178,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,238,24,0,0,28,228,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,165,0,0,0,128,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,236,62,44,202,235,254,154,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,199,254,240,237,254,254,203,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,233,254,254,254,179,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,247,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,242,245,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,253,253,104,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,254,221,120,120,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,75,36,11,56,222,254,253,253,253,245,207,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,245,249,105,0,0,44,224,230,253,253,253,253,214,10,0,0,0,0,0,0,0,0,0,0,0,0,8,191,253,143,0,0,0,0,0,29,119,119,158,253,253,94,0,0,0,0,0,0,0,0,0,0,0,0,15,253,226,48,0,0,0,0,0,0,0,0,4,183,253,248,56,0,0,0,0,0,0,0,0,0,0,0,42,253,178,0,0,0,0,0,0,0,0,0,0,179,253,184,14,0,0,0,0,0,0,0,0,0,0,0,164,253,178,0,0,0,0,0,0,0,0,0,0,179,253,163,0,0,0,0,0,0,0,0,0,0,0,61,254,254,179,0,0,0,0,0,0,0,0,0,76,254,254,164,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,0,29,206,253,253,40,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,0,120,253,253,245,13,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,0,120,253,239,63,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,178,0,0,0,0,0,0,0,14,238,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,18,190,253,231,70,0,0,0,0,0,43,184,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,239,134,8,0,0,56,163,253,253,213,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,253,253,240,239,239,247,253,253,210,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,59,204,253,253,253,253,253,254,253,250,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,122,253,253,253,253,255,217,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,204,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,236,253,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,243,230,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,244,228,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,131,23,0,0,0,0,0,25,199,249,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,234,42,0,0,0,0,0,100,249,243,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,202,253,109,0,0,0,0,14,176,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,240,46,0,0,0,0,57,253,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,209,249,119,0,0,0,0,0,181,253,166,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,216,254,243,0,0,0,0,0,57,250,255,103,0,0,0,0,0,0,0,0,0,0,0,0,0,18,67,213,253,253,250,177,96,67,59,0,177,253,215,17,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,253,253,253,253,253,253,249,210,246,253,220,22,0,0,0,0,0,0,0,0,0,0,0,0,0,110,188,112,10,49,121,102,93,121,187,253,253,232,97,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,182,230,122,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,118,254,211,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,239,229,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,217,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,125,168,254,254,254,254,160,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,250,253,253,253,253,253,253,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,252,253,253,253,253,253,253,253,253,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,246,253,253,218,149,149,176,253,253,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,155,42,17,0,0,116,253,253,235,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,246,253,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,215,246,253,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,253,253,253,199,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,253,253,253,253,219,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,253,253,253,253,253,246,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,65,65,65,95,194,235,253,253,247,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,166,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,190,253,247,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,175,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,27,18,0,0,0,0,0,5,128,253,253,251,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,219,150,150,50,20,47,169,253,253,253,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,253,253,253,253,253,253,253,253,253,232,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,117,227,249,253,253,253,253,253,252,162,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,159,253,253,253,230,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,173,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,72,190,253,207,62,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,236,251,251,129,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,228,251,251,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,214,251,172,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,217,253,231,62,4,0,0,0,0,16,162,64,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,217,253,132,47,0,0,0,0,80,181,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,195,24,0,0,0,155,253,253,253,253,255,233,48,0,0,0,0,0,0,0,0,0,0,0,0,16,225,251,253,62,0,0,20,253,251,251,243,220,233,251,126,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,205,31,0,112,205,253,235,126,94,0,96,251,126,0,0,0,0,0,0,0,0,0,0,0,28,236,251,251,19,68,221,248,251,229,66,0,16,64,234,223,15,0,0,0,0,0,0,0,0,0,0,0,12,173,251,251,100,190,251,251,251,218,39,0,64,251,253,240,79,0,0,0,0,0,0,0,0,0,0,0,20,206,253,253,155,253,253,253,253,0,191,253,253,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,251,251,251,251,191,236,251,251,231,161,16,0,0,0,0,0,0,0,0,0,0,0,0,0,63,156,251,253,251,251,251,251,253,251,251,219,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,188,253,251,251,251,211,189,168,31,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,114,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,238,217,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,254,254,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,224,254,145,254,240,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,160,253,254,254,187,254,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,184,207,254,254,248,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,206,17,47,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,254,43,0,165,254,159,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,237,23,42,235,218,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,254,105,212,247,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,249,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,163,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,243,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,249,177,49,235,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,213,249,50,0,212,247,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,158,0,0,212,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,254,30,0,0,212,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,235,213,8,0,37,243,241,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,240,200,4,5,193,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,254,212,218,254,195,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,216,254,254,166,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,255,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,84,6,167,253,253,237,234,234,159,234,234,115,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,248,215,253,253,185,177,233,253,253,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,253,229,21,0,45,61,61,155,253,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,253,50,0,0,0,0,5,212,253,242,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,241,245,168,3,0,0,0,17,154,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,50,0,0,0,0,0,99,253,253,200,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,253,199,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,241,253,210,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,233,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,237,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,168,253,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,250,253,188,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,237,253,175,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,223,253,235,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,223,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,182,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,255,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,230,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,241,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,190,253,253,180,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,251,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,219,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,200,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,234,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,207,253,242,114,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,169,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,252,90,8,124,130,130,130,57,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,253,165,39,176,253,253,253,253,253,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,249,253,253,42,162,253,253,230,193,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,113,1,162,253,253,97,115,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,206,253,253,59,0,134,253,253,219,253,253,237,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253,253,253,59,0,76,231,253,253,253,242,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,253,253,250,249,252,253,253,253,241,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,178,253,253,253,253,253,253,247,157,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,196,253,253,253,230,60,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,164,253,255,253,118,59,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,251,251,253,251,251,251,199,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,198,251,251,253,251,251,251,251,204,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,117,251,251,243,212,239,251,251,251,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,251,251,251,120,0,175,251,251,251,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,237,251,251,251,0,0,67,240,251,251,243,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,163,251,251,240,81,0,0,0,68,251,251,251,179,9,0,0,0,0,0,0,0,0,0,0,0,0,13,145,251,251,226,80,0,0,0,0,39,251,251,251,251,115,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,173,0,0,0,0,0,18,167,251,251,251,115,0,0,0,0,0,0,0,0,0,0,0,0,233,251,251,251,173,0,0,0,0,0,0,98,251,251,251,115,0,0,0,0,0,0,0,0,0,0,0,176,253,253,216,179,0,0,0,0,0,0,0,99,253,253,253,116,0,0,0,0,0,0,0,0,0,0,55,210,251,251,96,0,0,0,0,0,0,0,0,98,251,251,214,62,0,0,0,0,0,0,0,0,0,0,117,251,251,251,96,0,0,0,0,0,0,0,28,204,251,237,53,0,0,0,0,0,0,0,0,0,0,55,241,251,251,160,7,0,0,0,0,0,0,28,222,251,251,231,0,0,0,0,0,0,0,0,0,0,0,59,251,251,251,153,0,0,0,0,0,23,98,204,251,251,251,156,0,0,0,0,0,0,0,0,0,0,0,59,251,251,251,153,0,0,0,85,155,179,251,251,251,251,154,15,0,0,0,0,0,0,0,0,0,0,0,59,251,251,251,236,214,214,214,234,251,253,251,251,248,156,15,0,0,0,0,0,0,0,0,0,0,0,0,41,209,251,251,251,251,251,251,251,251,253,251,196,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,115,241,251,251,251,251,251,251,253,187,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,251,251,251,251,251,101,57,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,141,226,255,255,170,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,170,255,198,141,86,86,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,170,57,0,0,0,57,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,170,0,0,0,0,114,226,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,170,170,170,255,255,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,170,170,170,86,29,29,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,159,50,0,0,0,76,113,114,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,234,252,252,237,226,225,225,243,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,233,195,195,195,196,195,208,252,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,7,123,169,253,151,0,0,0,0,0,25,205,252,240,71,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,27,0,0,0,0,0,135,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,255,27,0,0,0,0,85,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,167,106,3,0,0,0,38,219,252,242,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,252,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,203,253,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,207,253,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,122,252,252,215,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,249,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,240,252,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,228,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,223,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,227,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,189,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,55,0,0,0,18,67,67,67,153,177,158,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,246,210,210,211,221,253,253,253,253,253,253,66,0,0,0,0,0,0,0,0,0,0,0,0,0,5,196,253,253,253,253,232,231,231,231,231,192,121,54,3,0,0,0,0,0,0,0,0,0,0,0,0,5,147,253,253,200,105,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,253,253,253,220,216,206,137,89,89,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,253,253,253,253,253,253,254,253,253,223,50,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,99,185,204,99,99,99,100,176,209,252,253,180,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,227,253,251,121,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,120,244,253,147,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,242,254,96,0,0,0,0,0,0,0,0,82,177,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,172,0,0,0,0,0,0,0,0,254,253,174,4,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,253,0,0,0,0,0,0,0,0,135,247,253,176,18,0,0,0,0,0,0,0,0,0,0,0,1,112,253,253,0,0,0,0,0,0,0,0,0,91,220,253,234,80,5,0,0,0,0,0,0,0,0,20,113,253,253,181,0,0,0,0,0,0,0,0,0,0,65,211,253,253,204,131,89,12,0,0,0,86,161,218,253,253,188,45,0,0,0,0,0,0,0,0,0,0,0,21,204,246,253,253,253,235,185,232,232,253,253,253,238,113,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,151,209,223,253,255,253,253,250,209,170,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,66,115,66,66,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,235,147,228,254,254,160,38,84,125,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,214,172,253,253,253,253,250,251,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,252,205,24,117,76,142,142,162,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,218,27,0,0,0,0,100,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,119,0,0,0,0,48,246,253,173,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,48,5,0,0,0,0,166,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,240,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,241,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,181,253,217,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,209,253,184,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,213,253,241,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,241,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,239,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,169,253,246,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,240,253,209,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,251,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,237,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,133,255,254,254,254,254,180,91,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,147,253,253,253,253,253,253,253,253,215,180,85,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,253,253,253,180,146,156,253,253,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,146,177,56,56,18,0,6,56,56,141,249,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,239,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,242,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,235,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,160,253,253,143,7,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,100,172,172,172,172,172,232,253,252,245,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,229,253,253,253,253,253,253,253,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,47,220,253,253,253,253,253,253,253,253,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,253,253,253,253,253,253,253,253,253,230,116,15,0,0,0,0,0,0,0,0,0,0,0,0,30,130,253,253,253,253,253,253,253,225,212,216,253,253,253,174,18,0,0,0,0,0,0,0,0,0,0,48,218,253,253,253,253,253,253,253,210,39,0,12,122,228,253,253,182,8,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,221,153,32,22,0,0,0,0,168,253,253,253,53,0,0,0,0,0,0,0,0,0,38,115,253,137,106,106,48,0,0,0,0,0,0,0,18,106,235,253,179,0,0,0,0,0,0,0,0,0,0,1,15,4,0,0,0,0,0,0,0,0,0,0,0,0,222,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,184,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,255,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,244,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,249,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,233,253,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,232,253,182,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,160,253,231,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,245,253,183,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,147,253,251,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,226,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,253,244,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,128,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,235,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,202,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,255,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,241,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,222,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,224,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,255,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,237,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,207,253,230,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,169,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,176,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,186,253,221,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,197,253,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,249,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,244,253,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,248,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,247,253,138,0,0,0,0,0,4,132,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,251,70,0,0,0,0,0,155,253,224,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,249,253,195,0,0,0,0,43,113,251,253,253,217,24,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,248,13,0,0,0,4,213,253,253,253,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,7,197,253,147,0,0,0,7,153,253,253,109,192,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,44,241,253,147,0,0,8,151,253,253,180,54,217,253,211,19,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,224,69,0,42,253,253,253,222,252,253,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,253,252,201,210,253,253,253,253,253,253,177,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,166,253,253,253,253,253,253,253,253,249,84,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,135,137,198,253,253,253,253,201,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,51,51,132,214,253,234,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,213,252,253,252,253,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,173,253,255,253,224,162,102,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,252,233,151,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,255,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,212,253,252,223,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,214,253,254,253,193,51,0,0,0,0,31,51,51,51,51,31,0,0,0,0,0,0,0,0,0,0,0,0,10,91,253,252,253,232,183,102,123,203,233,252,253,252,253,232,123,0,0,0,0,0,0,0,0,0,0,0,0,0,21,183,234,253,254,253,254,253,254,253,254,233,255,253,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,232,253,252,253,252,192,111,50,30,50,212,213,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,253,254,253,21,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,253,212,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,233,82,102,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,253,151,0,102,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,254,151,0,163,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,253,151,41,243,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,255,172,214,253,255,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,232,253,252,253,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,255,253,255,253,142,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,172,252,233,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,62,232,255,229,146,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,209,253,253,253,253,253,205,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,208,253,225,55,133,165,252,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,173,253,219,0,0,0,0,206,237,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,226,42,0,0,0,45,241,235,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,240,251,114,0,0,0,0,111,253,236,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,205,0,0,0,0,35,221,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,245,242,112,8,0,0,167,253,220,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,253,234,233,233,252,224,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,158,241,253,253,253,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,54,97,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,203,253,242,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,244,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,247,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,246,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,183,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,35,0,0,0,0,0,0,0,0,85,114,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,31,0,0,0,0,0,0,0,26,238,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,31,0,0,0,0,0,0,0,79,254,181,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,255,31,0,0,0,0,0,0,0,109,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,244,184,4,0,0,0,0,0,0,0,182,236,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,248,59,0,0,0,0,0,0,0,21,230,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,189,228,0,5,6,6,3,0,0,0,6,194,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,234,126,243,254,254,173,11,0,0,20,227,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,254,254,254,254,214,45,0,115,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,250,183,103,5,7,172,246,252,135,155,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,166,107,0,0,0,0,0,50,179,254,254,254,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,196,254,200,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,212,245,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,251,194,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,215,245,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,170,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,255,184,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,247,253,182,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,171,253,253,140,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,251,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,219,253,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,244,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,243,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,168,253,253,215,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,242,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,204,253,253,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,201,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,251,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,212,253,252,165,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,253,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,201,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,226,226,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,170,170,226,170,255,255,255,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,255,226,170,141,114,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,114,0,0,57,86,86,57,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,226,114,226,255,255,255,255,255,170,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,198,170,86,29,114,141,226,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,170,57,0,0,0,0,0,0,86,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,0,0,0,0,0,0,57,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,170,57,0,0,0,57,226,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,226,255,226,170,170,226,226,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,114,198,255,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,253,253,255,206,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,225,225,163,140,252,252,252,253,252,214,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,253,201,195,180,55,119,246,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,236,84,9,0,0,0,0,225,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,112,50,0,0,0,0,0,0,225,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,249,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,252,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,153,253,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,255,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,163,226,225,225,225,146,85,85,200,252,252,152,3,0,0,0,0,0,0,0,0,0,0,0,0,0,13,156,252,253,233,208,252,252,253,252,252,252,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,10,156,252,252,240,71,19,99,239,253,252,252,233,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,252,252,173,63,0,32,140,203,253,252,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,240,63,0,0,120,253,253,255,253,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,38,234,252,223,0,0,123,246,252,252,215,195,252,252,237,163,9,0,0,0,0,0,0,0,0,0,0,0,113,252,252,246,197,198,246,252,245,118,31,19,209,252,220,133,6,0,0,0,0,0,0,0,0,0,0,0,101,249,252,252,252,253,252,230,121,0,0,0,66,84,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,142,252,252,190,112,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,118,200,255,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,80,231,254,254,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,226,254,254,202,202,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,148,251,254,205,128,7,132,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,191,253,251,197,78,7,0,51,247,217,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,142,167,79,0,0,0,0,177,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,135,253,183,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,241,224,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,251,189,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,249,240,43,0,0,5,7,7,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,231,254,73,0,44,119,197,209,206,200,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,177,127,206,246,254,240,210,228,254,229,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,246,254,254,254,247,189,70,37,0,22,143,253,211,38,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,254,239,138,26,0,0,0,0,0,0,176,254,136,8,0,0,0,0,0,0,0,0,0,0,0,98,253,250,182,22,0,0,0,0,0,0,0,0,4,136,254,94,0,0,0,0,0,0,0,0,0,0,61,239,252,117,0,0,0,0,0,0,0,0,0,0,0,2,144,228,24,0,0,0,0,0,0,0,0,17,195,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,159,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,195,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,110,191,244,255,241,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,55,224,253,240,234,237,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,176,52,37,44,182,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,242,154,15,0,0,9,227,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,253,170,0,0,0,40,207,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,224,253,182,11,0,0,0,162,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,250,57,0,0,5,95,252,253,167,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,192,0,4,107,228,253,253,236,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,251,160,175,253,253,253,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,194,251,253,253,226,253,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,59,59,49,226,253,166,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,222,253,218,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,153,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,207,253,246,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,246,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,245,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,210,253,207,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,192,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,253,198,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,253,251,169,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,254,253,254,253,254,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,251,253,251,253,251,253,251,225,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,255,253,226,56,0,114,254,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,224,253,251,56,0,0,0,139,251,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,255,84,0,0,0,0,57,225,254,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,83,0,0,0,0,0,168,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,169,0,0,0,0,0,0,169,254,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,56,0,0,0,0,0,0,168,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,84,0,0,0,0,0,0,0,0,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,83,0,0,0,0,0,0,0,0,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,197,254,84,0,0,0,0,0,0,0,169,254,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,251,253,83,0,0,0,0,0,0,57,224,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,225,254,139,0,0,0,0,0,57,141,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,169,56,0,114,169,224,253,251,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,254,253,254,253,254,253,254,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,251,253,251,253,251,253,251,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,225,254,253,254,253,254,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,251,253,251,84,83,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,118,248,255,146,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,133,234,219,112,253,253,253,253,224,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,235,253,253,253,210,177,177,202,253,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,158,253,213,109,27,0,0,113,253,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,82,22,0,0,0,33,225,253,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,14,241,253,250,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,186,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,188,250,253,172,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,230,253,253,197,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,253,253,253,253,193,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,205,130,205,251,208,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,247,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,141,248,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,187,253,213,98,0,0,0,0,0,0,0,0,0,0,0,0,40,219,58,0,0,0,0,0,0,0,68,189,253,211,102,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,198,27,0,0,0,0,0,16,120,253,253,206,18,0,0,0,0,0,0,0,0,0,0,0,0,0,45,231,253,217,118,31,0,0,51,99,253,253,223,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,128,253,253,253,215,179,179,239,253,253,230,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,129,253,253,253,253,253,253,249,217,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,116,198,182,190,239,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,56,115,157,232,155,89,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,84,212,251,244,203,168,205,244,214,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,203,56,0,0,0,0,0,200,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,189,241,128,16,0,0,0,0,0,0,126,212,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,56,0,0,0,0,0,0,0,0,194,254,190,0,0,0,0,0,0,0,0,0,0,0,0,0,60,251,135,3,0,0,0,0,0,0,0,88,240,245,66,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,80,0,0,0,0,0,0,0,45,232,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,80,0,0,0,0,0,1,64,231,254,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,80,0,0,0,0,0,81,254,168,190,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,201,222,34,0,28,88,209,253,141,17,170,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,229,205,232,253,230,108,0,0,170,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,163,194,218,178,60,0,0,0,0,170,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,170,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,227,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,254,232,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,64,0,0,0,0,0,0,0,128,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,191,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,64,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,191,255,255,191,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,0,128,255,255,255,191,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,128,128,128,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,97,178,254,254,255,184,12,0,0,0,0,0,0,0,0,0,0,0,0,0,3,11,79,110,143,209,209,253,253,253,249,243,252,253,20,0,0,0,0,0,0,0,0,0,0,0,0,3,152,253,253,253,253,253,253,215,188,165,49,18,232,253,20,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,240,143,133,40,34,14,0,0,8,196,253,184,3,0,0,0,0,0,0,0,0,0,0,0,0,4,143,131,25,0,0,0,0,0,0,0,45,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,229,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,228,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,134,84,32,95,95,95,95,171,253,253,114,95,95,95,41,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,251,253,253,253,253,253,253,253,253,253,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,71,148,148,148,204,248,248,251,253,253,250,248,209,195,148,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,244,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,237,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,243,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,96,254,254,254,255,254,217,91,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,180,251,253,253,253,253,240,245,253,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,253,180,188,173,146,28,77,240,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,221,71,22,15,0,0,0,222,253,237,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,129,4,0,0,0,0,0,65,237,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,155,253,253,190,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,235,253,253,162,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,249,253,253,143,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,9,9,9,9,116,121,172,232,253,253,249,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,174,253,253,253,253,253,253,253,253,253,173,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,161,253,253,253,253,253,253,253,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,173,253,253,253,189,168,253,253,253,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,15,161,253,253,253,253,227,218,253,253,253,253,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,253,253,253,163,173,253,253,233,64,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,238,195,142,10,99,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,38,211,253,253,253,253,171,78,0,0,0,99,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,22,179,179,100,15,7,0,0,0,0,99,253,253,241,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,105,224,255,247,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,254,243,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,225,254,224,48,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,109,252,254,254,254,197,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,181,254,254,240,229,237,254,252,152,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,143,254,254,226,36,0,22,138,254,254,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,181,254,254,250,64,0,0,0,2,53,236,252,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,254,254,111,0,0,0,0,0,0,56,243,251,42,0,0,0,0,0,0,0,0,0,0,0,0,30,186,254,254,206,29,0,0,0,0,0,0,0,199,254,91,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,237,13,0,0,0,0,0,0,0,0,134,254,91,0,0,0,0,0,0,0,0,0,0,0,0,133,254,254,126,0,0,0,0,0,0,0,0,0,134,250,17,0,0,0,0,0,0,0,0,0,0,0,0,187,254,237,23,0,0,0,0,0,0,0,0,0,200,183,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,213,0,0,0,0,0,0,0,0,2,134,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,133,0,0,0,0,0,0,0,0,14,254,234,34,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,161,0,0,0,0,0,0,0,84,204,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,229,0,0,0,0,0,0,85,252,252,188,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,229,0,0,0,0,3,53,235,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,245,130,68,68,134,214,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,254,254,254,233,95,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,152,254,254,254,186,157,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,254,255,254,254,168,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,246,253,253,253,253,253,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,201,253,253,216,122,40,208,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,183,61,31,0,18,211,253,249,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,106,253,248,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,14,56,235,253,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,186,253,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,200,248,250,253,217,35,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,246,253,253,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,235,253,253,253,253,193,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,68,68,134,225,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,108,253,226,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,187,253,253,155,39,0,0,0,0,0,0,0,0,0,0,0,40,104,25,0,0,0,0,0,0,0,12,182,253,253,219,32,0,0,0,0,0,0,0,0,0,0,0,39,222,253,61,0,0,0,0,0,0,61,176,253,253,219,41,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,108,29,25,0,0,22,100,239,253,253,253,42,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,253,213,209,179,179,205,253,253,249,208,75,4,0,0,0,0,0,0,0,0,0,0,0,0,0,44,222,232,248,253,253,253,253,253,253,212,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,116,116,116,116,116,116,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,91,154,255,254,122,91,91,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,17,200,253,253,253,253,253,253,253,211,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,253,253,253,253,253,253,253,229,146,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,124,248,253,253,230,156,56,56,56,56,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,253,253,213,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,50,195,253,253,222,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,253,253,253,217,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,204,66,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,231,253,253,253,253,253,221,156,156,156,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,249,253,253,253,253,253,253,253,253,253,253,250,220,40,0,0,0,0,0,0,0,0,0,0,0,0,0,17,253,253,253,253,253,253,253,253,253,253,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,17,253,253,253,234,154,154,154,154,154,193,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,5,65,65,65,52,0,0,0,0,0,99,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,169,253,253,234,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,34,0,0,0,94,238,253,253,234,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,190,203,0,0,82,250,253,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,253,247,131,101,241,253,253,253,194,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,177,253,253,253,253,253,253,195,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,193,253,253,253,253,197,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,179,253,253,94,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,255,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,241,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,246,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,244,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,192,154,0,0,0,0,0,77,253,247,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,181,0,0,0,0,13,191,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,120,246,231,63,0,0,0,0,143,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,205,253,231,63,0,0,0,0,46,191,253,199,24,0,0,0,0,0,0,0,0,0,0,0,0,0,26,139,253,253,138,0,0,0,0,0,176,253,246,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,244,253,253,83,37,0,0,0,11,192,253,237,50,0,0,0,0,0,0,0,0,0,0,0,0,0,45,244,253,253,253,253,229,176,176,176,192,253,253,214,50,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,253,253,233,253,253,253,253,253,253,253,247,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,147,221,104,44,91,91,128,221,245,253,253,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,196,253,235,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,228,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,226,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,80,80,153,250,80,80,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,254,254,254,254,254,254,228,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,254,254,254,254,254,254,245,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,114,114,114,114,114,206,254,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,106,243,254,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,254,254,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,254,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,185,254,254,254,224,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,70,70,70,230,219,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,254,207,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,231,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,243,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,237,254,254,225,24,0,0,0,0,0,0,0,0,0,0,0,0,0,28,52,0,0,0,0,0,40,116,153,254,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,221,194,194,194,194,194,215,254,254,254,214,61,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,211,254,254,254,254,254,254,254,254,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,231,254,254,254,254,254,254,205,78,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,208,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,239,176,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,200,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,254,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,232,254,222,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,251,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,252,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,185,254,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,254,223,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,236,254,254,52,0,0,0,0,0,29,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,254,173,8,0,0,0,2,49,207,195,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,226,254,240,54,0,0,0,0,22,254,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,124,0,0,0,2,22,207,254,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,124,0,0,0,117,254,254,254,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,241,7,0,0,66,251,254,254,254,254,221,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,253,150,84,84,129,254,255,254,254,221,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,254,254,254,254,254,254,253,125,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,174,254,254,254,254,254,254,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,96,167,234,234,239,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,142,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,229,253,226,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,169,225,233,96,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,197,110,85,85,110,197,246,253,208,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,252,252,252,253,252,252,252,128,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,179,255,253,244,225,114,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,139,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,253,216,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,234,252,252,169,144,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,143,168,216,252,234,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,128,252,240,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,250,242,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,122,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,113,0,0,0,0,0,0,0,0,153,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,76,0,0,0,0,0,0,26,254,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,231,57,38,0,57,57,95,243,253,214,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,243,253,252,234,197,253,252,252,252,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,140,190,190,240,253,252,252,202,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,138,170,253,201,244,212,222,138,86,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,252,252,252,252,253,252,252,252,252,245,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,246,205,69,69,69,69,69,69,69,69,205,253,240,50,0,0,0,0,0,0,0,0,0,0,0,0,0,187,252,218,34,0,0,0,0,0,0,0,116,253,252,69,0,0,0,0,0,0,0,0,0,0,0,0,116,248,252,253,92,0,0,0,0,0,0,95,230,253,157,6,0,0,0,0,0,0,0,0,0,0,0,0,116,249,253,189,42,0,0,0,0,36,170,253,243,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,252,245,140,34,0,0,57,219,252,235,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,205,253,252,234,184,184,253,240,100,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,161,219,252,252,252,234,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,203,252,252,252,251,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,76,255,253,205,168,220,255,253,137,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,252,249,132,25,0,0,180,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,220,252,199,0,0,0,0,38,186,252,154,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,252,21,0,0,0,0,0,67,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,200,0,0,0,0,0,0,47,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,201,0,0,0,0,0,3,118,253,245,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,252,252,0,0,0,0,0,97,252,252,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,252,123,70,70,112,184,222,252,170,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,253,252,252,252,252,245,139,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,75,253,252,221,137,137,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,122,199,255,215,91,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,197,253,253,253,253,253,182,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,214,253,252,148,71,71,242,253,186,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,245,93,0,0,0,9,173,245,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,124,0,0,0,0,0,0,171,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,247,244,10,0,0,0,0,0,0,103,251,153,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,243,0,0,0,0,0,0,58,235,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,243,0,0,0,0,0,183,234,253,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,243,0,0,0,0,0,224,253,253,253,249,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,243,34,13,0,0,0,8,198,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,251,233,59,0,0,0,8,199,253,232,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,138,253,253,122,29,130,169,240,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,211,253,253,253,253,253,253,253,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,156,231,253,233,156,119,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,10,8,0,34,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,6,113,115,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,44,44,3,0,59,152,222,254,254,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,254,185,4,26,200,254,254,254,254,155,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,157,252,229,40,0,0,151,128,27,27,27,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,158,254,244,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,184,232,187,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,222,254,254,239,234,211,86,17,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,241,252,200,200,200,212,254,254,123,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,52,0,0,0,12,93,209,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,36,0,0,0,0,0,0,0,0,0,66,218,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,192,21,0,0,0,0,0,0,0,0,13,218,198,5,0,0,0,0,0,0,0,0,0,0,0,0,0,65,186,210,82,0,0,0,0,0,0,0,22,254,194,4,0,0,0,0,0,0,0,0,0,0,0,0,0,17,164,252,126,19,0,0,0,0,6,107,246,236,51,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,205,254,229,174,107,66,119,191,254,254,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,151,184,254,254,254,254,254,254,56,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,103,114,114,114,44,5,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,248,48,0,0,0,0,3,154,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,77,0,0,0,0,58,254,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,240,20,0,0,0,0,107,254,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,235,0,0,0,0,0,201,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,247,235,0,0,0,0,21,227,193,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,235,0,0,0,0,113,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,178,0,0,0,0,140,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,172,254,131,0,0,0,0,220,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,217,13,0,0,0,25,242,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,232,144,144,144,144,214,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,254,254,254,254,254,254,254,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,177,177,177,177,177,182,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,224,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,233,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,255,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,226,254,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,179,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,244,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,255,141,49,92,92,0,0,0,46,101,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,240,253,253,247,203,248,248,200,200,200,224,253,251,116,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,204,94,56,240,253,253,253,253,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,54,245,253,118,5,0,0,6,21,160,186,253,253,253,189,4,0,0,0,0,0,0,0,0,0,0,0,8,163,253,224,28,0,0,0,0,0,0,70,253,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,214,0,0,0,0,0,0,0,70,253,253,219,42,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,69,0,0,0,0,0,0,42,225,253,214,34,0,0,0,0,0,0,0,0,0,0,0,0,0,13,157,166,17,0,0,0,0,0,36,218,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,245,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,246,253,232,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,233,253,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,190,253,253,193,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,253,232,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,68,231,253,248,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,166,253,253,221,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,139,253,253,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,235,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,194,0,0,0,0,0,0,18,106,143,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,236,164,0,0,0,0,0,0,132,252,162,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,40,0,0,0,0,0,40,227,206,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,211,167,1,0,0,0,0,0,157,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,240,81,0,0,0,0,0,0,209,238,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,246,159,0,0,0,0,0,0,53,243,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,88,0,0,0,0,0,2,170,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,236,248,72,0,0,0,0,0,34,252,192,4,0,0,0,27,12,0,0,0,0,0,0,0,0,0,0,67,252,237,27,0,0,0,0,0,67,252,72,0,17,78,127,83,17,0,0,0,0,0,0,0,0,0,0,67,252,252,159,24,0,0,0,0,143,252,134,168,227,166,40,0,0,0,0,0,0,0,0,0,0,0,0,0,44,219,253,253,200,143,143,191,255,245,220,162,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,77,77,129,186,186,244,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,240,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,251,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,252,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,252,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,171,255,156,101,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,154,126,183,236,253,253,253,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,244,253,253,253,253,253,253,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,250,253,253,132,7,7,7,44,220,253,252,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,214,238,214,111,0,0,0,0,162,253,245,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,162,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,248,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,253,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,235,253,197,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,241,253,251,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,177,253,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,124,124,124,124,124,159,253,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,224,251,244,183,247,253,253,253,253,253,198,11,0,0,0,0,0,0,0,0,0,0,0,0,0,9,166,233,253,187,74,0,137,253,253,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,22,195,253,235,137,8,15,116,241,253,253,253,253,253,219,42,0,0,0,0,0,0,0,0,0,0,0,25,191,253,230,69,34,207,220,253,253,253,223,191,233,253,253,223,0,0,0,0,0,0,0,0,0,0,0,101,253,253,163,126,212,253,253,253,251,231,47,0,71,249,253,245,5,0,0,0,0,0,0,0,0,0,0,101,253,253,253,253,253,253,253,253,111,0,0,0,0,116,253,253,191,20,0,0,0,0,0,0,0,0,0,80,209,253,253,253,253,202,180,45,4,0,0,0,0,116,253,253,253,45,0,0,0,0,0,0,0,0,0,0,19,99,99,99,99,6,0,0,0,0,0,0,0,116,253,253,187,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,191,255,191,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,64,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,0,191,255,128,64,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,64,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,128,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,64,128,191,0,0,0,0,0,0,0,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,109,191,255,253,253,253,110,109,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,227,252,252,253,252,252,252,253,252,206,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,217,132,215,236,253,252,252,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,168,0,0,0,62,108,232,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,73,233,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,68,252,253,252,122,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,175,252,252,253,210,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,129,253,255,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,227,252,252,253,252,220,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,247,252,252,253,252,241,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,108,108,108,232,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,222,253,63,0,0,0,0,0,0,0,0,0,0,0,32,197,196,31,0,0,0,0,0,0,0,0,0,21,201,252,144,0,0,0,0,0,0,0,0,0,0,0,212,252,246,92,0,0,0,0,0,0,0,0,0,176,252,252,144,0,0,0,0,0,0,0,0,0,0,0,253,252,215,0,0,0,0,0,0,0,0,0,63,237,252,252,62,0,0,0,0,0,0,0,0,0,0,0,255,253,232,109,62,0,0,0,0,0,16,191,255,253,237,62,0,0,0,0,0,0,0,0,0,0,0,0,98,242,252,252,237,217,114,73,135,217,222,252,253,252,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,180,252,252,252,252,252,253,252,252,252,217,174,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,108,108,232,252,252,253,252,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,172,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,241,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,220,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,70,0,0,0,0,161,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,240,30,0,0,66,252,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,244,40,0,0,80,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,207,193,132,152,254,105,0,0,70,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,158,254,250,245,254,254,254,191,115,184,228,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,205,46,3,109,254,254,254,254,238,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,243,244,67,0,0,0,225,233,94,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,194,0,0,0,0,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,254,80,0,0,0,83,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,140,5,0,0,0,88,255,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,202,227,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,235,194,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,196,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,139,253,253,172,132,132,35,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,253,252,252,236,245,252,252,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,21,241,228,96,96,32,69,198,252,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,216,225,40,0,0,0,0,73,252,220,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,103,0,0,0,0,0,73,252,229,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,252,46,0,0,0,0,81,210,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,244,230,41,0,0,137,239,252,143,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,252,121,10,115,241,252,143,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,252,241,231,252,179,58,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,253,241,115,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,162,253,253,255,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,209,252,242,251,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,184,252,192,55,241,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,229,252,213,127,0,241,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,229,252,206,36,0,27,244,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,156,252,206,14,0,28,150,252,244,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,252,252,151,0,0,97,252,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,252,252,198,97,137,230,252,252,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,114,252,252,252,252,252,252,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,131,218,252,252,148,80,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,114,255,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,226,255,170,170,141,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,141,0,0,0,0,0,0,0,170,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,86,0,0,0,0,0,0,0,86,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,198,0,0,0,0,0,0,0,0,226,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,198,0,0,0,0,0,0,0,86,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,86,0,0,0,0,29,141,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,255,198,114,141,170,255,255,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,255,255,255,255,255,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,141,170,226,170,114,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,247,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,248,254,230,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,254,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,212,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,223,254,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,254,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,195,254,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,246,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,239,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,218,254,254,167,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,254,254,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,187,254,254,234,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,254,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,247,254,255,219,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,222,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,213,254,235,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,202,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,132,255,247,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,121,236,254,254,254,210,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,192,254,244,140,104,236,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,220,72,0,0,170,254,240,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,246,243,67,0,0,0,79,254,246,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,251,254,140,0,0,0,7,172,254,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,254,237,45,0,0,7,164,254,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,238,254,180,9,8,134,254,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,254,226,225,254,254,254,239,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,55,125,196,231,238,137,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,38,26,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,243,236,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,221,251,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,81,7,0,0,0,0,0,0,106,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,191,17,0,0,0,0,38,241,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,236,133,96,96,110,242,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,214,254,254,254,254,238,151,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,101,167,183,210,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,128,253,255,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,225,226,225,246,252,252,253,243,116,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,228,195,195,202,252,253,252,252,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,223,126,0,0,10,84,84,218,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,239,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,242,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,243,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,228,47,0,0,0,0,0,0,0,0,0,0,0,0,0,48,147,225,116,85,85,48,0,0,26,225,253,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,54,227,253,252,252,252,252,229,197,88,156,252,253,233,43,0,0,0,0,0,0,0,0,0,0,0,10,138,224,252,240,223,114,99,223,253,252,252,252,252,240,71,0,0,0,0,0,0,0,0,0,0,0,0,163,252,252,252,140,0,0,0,0,253,252,252,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,240,63,0,0,0,13,113,255,253,253,253,253,192,12,0,0,0,0,0,0,0,0,0,0,0,0,225,252,99,0,0,29,85,181,252,253,252,252,252,252,253,181,19,0,0,0,0,0,0,0,0,0,0,89,246,252,215,197,198,215,252,252,252,228,148,55,155,252,253,252,177,19,0,0,0,0,0,0,0,0,0,38,209,246,252,252,253,252,252,233,145,47,0,0,10,84,237,252,214,28,0,0,0,0,0,0,0,0,0,0,0,88,205,252,253,252,141,37,0,0,0,0,0,0,50,112,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,173,180,159,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,243,253,253,253,220,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,173,194,254,253,253,253,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,216,253,253,254,213,208,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,220,253,253,253,217,26,201,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,193,253,253,253,246,105,87,253,253,225,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,253,253,253,212,106,47,245,253,253,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,253,253,219,67,56,247,253,253,125,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,230,253,103,14,205,254,253,234,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,253,193,146,253,254,239,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,207,254,254,254,255,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,253,254,189,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,160,253,253,253,254,253,226,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,253,253,225,198,253,253,228,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,173,253,253,219,71,5,53,253,253,190,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,248,87,7,44,133,253,253,253,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,180,96,206,254,253,253,253,188,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,242,253,253,253,253,254,253,230,133,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,253,253,201,117,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,131,180,128,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,255,223,102,233,130,130,130,37,7,7,7,7,116,130,130,6,0,0,0,0,0,0,0,0,0,0,1,148,253,224,158,243,253,253,253,253,253,253,253,253,253,253,253,18,0,0,0,0,0,0,0,0,0,0,13,253,253,251,86,19,111,111,202,235,235,235,235,241,253,253,253,66,0,0,0,0,0,0,0,0,0,4,142,253,253,149,0,0,0,0,0,0,0,0,43,184,253,253,127,5,0,0,0,0,0,0,0,0,0,0,136,253,238,39,0,0,0,0,0,0,0,0,54,239,253,240,64,0,0,0,0,0,0,0,0,0,0,0,117,216,195,0,0,0,0,0,0,0,0,31,172,253,239,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,175,253,235,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,239,253,189,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,239,253,192,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,119,253,231,161,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,179,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,196,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,242,253,200,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,200,253,253,151,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,129,253,253,231,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,233,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,67,239,255,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,147,252,252,253,252,252,203,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,209,92,146,252,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,248,116,6,0,32,220,252,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,234,252,184,0,0,0,0,78,250,233,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,205,22,0,0,0,0,0,242,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,131,0,0,0,0,3,146,251,250,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,64,0,0,0,6,99,252,252,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,21,0,0,0,148,252,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,165,20,111,206,253,252,252,243,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,246,253,253,253,253,236,243,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,247,241,186,138,34,176,252,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,36,0,0,0,176,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,249,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,219,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,219,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,219,252,127,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,202,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,138,252,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,124,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,246,251,251,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,190,251,251,251,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,174,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,176,253,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,228,251,251,157,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,180,231,253,251,96,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,255,211,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,221,251,251,242,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,190,251,251,251,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,251,251,251,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,253,253,221,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,157,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,147,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,34,169,254,253,155,155,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,236,253,252,244,250,253,241,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,253,253,229,151,2,54,203,253,245,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,250,254,172,22,0,0,0,29,253,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,229,253,127,36,0,0,0,0,5,128,254,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,238,34,0,0,0,0,0,0,160,251,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,151,0,135,185,70,0,0,45,231,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,231,253,246,167,247,253,251,48,40,215,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,253,253,253,254,253,207,254,253,227,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,49,244,253,253,253,253,253,253,253,120,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,252,209,252,253,253,253,253,253,229,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,107,0,132,179,114,95,139,234,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,241,253,69,0,52,18,0,0,0,94,234,241,148,4,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,69,0,0,0,0,0,0,0,125,253,244,47,0,0,0,0,0,0,0,0,0,0,0,0,0,32,254,138,8,0,0,0,0,0,0,0,25,217,236,32,0,0,0,0,0,0,0,0,0,0,0,0,0,21,253,216,49,0,0,0,0,0,0,0,8,203,229,19,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,254,167,80,22,1,14,0,30,63,186,253,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,159,253,253,253,228,191,215,190,244,253,254,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,190,241,253,254,254,253,254,253,253,231,107,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,110,153,173,253,167,100,88,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,190,134,253,253,191,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,208,252,252,252,252,253,247,240,240,204,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,252,252,242,158,208,253,252,252,252,252,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,239,84,0,21,39,165,172,240,252,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,107,0,0,0,0,0,75,244,252,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,198,63,0,0,0,0,0,122,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,230,252,185,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,247,252,205,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,255,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,246,253,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,252,253,107,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,233,252,252,123,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,190,252,252,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,155,252,252,221,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,252,252,235,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,230,252,250,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,224,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,131,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,130,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,255,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,171,0,0,0,0,21,142,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,254,112,0,0,0,21,173,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,232,253,151,0,0,0,102,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,253,51,51,51,213,254,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,253,252,253,252,253,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,82,203,234,253,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,243,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,234,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,206,229,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,125,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,240,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,129,254,254,220,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,254,254,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,179,254,254,254,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,254,254,183,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,111,252,254,254,232,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,254,254,216,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,192,254,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,192,254,254,254,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,255,241,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,235,254,254,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,238,254,254,254,219,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,254,254,254,216,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,254,254,254,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,170,254,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,254,254,254,254,171,133,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,253,253,253,253,253,253,234,184,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,185,232,138,10,10,93,173,230,253,215,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,28,0,0,0,0,24,132,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,118,155,252,253,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,253,234,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,205,253,228,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,164,253,206,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,222,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,249,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,115,115,94,51,131,245,253,250,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,210,253,253,253,253,253,246,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,48,149,233,253,217,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,236,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,251,251,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,251,251,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,253,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,188,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,211,253,251,235,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,211,251,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,255,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,253,168,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,221,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,190,251,251,251,221,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,251,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,246,137,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,180,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,231,250,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,211,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,250,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,251,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,251,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,254,235,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,196,168,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,208,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,212,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,225,254,254,232,147,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,248,254,254,254,254,254,230,148,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,250,254,245,226,254,254,254,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,205,254,250,101,20,194,254,254,254,254,229,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,254,94,0,0,14,124,187,254,254,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,252,254,206,15,0,0,0,0,3,6,51,231,254,94,0,0,0,0,0,0,0,0,0,0,0,0,50,246,254,254,20,0,0,0,0,0,0,0,0,200,254,96,0,0,0,0,0,0,0,0,0,0,0,21,184,254,254,147,2,0,0,0,0,0,0,0,0,200,254,96,0,0,0,0,0,0,0,0,0,0,0,177,254,254,218,33,0,0,0,0,0,0,0,0,16,211,254,96,0,0,0,0,0,0,0,0,0,0,11,219,254,251,92,0,0,0,0,0,0,0,0,0,84,254,232,44,0,0,0,0,0,0,0,0,0,0,101,254,254,141,0,0,0,0,0,0,0,0,0,0,162,254,231,42,0,0,0,0,0,0,0,0,0,0,235,254,227,42,0,0,0,0,0,0,0,0,0,51,238,254,213,0,0,0,0,0,0,0,0,0,0,0,235,254,199,0,0,0,0,0,0,0,0,0,0,160,254,229,52,0,0,0,0,0,0,0,0,0,0,0,235,254,199,0,0,0,0,0,0,0,10,84,150,253,254,147,0,0,0,0,0,0,0,0,0,0,0,0,235,254,213,20,0,0,0,0,17,63,158,254,254,254,155,12,0,0,0,0,0,0,0,0,0,0,0,0,122,248,254,204,98,42,177,180,200,254,254,253,213,82,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,254,254,254,254,254,254,251,219,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,221,254,254,254,254,254,217,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,202,254,254,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,106,253,253,253,253,253,238,183,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,253,253,249,240,253,253,253,201,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,246,133,95,16,133,247,253,253,199,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,142,27,0,0,0,0,81,236,253,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,239,253,236,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,253,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,254,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,139,251,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,131,253,253,224,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,250,253,253,226,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,214,253,253,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,253,253,253,141,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,206,253,253,253,253,251,239,241,239,239,239,239,239,239,239,239,240,0,0,0,0,0,0,0,0,0,0,0,99,221,253,253,253,253,253,254,253,253,253,253,253,253,253,218,120,0,0,0,0,0,0,0,0,0,0,0,0,31,104,104,104,130,253,255,253,253,253,209,104,104,104,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,212,253,255,253,232,109,192,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,218,247,252,252,253,252,252,252,253,242,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,206,253,252,246,215,217,174,71,175,253,252,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,128,92,0,0,0,1,144,253,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,220,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,242,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,37,182,242,252,252,154,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,160,252,253,252,231,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,253,253,253,255,159,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,252,191,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,232,252,252,252,253,149,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,108,128,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,255,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,32,115,62,0,0,0,0,0,0,0,0,0,253,252,174,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,71,0,0,0,0,0,0,0,6,120,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,154,0,0,0,0,0,0,0,37,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,109,78,0,0,47,109,212,253,255,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,180,252,252,252,242,217,217,233,252,252,252,222,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,180,252,252,252,252,252,253,252,246,132,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,108,108,148,252,168,108,108,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,69,148,210,218,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,142,252,252,253,252,238,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,213,252,252,190,127,212,252,186,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,247,119,14,0,85,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,252,187,0,0,0,50,244,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,204,9,0,0,0,0,110,253,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,168,0,0,0,0,0,22,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,210,11,0,0,0,8,173,252,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,252,118,0,0,38,171,252,252,199,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,240,106,194,236,252,252,155,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,199,253,253,253,255,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,159,168,203,253,252,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,245,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,214,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,228,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,216,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,140,11,0,0,0,9,182,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,251,42,0,0,0,96,254,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,246,249,0,0,0,0,178,254,218,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,250,35,0,0,96,245,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,247,254,254,232,194,96,218,255,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,254,254,254,254,254,254,254,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,103,74,8,135,245,254,254,250,190,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,255,254,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,178,254,240,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,235,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,239,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,150,216,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,118,164,254,255,174,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,248,183,128,128,228,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,201,224,96,0,0,0,167,235,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,249,61,0,0,0,0,84,237,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,249,152,0,0,0,0,0,101,152,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,106,0,0,0,0,64,239,202,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,182,2,0,0,0,0,196,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,242,105,0,0,0,0,0,235,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,105,0,0,0,0,54,248,216,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,240,124,0,0,0,27,214,245,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,204,3,5,33,209,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,254,186,199,254,254,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,167,230,223,156,138,254,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,16,21,206,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,254,203,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,248,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,115,253,253,253,96,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,112,51,131,214,251,251,251,251,253,185,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,221,251,251,251,253,251,251,251,251,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,251,235,188,31,31,31,31,129,213,251,156,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,212,251,89,0,0,0,0,0,0,96,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,253,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,214,251,235,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,240,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,251,253,231,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,174,253,253,219,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,158,251,251,251,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,128,127,127,127,127,253,251,251,251,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,104,240,253,251,251,251,251,253,251,251,196,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,205,251,251,253,251,251,251,251,253,251,251,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,253,253,255,253,253,253,253,255,253,253,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,71,251,251,251,253,251,251,223,220,63,185,251,251,251,230,47,0,0,0,0,0,0,0,0,0,0,0,0,16,188,251,251,253,235,126,15,0,0,32,251,251,251,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,16,31,31,31,27,0,0,0,0,4,31,185,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,193,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,231,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,254,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,247,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,248,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,245,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,230,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,253,243,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,242,195,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,206,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,240,253,252,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,156,252,253,186,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,252,252,240,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,249,252,242,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,107,253,252,198,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,243,252,215,33,0,0,0,0,0,0,57,163,226,178,19,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,140,0,0,0,0,0,19,57,187,252,253,252,87,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,47,0,0,0,0,76,196,252,252,252,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,0,0,0,0,0,191,252,252,252,252,253,252,118,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,63,0,0,13,191,255,253,253,174,253,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,241,178,85,181,252,253,252,252,252,252,215,33,0,0,0,0,0,0,0,0,0,0,0,0,0,75,233,252,253,252,252,252,252,253,252,252,245,195,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,239,253,252,252,252,252,253,242,192,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,174,252,252,252,252,190,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,145,230,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,254,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,229,180,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,232,254,74,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,254,42,164,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,71,156,155,0,26,74,74,167,149,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,151,83,137,93,235,254,243,187,92,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,254,253,125,237,254,207,94,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,217,254,254,252,129,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,221,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,227,254,254,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,220,195,201,231,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,229,49,22,177,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,202,241,25,0,12,254,249,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,246,84,0,0,6,254,254,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,248,220,0,0,0,109,254,254,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,125,0,0,45,225,254,160,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,254,128,3,67,242,254,201,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,239,245,188,254,240,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,246,255,162,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,244,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,91,236,249,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,23,252,252,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,238,152,0,0,0,0,0,137,252,245,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,208,0,0,0,0,66,249,252,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,241,252,122,0,0,0,0,137,252,209,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,113,252,247,52,0,0,0,0,209,251,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,252,252,154,0,0,0,0,41,236,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,245,252,252,21,0,0,0,0,148,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,252,252,252,223,220,138,111,15,209,252,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,229,253,253,253,253,253,253,253,255,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,128,77,77,81,186,186,186,253,252,252,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,170,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,253,247,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,231,253,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,7,31,130,130,225,255,255,255,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,253,244,244,253,253,249,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,225,111,30,69,253,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,203,204,0,0,69,253,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,139,0,0,84,253,243,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,231,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,233,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,239,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,220,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,187,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,253,253,253,253,114,113,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,196,252,253,252,252,252,252,253,252,246,225,225,226,72,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,124,208,214,227,253,220,252,252,252,253,233,43,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,27,19,28,47,84,37,84,84,177,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,135,252,252,190,12,0,0,0,0,0,0,0,140,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,255,27,0,0,0,0,0,0,13,191,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,53,177,204,27,3,0,0,0,0,0,19,181,252,253,176,6,0,0,0,0,0,0,0,0,0,0,0,0,0,7,25,0,0,0,0,0,0,0,57,252,252,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,252,252,178,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,227,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,147,249,252,179,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,165,253,252,208,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,131,252,253,242,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,252,252,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,222,253,253,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,234,252,252,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,222,252,252,245,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,198,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,204,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,191,181,0,0,0,0,0,0,13,80,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,105,0,0,0,0,0,0,165,244,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,252,70,0,0,0,0,0,39,250,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,228,0,0,0,0,0,0,42,255,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,247,136,0,0,0,0,0,0,133,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,125,0,0,0,0,0,0,172,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,125,0,0,0,0,0,43,252,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,125,0,0,0,0,0,100,254,254,64,53,61,128,8,0,0,0,0,0,0,0,0,0,0,0,0,37,254,228,203,197,100,144,203,223,254,254,254,254,254,228,22,0,0,0,0,0,0,0,0,0,0,0,0,1,82,209,254,254,254,254,254,254,254,240,115,109,109,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,62,111,98,62,84,237,240,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,252,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,241,169,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,218,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,214,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,225,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,117,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,142,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,252,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,70,58,0,0,0,0,0,120,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,84,0,0,0,0,0,207,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,132,252,251,56,0,0,0,0,109,251,229,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,252,116,0,0,0,0,14,224,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,233,254,244,18,93,48,0,0,108,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,254,254,242,254,247,169,130,241,254,213,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,226,195,195,195,233,254,254,254,190,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,138,48,26,0,0,0,117,254,254,164,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,212,254,231,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,255,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,163,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,134,253,253,121,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,129,252,252,252,253,240,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,252,252,252,252,253,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,207,252,252,241,39,39,96,90,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,252,252,252,203,0,0,190,247,193,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,252,106,0,90,249,252,252,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,233,33,0,121,252,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,242,69,27,204,252,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,252,252,126,246,253,252,252,252,189,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,252,252,252,246,196,253,252,252,252,252,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,222,253,253,253,253,255,253,253,253,253,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,252,252,252,253,195,252,252,252,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,118,89,158,158,26,157,252,252,227,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,252,252,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,250,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,109,212,253,110,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,73,233,252,252,252,253,242,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,150,252,253,252,252,252,253,252,241,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,217,252,252,253,252,148,108,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,206,103,0,0,62,237,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,222,200,97,20,0,0,0,32,227,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,20,0,0,0,0,0,212,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,255,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,253,231,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,32,21,37,37,32,0,0,73,232,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,175,236,206,253,252,236,144,63,237,252,252,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,253,253,191,145,238,253,253,255,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,237,252,231,158,15,0,93,252,252,253,252,241,97,0,0,0,0,0,0,0,0,0,0,0,0,0,11,191,252,236,71,0,0,37,181,252,252,253,252,221,16,0,0,0,0,0,0,0,0,0,0,0,0,0,155,252,252,62,0,105,144,253,252,252,252,253,252,252,190,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,109,233,253,253,255,253,237,62,63,238,253,253,63,0,0,0,0,0,0,0,0,0,0,0,78,242,252,252,252,252,252,252,253,148,30,0,0,175,252,252,238,196,41,0,0,0,0,0,0,0,0,0,0,62,180,252,252,220,215,132,72,10,0,0,0,63,241,252,253,158,0,0,0,0,0,0,0,0,0,0,0,0,16,108,108,15,0,0,0,0,0,0,0,0,181,252,191,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,64,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,128,64,0,0,0,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,191,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,255,233,48,84,96,96,96,96,96,194,255,233,48,0,0,0,0,0,0,0,0,0,0,0,0,0,48,228,253,251,220,244,251,253,251,251,251,251,253,247,110,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,188,236,251,253,251,251,251,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,251,253,223,15,27,129,189,69,31,86,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,80,240,251,253,121,0,0,0,0,0,0,162,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,20,206,253,253,219,39,0,0,0,0,0,48,234,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,111,228,231,138,0,0,0,0,0,44,221,251,251,161,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,47,0,0,0,0,0,0,190,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,205,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,251,251,211,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,194,255,253,253,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,186,251,253,251,235,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,156,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,84,236,251,251,229,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,251,251,251,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,255,253,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,228,253,251,251,184,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,251,253,251,188,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,251,253,243,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,193,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,135,167,254,254,255,169,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,253,253,253,253,253,253,209,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,241,253,253,250,165,146,251,253,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,210,175,102,39,0,0,66,222,253,204,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,160,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,235,253,249,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,215,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,250,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,103,33,9,0,0,0,147,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,219,253,253,200,65,0,0,200,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,247,253,253,253,253,200,92,21,221,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,191,253,219,119,216,253,253,253,246,253,221,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,253,102,0,4,102,238,253,253,253,124,0,0,0,0,0,9,48,0,0,0,0,0,0,0,0,0,38,253,253,210,71,0,0,195,253,253,253,232,139,104,4,0,42,168,242,31,0,0,0,0,0,0,0,0,1,162,235,253,252,102,121,252,253,253,253,253,253,253,249,249,251,253,214,17,0,0,0,0,0,0,0,0,0,0,34,106,253,253,253,229,84,75,115,183,230,253,253,253,253,214,87,0,0,0,0,0,0,0,0,0,0,0,0,7,72,242,186,50,0,0,0,0,25,37,141,145,55,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,249,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,218,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,254,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,212,232,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,12,0,0,0,3,141,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,208,166,0,0,0,111,254,234,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,210,254,88,0,0,3,191,254,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,181,34,0,0,121,254,236,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,242,255,181,100,16,0,203,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,224,254,254,254,254,249,167,254,248,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,245,166,124,188,254,254,254,184,89,89,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,120,65,0,0,4,130,254,254,224,223,155,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,243,254,109,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,207,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,190,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,203,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,149,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,230,253,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,253,232,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,217,39,0,0,0,0,0,0,0,0,36,35,0,0,0,0,0,0,0,0,0,0,0,0,0,18,191,253,178,0,0,0,0,0,0,0,0,107,233,233,145,4,0,0,0,0,0,0,0,0,0,0,0,78,253,253,178,0,0,0,0,0,0,0,0,121,253,253,237,12,0,0,0,0,0,0,0,0,0,0,0,209,253,253,99,0,0,0,0,0,0,0,0,121,253,237,56,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,29,0,0,0,0,0,0,0,6,167,253,170,0,0,0,0,0,0,0,0,0,0,0,0,81,243,250,137,7,0,0,0,0,0,0,0,42,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,106,253,238,0,0,0,0,0,0,0,0,0,164,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,106,254,246,56,0,0,0,0,0,0,0,61,254,255,223,44,0,0,63,0,0,0,0,0,0,0,0,0,19,217,253,161,43,0,0,0,0,0,0,60,253,253,196,78,210,210,198,0,0,0,0,0,0,0,0,0,0,201,253,253,227,164,86,16,15,15,165,185,253,253,253,253,253,239,108,0,0,0,0,0,0,0,0,0,0,32,211,253,253,253,253,253,253,253,255,253,253,253,253,253,189,8,0,0,0,0,0,0,0,0,0,0,0,0,28,178,200,253,253,253,253,253,254,253,253,253,186,72,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,74,74,215,223,134,74,117,253,253,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,69,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,201,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,225,243,252,226,100,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,231,252,252,252,253,252,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,252,252,252,253,252,233,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,140,253,252,252,236,112,174,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,253,228,47,0,114,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,223,52,0,0,113,252,201,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,195,196,52,0,0,32,222,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,153,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,207,253,255,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,85,48,0,182,252,252,215,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,57,198,197,197,234,252,229,197,240,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,252,253,242,145,227,252,253,252,252,252,252,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,215,252,190,74,0,29,252,253,252,252,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,190,79,0,26,207,253,255,253,253,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,76,246,242,74,38,131,231,252,252,253,129,136,224,252,241,178,19,0,0,0,0,0,0,0,0,0,0,0,85,252,246,197,222,252,252,252,220,133,6,0,137,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,253,252,252,217,37,0,0,0,10,161,225,176,19,0,0,0,0,0,0,0,0,0,0,0,38,221,252,252,253,252,141,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,85,255,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,225,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,200,255,254,194,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,55,224,253,253,253,253,242,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,253,241,164,82,82,250,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,242,85,0,0,0,72,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,138,251,245,83,0,0,0,0,12,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,251,78,0,0,0,0,0,167,253,248,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,253,77,0,0,0,0,0,59,251,253,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,34,22,4,24,24,124,243,253,253,227,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,253,245,175,253,253,253,253,253,253,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,193,253,253,253,253,239,194,194,248,253,205,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,59,59,59,59,45,0,74,248,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,209,253,199,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,253,190,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,222,253,198,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,221,253,239,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,170,253,238,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,170,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,176,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,242,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,51,53,71,110,68,53,53,53,53,81,110,228,253,180,20,0,0,0,0,0,0,0,0,0,0,0,0,189,252,253,253,253,253,253,253,253,253,254,225,250,253,46,0,0,0,0,0,0,0,0,0,0,0,0,0,188,218,218,200,130,130,160,197,184,130,44,17,236,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,249,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,231,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,128,109,88,88,88,248,253,105,58,15,40,88,88,118,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,254,254,254,255,254,254,254,254,254,254,254,193,27,0,0,0,0,0,0,0,0,0,0,0,0,0,16,105,183,185,253,254,253,253,238,183,183,114,60,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,17,17,245,253,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,245,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,245,200,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,245,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,248,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,248,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,225,255,242,80,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,158,158,207,253,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,62,177,252,253,253,253,253,253,253,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,253,127,113,113,176,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,253,253,146,0,7,138,253,253,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,253,133,130,13,0,121,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,51,51,2,0,0,0,211,253,253,243,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,228,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,220,253,253,234,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,237,253,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,167,167,167,217,253,253,253,177,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,246,246,246,251,253,253,253,253,253,253,170,4,0,0,0,0,0,0,0,0,0,0,0,0,0,37,149,167,253,253,253,253,253,253,253,253,253,175,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,247,222,253,253,253,253,253,253,148,9,0,0,0,0,0,0,0,0,0,0,0,0,42,131,245,253,230,122,214,182,253,253,253,253,253,253,253,43,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,253,245,211,244,253,253,253,253,228,253,253,253,72,20,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,253,253,253,253,253,213,138,43,206,253,253,253,190,107,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,245,229,40,0,0,36,234,253,253,253,247,109,0,0,0,0,0,0,0,0,0,187,253,253,253,253,253,243,92,0,0,0,0,0,161,253,253,253,168,0,0,0,0,0,0,0,0,0,0,25,187,253,253,222,78,70,0,0,0,0,0,0,17,78,78,78,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,29,66,141,204,253,253,253,255,253,231,225,229,110,0,0,0,0,0,0,0,0,0,0,0,0,0,101,179,252,252,252,228,214,196,145,84,84,19,0,60,103,0,0,0,0,0,0,0,0,0,0,0,0,104,246,253,233,80,56,31,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,246,202,241,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,244,253,40,0,0,0,0,0,0,0,0,0,0,0,13,41,141,131,0,0,0,0,0,0,0,0,0,0,169,252,215,57,57,57,32,0,0,0,0,0,13,57,194,247,121,19,0,0,0,0,0,0,0,0,0,0,63,234,252,253,252,252,228,198,122,85,47,10,172,252,127,50,0,0,0,0,0,0,0,0,0,0,0,0,0,59,190,253,252,252,252,253,252,252,240,229,252,77,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,25,0,13,113,223,253,254,253,253,103,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,234,227,134,159,240,252,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,234,252,103,0,0,159,252,247,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,214,15,0,0,10,178,253,209,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,247,50,0,0,0,0,63,254,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,171,0,0,0,0,0,113,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,231,19,0,0,0,0,29,210,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,225,0,0,0,0,26,210,252,253,202,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,242,66,29,29,104,253,253,253,239,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,252,252,252,253,252,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,252,252,252,253,252,186,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,165,252,202,140,65,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,255,127,121,121,121,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,249,252,252,195,252,253,252,252,252,252,249,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,109,12,26,159,158,193,252,252,252,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,216,252,176,15,0,0,0,0,15,107,252,252,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,252,209,17,0,0,0,0,0,0,116,252,252,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,171,87,0,0,0,0,0,0,20,221,252,241,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,229,252,252,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,252,213,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,246,252,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,107,253,252,212,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,252,253,212,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,236,252,215,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,184,252,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,197,252,249,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,228,252,221,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,221,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,224,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,188,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,161,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,152,235,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,208,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,249,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,239,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,241,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,229,4,0,22,120,234,237,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,227,0,75,237,255,148,165,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,232,57,243,149,35,2,195,219,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,254,190,0,0,114,242,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,254,152,115,202,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,246,243,254,237,97,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,231,41,27,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,18,145,255,254,249,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,253,253,253,242,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,223,253,212,101,82,250,247,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,242,154,15,0,0,193,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,253,170,0,0,0,93,252,238,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,224,253,182,11,0,0,0,162,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,248,57,0,0,0,47,242,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,140,0,0,6,24,165,253,236,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,251,160,160,182,253,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,247,253,253,253,253,253,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,61,165,132,230,253,253,166,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,206,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,167,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,162,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,194,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,163,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,180,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,220,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,242,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,18,94,137,173,211,85,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,157,254,254,246,230,254,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,249,127,64,25,182,250,251,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,231,0,0,0,0,232,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,231,0,0,0,34,240,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,231,0,0,0,145,254,249,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,253,149,2,2,215,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,171,254,251,70,144,254,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,95,79,38,233,254,183,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,237,254,90,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,240,232,124,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,245,254,195,0,0,0,117,218,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,184,254,227,40,0,0,112,254,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,254,95,0,0,0,114,254,255,212,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,190,254,254,199,166,166,166,153,252,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,254,254,254,254,239,209,254,254,254,254,242,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,245,254,254,247,152,41,16,97,247,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,254,252,84,0,0,0,0,129,254,243,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,254,82,0,0,0,0,0,8,17,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,249,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,131,252,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,254,254,249,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,238,254,254,247,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,246,254,254,254,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,245,254,254,198,217,254,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,244,254,254,183,15,151,254,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,196,254,115,16,22,236,250,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,52,17,10,158,254,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,66,66,66,163,197,173,56,67,254,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,107,212,254,254,254,254,254,254,245,232,254,250,85,0,0,0,0,0,0,0,0,0,0,0,0,0,22,198,254,254,104,71,71,71,109,254,254,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,78,209,254,238,98,14,0,0,0,53,254,254,254,255,104,0,0,0,0,0,0,0,0,0,0,0,0,80,207,254,168,54,0,0,0,0,10,151,254,254,254,254,191,0,0,0,0,0,0,0,0,0,0,0,0,202,254,187,9,0,0,0,0,26,152,254,254,232,243,254,247,72,0,0,0,0,0,0,0,0,0,0,0,249,243,67,0,0,0,0,59,232,254,254,212,33,83,255,254,111,0,0,0,0,0,0,0,0,0,0,0,249,209,22,0,8,64,151,234,254,250,208,32,0,33,255,254,121,0,0,0,0,0,0,0,0,0,0,0,249,254,209,144,184,254,254,254,210,85,0,0,0,33,254,254,242,7,0,0,0,0,0,0,0,0,0,0,243,254,254,254,254,254,252,211,27,0,0,0,0,33,249,254,244,54,0,0,0,0,0,0,0,0,0,0,0,118,124,242,207,124,86,0,0,0,0,0,0,0,13,124,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,47,153,255,254,254,254,254,254,254,176,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,253,253,253,253,230,160,160,196,253,253,234,65,0,0,0,0,0,0,0,0,0,0,0,0,0,7,155,253,253,209,114,22,8,0,0,4,10,46,245,251,82,0,0,0,0,0,0,0,0,0,0,0,0,47,253,242,94,6,0,0,0,0,0,0,0,0,239,253,129,0,0,0,0,0,0,0,0,0,0,0,0,47,253,174,0,0,0,0,0,0,0,0,0,0,196,253,129,0,0,0,0,0,0,0,0,0,0,0,0,15,116,170,28,0,0,0,0,0,0,0,0,0,239,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,246,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,232,253,234,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,6,46,234,253,253,134,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,198,253,253,253,253,253,253,205,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,236,253,253,253,253,219,248,253,253,240,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,99,212,212,129,6,3,4,37,179,253,243,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,225,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,230,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,193,122,0,0,0,0,3,96,231,253,248,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,210,228,24,0,0,0,52,175,253,253,235,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,179,115,155,218,245,253,253,240,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,187,253,253,253,253,253,253,223,123,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,72,152,253,213,149,114,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,128,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,191,0,255,255,255,191,128,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,128,255,191,0,0,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,0,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,64,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,191,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,255,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,183,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,232,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,228,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,228,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,226,253,195,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,218,253,228,117,14,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,219,253,253,253,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,123,149,230,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,238,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,135,253,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,252,253,242,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,215,252,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,200,252,230,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,252,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,252,220,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,255,253,56,0,0,0,0,0,0,63,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,253,176,6,0,0,0,0,0,26,240,241,178,19,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,58,0,0,0,0,0,76,203,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,38,224,252,178,9,0,0,0,76,169,234,252,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,140,0,0,0,0,191,252,220,112,189,253,204,25,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,141,0,0,29,253,255,253,56,29,253,255,106,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,178,9,19,181,252,253,204,91,181,252,152,3,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,252,253,203,209,252,252,253,252,252,245,195,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,180,252,253,252,252,252,252,253,252,245,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,189,253,252,252,252,252,253,127,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,144,196,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,198,58,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,251,164,90,64,15,15,16,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,240,209,245,253,253,253,254,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,246,178,0,25,30,87,104,74,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,248,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,243,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,230,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,54,0,0,31,75,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,255,214,250,254,254,255,254,254,183,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,196,254,253,192,106,45,45,45,120,239,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,238,155,50,1,0,0,0,0,0,80,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,211,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,104,7,0,0,0,0,0,8,139,251,159,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,56,0,0,1,29,90,197,245,116,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,212,196,120,181,197,253,253,178,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,214,254,253,182,165,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,203,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,240,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,234,252,242,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,207,252,252,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,203,253,252,220,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,181,252,253,176,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,252,252,228,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,203,252,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,178,252,252,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,252,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,135,253,252,176,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,189,253,204,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,179,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,246,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,255,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,246,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,105,254,254,224,59,59,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,254,253,253,253,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,235,254,253,253,253,253,253,247,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,101,244,253,254,234,241,253,253,253,253,186,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,253,253,232,83,109,170,253,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,253,196,0,0,40,253,253,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,8,141,247,253,253,237,29,0,0,6,38,171,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,13,146,253,253,253,253,57,0,0,0,0,0,156,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,40,253,253,253,253,178,27,0,0,0,0,0,156,253,253,116,0,0,0,0,0,0,0,0,0,0,0,136,204,253,253,253,192,27,0,0,0,0,0,0,156,253,253,116,0,0,0,0,0,0,0,0,0,0,28,195,254,254,254,250,135,0,0,0,0,0,0,99,255,254,254,117,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,142,0,0,0,0,0,0,19,170,253,253,216,62,0,0,0,0,0,0,0,0,0,42,212,253,253,253,253,38,0,0,0,0,0,124,188,253,253,253,174,0,0,0,0,0,0,0,0,0,0,59,253,253,253,237,93,3,0,0,31,40,130,247,253,253,253,204,13,0,0,0,0,0,0,0,0,0,0,59,253,253,253,154,0,0,0,54,218,254,253,253,253,253,253,38,0,0,0,0,0,0,0,0,0,0,0,59,253,253,253,215,156,156,156,209,253,255,253,253,253,192,97,15,0,0,0,0,0,0,0,0,0,0,0,55,242,253,253,253,253,253,253,253,253,254,253,253,204,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,253,253,253,253,254,216,174,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,116,243,253,253,253,253,253,146,117,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,132,253,253,192,57,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,113,207,253,255,253,143,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,219,252,252,252,253,252,252,234,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,239,180,55,196,214,252,252,252,57,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,176,65,0,0,0,28,199,252,252,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,205,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,255,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,106,253,252,246,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,249,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,225,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,191,255,168,0,0,0,0,163,253,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,252,253,243,50,0,0,0,85,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,252,55,0,0,0,85,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,239,253,252,187,56,0,0,178,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,252,177,63,0,225,252,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,253,253,253,253,176,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,253,252,252,252,252,253,252,252,84,0,0,29,66,57,85,0,0,0,0,0,0,0,0,0,0,0,0,0,196,246,252,252,252,253,252,252,215,197,198,215,239,234,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,252,252,225,249,252,252,252,253,252,245,208,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,112,112,112,0,100,112,112,112,112,112,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,246,231,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,159,252,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,179,253,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,252,186,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,175,253,227,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,154,253,251,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,197,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,252,102,0,0,0,0,13,188,187,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,206,13,0,0,10,79,254,253,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,252,168,0,0,0,85,252,253,227,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,168,0,0,0,172,252,194,162,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,252,205,13,0,101,246,252,138,243,214,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,244,253,253,141,216,253,253,254,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,240,252,253,252,252,252,253,189,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,168,168,224,252,252,106,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,153,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,102,0,0,0,0,0,0,163,233,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,204,235,0,0,0,0,0,0,163,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,209,0,0,0,0,0,27,255,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,245,232,30,0,0,0,0,0,175,254,150,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,241,253,158,0,0,0,0,0,10,217,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,193,254,203,8,0,0,7,0,0,97,253,190,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,254,192,155,98,181,207,181,181,238,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,254,254,255,254,254,254,254,182,223,254,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,233,199,146,108,69,18,0,10,220,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,120,23,0,0,0,0,0,0,47,248,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,199,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,230,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,254,229,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,25,25,25,25,25,25,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,4,126,253,253,253,253,253,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,250,178,253,253,253,253,253,211,226,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,250,246,176,245,169,72,72,72,10,31,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,248,253,207,93,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,247,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,207,253,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,242,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,52,178,253,253,254,242,225,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,191,250,255,138,3,0,0,0,0,0,0,0,0,0,0,0,0,2,22,0,0,0,0,0,0,0,0,0,0,89,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,30,244,60,0,0,0,0,0,0,0,0,0,37,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,156,242,51,0,0,0,0,0,0,0,0,28,136,253,242,49,0,0,0,0,0,0,0,0,0,0,0,0,254,253,191,50,0,0,0,0,0,0,3,171,253,242,89,0,0,0,0,0,0,0,0,0,0,0,0,0,66,222,253,242,194,102,73,73,73,73,198,253,243,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,180,253,253,253,253,253,253,253,254,245,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,59,156,156,156,156,156,156,151,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,31,130,222,255,255,154,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,11,101,253,244,241,241,244,253,213,136,84,0,0,0,0,0,0,0,0,0,0,0,0,0,1,19,92,145,200,19,111,33,0,0,33,217,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,12,242,241,81,55,5,8,0,0,0,0,81,253,241,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,191,172,95,16,0,0,0,97,253,118,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,93,168,221,253,235,101,38,9,66,236,253,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,108,218,150,253,188,174,239,167,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,119,253,253,253,228,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,253,253,185,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,50,139,158,191,191,241,253,196,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,147,221,149,30,0,0,0,89,242,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,205,253,173,0,0,0,0,0,0,114,253,154,120,14,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,183,17,0,0,0,0,0,0,17,224,185,237,18,0,0,0,0,0,0,0,0,0,0,0,0,16,236,227,16,0,0,0,0,0,0,0,0,217,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,65,253,176,0,0,0,0,0,0,0,0,0,171,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,143,253,220,37,0,0,0,0,0,0,0,0,142,253,253,33,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,220,88,0,0,0,0,0,34,209,250,253,157,11,0,0,0,0,0,0,0,0,0,0,0,0,2,102,185,158,250,150,112,112,112,148,241,253,212,196,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,5,20,155,253,253,253,253,253,216,135,25,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,30,129,129,129,129,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,170,255,148,240,203,130,12,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,43,136,228,253,253,253,247,253,253,253,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,253,248,235,131,111,57,111,243,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,228,134,74,0,0,0,0,0,236,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,247,195,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,87,245,253,236,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,174,242,253,208,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,93,239,253,233,148,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,93,237,253,253,253,229,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,202,253,253,253,253,253,229,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,55,55,55,55,128,253,204,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,239,253,172,6,0,0,0,0,0,0,0,0,0,45,154,195,0,0,0,0,0,0,0,0,0,0,0,48,239,253,196,6,0,0,0,0,0,0,0,0,0,176,249,148,0,0,0,0,0,0,0,0,0,0,0,139,253,214,29,0,0,0,0,0,0,0,0,0,0,194,252,158,0,0,0,0,0,0,0,0,0,32,142,249,214,90,0,0,0,0,0,0,0,0,0,0,0,30,253,240,146,0,0,0,0,0,0,0,0,132,253,253,203,12,0,0,0,0,0,0,0,0,0,0,0,1,144,253,252,236,140,20,36,55,28,112,148,250,253,212,26,0,0,0,0,0,0,0,0,0,0,0,0,0,7,91,253,253,252,244,246,248,245,253,253,253,155,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,18,129,147,253,253,253,253,253,217,90,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,232,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,200,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,223,253,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,253,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,200,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,213,253,253,152,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,221,253,253,153,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,215,253,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,36,36,36,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,115,220,254,254,254,183,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,17,0,146,254,254,254,254,254,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,183,115,0,190,254,254,196,80,47,47,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,109,0,63,29,29,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,139,251,253,63,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,137,254,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,254,254,161,42,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,195,205,255,254,226,126,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,59,150,177,248,192,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,250,75,0,0,0,0,0,0,0,0,0,0,0,0,125,199,0,0,0,0,0,0,0,0,0,0,0,250,254,141,0,0,0,0,0,0,0,0,0,0,0,0,198,220,10,0,0,0,0,0,0,0,0,0,59,252,254,146,0,0,0,0,0,0,0,0,0,0,0,0,242,254,232,116,20,0,0,0,0,0,0,26,185,254,237,37,0,0,0,0,0,0,0,0,0,0,0,0,56,214,254,254,224,166,53,48,48,48,48,222,254,247,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,71,159,243,254,254,254,254,254,254,254,225,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,53,166,218,254,254,229,171,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,35,35,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,229,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,252,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,206,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,218,233,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,244,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,255,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,254,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,241,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,194,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,219,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,223,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,50,131,241,204,77,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,232,254,250,253,254,254,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,231,249,193,71,99,171,254,12,0,0,0,0,0,0,0,0,0,0,2,24,0,0,0,0,0,0,111,229,247,96,0,0,0,119,254,12,0,0,0,0,0,0,0,0,0,0,11,216,52,0,0,0,7,121,228,246,97,0,0,0,13,234,254,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,254,167,0,0,0,0,179,254,199,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,213,21,0,0,0,17,230,254,254,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,131,0,0,0,18,126,254,255,232,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,236,147,57,97,206,254,254,231,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,236,254,254,254,254,254,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,153,186,186,208,254,254,228,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,254,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,245,254,179,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,245,254,224,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,198,254,225,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,254,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,133,248,254,134,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,224,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,227,39,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,254,254,175,106,105,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,246,225,253,253,227,211,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,89,221,210,48,141,241,253,254,232,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,204,254,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,186,255,196,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,229,253,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,139,251,253,217,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,253,253,250,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,253,253,137,0,0,0,0,0,0,0,0,0,93,49,0,0,0,0,0,0,0,0,0,0,0,0,199,245,253,173,7,0,32,75,172,224,224,224,224,224,246,192,0,0,0,0,0,0,0,0,0,0,20,102,245,253,173,130,179,179,211,253,253,253,253,249,223,82,74,31,0,0,0,0,0,0,0,0,0,112,212,253,253,253,253,253,253,253,254,253,253,253,133,105,0,0,0,0,0,0,0,0,0,0,0,0,100,251,253,253,253,253,253,253,253,253,164,40,14,14,2,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,253,253,253,253,229,208,94,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,227,155,174,209,104,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,116,0,0,0,0,84,125,205,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,252,248,218,185,208,251,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,253,253,253,253,253,253,253,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,104,138,212,251,253,127,19,19,86,19,38,210,253,242,71,0,0,0,0,0,0,0,0,0,0,0,0,0,112,243,251,218,45,5,0,0,0,0,163,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,152,112,21,0,0,0,0,0,94,244,253,225,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,253,240,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,240,253,180,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,103,240,253,240,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,240,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,181,253,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,184,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,241,253,242,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,179,253,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,245,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,230,253,249,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,219,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,222,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,196,6,0,0,0,93,166,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,254,118,0,0,0,0,185,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,211,18,0,0,0,16,230,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,225,39,0,0,0,100,253,61,0,0,0,13,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,236,223,136,113,137,214,253,98,137,148,215,148,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,133,217,253,254,253,211,199,169,97,31,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,247,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,255,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,251,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,225,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,86,0,0,0,0,0,198,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,170,0,0,0,0,0,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,141,0,0,0,0,114,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,57,0,0,0,0,226,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,114,0,0,0,0,114,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,226,0,0,0,0,0,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,198,255,255,57,0,0,0,0,141,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,255,255,255,198,114,0,0,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,141,29,114,198,255,255,255,255,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,255,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,180,201,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,155,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,236,252,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,252,252,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,255,249,184,253,253,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,244,253,185,70,252,252,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,252,247,67,70,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,244,252,94,0,70,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,246,252,200,0,0,174,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,203,11,0,0,123,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,212,252,252,87,0,0,0,70,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,252,221,25,0,0,0,70,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,248,253,252,252,215,207,208,207,220,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,252,252,252,252,253,252,252,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,116,116,199,230,230,231,157,206,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,244,252,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,242,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,191,128,255,191,128,0,64,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,191,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,191,128,255,191,0,0,0,64,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,128,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,191,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,191,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,191,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,64,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,150,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,206,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,255,253,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,251,188,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,246,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,170,251,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,255,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,236,251,251,253,168,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,190,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,221,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,40,70,84,40,62,92,40,40,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,209,253,253,253,253,254,253,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,241,113,98,98,98,99,98,98,98,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,50,228,237,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,223,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,253,238,137,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,185,170,253,254,248,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,230,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,192,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,130,24,0,0,0,0,0,0,0,41,241,253,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,172,84,24,0,0,0,7,115,239,250,79,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,103,223,253,230,196,195,195,204,253,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,195,255,254,254,254,231,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,39,39,39,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,40,95,51,40,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,107,185,206,222,166,156,156,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,125,224,137,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,179,139,21,0,0,8,20,42,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,221,14,61,141,175,129,111,56,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,10,128,255,218,106,52,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,164,234,152,159,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,208,212,110,12,0,49,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,202,53,3,0,0,0,110,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,136,182,10,0,0,0,0,62,225,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,192,10,0,0,0,4,97,193,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,62,0,0,13,80,218,164,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,194,140,140,218,188,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,102,61,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,198,255,255,231,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,25,232,224,177,229,245,227,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,194,253,57,0,0,0,170,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,84,238,253,209,9,0,0,0,89,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,184,7,0,0,0,0,135,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,229,54,0,0,0,7,91,234,236,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,71,0,0,0,45,102,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,225,218,218,218,238,253,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,253,253,149,150,253,253,232,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,46,132,86,11,1,71,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,255,251,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,244,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,195,253,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,228,253,218,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,132,247,253,211,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,211,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,213,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,66,138,255,253,253,253,201,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,228,252,252,228,236,252,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,136,32,44,69,69,69,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,194,252,134,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,189,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,137,24,24,24,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,252,253,236,78,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,252,233,183,215,222,252,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,87,33,0,21,25,135,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,202,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,170,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,252,233,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,233,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,210,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,160,253,179,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,155,252,231,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,228,252,227,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,233,252,195,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,137,117,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,219,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,222,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,215,253,252,198,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,215,252,253,204,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,255,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,246,252,252,27,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,200,252,252,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,252,217,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,191,255,253,133,0,0,0,0,0,169,253,192,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,252,253,176,6,0,0,0,76,117,243,252,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,136,0,0,0,120,246,252,252,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,7,178,252,253,27,0,4,107,253,252,245,129,177,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,27,0,107,252,253,252,118,16,203,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,255,27,57,253,253,255,253,253,253,253,255,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,181,200,252,252,253,252,252,252,252,27,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,227,253,252,252,252,252,253,252,239,180,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,252,252,252,252,253,195,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,189,221,252,252,112,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,215,254,255,254,254,254,254,254,254,254,254,254,254,238,23,0,0,0,0,0,0,0,0,0,0,0,0,10,135,148,148,148,179,229,217,174,148,148,252,254,251,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,252,233,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,252,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,202,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,152,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,231,205,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,234,221,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,137,237,203,131,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,111,225,254,254,254,254,243,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,218,254,217,165,83,190,253,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,217,254,190,20,0,0,0,128,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,246,62,0,0,0,0,54,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,251,252,79,0,0,0,0,101,241,228,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,254,249,0,0,0,0,50,238,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,252,142,68,108,142,237,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,217,254,254,254,254,254,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,134,195,121,119,254,255,175,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,242,254,130,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,202,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,91,254,252,116,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,254,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,247,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,197,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,252,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,67,228,254,255,226,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,132,172,253,253,253,253,253,203,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,198,228,253,253,253,246,253,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,214,253,253,253,227,177,46,205,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,199,253,253,253,136,75,0,0,95,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,253,253,201,19,19,19,107,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,253,253,253,253,253,253,253,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,180,253,253,253,253,253,253,253,253,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,43,224,224,224,224,224,203,107,242,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,190,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,201,253,253,228,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,253,253,186,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,253,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,225,253,253,253,108,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,215,253,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,236,253,253,251,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,253,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,148,253,70,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,29,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,172,252,231,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,181,252,252,253,215,197,197,198,172,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,226,243,252,252,253,252,252,252,253,252,243,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,255,247,225,125,101,0,0,0,16,216,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,241,84,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,106,56,19,0,0,0,0,0,89,204,252,186,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,237,253,227,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,29,154,253,253,228,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,70,169,234,252,253,252,121,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,252,252,252,253,252,122,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,177,139,90,40,215,252,128,0,0,0,0,0,0,0,0,0,0,0,0,16,141,44,0,0,0,0,0,0,0,0,0,0,170,253,140,0,0,0,0,0,0,0,0,0,0,0,0,104,252,168,0,0,0,0,0,0,0,0,0,0,169,252,115,0,0,0,0,0,0,0,0,0,0,0,0,229,252,80,0,0,0,0,0,0,0,0,0,147,234,148,6,0,0,0,0,0,0,0,0,0,0,0,0,203,252,193,13,0,0,0,0,0,0,0,151,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,13,188,247,253,141,141,53,29,13,45,178,253,254,159,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,221,253,252,252,252,207,225,252,252,134,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,119,168,234,252,253,252,186,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,28,28,28,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,24,17,19,13,0,0,0,0,0,0,0,0,9,13,24,45,138,138,13,0,0,0,0,0,0,0,0,159,252,227,236,211,162,161,161,109,161,151,120,161,194,211,253,252,252,252,96,0,0,0,0,0,0,0,0,253,252,252,252,252,253,252,252,252,252,253,252,252,252,252,253,252,252,252,168,0,0,0,0,0,0,0,0,253,252,252,252,252,253,252,252,252,252,253,252,252,252,252,253,252,252,252,157,0,0,0,0,0,0,0,0,148,252,252,252,252,253,252,252,252,252,253,252,252,252,252,253,252,252,252,137,0,0,0,0,0,0,0,0,0,74,116,63,168,231,230,230,178,230,179,230,199,229,253,255,253,253,245,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,215,252,253,252,252,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,253,252,170,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,188,252,252,253,235,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,252,252,190,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,219,252,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,252,221,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,252,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,252,195,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,202,128,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,254,254,254,148,24,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,254,252,252,252,252,252,121,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,237,254,252,252,252,252,252,252,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,224,252,254,252,252,252,252,252,252,135,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,216,252,252,254,231,168,252,252,252,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,212,252,252,252,242,93,32,114,177,252,252,252,158,12,0,0,0,0,0,0,0,0,0,0,0,0,75,212,252,252,252,252,231,0,0,0,116,252,252,252,252,21,0,0,0,0,0,0,0,0,0,0,0,69,216,252,252,252,252,252,62,0,0,0,116,252,252,252,252,21,0,0,0,0,0,0,0,0,0,0,0,93,252,252,252,252,252,62,0,0,0,0,21,158,252,252,252,21,0,0,0,0,0,0,0,0,0,0,64,239,252,252,252,252,252,21,0,0,0,0,0,139,252,252,252,21,0,0,0,0,0,0,0,0,0,5,87,254,254,254,254,237,41,0,0,0,0,0,11,150,254,254,254,22,0,0,0,0,0,0,0,0,5,85,252,252,252,252,222,55,0,0,0,0,0,0,116,252,252,252,214,18,0,0,0,0,0,0,0,0,24,252,252,252,252,252,91,0,0,0,0,0,0,26,153,252,252,252,45,0,0,0,0,0,0,0,0,0,24,252,252,252,252,252,91,0,0,0,0,18,93,151,252,252,252,184,28,0,0,0,0,0,0,0,0,0,24,252,252,252,252,252,164,116,116,116,117,141,252,252,252,252,252,68,0,0,0,0,0,0,0,0,0,0,24,252,252,252,252,252,252,252,252,252,254,252,252,252,252,252,163,31,0,0,0,0,0,0,0,0,0,0,9,121,252,252,252,252,252,252,252,252,254,252,252,252,178,91,33,0,0,0,0,0,0,0,0,0,0,0,0,13,119,252,252,252,252,252,252,252,254,252,252,184,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,121,252,252,252,252,252,252,254,214,45,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,21,21,169,252,252,41,22,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,179,254,255,237,115,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,234,253,253,253,253,253,188,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,249,253,221,50,10,128,245,253,140,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,174,253,173,11,0,0,0,87,249,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,239,7,0,0,0,0,0,239,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,165,0,0,0,0,0,92,249,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,140,0,0,0,7,135,246,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,242,22,0,0,99,253,253,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,144,253,227,82,70,208,253,252,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,192,253,253,253,253,169,128,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,51,140,193,115,1,128,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,132,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,244,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,255,149,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,144,236,251,251,253,251,236,144,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,251,251,251,225,253,251,251,251,251,166,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,251,251,204,41,143,205,251,251,251,253,169,15,0,0,0,0,0,0,0,0,0,0,0,0,0,79,231,253,251,225,41,0,0,41,226,251,251,253,251,164,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,255,253,35,0,0,0,0,0,79,232,255,253,227,42,0,0,0,0,0,0,0,0,0,0,0,140,251,251,253,168,15,0,0,0,0,0,0,77,253,251,251,142,0,0,0,0,0,0,0,0,0,0,21,221,251,251,164,15,0,0,0,0,0,0,0,0,227,251,251,236,61,0,0,0,0,0,0,0,0,32,190,251,251,251,0,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,73,251,251,251,251,0,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,73,253,253,253,201,0,0,0,0,0,0,0,0,0,0,73,253,253,253,72,0,0,0,0,0,0,0,0,176,251,251,251,71,0,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,253,251,251,157,10,0,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,150,251,251,204,41,0,0,0,0,0,0,0,0,124,251,251,220,180,0,0,0,0,0,0,0,0,0,130,253,251,225,41,0,0,0,0,0,0,0,0,0,73,253,253,253,253,73,73,10,0,0,0,42,73,150,253,255,253,216,0,0,0,0,0,0,0,0,0,0,31,189,251,251,251,253,251,159,144,144,145,206,251,251,251,253,168,92,0,0,0,0,0,0,0,0,0,0,0,20,195,251,251,253,251,251,251,251,253,251,251,251,225,164,15,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,220,253,251,251,251,251,253,251,251,204,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,72,174,251,251,251,253,147,71,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,93,212,175,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,151,254,250,249,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,227,130,237,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,224,71,1,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,214,250,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,237,237,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,246,241,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,214,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,218,14,0,0,5,78,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,113,81,140,231,237,254,251,232,113,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,254,224,245,245,153,71,53,69,189,254,141,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,254,164,80,0,0,0,0,0,7,230,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,245,254,9,0,0,0,0,0,0,2,145,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,11,0,0,0,0,0,1,125,254,184,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,130,0,0,0,0,21,136,254,182,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,205,249,146,63,126,172,235,249,140,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,155,238,254,254,212,129,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,210,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,209,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,88,235,254,121,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,253,223,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,229,253,225,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,187,253,251,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,145,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,253,253,238,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,253,253,155,0,0,0,0,50,134,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,254,235,49,0,0,0,52,241,254,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,251,253,156,0,0,0,0,235,253,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,80,0,0,50,158,252,253,203,253,219,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,80,0,5,172,254,253,61,19,209,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,225,38,0,14,253,254,225,19,64,242,211,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,253,80,0,113,253,254,47,70,208,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,245,253,177,41,94,253,255,178,203,253,243,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,253,253,253,253,255,253,253,245,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,134,249,253,253,253,255,253,248,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,133,246,190,121,120,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,39,135,147,193,147,170,216,92,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,79,197,254,254,254,228,243,227,254,254,183,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,249,230,60,32,32,21,28,21,32,88,214,242,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,207,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,248,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,237,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,157,168,131,57,0,0,0,86,254,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,222,254,254,254,251,207,167,108,238,133,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,207,254,35,10,48,126,227,249,254,254,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,171,9,0,0,0,0,201,254,255,182,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,237,39,0,0,0,7,127,246,201,220,254,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,216,9,0,0,12,140,254,189,9,29,155,253,102,6,14,0,0,0,0,0,0,0,0,0,0,0,0,115,254,163,71,138,205,250,115,16,0,0,0,138,254,148,200,33,0,0,0,0,0,0,0,0,0,0,0,19,211,254,254,234,109,35,0,0,0,0,0,16,220,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,254,255,254,191,254,254,254,210,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,253,253,106,157,204,253,253,248,211,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,40,40,40,14,0,20,40,184,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,225,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,82,193,253,250,217,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,200,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,147,248,251,253,253,208,24,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,250,253,253,253,253,186,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,253,253,253,253,253,152,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,68,68,68,147,253,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,169,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,187,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,25,0,0,0,0,0,0,0,12,182,253,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,84,248,180,0,0,0,0,0,0,0,73,253,253,163,5,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,241,98,0,0,0,0,0,146,234,253,223,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,225,253,243,179,179,45,91,179,233,253,252,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,204,253,253,253,253,253,253,253,251,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,134,253,253,253,253,253,227,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,109,227,223,155,178,211,80,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,207,229,85,0,0,0,29,214,141,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,217,244,37,0,0,0,0,0,15,183,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,86,0,0,0,0,0,0,0,26,221,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,238,204,0,0,0,0,0,0,0,0,0,170,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,247,97,0,0,0,0,0,0,0,0,0,170,249,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,85,0,0,0,0,0,0,0,0,29,245,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,118,0,0,0,0,0,0,0,82,246,254,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,228,14,0,0,0,0,0,0,35,236,254,254,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,227,202,47,0,0,0,0,62,203,210,229,231,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,148,252,180,101,101,125,247,157,10,248,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,156,208,222,208,80,0,34,251,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,70,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,255,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,209,248,88,78,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,170,249,225,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,96,96,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,171,228,253,251,220,51,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,251,251,251,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,182,236,251,211,189,236,251,251,251,242,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,194,251,251,211,35,0,71,173,251,251,253,240,158,19,0,0,0,0,0,0,0,0,0,0,0,0,64,253,255,253,205,19,0,0,0,0,40,218,255,253,253,91,0,0,0,0,0,0,0,0,0,0,0,16,186,251,253,247,110,0,0,0,0,0,0,39,233,251,251,188,0,0,0,0,0,0,0,0,0,0,16,189,251,251,205,110,0,0,0,0,0,0,0,0,48,220,251,220,48,0,0,0,0,0,0,0,0,0,72,251,251,251,158,0,0,0,0,0,0,0,0,0,0,51,251,251,232,0,0,0,0,0,0,0,0,0,190,251,251,251,59,0,0,0,0,0,0,0,0,0,0,32,251,251,251,0,0,0,0,0,0,0,0,96,253,253,253,95,0,0,0,0,0,0,0,0,0,0,0,32,253,253,193,0,0,0,0,0,0,0,0,214,251,251,204,23,0,0,0,0,0,0,0,0,0,0,0,52,251,251,94,0,0,0,0,0,0,0,0,253,251,251,109,0,0,0,0,0,0,0,0,0,0,0,48,221,251,219,47,0,0,0,0,0,0,0,0,253,251,251,70,0,0,0,0,0,0,0,0,0,0,0,234,251,251,188,0,0,0,0,0,0,0,0,0,253,251,251,188,0,0,0,0,0,0,0,0,0,40,158,253,251,172,70,0,0,0,0,0,0,0,0,0,0,191,253,253,253,96,24,0,0,0,0,12,174,253,253,255,221,0,0,0,0,0,0,0,0,0,0,0,0,71,251,251,251,253,205,190,190,190,191,197,251,251,231,221,93,0,0,0,0,0,0,0,0,0,0,0,0,16,126,236,251,253,251,251,251,251,253,251,251,140,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,188,189,188,188,188,188,189,188,109,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,81,244,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,239,132,215,155,71,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,226,254,254,237,232,254,254,187,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,229,252,151,67,15,2,95,251,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,229,254,105,0,0,0,0,0,185,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,229,254,102,1,0,0,0,0,0,157,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,251,232,105,1,0,0,0,0,0,0,240,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,102,43,0,0,0,0,0,0,0,0,246,226,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,247,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,125,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,254,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,199,205,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,214,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,6,6,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,44,148,152,194,241,146,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,137,205,254,254,254,254,244,173,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,120,215,254,254,213,135,61,27,23,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,155,254,254,229,180,97,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,88,191,254,199,82,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,207,254,254,218,40,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,242,208,254,254,208,137,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,8,54,139,209,254,211,8,0,0,0,0,0,0,0,0,0,0,0,0,0,13,6,0,0,0,0,0,0,0,0,0,8,93,234,228,42,0,0,0,0,0,0,0,0,0,0,0,0,172,192,94,0,0,0,0,0,0,0,0,0,35,234,254,128,0,0,0,0,0,0,0,0,0,0,0,0,80,254,233,207,126,11,0,0,0,0,0,0,35,234,244,97,0,0,0,0,0,0,0,0,0,0,0,0,2,89,167,244,254,246,177,99,28,28,28,93,247,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,162,248,254,254,254,255,254,254,255,159,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,64,151,158,254,254,157,80,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,5,5,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,45,170,46,0,0,0,0,9,128,128,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,252,252,45,0,0,0,0,166,252,239,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,45,0,0,0,51,240,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,45,0,0,0,164,252,252,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,45,0,0,0,184,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,46,0,0,0,185,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,252,252,45,0,0,0,184,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,252,202,13,0,0,34,234,252,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,252,89,0,0,0,47,252,252,252,249,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,252,236,135,116,116,140,252,252,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,255,253,253,253,253,255,253,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,252,252,252,252,253,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,173,122,69,69,69,69,69,154,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,168,96,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,118,70,0,0,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,7,254,247,235,235,137,37,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,63,21,0,5,216,254,230,197,254,218,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,243,210,68,0,30,61,42,15,167,254,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,108,0,0,0,0,43,186,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,227,0,0,0,58,177,254,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,230,254,227,0,65,131,238,254,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,254,249,252,254,254,227,47,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,254,254,254,169,164,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,119,220,254,254,254,153,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,187,253,254,254,254,254,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,47,219,254,254,245,115,210,255,250,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,254,254,187,71,0,187,254,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,248,130,3,0,34,220,254,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,218,254,110,0,0,0,126,254,243,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,103,0,0,79,248,254,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,240,254,139,63,123,220,254,243,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,254,254,254,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,115,234,234,234,185,96,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,202,255,253,253,175,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,144,190,251,253,251,251,251,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,37,166,218,236,251,251,251,253,251,251,251,251,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,251,251,253,251,251,251,251,253,251,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,105,241,251,251,253,251,251,251,122,72,71,71,148,251,180,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,253,202,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,189,251,251,251,31,189,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,251,251,96,0,124,246,142,0,0,0,0,0,0,0,21,166,21,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,217,142,0,0,0,0,0,0,32,190,251,142,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,217,142,0,0,0,0,0,0,73,251,251,142,0,0,0,0,0,0,0,0,0,73,253,253,253,72,0,0,156,103,0,0,0,0,0,0,73,253,253,253,72,0,0,0,0,0,0,0,0,73,251,251,251,174,0,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,73,251,251,251,251,0,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,42,205,251,251,251,79,0,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,0,41,226,251,251,232,77,0,0,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,0,0,166,253,253,255,253,227,73,21,0,0,0,0,0,125,253,253,143,0,0,0,0,0,0,0,0,0,0,0,16,169,251,253,251,251,251,174,105,0,0,63,144,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,15,35,253,251,251,251,251,243,217,217,231,251,253,251,220,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,142,236,251,251,253,251,251,251,251,253,251,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,71,200,253,251,251,251,251,201,71,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,191,255,253,137,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,236,252,207,236,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,142,234,227,130,0,44,202,227,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,227,50,0,0,0,90,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,252,79,0,0,0,0,70,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,255,253,69,0,0,0,0,81,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,232,252,102,9,0,47,47,228,252,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,252,252,196,184,253,221,252,227,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,67,160,194,168,211,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,2,86,252,221,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,244,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,248,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,243,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,233,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,197,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,176,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,215,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,194,252,90,0,0,0,0,0,0,89,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,244,25,0,0,0,0,4,128,244,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,93,0,0,0,0,0,104,252,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,56,0,0,0,0,0,229,233,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,202,6,0,0,0,0,101,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,184,0,0,0,0,0,126,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,84,0,0,0,0,19,231,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,171,0,0,0,0,123,252,187,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,221,25,0,0,0,197,252,126,113,200,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,253,216,91,29,29,204,253,254,247,137,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,234,252,252,253,252,252,252,184,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,94,168,178,252,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,178,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,187,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,224,252,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,252,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,170,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,227,252,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,253,252,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,236,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,206,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,255,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,242,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,154,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,237,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,155,253,252,179,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,150,252,253,200,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,233,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,149,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,246,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,169,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,116,137,251,178,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,229,254,254,254,254,219,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,169,83,86,231,254,169,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,121,12,0,0,110,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,136,254,240,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,124,254,250,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,222,246,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,175,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,88,131,226,206,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,230,255,254,170,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,182,254,254,174,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,182,224,254,213,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,28,237,254,248,180,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,203,254,254,246,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,45,254,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,121,6,109,162,253,154,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,184,246,253,240,251,252,252,252,222,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,243,252,252,209,103,26,138,183,252,252,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,240,252,248,172,92,0,0,0,11,196,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,252,252,242,32,0,0,0,0,18,204,241,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,165,252,252,217,0,0,0,88,204,252,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,188,252,252,22,17,160,240,252,194,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,252,209,199,252,243,190,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,253,252,240,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,252,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,141,253,253,253,255,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,249,252,252,252,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,135,247,252,252,109,38,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,235,151,15,10,214,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,163,0,0,0,133,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,252,202,17,0,0,10,221,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,252,115,0,0,0,35,252,253,157,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,252,227,62,27,112,213,252,240,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,250,252,252,252,252,251,238,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,224,252,252,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,121,96,0,0,0,64,122,121,241,254,219,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,245,253,199,18,122,241,247,254,253,253,253,253,216,34,0,0,0,0,0,0,0,0,0,0,0,0,0,10,98,253,248,232,253,248,159,160,103,26,98,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,209,253,240,158,37,0,0,0,0,55,237,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,229,253,107,0,0,0,0,0,0,0,165,253,224,25,0,0,0,0,0,0,0,0,0,0,0,0,0,18,212,253,80,0,0,0,0,0,0,0,68,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,253,80,0,0,0,0,0,0,0,68,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,80,0,0,0,0,0,0,0,82,253,228,34,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,250,75,0,0,0,0,0,0,0,201,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,199,0,0,0,0,0,0,0,0,201,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,67,0,0,0,0,0,0,0,81,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,225,38,0,0,0,0,0,0,0,137,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,19,0,0,0,0,0,0,0,85,249,228,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,94,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,232,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,247,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,243,189,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,255,184,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,121,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,255,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,213,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,114,243,253,186,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,253,253,182,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,251,253,175,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,251,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,194,253,253,214,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,205,253,253,125,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,231,253,253,159,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,155,253,253,172,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,214,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,207,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,162,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,125,125,125,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,209,253,253,253,253,241,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,253,253,253,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,19,19,19,110,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,236,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,189,253,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,161,253,253,253,246,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,94,253,253,253,253,253,252,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,161,253,253,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,80,234,253,253,253,253,253,253,253,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,147,236,253,253,253,253,253,253,249,214,207,82,0,0,0,0,0,0,0,0,0,0,0,0,14,33,147,240,253,253,253,253,253,253,231,136,81,0,0,0,0,0,0,0,0,0,0,0,0,0,13,150,196,253,253,253,253,253,253,253,234,136,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,198,253,253,253,253,253,253,248,200,104,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,242,132,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,247,247,247,247,132,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,165,253,233,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,54,252,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,246,252,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,120,246,239,180,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,180,0,0,0,0,0,4,29,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,203,253,204,25,0,0,0,0,32,153,252,203,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,27,0,0,0,0,147,253,253,253,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,51,243,252,215,18,0,0,0,147,249,252,252,252,253,252,180,0,0,0,0,0,0,0,0,0,0,0,0,88,252,252,110,0,0,7,135,253,252,239,233,252,253,252,86,0,0,0,0,0,0,0,0,0,0,0,0,181,252,252,0,0,7,131,252,253,242,133,224,252,253,179,19,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,79,0,57,252,252,253,214,165,252,252,190,12,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,255,253,253,253,253,255,253,253,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,177,252,253,252,252,252,252,253,223,136,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,133,196,214,252,252,252,165,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,199,252,252,216,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,205,252,112,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,149,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,251,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,190,253,251,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,253,147,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,234,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,211,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,228,253,253,202,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,190,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,97,173,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,73,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,144,236,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,228,251,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,251,251,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,231,253,251,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,150,253,255,253,253,253,253,255,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,251,253,168,107,169,251,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,246,251,251,164,15,0,93,241,253,251,220,21,0,0,0,0,94,217,0,0,0,0,0,0,0,0,0,144,251,251,173,0,0,0,0,180,253,251,251,142,0,0,0,0,109,173,0,0,0,0,0,0,0,0,53,221,251,251,71,0,0,0,0,51,253,251,251,220,51,0,0,0,31,20,0,0,0,0,0,0,0,0,255,253,253,221,51,0,0,0,0,0,73,253,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,142,0,0,0,0,0,0,73,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,142,0,0,0,0,0,0,99,251,251,235,61,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,142,0,0,0,0,0,79,253,251,235,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,142,0,0,0,0,79,231,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,124,73,73,99,253,253,255,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,251,251,251,251,253,251,251,251,251,211,107,15,0,0,0,0,0,63,144,0,0,0,0,0,0,0,0,62,236,251,251,251,253,251,251,251,225,154,0,0,0,0,0,0,0,109,251,0,0,0,0,0,0,0,0,0,83,236,251,251,253,251,251,204,41,0,0,0,0,0,0,0,0,62,142,0,0,0,0,0,0,0,0,0,0,61,71,71,72,71,71,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,203,203,203,162,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,253,254,253,254,253,254,253,193,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,253,212,151,192,253,252,253,252,142,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,21,142,203,243,254,213,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,21,0,0,0,0,0,72,152,254,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,243,223,203,203,203,203,203,253,252,253,130,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,253,254,253,254,253,254,253,132,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,50,91,91,151,151,172,252,213,252,253,212,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,183,234,253,254,172,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,151,253,252,203,20,0,0,0,0,0,0,0,0,11,92,152,131,0,0,0,0,0,0,0,0,0,0,0,0,21,203,254,172,0,0,0,0,0,0,0,0,213,252,131,30,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,252,0,0,0,0,0,0,0,0,254,253,173,31,0,0,0,0,0,0,0,0,0,0,31,51,173,253,254,172,0,0,0,0,0,0,0,0,213,252,253,232,142,102,82,0,0,41,62,102,102,183,233,252,253,252,192,30,0,0,0,0,0,0,0,0,21,183,255,253,255,253,254,253,254,253,254,253,254,253,254,253,183,61,0,0,0,0,0,0,0,0,0,0,0,0,71,151,213,252,253,252,253,252,253,252,253,171,50,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,102,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,43,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,164,247,252,252,191,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,110,245,252,252,252,252,253,237,83,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,190,252,253,252,194,162,172,200,252,252,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,252,252,236,68,4,0,0,7,77,244,242,35,0,0,0,0,0,0,0,0,0,0,0,0,0,25,201,253,253,218,0,0,0,0,0,0,0,171,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,227,252,252,169,11,0,0,0,0,0,0,0,127,252,226,0,0,0,0,0,0,0,0,0,0,0,6,153,253,252,171,7,0,0,0,0,0,0,0,0,127,252,252,0,0,0,0,0,0,0,0,0,0,6,155,252,253,169,7,0,0,0,0,0,0,0,0,0,127,252,182,0,0,0,0,0,0,0,0,0,0,110,252,252,236,37,0,0,0,0,0,0,0,0,0,0,171,252,103,0,0,0,0,0,0,0,0,0,68,245,253,253,194,27,0,0,0,0,0,0,0,0,0,146,253,243,35,0,0,0,0,0,0,0,0,0,190,252,252,137,0,0,0,0,0,0,0,0,0,0,103,237,252,153,0,0,0,0,0,0,0,0,0,48,247,252,194,4,0,0,0,0,0,0,0,0,6,153,253,252,180,7,0,0,0,0,0,0,0,0,0,174,252,252,119,0,0,0,0,0,0,0,0,41,190,252,253,205,51,0,0,0,0,0,0,0,0,0,0,253,252,235,14,0,0,0,0,0,0,0,80,223,252,252,129,11,0,0,0,0,0,0,0,0,0,0,0,255,253,236,14,0,0,0,0,29,87,210,253,253,199,62,0,0,0,0,0,0,0,0,0,0,0,0,0,218,252,252,211,102,86,85,182,232,252,253,224,116,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,247,252,252,252,253,252,252,252,244,214,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,136,231,252,253,252,221,162,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,42,42,42,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,242,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,237,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,247,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,218,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,212,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,228,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,213,224,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,211,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,227,252,238,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,252,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,252,219,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,241,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,255,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,180,252,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,252,252,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,242,252,252,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,252,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,243,252,216,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,227,252,215,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,249,252,212,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,53,177,253,255,253,162,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,252,252,194,77,153,241,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,98,6,0,0,80,158,137,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,233,152,3,0,0,0,0,1,83,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,244,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,241,2,45,169,232,231,231,231,159,83,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,248,171,252,252,248,208,208,208,208,122,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,252,252,229,80,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,208,252,166,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,215,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,146,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,237,179,11,214,205,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,252,164,0,93,247,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,93,0,0,163,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,55,0,0,78,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,248,159,1,0,78,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,41,0,78,252,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,178,221,121,179,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,234,252,219,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,43,43,96,174,253,254,138,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,199,253,252,252,252,252,253,252,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,206,253,236,231,231,143,245,252,242,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,128,21,0,0,0,148,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,252,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,106,106,132,246,253,137,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,139,253,255,253,253,253,253,212,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,164,247,252,252,253,252,252,252,252,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,192,252,252,238,143,51,226,252,252,252,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,186,253,252,141,28,0,218,252,247,145,215,229,27,0,0,0,0,0,0,0,0,0,0,0,0,0,54,204,252,191,68,4,27,150,253,252,99,0,18,35,0,0,0,0,0,0,0,0,0,0,0,0,0,15,192,253,236,0,0,31,218,253,247,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,112,15,85,213,252,217,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,252,226,218,237,252,242,134,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,252,252,252,243,153,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,252,208,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,150,180,255,254,255,254,254,237,150,138,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,239,253,253,253,253,253,253,253,253,253,253,204,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,202,253,253,253,253,238,217,217,217,245,253,253,240,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,248,145,38,0,0,0,51,209,253,253,236,27,0,0,0,0,0,0,0,0,0,0,0,0,4,143,253,253,238,0,0,0,0,0,0,11,177,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,109,253,253,253,135,0,0,0,0,0,0,0,79,253,253,250,65,0,0,0,0,0,0,0,0,0,0,6,190,253,253,253,31,0,0,0,0,0,0,0,10,225,253,253,93,0,0,0,0,0,0,0,0,0,0,94,253,253,253,236,23,0,0,0,0,0,0,0,0,125,253,253,93,0,0,0,0,0,0,0,0,0,0,138,253,253,253,93,0,0,0,0,0,0,0,0,0,125,253,253,93,0,0,0,0,0,0,0,0,0,0,197,253,253,227,0,0,0,0,0,0,0,0,0,0,188,253,251,74,0,0,0,0,0,0,0,0,0,0,197,253,253,227,0,0,0,0,0,0,0,0,0,0,228,253,247,37,0,0,0,0,0,0,0,0,0,0,197,253,253,227,0,0,0,0,0,0,0,0,0,77,253,253,253,93,0,0,0,0,0,0,0,0,0,0,197,253,253,227,0,0,0,0,0,0,0,0,0,115,253,253,246,23,0,0,0,0,0,0,0,0,0,0,197,253,253,241,54,0,0,0,0,0,0,0,30,220,253,253,230,0,0,0,0,0,0,0,0,0,0,0,197,253,253,253,181,0,0,0,0,0,0,0,167,253,253,253,65,0,0,0,0,0,0,0,0,0,0,0,97,253,253,253,246,36,0,0,0,0,4,135,252,253,252,135,4,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,253,215,60,0,14,68,183,253,253,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,219,253,253,253,230,218,225,253,253,253,248,211,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,226,253,253,253,253,253,253,253,174,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,46,137,218,209,149,149,91,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,59,229,254,255,255,254,229,105,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,253,253,253,253,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,226,252,165,133,32,118,149,252,253,250,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,205,0,0,0,0,0,68,206,253,227,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,170,0,0,0,0,0,0,132,253,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,119,10,0,0,0,0,1,37,228,253,195,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,49,159,253,253,248,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,87,94,207,253,253,253,220,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,98,175,237,253,253,253,253,252,165,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,253,253,253,253,253,253,246,137,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,134,161,161,125,54,77,195,253,253,210,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,174,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,233,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,209,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,251,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,86,210,253,253,232,46,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,76,179,204,253,253,228,174,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,253,154,123,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,116,254,255,254,181,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,164,253,253,254,253,253,26,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,190,253,253,253,235,251,253,26,11,218,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,171,253,253,230,114,18,25,207,21,63,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,248,166,22,0,0,0,12,0,207,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,172,0,0,0,0,0,0,56,247,224,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,216,11,0,0,0,0,0,16,182,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,230,130,0,0,0,0,12,127,228,253,219,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,177,36,67,100,153,230,253,245,252,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,253,253,253,253,254,174,6,227,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,254,254,254,169,88,3,0,228,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,108,174,156,93,3,0,0,17,234,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,225,17,145,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,226,137,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,218,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,244,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,11,132,41,0,0,0,0,0,0,0,0,123,255,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,203,0,0,0,0,0,0,0,21,223,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,82,0,0,0,0,0,0,0,152,253,255,91,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,0,0,0,0,0,0,0,0,152,252,213,10,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,192,0,0,0,0,0,0,0,0,214,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,233,50,0,0,0,0,0,0,0,123,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,183,0,0,0,0,0,0,0,11,213,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,61,0,0,0,0,0,0,0,132,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,192,0,0,0,0,0,0,11,51,254,253,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,232,142,102,102,102,102,183,213,252,253,252,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,123,234,253,254,253,254,253,254,253,254,253,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,232,253,252,253,252,151,151,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,203,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,233,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,192,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,59,59,59,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,179,251,251,251,167,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,175,161,0,0,135,194,251,251,251,251,251,186,121,0,0,0,0,0,0,0,0,0,0,0,0,28,70,240,251,231,0,127,247,253,251,223,248,251,251,251,245,107,0,0,0,0,0,0,0,0,0,0,0,175,251,251,251,231,31,180,251,253,205,47,143,191,251,251,251,115,0,0,0,0,0,0,0,0,0,0,0,175,251,251,251,111,78,251,251,97,52,0,0,37,191,251,251,199,36,0,0,0,0,0,0,0,0,0,100,239,251,251,119,7,92,251,86,0,0,0,0,0,23,219,251,251,222,0,0,0,0,0,0,0,0,19,158,251,251,220,66,20,251,208,39,0,0,0,0,0,0,214,251,251,251,0,0,0,0,0,0,0,0,164,251,251,251,153,0,9,115,53,0,0,0,0,0,0,0,214,251,251,251,0,0,0,0,0,0,0,0,253,251,251,251,153,0,0,0,0,0,0,0,0,0,0,0,214,251,251,251,0,0,0,0,0,0,0,0,255,253,253,253,154,0,0,0,0,0,0,0,0,0,0,37,224,253,253,253,0,0,0,0,0,0,0,0,253,251,251,251,153,0,0,0,0,0,0,0,0,0,0,155,251,251,251,160,0,0,0,0,0,0,0,0,253,251,251,251,153,0,0,0,0,0,0,0,0,0,68,222,251,251,156,18,0,0,0,0,0,0,0,0,72,251,251,251,244,113,36,0,0,0,0,0,28,70,240,251,251,251,115,0,0,0,0,0,0,0,0,0,36,199,251,251,251,251,239,98,98,98,99,98,204,251,251,251,251,220,71,0,0,0,0,0,0,0,0,0,0,45,204,251,251,251,251,251,251,251,253,251,251,251,251,251,239,66,0,0,0,0,0,0,0,0,0,0,0,0,26,218,239,251,251,251,251,251,253,251,251,248,231,231,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,173,239,251,208,233,253,251,196,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,115,53,90,116,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,143,142,104,64,64,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,254,253,253,253,253,253,238,223,158,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,121,244,249,209,40,15,80,80,159,158,158,70,50,0,0,0,0,0,0,0,0,0,0,0,0,0,17,218,253,235,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,174,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,243,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,253,250,193,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,115,198,247,254,195,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,197,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,254,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,177,254,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,90,223,246,253,174,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,219,189,254,254,255,254,241,218,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,73,142,142,142,142,83,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,118,118,118,118,118,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,238,253,253,253,253,253,248,208,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,247,253,253,253,253,253,253,253,253,249,209,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,253,246,117,61,61,184,213,253,253,253,223,40,0,0,0,0,0,0,0,0,0,0,0,0,0,80,247,253,246,115,0,0,0,0,23,182,241,253,253,220,42,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,198,0,0,0,0,0,0,0,84,253,253,253,220,40,0,0,0,0,0,0,0,0,0,0,0,188,253,253,198,0,0,0,0,0,0,0,14,127,253,253,253,223,39,0,0,0,0,0,0,0,0,0,0,254,253,253,198,0,0,0,0,0,0,0,0,1,127,253,253,253,227,42,0,0,0,0,0,0,0,0,0,254,253,253,75,0,0,0,0,0,0,0,0,0,13,83,241,253,253,96,0,0,0,0,0,0,0,0,0,254,253,253,61,0,0,0,0,0,0,0,0,0,0,0,183,253,253,213,32,0,0,0,0,0,0,0,0,254,253,253,61,0,0,0,0,0,0,0,0,0,0,0,67,243,253,253,142,0,0,0,0,0,0,0,0,254,253,253,76,0,0,0,0,0,0,0,0,0,0,0,0,199,253,253,253,0,0,0,0,0,0,0,0,176,253,253,199,3,0,0,0,0,0,0,0,0,0,0,0,199,253,253,253,0,0,0,0,0,0,0,0,118,253,253,253,82,0,0,0,0,0,0,0,0,0,0,0,199,253,253,253,0,0,0,0,0,0,0,0,70,245,253,253,245,158,51,0,0,0,0,0,0,0,0,90,221,253,253,253,0,0,0,0,0,0,0,0,0,84,240,253,253,253,236,86,83,83,67,0,3,83,138,249,253,253,246,97,0,0,0,0,0,0,0,0,0,0,87,238,253,253,253,253,253,253,243,199,201,253,253,253,253,243,102,0,0,0,0,0,0,0,0,0,0,0,0,87,217,253,253,253,253,253,253,253,253,253,253,253,187,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,96,166,232,251,253,253,251,232,232,232,114,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,168,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,164,253,248,163,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,250,253,201,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,242,254,210,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,187,253,243,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,215,253,205,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,210,253,230,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,254,254,210,0,0,0,0,14,246,230,144,144,71,0,0,0,0,0,0,0,0,0,0,0,0,0,16,227,253,250,107,0,0,9,96,207,253,253,253,253,240,46,0,0,0,0,0,0,0,0,0,0,0,40,161,253,253,108,0,0,44,168,253,253,201,154,188,253,236,40,0,0,0,0,0,0,0,0,0,0,0,110,253,253,197,11,0,7,220,255,248,188,10,0,4,128,252,63,0,0,0,0,0,0,0,0,0,0,15,220,253,241,43,0,30,193,253,254,163,0,0,0,59,208,224,23,0,0,0,0,0,0,0,0,0,0,67,253,253,198,0,4,165,253,253,103,17,0,47,161,218,250,88,0,0,0,0,0,0,0,0,0,0,0,72,253,253,102,0,113,253,253,99,7,41,122,239,253,253,184,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,232,155,202,253,253,167,211,253,253,253,244,123,9,0,0,0,0,0,0,0,0,0,0,0,0,18,157,250,253,253,253,253,253,253,254,253,253,169,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,167,253,253,234,143,143,81,33,33,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,249,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,227,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,255,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,242,207,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,207,255,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,255,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,195,254,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,242,249,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,242,251,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,255,255,254,255,214,125,125,125,125,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,253,253,253,253,253,253,253,253,252,248,164,118,48,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,153,182,253,253,253,253,253,253,253,253,253,253,246,162,0,0,0,0,0,0,0,0,0,0,0,0,66,96,2,7,19,19,19,19,117,149,149,219,253,253,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,42,216,253,252,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,241,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,174,253,253,198,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,239,253,253,247,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,166,238,253,253,246,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,253,253,245,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,93,237,253,253,244,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,244,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,238,253,253,193,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,169,239,253,243,117,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,33,179,253,253,227,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,253,253,191,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,246,253,253,193,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,248,253,253,128,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,253,129,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,199,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,25,100,106,106,106,106,106,127,162,106,106,106,40,19,0,0,0,0,0,0,0,0,0,0,29,118,143,195,254,254,254,254,250,218,218,192,193,217,218,223,254,242,129,2,0,0,0,0,0,0,0,0,241,254,254,214,126,102,44,44,39,0,0,0,0,0,0,6,44,168,254,120,0,0,0,0,0,0,0,0,191,247,83,16,0,0,0,0,0,0,0,0,0,0,0,0,0,8,163,219,0,0,0,0,0,0,0,0,37,190,222,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,255,0,0,0,0,0,0,0,0,0,45,236,166,12,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,0,0,0,0,0,0,0,0,0,0,142,254,113,0,0,0,0,0,0,0,0,0,0,0,0,22,240,173,0,0,0,0,0,0,0,0,0,0,30,157,65,0,0,0,0,0,0,0,0,0,0,0,0,57,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,244,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,199,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,240,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,252,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,143,239,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,218,219,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,230,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,167,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,34,21,0,0,0,2,34,116,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,67,163,254,253,223,85,0,0,70,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,237,253,253,254,253,253,164,0,74,250,253,253,33,0,0,0,0,0,0,0,0,0,0,0,0,15,196,253,250,231,134,11,103,235,194,205,247,243,192,10,2,0,0,0,0,0,0,0,0,0,0,0,63,223,253,227,163,0,0,0,128,253,253,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,79,251,253,253,45,0,0,0,0,138,253,253,253,98,5,0,0,0,0,0,0,0,0,0,0,0,0,3,203,252,218,45,2,0,0,0,41,238,249,223,22,5,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,183,0,0,0,0,0,88,254,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,183,0,0,0,0,58,245,255,204,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,162,253,192,39,0,0,135,231,253,225,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,182,254,182,57,139,254,244,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,246,253,253,253,253,181,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,253,253,173,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,249,253,253,253,228,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,171,253,241,159,240,253,227,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,131,253,207,129,0,107,253,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,253,175,12,99,176,253,253,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,253,253,253,253,253,220,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,253,226,176,156,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,143,143,133,33,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,191,192,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,248,253,254,185,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,253,254,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,239,253,140,40,39,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,243,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,245,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,175,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,231,253,223,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,255,220,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,163,240,253,219,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,239,253,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,113,193,254,253,152,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,243,253,252,253,252,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,253,244,122,102,162,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,243,253,171,40,0,0,142,253,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,253,163,20,0,0,0,142,254,253,234,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,130,20,0,0,0,82,223,253,252,91,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,131,51,51,51,132,214,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,252,253,252,253,252,253,252,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,102,234,213,203,203,132,233,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,10,0,41,233,252,233,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,182,253,212,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,233,252,213,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,233,254,151,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,213,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,255,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,80,203,184,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,218,254,230,250,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,205,205,52,15,142,252,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,231,180,33,0,0,3,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,213,10,0,0,0,0,255,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,97,0,0,0,0,0,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,4,0,0,0,0,3,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,250,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,221,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,177,221,45,39,27,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,254,254,254,242,220,164,128,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,244,254,254,249,247,246,248,254,254,227,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,211,254,198,107,27,0,0,19,74,123,164,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,168,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,216,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,133,133,41,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,95,212,253,253,253,165,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,163,253,253,253,253,253,253,217,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,210,254,253,246,124,84,119,244,253,217,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,201,253,254,207,62,0,0,0,99,245,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,200,253,253,118,26,0,0,0,0,0,218,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,60,244,253,253,172,0,0,0,0,0,0,0,218,253,253,0,0,0,0,0,0,0,0,0,0,0,0,70,200,253,253,114,2,0,0,0,0,0,0,0,218,253,253,0,0,0,0,0,0,0,0,0,0,0,21,212,253,253,114,3,0,0,0,0,0,0,0,0,218,253,253,0,0,0,0,0,0,0,0,0,0,18,204,253,253,115,2,0,0,0,0,0,0,0,0,41,235,253,195,0,0,0,0,0,0,0,0,0,7,163,254,254,175,0,0,0,0,0,0,0,0,0,39,174,254,249,69,0,0,0,0,0,0,0,0,0,145,253,253,207,26,0,0,0,0,0,0,0,0,18,148,253,253,144,0,0,0,0,0,0,0,0,0,25,212,253,206,28,0,0,0,0,0,0,0,0,25,192,253,253,222,66,0,0,0,0,0,0,0,0,0,214,253,229,28,0,0,0,0,0,0,0,5,67,226,253,253,214,29,0,0,0,0,0,0,0,0,0,0,254,253,188,0,0,0,0,0,0,0,62,137,253,253,239,101,14,0,0,0,0,0,0,0,0,0,0,0,254,253,96,0,0,0,0,0,32,130,254,253,253,204,80,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,148,86,86,120,206,206,226,253,254,253,183,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,253,253,253,157,87,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,159,144,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,132,132,132,132,132,34,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,71,104,157,158,157,157,157,157,157,119,66,0,0,0,0,0,0,0,0,0,0,0,0,0,13,122,236,244,253,253,253,254,253,253,253,253,253,253,252,236,206,0,0,0,0,0,0,0,0,0,0,13,185,253,245,200,222,248,83,26,50,114,114,38,26,26,32,50,26,0,0,0,0,0,0,0,0,0,0,77,253,230,75,0,21,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,229,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,211,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,248,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,247,253,238,184,141,97,97,64,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,217,253,253,253,253,253,253,253,148,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,88,88,97,175,177,254,255,229,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,39,205,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,35,0,0,0,0,0,0,0,16,242,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,241,128,44,29,0,0,0,17,198,254,243,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,231,253,253,244,201,201,201,221,253,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,82,166,235,238,239,236,240,205,91,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,15,5,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,130,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,228,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,149,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,220,253,241,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,228,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,255,253,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,221,254,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,251,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,234,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,193,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,247,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,246,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,194,253,180,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,113,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,188,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,229,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,120,190,194,194,195,154,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,245,253,182,178,178,188,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,180,49,0,0,0,0,157,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,189,97,0,0,0,0,0,134,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,5,5,0,0,0,0,0,139,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,217,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,79,139,245,255,174,79,16,0,166,220,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,206,253,194,119,128,225,253,232,187,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,249,137,4,0,0,8,64,196,253,254,245,186,90,20,0,0,0,0,5,0,0,0,0,0,0,0,0,254,136,0,0,0,0,24,145,253,204,60,121,207,253,236,195,176,120,154,211,0,0,0,0,0,0,0,0,254,180,75,89,149,202,239,249,130,12,0,0,2,30,96,135,218,253,218,91,0,0,0,0,0,0,0,0,206,254,254,248,224,224,162,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,45,93,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,96,122,130,148,148,96,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,252,253,252,252,237,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,252,212,170,232,247,252,252,252,216,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,63,0,0,63,84,170,252,253,224,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,11,86,253,252,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,253,245,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,252,212,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,106,158,140,106,253,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,174,253,255,253,253,253,253,255,253,200,78,25,0,0,0,0,0,0,0,0,0,0,0,0,0,50,164,247,252,252,253,224,210,252,252,253,252,252,252,191,0,0,0,0,0,0,0,0,0,0,0,32,171,245,252,252,212,126,65,65,190,252,252,127,47,21,21,12,0,0,0,0,0,0,0,0,0,0,85,190,252,243,153,84,28,0,82,232,252,236,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,223,252,208,35,0,0,0,132,253,252,244,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,227,253,199,18,0,15,96,174,253,255,142,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,252,201,21,0,103,211,252,252,252,151,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,242,232,232,253,252,233,126,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,237,252,252,252,216,153,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,95,121,42,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,113,191,113,114,238,253,237,113,114,113,113,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,252,252,252,253,252,252,252,252,253,252,252,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,208,252,252,253,252,252,252,252,253,252,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,84,84,84,84,84,84,84,159,252,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,233,85,86,85,85,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,57,57,135,222,252,252,252,252,253,252,252,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,252,252,253,252,252,252,252,240,223,223,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,252,252,252,253,252,252,236,112,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,75,253,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,195,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,234,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,196,252,240,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,173,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,211,254,254,241,144,144,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,247,253,253,253,254,253,253,247,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,236,154,154,154,223,253,253,244,171,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,241,95,0,0,0,7,54,229,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,23,253,253,250,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,199,253,253,206,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,75,199,241,253,253,245,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,45,113,155,241,254,253,253,250,185,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,188,211,253,253,253,253,254,253,253,238,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,253,253,253,253,206,253,253,253,208,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,183,183,111,111,29,0,0,0,135,253,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,227,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,250,253,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,166,244,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,45,122,236,253,253,238,108,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,145,69,155,155,215,253,253,255,253,236,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,253,253,253,253,253,177,99,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,42,143,230,200,143,110,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,183,253,253,253,193,105,105,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,170,252,252,252,252,253,252,252,231,208,103,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,252,252,252,253,252,252,252,252,252,205,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,188,132,132,132,133,160,252,252,252,252,252,14,0,0,0,0,0,0,0,0,0,0,0,0,5,75,232,252,157,4,0,0,0,7,29,99,177,177,177,10,0,0,0,0,0,0,0,0,0,0,0,0,15,252,252,252,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,181,252,252,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,252,99,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,235,252,252,252,207,193,46,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,252,252,252,252,253,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,253,253,253,253,253,255,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,140,44,70,227,253,252,240,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,224,223,42,0,0,53,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,39,0,0,0,0,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,30,30,2,0,0,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,140,134,134,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,252,252,252,253,252,246,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,120,231,252,252,252,253,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,155,252,252,253,128,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,70,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,242,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,237,248,221,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,254,139,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,112,128,0,0,0,0,0,0,108,254,236,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,226,253,236,0,0,0,0,0,43,232,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,3,125,254,253,192,88,0,0,0,0,7,216,253,135,17,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,254,151,13,0,0,0,0,0,170,253,236,19,0,0,0,0,0,0,0,0,0,0,0,0,0,81,237,254,151,9,0,0,0,0,0,85,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,55,243,253,185,9,0,0,0,0,0,38,247,254,110,4,0,0,0,0,0,0,0,0,0,0,0,0,0,237,253,234,13,0,0,0,0,0,30,212,253,146,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,246,118,93,76,0,68,93,180,253,253,185,167,17,0,0,0,0,0,0,0,0,0,0,0,0,0,119,248,254,254,255,254,254,254,254,254,254,203,93,9,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,21,107,206,207,190,128,253,254,227,73,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,253,247,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,240,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,204,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,212,244,156,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,230,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,170,254,255,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,140,254,215,239,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,132,4,70,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,252,201,15,0,35,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,254,40,0,0,23,236,245,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,252,135,3,0,0,85,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,237,254,30,0,0,0,140,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,204,4,0,0,0,207,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,227,16,0,0,34,247,254,160,192,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,250,254,173,55,88,207,254,254,254,184,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,254,254,254,254,254,254,225,62,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,211,219,249,230,254,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,91,254,238,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,244,225,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,237,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,142,255,175,130,107,7,7,7,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,148,253,253,253,253,253,253,253,253,162,98,13,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,253,251,235,235,238,253,253,253,253,253,253,253,213,143,31,2,0,0,0,0,0,0,0,0,0,0,0,6,174,206,0,0,18,105,105,195,235,253,253,253,253,253,253,156,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,99,99,201,222,250,253,253,207,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,238,253,253,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,245,253,233,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,156,244,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,184,253,253,253,146,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,207,253,253,229,191,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,192,240,253,253,195,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,163,239,253,253,229,136,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,175,253,253,253,190,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,218,253,253,232,133,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,109,240,253,253,187,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,175,253,253,236,69,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,112,243,253,253,186,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,242,127,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,237,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,255,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,119,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,236,130,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,114,148,255,218,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,121,221,252,252,253,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,48,171,245,252,252,247,143,144,231,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,252,252,253,231,180,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,141,249,252,208,86,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,210,253,241,80,0,0,0,0,0,0,0,0,22,43,7,0,0,0,0,0,0,0,0,0,0,8,112,242,253,224,66,0,0,0,0,0,0,0,50,121,221,231,28,0,0,0,0,0,0,0,0,0,0,31,252,252,153,14,0,0,0,0,0,2,48,215,245,210,118,16,0,0,0,0,0,0,0,0,0,0,0,127,252,226,0,0,0,0,0,0,57,176,252,226,128,56,0,0,0,0,0,0,0,0,0,0,0,0,0,171,252,235,0,0,0,0,45,168,225,252,182,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,253,237,55,48,218,253,247,176,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,154,252,253,231,247,231,168,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,218,253,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,190,252,253,252,252,231,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,223,252,252,191,103,244,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,227,253,225,124,0,0,66,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,236,21,0,0,0,22,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,189,22,22,128,162,234,252,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,252,252,252,253,252,247,189,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,156,252,252,164,191,147,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,76,139,138,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,26,68,161,194,252,253,252,227,161,15,0,0,0,0,0,0,0,0,0,0,0,0,0,49,184,184,184,215,222,252,252,252,221,190,252,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,252,252,252,253,252,185,160,88,5,126,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,86,137,221,157,32,23,22,6,0,0,11,203,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,255,253,215,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,193,253,223,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,188,252,215,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,209,252,252,63,17,93,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,234,252,252,252,241,234,252,234,230,231,209,116,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,253,243,242,230,230,239,253,255,253,253,253,86,0,0,0,0,0,0,0,0,0,0,0,0,0,9,92,92,92,50,42,0,0,34,92,92,113,240,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,234,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,193,252,210,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,101,0,0,0,0,0,0,74,255,253,247,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,227,67,5,47,47,47,140,244,253,244,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,234,252,190,253,252,252,252,252,173,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,194,252,253,252,252,176,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,128,23,22,22,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,130,215,254,254,245,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,185,250,253,253,253,253,253,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,248,254,215,140,26,47,101,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,126,246,253,117,10,0,0,0,171,253,145,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,251,148,0,0,0,0,38,232,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,129,0,0,0,9,54,220,253,253,153,12,0,0,0,0,0,0,0,0,0,0,125,6,0,0,0,201,253,215,140,171,146,208,253,253,253,153,13,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,118,214,247,235,236,150,216,253,250,121,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,88,248,251,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,250,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,255,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,250,254,77,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,164,248,253,78,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,233,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,246,235,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,231,237,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,216,228,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,208,222,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,158,230,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,201,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,170,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,165,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,254,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,181,6,0,0,0,0,0,34,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,165,0,0,0,0,0,83,218,242,220,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,165,0,0,0,0,116,252,254,254,254,248,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,165,0,0,0,91,221,254,254,180,119,254,234,40,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,165,0,0,4,176,254,254,239,19,5,168,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,165,0,0,52,254,255,254,77,0,0,9,193,99,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,234,23,0,142,254,254,195,10,0,0,0,166,189,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,254,128,3,184,254,255,78,0,0,0,0,166,244,45,0,0,0,0,0,0,0,0,0,0,0,0,54,254,254,147,6,254,254,228,33,0,0,0,0,166,254,53,0,0,0,0,0,0,0,0,0,0,0,0,52,251,254,202,23,254,254,195,0,0,0,0,16,212,221,26,0,0,0,0,0,0,0,0,0,0,0,0,0,113,249,254,254,254,254,195,0,0,0,0,100,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,254,254,173,0,0,0,3,168,246,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,203,254,254,254,107,0,0,30,130,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,212,254,254,242,202,202,225,254,206,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,254,254,254,254,254,244,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,202,254,171,135,92,17,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,48,171,233,232,232,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,158,252,252,253,205,189,210,28,0,22,117,142,37,0,0,0,0,0,0,0,0,0,0,0,0,0,80,242,252,252,208,86,11,0,28,7,62,199,252,252,235,0,0,0,0,0,0,0,0,0,0,0,0,18,255,253,232,158,0,0,0,0,0,0,87,253,214,239,253,0,0,0,0,0,0,0,0,0,0,0,48,216,253,252,91,0,0,0,0,0,0,0,11,63,21,232,252,0,0,0,0,0,0,0,0,0,0,20,202,252,170,47,2,0,0,0,0,0,0,0,0,0,75,252,244,0,0,0,0,0,0,0,0,0,22,202,252,182,0,0,0,0,0,0,0,0,0,0,0,0,153,252,147,0,0,0,0,0,0,0,0,0,173,252,226,42,0,0,0,0,0,0,0,0,0,0,0,116,249,226,86,0,0,0,0,0,0,0,0,123,253,253,128,0,0,0,0,0,0,0,0,0,0,0,166,253,253,172,0,0,0,0,0,0,0,0,0,253,252,157,21,0,0,0,0,0,0,0,0,0,22,128,253,252,157,21,0,0,0,0,0,0,0,0,0,253,252,126,0,0,0,0,0,0,0,0,0,11,124,252,250,152,19,0,0,0,0,0,0,0,0,0,0,253,252,100,0,0,0,0,0,0,0,11,99,211,252,226,70,0,0,0,0,0,0,0,0,0,0,0,0,253,252,109,0,0,0,0,0,27,106,219,252,252,155,24,0,0,0,0,0,0,0,0,0,0,0,0,0,237,253,253,253,165,193,148,201,253,253,247,176,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,231,252,252,252,253,252,252,231,124,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,74,126,126,127,91,21,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,13,123,133,198,255,255,173,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,181,253,253,253,254,253,253,253,176,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,253,218,154,96,176,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,165,84,4,0,0,13,197,253,229,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,72,10,0,0,0,0,56,230,253,236,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,194,231,253,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,232,253,253,237,82,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,149,235,254,253,222,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,254,253,250,207,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,254,253,253,253,245,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,122,59,70,138,250,254,254,214,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,212,253,253,212,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,199,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,182,253,253,110,0,0,0,0,0,0,0,0,0,0,49,86,69,0,0,0,0,0,0,45,86,86,109,217,253,253,221,16,0,0,0,0,0,0,0,0,0,0,145,253,247,218,218,218,218,166,155,238,253,253,253,253,253,253,53,0,0,0,0,0,0,0,0,0,0,0,14,99,144,144,228,253,253,253,253,254,253,253,253,175,144,46,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,52,132,184,253,191,63,11,11,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,252,130,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,221,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,211,250,252,250,159,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,221,250,250,252,169,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,252,252,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,132,250,250,250,232,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,252,250,250,250,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,252,250,250,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,254,232,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,191,250,252,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,191,250,250,252,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,250,250,250,212,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,252,252,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,250,250,250,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,250,250,250,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,250,250,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,252,252,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,250,250,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,250,250,211,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,102,20,20,20,20,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,254,253,253,253,193,176,175,108,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,191,238,253,253,253,253,254,253,253,183,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,58,58,58,133,155,200,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,254,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,199,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,168,253,231,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,98,98,171,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,120,201,254,254,254,255,254,205,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,207,254,253,253,253,253,241,250,241,147,12,0,0,0,0,0,0,0,0,0,0,0,0,0,79,116,146,247,253,223,215,253,240,137,30,74,174,205,108,0,0,0,0,0,0,0,0,0,0,0,90,174,254,250,213,115,96,246,253,240,68,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,99,248,253,193,106,68,197,253,254,200,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,186,254,254,216,156,201,254,254,208,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,253,253,254,251,165,83,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,253,253,253,152,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,102,117,26,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,225,253,176,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,255,128,144,253,253,255,128,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,252,252,252,252,253,252,246,225,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,252,252,196,195,164,55,55,56,180,239,252,252,135,6,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,157,0,0,0,0,0,0,0,66,177,239,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,112,0,0,0,0,0,0,0,0,0,140,253,214,31,0,0,0,0,0,0,0,0,0,0,0,38,222,253,112,0,0,0,0,0,0,0,0,0,79,255,253,196,0,0,0,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,0,0,206,252,195,0,0,0,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,0,0,113,252,195,0,0,0,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,0,0,113,252,195,0,0,0,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,0,0,113,252,195,0,0,0,0,0,0,0,0,0,0,0,48,229,253,174,0,0,0,0,0,0,0,0,0,63,176,253,196,0,0,0,0,0,0,0,0,0,0,0,0,150,252,252,163,9,0,0,0,0,0,19,101,240,253,252,148,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,203,119,197,197,198,197,209,252,252,253,154,12,0,0,0,0,0,0,0,0,0,0,0,0,19,99,239,253,252,252,252,252,253,252,252,249,223,84,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,174,252,252,252,252,112,112,112,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,255,160,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,253,230,119,36,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,230,253,253,253,253,217,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,150,253,253,253,253,253,246,113,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,74,191,253,253,253,253,253,220,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,29,82,152,253,253,253,205,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,59,185,253,253,253,171,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,24,24,52,142,184,253,253,253,253,206,23,0,0,0,0,0,0,0,0,0,0,0,0,29,42,138,160,162,253,253,253,253,253,253,253,253,176,38,0,0,0,0,0,0,0,0,0,0,0,0,25,229,253,253,253,253,253,253,253,253,253,253,253,253,253,168,40,0,0,0,0,0,0,0,0,0,0,0,25,228,253,253,253,253,253,253,253,230,205,219,252,253,253,253,234,27,0,0,0,0,0,0,0,0,0,0,0,28,96,41,41,41,41,41,41,29,16,23,40,55,158,227,253,171,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,219,253,253,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,99,217,253,253,242,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,48,48,101,211,253,253,253,238,69,0,0,0,0,0,0,0,0,0,0,0,45,17,0,0,63,77,183,200,253,253,253,253,253,211,158,48,0,0,0,0,0,0,0,0,0,0,6,155,236,214,201,201,251,253,253,253,253,253,253,249,102,19,0,0,0,0,0,0,0,0,0,0,0,0,18,253,253,253,253,253,253,253,253,253,223,153,101,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,207,253,253,253,148,135,125,73,17,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,228,255,182,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,152,178,197,203,249,253,254,182,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,254,253,234,210,127,127,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,241,253,209,60,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,204,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,209,254,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,241,253,253,141,145,145,94,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,253,253,253,253,254,253,209,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,253,253,245,202,203,251,253,165,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,253,227,41,0,0,87,240,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,255,254,159,0,0,0,0,192,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,221,22,0,0,0,0,76,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,217,106,0,0,0,0,0,37,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,124,7,0,0,0,0,0,217,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,228,182,0,0,0,0,0,139,254,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,172,253,45,0,0,0,0,81,245,253,164,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,192,128,128,198,217,254,253,163,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,249,253,254,253,253,253,253,254,216,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,105,163,162,227,124,72,72,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,191,254,176,101,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,253,252,252,212,176,90,67,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,196,154,222,252,252,252,252,252,245,175,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,7,54,129,230,238,252,252,252,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,202,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,241,252,237,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,245,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,206,252,252,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,213,252,252,153,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,243,252,243,119,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,191,255,253,240,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,233,252,253,206,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,236,252,252,139,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,171,251,252,236,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,222,252,250,130,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,222,252,252,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,230,252,226,93,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,147,252,229,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,171,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,233,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,155,235,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,228,170,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,233,172,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,250,180,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,233,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,203,185,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,221,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,69,57,122,185,184,184,184,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,219,244,252,253,252,252,252,252,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,252,252,147,75,22,54,179,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,253,222,25,0,0,0,0,51,243,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,218,173,252,119,0,0,0,13,174,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,146,34,234,227,131,70,70,172,252,221,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,146,0,118,236,252,253,252,252,218,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,137,148,178,106,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,55,180,253,139,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,84,252,252,252,253,236,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,252,252,195,79,69,186,215,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,252,185,29,0,0,50,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,255,232,90,0,0,0,0,0,19,24,24,97,138,44,13,0,0,0,0,0,0,0,0,0,0,0,0,168,253,231,37,0,0,0,30,130,236,252,253,252,252,235,113,0,0,0,0,0,0,0,0,0,0,0,0,84,253,231,69,0,32,185,228,252,252,189,122,69,69,44,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,252,130,76,228,253,252,153,45,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,252,246,238,252,180,22,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,245,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,47,253,252,252,202,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,136,252,247,227,252,227,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,209,252,252,188,46,221,252,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,252,200,63,5,137,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,222,253,128,0,0,123,253,253,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,178,252,140,8,0,0,142,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,227,252,132,70,70,142,234,252,168,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,161,252,252,252,253,252,252,176,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,221,252,252,243,189,54,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,191,138,24,24,108,138,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,253,252,252,252,252,162,88,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,252,253,240,183,183,246,253,252,202,142,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,98,211,206,0,0,42,109,177,252,252,211,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,18,0,0,0,0,5,54,179,252,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,241,255,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,246,247,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,248,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,97,222,192,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,99,208,227,174,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,237,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,202,253,244,207,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,96,252,252,244,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,199,249,253,128,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,248,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,240,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,231,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,167,255,254,254,240,113,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,84,225,254,230,229,193,218,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,254,181,2,0,0,10,214,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,231,244,62,17,0,0,0,9,211,181,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,130,0,0,0,0,19,161,254,207,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,249,170,10,0,0,26,137,237,241,181,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,145,85,157,165,196,254,252,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,237,250,254,249,254,254,247,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,70,164,254,235,110,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,162,254,204,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,162,254,166,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,177,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,164,250,192,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,140,254,204,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,215,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,123,249,204,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,151,254,178,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,111,254,165,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,140,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,239,125,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,255,239,154,77,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,230,254,132,191,221,254,247,93,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,202,254,17,0,13,123,218,176,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,17,0,0,142,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,254,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,250,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,211,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,245,248,138,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,228,254,176,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,176,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,211,251,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,231,169,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,204,65,0,0,24,240,179,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,239,192,149,198,242,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,158,243,243,158,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,128,166,239,175,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,241,253,253,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,146,252,238,191,213,191,189,252,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,152,254,238,31,0,9,0,12,26,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,112,253,240,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,159,0,0,5,18,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,234,253,115,34,181,200,253,178,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,253,227,253,253,174,121,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,255,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,148,248,253,253,205,11,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,178,253,248,215,253,194,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,220,253,220,75,48,253,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,187,253,162,19,0,24,253,213,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,148,253,204,8,0,3,148,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,211,25,0,3,163,253,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,200,4,30,150,253,243,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,238,195,253,249,171,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,247,253,253,198,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,207,132,132,13,13,13,10,0,0,0,11,7,0,0,0,0,0,0,0,0,0,0,0,0,28,222,252,252,252,252,252,253,252,252,231,145,145,145,237,206,7,0,0,0,0,0,0,0,0,0,0,0,66,252,242,119,199,231,252,253,252,252,252,252,252,252,252,184,5,0,0,0,0,0,0,0,0,0,0,0,169,252,180,0,0,36,84,84,95,204,204,238,252,236,157,48,0,0,0,0,0,0,0,0,0,0,0,27,229,252,180,0,0,0,0,0,0,0,0,52,72,48,0,0,0,0,0,0,0,0,0,0,0,0,0,26,228,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,239,108,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,225,252,252,119,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,252,252,252,231,114,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,46,230,252,252,252,253,241,166,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,172,241,255,253,253,253,253,161,35,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,176,231,252,252,252,252,159,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,96,182,226,252,252,159,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,252,252,231,9,0,0,0,0,0,0,0,0,0,0,38,84,181,129,0,0,0,0,0,0,0,0,73,235,252,252,143,0,0,0,0,0,0,0,0,0,0,42,184,252,200,71,0,0,0,0,0,0,46,96,235,252,252,224,103,0,0,0,0,0,0,0,0,0,5,181,240,88,14,0,0,0,0,81,86,153,234,252,252,252,224,46,0,0,0,0,0,0,0,0,0,0,70,252,247,217,217,217,217,217,217,251,253,252,252,252,229,122,24,0,0,0,0,0,0,0,0,0,0,0,7,206,252,252,252,252,252,252,252,252,253,252,252,179,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,87,154,252,252,252,252,200,131,127,11,11,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,69,148,210,218,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,85,146,190,221,252,252,253,252,238,28,0,0,0,0,0,0,0,0,0,0,0,11,22,22,84,162,232,246,252,253,252,252,252,252,253,252,252,84,0,0,0,0,0,0,0,0,0,0,57,211,252,252,253,252,252,252,252,253,205,180,84,84,253,252,238,28,0,0,0,0,0,0,0,0,0,0,50,244,252,252,253,252,244,147,103,42,11,0,0,132,253,252,231,0,0,0,0,0,0,0,0,0,0,0,0,62,211,124,107,27,0,0,0,0,0,0,11,219,255,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,171,252,253,189,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,252,252,241,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,202,252,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,252,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,253,199,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,253,252,236,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,223,253,245,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,190,252,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,252,252,174,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,245,253,236,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,185,252,252,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,252,251,134,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,226,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,223,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,254,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,253,252,172,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,132,253,203,20,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,62,102,102,142,204,162,41,0,0,0,0,0,0,0,0,0,173,253,82,0,0,0,0,0,0,0,51,173,254,253,254,253,255,253,255,112,0,0,0,0,0,0,0,0,253,212,0,0,0,0,0,0,0,41,253,252,192,151,50,50,71,151,253,232,0,0,0,0,0,0,0,0,254,151,0,0,0,0,0,0,31,233,254,233,41,0,0,0,0,82,255,151,0,0,0,0,0,0,0,0,253,232,123,0,0,0,0,0,132,252,233,50,0,0,0,0,163,243,233,50,0,0,0,0,0,0,0,0,152,253,254,213,21,0,0,62,254,253,82,0,0,41,113,233,255,213,82,0,0,0,0,0,0,0,0,0,30,172,253,252,223,122,102,203,253,252,102,183,203,243,253,252,131,10,0,0,0,0,0,0,0,0,0,0,0,0,21,183,234,253,254,253,254,253,254,253,224,203,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,50,213,252,233,151,50,50,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,91,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,255,232,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,250,253,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,218,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,239,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,241,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,209,253,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,253,252,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,232,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,231,253,253,147,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,161,253,253,180,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,224,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,243,253,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,253,253,217,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,249,253,229,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,230,253,249,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,244,253,210,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,99,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,172,218,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,60,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,94,232,254,254,232,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,254,254,237,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,220,254,254,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,240,254,254,231,160,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,147,254,254,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,255,254,254,190,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,233,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,234,254,200,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,247,254,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,218,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,217,254,224,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,209,254,234,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,195,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,218,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,47,84,150,150,159,254,254,188,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,94,198,253,253,253,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,11,128,208,244,253,253,253,253,253,227,220,253,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,49,209,253,253,236,170,111,67,67,19,174,253,253,169,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,134,20,16,0,0,0,80,162,252,253,141,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,134,249,253,209,78,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,80,160,253,253,239,134,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,168,253,253,243,155,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,110,158,239,253,253,253,213,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,53,198,253,253,253,253,253,253,253,179,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,253,253,253,253,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,253,249,212,121,83,5,5,21,250,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,62,56,0,0,0,0,19,195,253,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,202,253,253,157,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,153,253,253,209,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,25,199,253,249,110,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,205,244,253,222,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,115,172,218,251,253,249,149,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,248,166,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,149,149,116,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,173,254,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,255,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,255,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,213,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,28,0,0,0,9,77,153,254,254,254,235,62,5,0,0,0,0,0,0,0,0,0,0,0,0,0,24,204,240,177,128,129,197,253,253,253,253,253,253,170,10,0,0,0,0,0,0,0,0,0,0,0,0,0,50,244,253,253,253,254,253,253,253,253,253,253,236,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,112,121,121,217,232,202,121,94,253,253,243,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,212,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,118,220,253,234,79,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,220,253,243,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,254,253,217,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,231,255,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,203,253,240,66,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,168,254,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,242,253,220,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,243,253,182,39,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,223,253,222,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,151,253,222,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,173,253,222,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,100,253,230,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,119,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,191,128,191,191,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,64,191,255,255,255,255,255,191,128,128,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,128,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,64,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,128,0,0,64,191,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,74,74,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,70,138,194,242,251,254,255,246,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,83,227,238,241,254,254,254,249,189,189,189,130,126,0,0,0,0,0,0,0,0,0,0,0,0,0,15,192,254,254,254,225,182,108,40,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,199,254,206,37,70,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,237,254,177,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,234,72,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,254,254,234,200,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,65,129,207,223,254,247,163,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,64,225,247,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,31,105,36,0,0,0,0,57,240,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,185,254,162,6,0,0,0,23,172,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,111,3,0,20,71,185,247,254,244,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,254,236,190,190,249,254,254,251,193,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,210,241,249,254,222,155,109,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,73,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,243,130,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,254,240,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,236,199,248,240,117,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,133,0,36,222,254,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,133,0,0,35,94,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,238,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,225,30,30,85,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,254,254,244,155,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,236,175,148,237,254,227,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,73,24,0,0,24,109,236,208,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,219,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,121,20,0,0,0,0,34,194,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,180,0,0,0,0,50,233,254,198,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,169,0,0,0,77,233,254,198,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,215,141,76,183,249,254,215,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,254,254,214,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,69,153,198,129,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,34,136,136,136,136,136,136,136,136,89,13,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,253,253,253,253,253,253,253,253,253,253,204,25,1,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,253,253,253,253,253,253,253,253,253,253,253,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,183,222,192,99,99,99,99,99,147,250,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,242,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,239,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,235,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,198,253,253,224,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,93,192,192,159,69,69,69,197,253,253,223,100,0,0,0,0,0,0,0,0,0,0,0,0,44,75,153,235,253,253,253,253,253,253,253,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,55,233,253,253,253,253,253,253,253,253,253,253,253,253,68,4,0,0,0,0,0,0,0,0,0,0,0,115,235,253,243,148,58,214,253,253,253,253,253,253,253,253,24,0,0,0,0,0,0,0,0,0,0,0,113,237,253,253,173,112,223,253,253,253,253,226,160,238,253,253,169,7,0,0,0,0,0,0,0,0,0,0,240,253,253,253,253,253,253,253,253,229,60,22,0,25,136,242,253,128,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,181,60,18,0,0,0,0,0,21,136,83,0,0,0,0,0,0,0,0,0,0,85,253,253,253,185,124,18,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,12,12,12,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,129,10,0,0,0,0,0,0,0,0,23,29,142,217,255,141,0,0,0,0,0,0,0,0,0,0,0,226,254,197,63,0,26,0,0,26,57,82,235,253,254,253,209,59,0,0,0,0,0,0,0,0,0,0,29,235,254,253,235,198,224,198,198,223,169,168,81,56,56,56,13,0,0,0,0,0,0,0,0,0,0,0,48,241,254,177,140,140,141,140,229,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,254,227,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,226,253,228,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,225,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,204,129,29,29,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,253,253,254,253,253,253,170,95,57,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,56,56,169,187,253,253,254,253,253,229,199,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,28,78,141,140,178,253,254,235,176,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,189,248,254,192,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,210,254,172,13,0,0,0,0,0,0,0,0,0,0,0,0,0,199,173,19,0,0,0,0,0,0,0,0,114,254,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,194,13,0,0,0,0,0,0,38,226,254,152,6,0,0,0,0,0,0,0,0,0,0,0,0,0,13,208,254,204,26,0,0,0,0,45,179,254,240,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,216,253,245,95,57,57,170,226,234,197,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,156,254,253,253,253,254,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,140,178,152,141,65,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,139,254,254,254,129,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,163,254,253,253,253,253,253,245,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,223,253,254,253,253,158,154,188,253,246,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,250,253,253,169,92,10,1,0,4,64,188,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,237,253,236,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,238,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,236,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,213,253,233,24,0,0,0,0,0,28,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,225,49,0,44,111,183,232,224,221,139,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,130,246,254,241,173,254,254,254,243,252,255,230,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,254,253,253,219,115,50,71,77,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,242,253,254,253,214,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,202,253,244,245,253,206,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,142,246,253,212,64,144,253,188,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,211,253,253,180,14,0,182,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,146,243,253,206,79,9,4,108,254,221,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,190,253,250,136,22,0,8,156,253,249,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,116,0,0,38,156,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,166,2,0,126,237,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,118,140,140,140,140,140,73,124,120,37,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,253,253,253,253,253,253,253,215,109,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,227,128,124,71,93,124,149,140,124,124,241,253,187,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,250,253,177,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,84,200,253,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,110,214,253,253,253,253,63,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,232,253,253,253,253,253,151,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,120,134,253,253,97,51,107,225,220,99,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,237,4,0,0,3,152,253,246,145,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,227,253,119,0,0,0,0,6,62,62,62,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,192,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,229,252,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,114,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,235,235,235,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,219,254,254,254,220,214,117,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,94,238,254,254,254,254,254,254,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,187,254,254,254,254,254,254,254,254,254,248,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,254,254,252,150,189,254,254,254,254,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,79,195,254,254,254,134,0,71,124,124,124,227,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,16,197,254,254,254,127,2,0,0,0,0,0,200,254,254,251,0,0,0,0,0,0,0,0,0,0,0,20,187,254,254,254,126,5,0,0,0,0,0,0,200,254,254,206,0,0,0,0,0,0,0,0,113,0,0,94,254,254,254,127,5,0,0,0,0,0,0,106,245,254,254,117,0,0,0,0,0,0,0,0,37,0,83,238,254,254,229,5,0,0,0,0,0,0,20,228,254,254,213,32,0,0,0,0,0,0,0,0,0,11,219,254,254,230,43,0,0,0,0,0,0,14,195,254,254,250,86,0,0,0,0,0,0,0,0,0,0,101,254,254,254,100,0,0,0,0,0,1,11,199,254,254,253,132,0,0,0,0,0,0,0,0,0,0,58,245,254,254,152,0,0,0,0,0,0,96,254,254,254,254,192,0,0,0,0,0,0,0,0,0,0,0,118,254,254,232,49,0,0,0,37,104,205,250,254,254,254,254,61,0,0,0,0,0,0,0,0,0,0,0,118,254,254,217,84,84,84,218,233,254,254,255,254,214,171,127,8,0,0,0,0,0,0,0,0,0,0,0,118,254,254,254,254,254,254,254,254,254,254,248,188,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,241,254,254,254,254,254,254,254,221,213,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,234,234,234,234,234,173,96,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,156,246,254,255,254,254,238,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,232,253,253,253,241,242,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,240,100,30,36,131,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,253,33,0,0,0,6,220,253,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,154,5,0,0,0,0,212,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,255,249,60,0,0,0,0,0,235,254,232,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,199,254,233,0,0,0,0,0,7,235,253,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,253,254,247,84,0,0,0,74,199,253,253,235,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,146,254,253,247,234,234,235,250,253,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,253,253,253,253,254,253,253,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,142,236,254,254,218,68,138,254,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,39,39,15,10,211,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,247,253,219,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,226,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,201,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,200,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,228,254,128,0,0,84,141,254,254,248,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,229,253,253,222,118,208,251,253,253,253,253,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,245,253,253,253,253,253,253,253,253,253,253,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,95,225,253,253,253,253,253,253,253,237,149,213,253,241,9,0,0,0,0,0,0,0,0,0,0,0,43,152,251,253,253,253,253,253,230,128,25,22,30,244,253,240,0,0,0,0,0,0,0,0,0,0,0,217,236,253,253,253,253,253,180,128,25,0,0,62,179,253,253,193,0,0,0,0,0,0,0,0,0,0,0,248,253,253,253,223,168,61,8,0,0,0,0,169,253,253,193,17,0,0,0,0,0,0,0,0,0,0,0,208,253,180,175,45,0,0,0,0,0,0,79,239,253,191,19,0,0,0,0,0,0,0,0,0,0,0,0,24,51,4,0,0,0,0,0,0,0,42,238,253,227,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,208,253,243,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,204,253,243,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,201,253,242,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,172,253,243,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,172,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,174,253,253,194,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,175,253,253,195,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,177,253,253,197,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,179,253,253,249,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,182,253,253,251,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,109,109,109,212,253,255,253,253,253,192,150,149,109,63,0,0,0,0,0,0,0,0,0,0,0,0,63,222,252,252,252,252,252,253,252,252,252,253,252,252,252,238,72,0,0,0,0,0,0,0,0,0,0,0,73,252,252,252,252,252,252,253,241,241,231,253,252,252,252,253,231,52,0,0,0,0,0,0,0,0,0,0,31,108,108,108,108,108,108,108,77,78,46,108,108,211,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,181,252,253,189,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,233,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,252,210,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,206,253,252,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,255,222,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,242,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,252,252,237,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,148,148,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,23,33,97,181,197,197,197,121,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,68,181,238,254,254,254,254,218,213,213,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,119,238,254,254,250,196,123,57,41,6,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,12,192,254,218,196,197,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,194,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,251,254,197,80,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,158,217,254,254,254,244,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,109,226,249,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,105,255,225,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,81,208,254,229,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,131,57,42,42,127,216,254,228,133,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,254,228,254,254,212,204,83,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,196,161,115,48,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,121,121,190,255,253,253,253,253,225,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,200,252,252,252,253,252,252,252,252,229,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,245,252,252,247,158,159,158,89,89,53,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,216,252,252,187,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,252,252,185,20,0,0,0,0,130,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,221,252,241,63,0,0,0,0,0,198,231,81,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,252,241,97,0,0,0,0,0,0,79,246,252,165,34,0,0,0,0,0,0,0,0,0,0,0,0,12,229,252,185,0,0,0,0,0,0,0,0,78,219,252,237,59,0,0,0,0,0,0,0,0,0,0,0,107,252,252,108,0,0,0,0,0,0,0,0,0,84,207,252,169,0,0,0,0,0,0,0,0,0,0,0,107,252,252,53,0,0,0,0,0,0,0,0,0,0,54,252,239,56,0,0,0,0,0,0,0,0,0,0,241,253,215,28,0,0,0,0,0,0,0,0,0,0,54,253,253,107,0,0,0,0,0,0,0,0,0,0,240,252,116,0,0,0,0,0,0,0,0,0,0,0,54,252,252,106,0,0,0,0,0,0,0,0,0,0,240,252,39,0,0,0,0,0,0,0,0,0,0,0,54,252,252,106,0,0,0,0,0,0,0,0,0,0,240,252,39,0,0,0,0,0,0,0,0,0,0,0,96,252,187,17,0,0,0,0,0,0,0,0,0,0,240,252,75,0,0,0,0,0,0,0,0,0,0,89,238,252,93,0,0,0,0,0,0,0,0,0,0,0,240,252,172,0,0,0,0,0,0,0,0,20,96,238,241,177,24,0,0,0,0,0,0,0,0,0,0,0,148,252,227,58,0,0,0,0,0,20,97,202,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,96,249,252,227,160,139,41,160,160,204,252,252,243,190,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,222,252,252,252,252,252,252,253,239,189,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,154,252,252,252,252,252,120,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,186,254,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,35,192,254,253,253,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,169,253,253,254,216,107,142,253,135,7,79,6,0,0,0,0,0,0,0,0,0,0,68,0,0,0,32,183,253,253,222,57,10,0,92,253,47,206,253,110,0,0,0,0,0,0,0,0,0,0,83,0,0,0,171,253,253,185,14,0,0,0,47,193,254,253,222,34,0,0,0,0,0,0,0,0,0,0,0,0,0,61,255,254,183,8,0,0,0,71,209,254,255,226,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,254,245,128,118,118,118,162,241,253,253,249,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,253,253,253,253,254,253,253,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,177,213,213,213,213,117,105,253,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,207,253,222,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,217,254,205,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,222,254,228,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,205,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,234,251,222,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,222,253,237,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,217,254,235,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,147,254,228,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,213,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,237,237,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,245,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,254,195,118,118,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,179,253,253,253,253,239,234,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,253,253,253,253,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,189,253,253,193,67,99,198,234,253,223,136,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,157,253,253,253,238,23,0,0,146,253,253,253,227,37,0,0,0,0,0,0,0,0,0,0,0,0,6,160,253,253,253,175,58,0,0,0,12,180,246,253,253,139,5,0,0,0,0,0,0,0,0,0,0,0,97,253,253,253,253,123,0,0,0,0,0,0,61,247,253,253,75,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,180,3,0,0,0,0,0,0,0,181,253,253,209,0,0,0,0,0,0,0,0,0,0,42,241,253,253,222,11,0,0,0,0,0,0,0,0,67,241,253,226,34,0,0,0,0,0,0,0,0,0,118,253,253,253,181,0,0,0,0,0,0,0,0,0,0,183,253,253,132,0,0,0,0,0,0,0,0,0,218,253,253,253,82,0,0,0,0,0,0,0,0,0,0,23,214,253,248,85,0,0,0,0,0,0,0,0,254,253,253,202,29,0,0,0,0,0,0,0,0,0,0,0,199,253,253,116,0,0,0,0,0,0,0,0,254,253,253,140,3,0,0,0,0,0,0,0,0,0,0,0,196,253,253,194,0,0,0,0,0,0,0,0,254,253,253,253,82,0,0,0,0,0,0,0,0,0,0,0,63,253,253,253,0,0,0,0,0,0,0,0,77,245,253,253,226,42,0,0,0,0,0,0,0,0,0,0,193,253,253,123,0,0,0,0,0,0,0,0,0,234,253,253,253,103,43,47,0,0,0,0,48,83,138,145,246,253,246,79,0,0,0,0,0,0,0,0,0,126,253,253,253,221,227,230,199,199,199,199,230,253,253,253,253,243,102,0,0,0,0,0,0,0,0,0,0,29,116,243,253,253,253,253,253,253,253,253,253,253,253,253,221,103,0,0,0,0,0,0,0,0,0,0,0,0,0,103,235,253,253,253,253,253,253,253,253,253,233,114,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,116,116,116,239,178,253,163,116,116,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,67,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,237,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,133,133,228,183,248,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,250,253,253,131,0,188,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,166,244,253,195,234,170,16,211,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,188,253,249,79,8,60,223,98,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,184,254,253,87,0,0,35,9,155,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,208,253,254,170,12,0,0,0,4,185,253,220,0,0,0,0,0,0,0,0,49,0,0,0,0,0,5,184,253,253,177,10,0,0,0,0,156,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,254,192,0,0,0,0,0,65,245,255,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,247,253,233,58,0,0,0,0,39,237,253,242,82,0,0,0,0,0,0,0,0,0,0,0,0,0,90,225,253,236,59,0,0,0,0,9,181,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,248,52,0,0,0,0,19,187,253,253,128,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,194,0,0,0,56,85,238,253,241,112,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,235,253,251,199,199,199,254,253,253,158,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,168,253,253,253,253,253,254,246,108,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,137,211,253,220,209,100,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,66,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,117,117,117,117,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,175,176,210,251,251,251,251,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,39,39,204,233,243,251,253,251,251,251,251,226,45,0,0,0,0,0,0,0,0,0,0,0,0,0,68,122,251,251,251,251,251,251,253,251,251,251,213,59,0,0,0,0,0,0,0,0,0,0,0,0,37,155,222,251,251,251,251,251,251,251,253,251,251,226,59,0,0,0,0,0,0,0,0,0,0,0,0,0,224,251,251,251,243,231,66,44,162,251,253,242,231,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,239,107,0,7,131,251,251,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,233,136,136,145,251,251,251,221,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,57,192,251,251,251,251,251,251,251,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,194,217,253,253,253,253,253,255,253,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,206,251,251,251,251,253,251,251,230,117,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,251,251,251,251,212,157,251,251,251,204,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,216,251,251,251,203,29,18,204,251,251,249,233,128,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,251,251,251,253,179,98,122,251,251,251,251,251,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,251,251,251,253,251,251,251,251,251,251,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,98,242,251,253,251,251,251,251,251,251,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,173,192,251,251,251,251,251,251,251,251,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,115,115,115,115,115,115,115,115,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,92,132,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,142,253,252,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,233,254,253,234,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,233,111,71,252,253,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,172,41,0,72,253,254,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,252,172,10,0,41,193,252,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,213,0,0,51,233,254,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,213,10,0,82,233,252,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,234,193,254,253,254,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,253,252,253,252,253,252,213,10,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,21,142,203,203,254,253,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,253,252,172,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,254,131,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,233,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,233,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,85,85,85,85,86,85,85,85,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,252,252,253,252,252,252,221,198,72,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,242,223,223,145,225,223,223,223,223,225,249,233,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,74,0,0,0,0,0,0,0,0,0,146,252,239,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,227,252,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,219,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,222,233,86,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,123,215,253,74,0,4,29,29,76,59,41,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,165,252,252,253,152,140,153,252,253,252,141,99,0,0,0,0,0,0,0,0,0,0,0,26,113,113,255,253,253,253,253,255,253,228,140,140,79,0,0,0,0,0,0,0,0,0,0,0,0,0,76,231,252,252,253,252,252,252,252,168,42,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,165,233,252,253,201,195,102,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,84,84,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,93,177,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,165,254,237,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,12,0,0,0,0,0,0,6,164,254,181,5,216,0,0,0,0,0,0,0,0,0,0,0,0,0,3,133,225,38,0,0,0,0,0,161,254,215,7,0,104,0,0,0,0,0,0,0,0,0,0,0,0,3,133,254,218,12,0,0,0,7,150,248,246,34,0,10,19,0,0,0,0,0,0,0,0,0,0,0,30,183,254,191,47,0,0,0,7,163,254,245,81,0,10,58,0,0,0,0,0,0,0,0,0,0,0,63,240,254,189,31,0,0,0,7,162,254,245,54,0,11,72,18,0,0,0,0,0,0,0,0,0,0,90,240,254,181,11,0,0,0,7,162,254,245,54,0,25,171,10,0,0,0,0,0,0,0,0,0,0,62,241,251,142,11,0,0,0,0,154,254,245,82,0,90,218,68,0,0,0,0,0,0,0,0,0,0,0,215,254,142,0,17,0,0,0,81,232,245,54,11,143,157,34,0,0,0,0,0,0,0,0,0,0,0,0,255,254,241,221,232,221,166,221,247,254,248,210,174,107,4,0,0,0,0,0,0,0,0,0,0,0,0,0,85,169,234,195,195,201,254,254,254,137,42,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,6,164,254,245,85,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,246,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,228,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,178,80,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,91,143,254,254,254,254,255,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,180,246,253,248,237,246,238,253,253,244,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,230,253,253,187,99,5,131,122,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,224,253,235,71,22,0,2,119,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,229,59,0,0,0,89,253,253,197,129,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,213,50,5,0,70,240,253,216,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,253,150,139,176,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,187,200,253,253,253,253,253,163,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,98,137,253,253,253,215,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,253,248,171,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,250,132,144,245,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,171,0,0,16,199,228,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,171,0,0,0,116,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,171,0,0,0,63,231,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,184,14,0,0,94,244,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,210,39,0,0,116,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,189,19,0,0,116,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,196,253,181,148,148,195,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,199,253,253,253,219,152,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,89,89,195,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,193,254,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,212,253,232,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,193,253,243,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,240,254,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,205,253,254,94,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,246,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,238,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,246,253,253,141,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,240,255,253,168,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,240,253,254,138,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,246,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,238,253,232,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,253,243,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,187,254,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,254,138,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,222,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,188,253,186,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,213,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,216,216,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,186,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,252,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,255,222,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,196,0,0,7,57,57,57,157,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,196,0,76,204,252,252,252,253,240,159,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,196,38,237,253,252,252,252,253,252,252,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,253,253,241,163,38,0,0,63,194,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,252,252,65,0,0,0,0,0,57,252,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,252,186,6,0,0,0,0,0,57,252,252,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,68,0,0,0,0,0,63,194,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,69,0,0,0,0,26,204,253,231,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,224,69,57,82,169,243,253,214,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,224,252,252,253,252,252,252,194,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,139,240,253,252,164,90,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,255,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,194,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,246,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,216,253,253,163,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,252,252,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,134,253,252,186,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,227,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,128,253,253,239,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,252,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,252,252,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,213,253,252,164,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,204,253,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,150,252,252,197,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,229,252,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,237,253,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,254,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,240,252,253,227,96,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,215,252,244,93,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,228,202,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,244,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,228,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,199,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,218,184,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,248,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,222,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,211,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,250,110,0,0,0,0,0,0,21,44,44,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,241,20,0,0,0,0,18,149,240,254,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,209,178,0,0,0,0,17,221,238,135,143,254,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,254,161,0,0,0,8,190,239,92,23,215,187,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,242,125,0,0,0,181,254,103,3,172,229,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,203,157,0,0,46,254,108,24,185,250,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,224,220,0,0,128,255,114,229,230,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,252,173,113,219,254,254,230,66,88,150,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,220,254,215,182,224,254,254,220,137,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,214,244,71,59,95,136,136,137,125,59,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,242,253,253,253,254,253,253,253,254,241,217,156,0,0,0,0,0,0,0,0,0,0,0,0,0,4,123,254,255,245,192,156,156,121,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,186,253,217,107,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,221,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,253,182,156,127,79,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,241,255,254,254,254,255,254,211,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,136,136,136,112,65,178,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,20,111,254,249,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,13,43,190,253,254,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,215,215,226,227,244,253,253,254,147,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,253,254,253,253,253,218,83,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,254,254,254,255,254,225,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,130,214,214,208,125,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,247,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,235,248,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,184,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,162,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,252,252,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,185,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,226,255,200,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,160,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,245,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,237,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,252,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,147,147,147,124,8,0,0,0,0,0,32,205,184,0,0,0,0,0,0,0,0,0,0,0,0,0,25,206,254,254,254,254,199,44,0,0,0,20,225,254,184,0,0,0,0,0,0,0,0,0,1,6,1,71,206,254,253,212,240,249,251,238,76,0,29,231,254,254,133,0,0,0,0,0,0,0,0,0,32,211,29,193,254,253,125,0,0,0,38,195,35,78,251,254,254,138,0,0,0,0,0,0,0,0,0,0,0,0,5,229,254,244,0,0,0,0,0,0,80,242,254,254,142,2,0,0,0,0,0,0,0,0,0,0,0,0,6,254,254,244,0,0,0,0,0,67,209,254,253,141,5,0,0,0,0,0,0,0,0,0,0,0,0,0,3,191,254,246,40,0,0,0,18,242,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,254,243,46,0,42,217,254,254,142,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,216,254,254,239,180,199,254,254,171,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,145,254,254,254,254,254,241,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,178,254,254,254,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,249,254,254,241,250,253,141,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,246,254,254,218,31,108,251,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,242,254,254,221,80,0,36,245,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,159,254,254,238,57,2,121,248,254,211,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,254,254,125,51,170,255,254,254,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,254,246,245,254,254,254,102,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,227,254,254,254,254,254,238,152,28,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,254,254,254,163,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,181,254,220,141,38,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,114,170,170,170,255,255,255,255,198,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,198,170,170,170,170,141,86,170,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,226,226,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,226,255,170,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,255,226,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,255,226,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,226,141,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,226,141,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,255,255,170,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,141,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,226,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,198,141,86,114,198,255,170,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,255,255,255,198,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,250,236,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,25,173,245,119,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,10,134,104,0,0,0,3,194,252,180,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,197,253,133,0,0,0,3,163,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,202,253,207,30,0,0,0,80,253,244,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,82,226,251,167,5,0,0,0,59,222,253,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,237,155,0,0,0,0,0,128,253,227,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,230,236,108,18,0,0,0,0,61,207,251,131,7,0,0,0,0,0,0,0,0,0,0,0,0,0,32,239,241,124,0,0,0,0,0,11,205,253,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,149,0,0,0,0,0,0,164,254,253,80,0,70,35,0,0,0,0,0,0,0,0,0,0,0,0,67,254,254,254,254,254,187,159,240,254,255,254,184,254,199,18,0,0,0,0,0,0,0,0,0,0,0,0,32,170,216,253,253,253,253,253,253,253,254,253,185,94,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,56,74,73,56,138,253,249,220,101,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,79,242,242,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,248,143,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,217,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,234,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,253,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,239,65,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,152,193,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,203,243,253,252,253,252,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,132,253,254,253,254,253,254,253,234,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,162,253,252,253,252,253,212,131,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,223,203,122,142,102,0,0,0,102,254,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,20,0,82,0,0,0,0,0,102,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,234,92,0,0,0,102,254,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,151,0,0,0,102,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,253,254,151,0,0,0,123,254,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,253,252,233,50,0,0,0,203,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,253,254,253,102,0,0,0,0,203,254,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,252,253,212,61,0,0,0,41,243,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,253,244,40,0,0,0,0,214,253,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,252,162,0,0,0,0,41,253,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,254,253,0,0,0,0,51,233,254,253,224,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,0,0,0,41,193,252,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,255,253,254,172,214,253,254,253,254,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,213,252,253,252,253,252,253,252,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,234,253,254,253,254,253,183,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,213,232,253,252,151,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,70,70,70,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,138,231,235,253,253,254,241,230,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,245,253,247,230,230,162,138,121,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,159,185,247,177,94,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,235,248,139,23,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,237,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,254,253,238,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,119,197,254,254,254,152,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,31,115,220,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,234,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,247,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,147,254,244,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,112,253,247,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,127,93,93,151,197,253,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,254,254,255,254,205,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,253,254,227,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,129,179,230,80,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,121,245,187,111,34,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,253,253,211,148,67,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,210,253,253,254,253,253,250,210,124,100,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,243,6,44,121,232,247,253,253,253,253,253,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,245,22,0,0,0,62,88,145,198,198,193,155,137,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,222,253,221,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,221,253,223,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,223,253,253,189,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,176,253,254,253,241,212,111,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,244,254,254,254,254,153,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,121,193,253,253,253,240,96,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,68,154,245,253,253,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,148,253,253,253,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,66,223,253,253,244,164,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,166,220,253,253,253,250,136,0,0,0,0,0,0,0,0,0,0,0,0,10,12,9,9,113,189,232,232,254,253,253,252,218,94,21,0,0,0,0,0,0,0,0,0,0,0,40,155,237,253,232,232,253,253,253,253,255,242,209,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,253,253,253,253,253,230,176,162,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,253,253,253,166,143,76,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,141,255,227,145,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,11,89,228,254,253,253,244,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,253,253,253,213,105,89,89,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,219,254,242,112,13,0,0,2,21,21,49,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,174,253,225,34,0,0,0,0,124,253,254,199,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,237,62,0,0,0,32,196,251,232,157,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,253,153,0,0,2,109,243,253,212,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,192,0,8,84,253,253,227,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,190,0,164,253,254,205,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,240,253,250,253,253,242,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,253,253,251,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,248,254,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,243,253,253,253,235,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,246,253,242,183,252,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,244,254,220,111,0,151,254,199,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,195,10,0,152,253,179,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,238,254,238,33,22,172,253,198,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,254,246,118,194,254,236,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,196,254,254,254,254,254,254,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,200,253,253,253,181,99,54,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,104,229,253,255,253,216,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,208,196,203,252,252,215,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,93,13,0,7,81,234,252,235,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,59,240,253,209,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,29,66,191,254,247,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,252,252,252,253,208,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,253,252,171,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,28,28,28,153,252,252,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,223,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,28,0,0,0,0,0,0,0,0,85,252,247,66,0,0,0,0,0,0,0,0,0,0,0,0,0,151,229,47,0,0,0,0,0,0,0,0,10,228,253,84,0,0,0,0,0,0,0,0,0,0,0,0,85,253,242,116,19,13,29,10,0,0,0,0,86,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,28,209,253,252,224,206,253,196,169,169,108,57,172,252,234,28,0,0,0,0,0,0,0,0,0,0,0,0,0,25,168,187,252,252,253,252,252,252,253,252,252,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,28,78,140,139,139,190,253,227,139,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,233,206,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,229,234,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,4,254,251,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,176,254,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,253,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,215,253,193,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,211,253,141,0,0,0,38,161,237,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,138,253,228,10,0,15,175,240,253,253,209,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,120,0,25,211,253,253,253,253,190,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,197,0,25,255,254,251,197,254,254,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,248,253,64,54,235,254,205,112,181,253,229,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,221,127,245,253,254,120,220,253,230,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,222,253,253,253,253,254,253,253,202,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,194,253,253,253,254,197,39,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,167,253,233,140,47,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,234,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,230,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,212,40,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,53,177,253,255,253,119,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,170,252,252,252,253,252,252,212,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,252,252,252,209,167,252,252,252,243,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,252,252,121,6,2,39,163,251,252,249,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,252,252,188,118,0,0,0,170,252,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,155,179,252,214,0,0,0,38,222,252,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,21,12,0,0,0,0,160,252,247,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,53,143,191,206,224,143,143,215,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,105,213,252,252,252,253,252,252,252,252,252,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,237,252,252,235,153,58,44,44,173,252,252,252,250,125,0,0,0,0,0,0,0,0,0,0,0,6,114,248,252,196,116,9,0,0,0,16,209,252,252,252,252,251,128,3,0,0,0,0,0,0,0,0,0,138,252,247,126,19,0,0,0,0,46,226,252,252,240,111,214,252,252,33,0,0,0,0,0,0,0,0,27,236,252,230,0,0,0,0,0,39,230,252,252,206,81,0,31,164,130,7,0,0,0,0,0,0,0,0,129,252,252,183,12,12,16,122,203,240,253,252,243,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,239,252,252,252,252,252,252,252,252,253,193,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,252,252,252,252,252,252,252,219,114,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,142,200,252,252,252,252,170,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,155,154,156,254,254,188,155,154,141,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,209,251,253,253,253,253,253,253,253,253,253,221,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,228,127,188,188,127,89,89,89,159,249,253,238,36,0,0,0,0,0,0,0,0,0,0,0,0,0,5,146,217,60,1,0,0,0,0,0,0,117,253,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,173,141,2,0,0,0,0,8,107,248,253,193,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,92,253,253,231,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,170,253,253,161,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,82,202,251,253,240,83,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,194,229,253,253,253,253,248,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,253,253,233,141,99,113,253,221,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,112,49,29,0,0,72,253,222,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,189,254,211,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,147,253,181,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,222,253,207,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,217,254,181,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,8,32,45,118,252,253,179,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,178,234,234,248,197,242,245,253,253,223,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,246,128,202,253,253,253,253,220,144,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,244,252,253,253,221,138,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,253,253,224,103,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,143,255,176,101,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,133,233,252,253,252,252,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,252,252,209,92,44,126,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,242,252,178,6,0,0,48,246,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,172,252,243,89,0,0,0,0,218,233,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,252,122,0,0,0,0,35,222,252,233,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,160,252,237,9,0,0,0,8,154,252,252,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,252,252,131,0,0,0,45,189,252,252,252,237,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,252,84,0,24,126,253,252,222,249,252,203,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,176,252,232,129,230,252,253,146,107,251,252,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,232,253,253,243,220,49,0,100,253,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,77,77,53,0,0,0,128,252,238,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,252,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,213,252,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,247,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,189,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,110,190,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,152,152,193,254,253,234,152,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,253,252,253,252,253,252,243,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,234,131,102,20,41,82,123,223,255,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,10,0,0,0,0,0,20,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,41,0,0,123,82,0,0,0,0,0,0,0,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,122,0,0,122,122,0,0,0,0,0,0,0,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,92,173,253,254,253,254,253,193,193,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,213,252,253,252,253,252,253,252,253,252,243,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,224,203,102,102,82,41,113,233,254,233,203,203,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,171,20,0,0,0,0,0,213,252,131,30,0,0,0,0,0,0,0,0,0,0,0,0,31,132,152,152,152,30,0,0,0,21,72,152,214,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,253,252,233,30,0,0,41,223,253,252,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,255,172,0,41,72,152,254,253,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,232,253,172,102,223,253,252,253,252,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,255,253,255,253,254,253,183,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,213,252,253,171,131,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,230,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,176,254,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,254,254,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,218,254,254,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,185,254,254,254,220,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,254,254,254,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,254,132,218,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,58,0,215,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,254,223,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,20,20,164,254,242,110,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,161,200,254,254,254,254,254,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,247,254,254,254,254,255,254,254,217,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,254,254,254,254,254,254,201,58,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,216,253,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,253,252,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,210,253,252,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,227,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,255,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,234,252,234,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,206,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,252,233,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,253,151,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,57,172,252,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,252,252,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,252,252,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,159,113,163,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,169,253,196,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,233,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,178,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,96,96,96,96,115,253,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,190,191,197,251,251,251,253,251,251,251,251,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,251,253,251,251,251,251,253,251,251,251,172,79,0,0,0,0,0,0,0,0,0,0,0,0,0,167,236,251,251,253,251,251,235,188,189,188,109,31,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,251,253,231,94,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,242,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,251,253,62,0,8,32,32,151,190,190,190,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,236,251,205,31,0,143,251,253,251,251,251,251,206,32,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,242,123,221,248,251,253,251,219,244,251,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,127,251,251,253,251,251,251,251,193,94,47,123,251,253,240,79,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,255,253,253,229,158,0,0,0,0,159,255,253,173,12,0,0,0,0,0,0,0,0,0,0,0,32,229,251,253,247,140,47,0,0,0,0,0,158,253,251,172,12,0,0,0,0,0,0,0,0,0,0,0,0,111,204,126,110,0,0,0,0,0,0,0,158,253,251,188,15,0,0,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,56,240,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,181,251,253,231,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,96,96,96,96,115,253,253,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,251,251,251,253,251,251,251,231,161,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,251,253,251,251,219,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,251,251,251,253,243,188,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,173,251,251,193,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,24,108,180,253,244,138,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,47,118,252,252,252,252,253,252,173,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,242,253,252,252,252,252,253,252,215,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,150,253,193,160,66,45,201,252,240,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,8,0,0,0,201,252,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,222,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,252,221,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,252,149,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,231,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,231,230,146,116,230,253,210,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,45,222,253,253,255,253,253,253,253,242,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,66,252,252,252,231,207,141,221,252,252,203,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,152,253,240,183,89,37,70,103,252,252,252,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,252,245,131,0,34,93,253,252,227,160,108,150,17,0,0,0,0,0,0,0,0,0,0,0,0,0,32,228,252,135,42,32,165,252,253,178,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,163,253,137,0,26,170,253,253,116,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,215,252,64,11,161,240,112,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,215,252,190,185,228,234,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,174,240,252,252,253,252,101,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,168,252,200,75,22,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,208,255,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,203,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,176,253,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,253,253,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,253,253,253,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,253,253,136,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,253,159,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,253,253,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,253,253,253,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,227,253,253,227,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,146,145,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,34,77,144,144,231,254,187,111,5,0,0,0,0,0,0,0,0,0,0,0,6,67,67,168,128,177,177,254,253,253,253,253,253,253,253,253,81,0,0,0,0,0,0,0,0,0,0,0,71,253,253,253,253,253,253,254,253,253,253,253,175,158,253,253,76,0,0,0,0,0,0,0,0,0,0,0,11,145,231,231,183,231,134,122,121,29,10,10,3,7,210,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,160,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,199,242,253,238,131,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,41,122,239,253,253,243,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,141,254,253,253,253,253,199,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,145,237,253,255,253,253,247,227,231,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,210,253,205,143,66,33,30,22,158,185,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,77,0,0,0,0,0,0,104,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,237,250,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,206,238,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,81,247,253,249,154,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,178,253,253,249,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,89,89,89,232,254,253,219,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,203,213,232,232,240,253,253,253,253,248,242,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,253,253,253,246,209,113,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,230,253,253,253,253,250,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,162,253,195,143,143,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,76,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,254,254,229,161,86,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,198,206,206,207,249,253,203,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,54,213,241,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,255,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,215,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,240,253,228,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,254,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,211,253,147,21,0,0,0,0,0,0,0,0,5,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,180,245,228,165,116,116,116,116,149,208,207,212,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,119,202,253,254,253,253,253,254,202,119,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,93,93,93,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,41,151,184,255,254,109,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,97,197,254,254,251,229,250,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,171,254,254,227,130,49,84,235,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,119,231,254,221,49,15,0,43,232,254,181,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,176,254,225,134,24,0,0,83,236,254,140,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,211,53,0,0,0,103,225,254,116,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,248,73,0,0,3,129,251,251,117,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,249,71,0,31,187,254,215,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,254,197,110,231,254,186,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,204,254,254,254,189,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,179,254,254,254,164,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,170,254,217,83,185,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,105,251,219,55,0,9,127,249,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,117,241,254,192,27,0,0,36,218,227,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,28,174,254,249,161,3,0,16,47,197,242,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,232,254,254,201,35,114,119,239,254,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,254,254,254,223,254,254,254,254,131,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,254,254,254,254,254,254,254,254,149,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,192,254,254,254,254,254,249,116,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,61,173,173,125,91,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,247,255,254,254,216,226,185,185,185,185,185,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,91,163,182,163,163,163,163,163,163,215,254,249,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,243,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,221,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,247,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,236,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,231,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,246,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,200,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,254,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,254,195,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,241,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,230,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,227,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,230,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,232,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,250,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,83,148,169,169,169,109,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,238,251,251,254,254,254,254,254,254,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,239,217,181,169,134,142,95,95,95,150,254,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,29,78,0,0,0,0,0,0,85,226,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,128,250,254,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,108,235,254,251,71,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,70,184,241,254,254,190,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,138,184,240,254,254,254,254,254,242,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,251,254,246,192,163,136,81,73,177,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,117,108,32,0,0,0,0,0,109,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,210,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,175,252,179,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,27,180,241,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,24,72,128,218,225,212,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,161,195,195,215,248,254,254,254,240,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,209,214,100,174,254,254,245,222,137,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,114,252,136,100,219,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,254,254,254,254,233,141,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,252,197,163,114,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,82,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,255,206,128,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,253,231,184,184,147,76,76,76,177,184,184,81,76,46,0,0,0,0,0,0,0,0,0,0,0,5,32,128,249,253,253,253,253,253,253,253,253,253,253,253,253,241,148,2,0,0,0,0,0,0,0,0,0,0,0,0,18,102,107,210,210,210,210,210,210,210,210,210,210,246,253,181,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,250,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,250,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,212,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,238,246,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,202,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,245,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,250,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,224,253,159,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,127,253,227,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,251,253,214,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,253,210,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,228,58,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,139,182,254,254,254,219,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,111,169,209,237,253,253,253,253,253,253,211,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,253,238,188,188,179,89,112,253,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,135,54,26,0,0,0,0,5,198,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,79,2,0,0,0,0,0,0,0,189,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,236,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,187,253,140,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,52,0,0,86,246,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,230,250,252,222,72,184,253,200,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,204,253,253,248,251,253,253,253,223,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,94,248,253,194,112,0,115,253,253,235,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,161,253,253,128,1,7,102,232,253,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,163,253,169,84,46,168,204,253,194,118,84,25,0,0,0,0,0,0,0,0,0,0,0,0,6,26,26,28,123,64,67,219,235,253,251,67,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,253,253,253,253,253,253,206,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,236,253,251,229,184,120,120,43,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,238,253,162,177,221,156,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,253,253,253,248,142,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,253,253,253,185,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,178,110,0,0,0,0,8,121,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,224,253,224,0,0,0,0,132,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,100,0,0,0,0,166,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,243,253,169,2,0,0,0,22,250,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,235,253,152,23,0,0,0,0,47,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,235,253,206,22,0,0,0,0,0,133,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,250,30,0,0,0,0,0,0,133,253,215,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,165,0,0,0,0,0,0,0,200,253,238,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,165,0,0,0,0,0,0,31,246,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,242,67,0,0,0,0,0,100,253,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,254,254,254,221,144,144,67,168,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,163,253,253,253,253,253,254,253,253,253,215,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,44,44,112,184,253,254,253,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,10,13,187,253,242,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,254,253,162,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,255,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,254,204,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,201,200,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,191,254,235,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,230,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,198,254,254,220,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,191,254,254,146,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,156,254,254,146,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,254,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,125,250,254,146,4,0,0,47,88,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,254,151,5,0,30,213,245,254,246,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,220,254,197,33,0,5,148,254,254,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,215,254,186,5,0,113,206,254,254,215,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,199,11,2,115,251,254,214,45,193,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,11,205,222,33,0,115,254,254,214,30,170,254,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,45,171,254,177,19,135,251,254,179,24,24,225,254,254,254,25,0,0,0,0,0,0,0,0,0,0,0,0,103,254,254,254,247,254,254,254,165,136,210,254,254,254,243,4,0,0,0,0,0,0,0,0,0,0,0,0,2,145,210,254,254,254,254,255,254,254,255,254,254,210,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,198,254,254,254,161,231,232,254,254,254,232,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,254,254,254,254,254,254,254,228,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,237,254,254,254,254,254,198,174,76,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,187,109,38,38,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,228,255,254,241,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,249,233,199,115,213,245,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,248,198,49,0,0,49,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,224,250,69,0,0,0,37,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,151,0,0,0,0,37,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,255,218,13,0,0,0,0,186,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,115,0,0,0,0,71,250,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,121,0,0,14,95,231,253,250,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,247,241,154,180,218,248,182,205,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,247,253,253,220,84,20,230,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,52,0,0,55,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,237,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,248,216,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,232,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,233,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,254,162,161,161,161,162,78,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,253,254,253,253,253,254,253,234,163,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,181,253,230,230,154,205,230,242,253,253,241,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,128,0,0,0,0,0,38,119,253,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,255,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,174,253,216,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,244,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,247,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,222,254,210,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,245,253,214,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,239,253,219,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,254,254,214,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,97,247,254,227,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,99,253,253,214,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,219,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,255,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,247,241,139,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,219,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,141,141,91,29,104,141,141,141,216,165,41,79,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,252,252,253,252,252,202,197,196,240,252,253,234,63,0,0,0,0,0,0,0,0,0,0,0,0,0,19,187,224,168,106,56,56,6,0,0,44,56,119,224,234,147,0,0,0,0,0,0,0,0,0,0,0,0,0,7,19,0,0,0,0,0,0,0,0,0,0,69,252,252,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,228,252,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,114,7,29,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,225,252,252,207,187,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,134,253,252,252,252,206,93,56,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,138,234,252,253,252,252,52,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,204,253,253,253,254,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,144,243,253,252,252,252,253,214,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,234,252,252,206,112,228,252,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,252,151,13,107,252,252,178,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,255,247,100,13,204,253,253,228,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,234,131,194,253,252,233,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,252,252,252,253,170,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,140,215,214,139,78,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,184,230,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,168,247,247,163,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,201,254,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,128,86,0,0,0,0,0,0,199,253,246,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,227,221,17,0,0,0,0,56,247,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,189,17,0,0,0,60,242,254,197,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,239,254,106,0,0,0,35,252,254,229,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,198,254,248,61,0,0,22,176,254,227,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,180,254,254,101,0,0,0,80,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,229,254,222,31,0,0,32,204,254,211,8,61,158,55,0,0,0,0,0,0,0,0,0,0,0,0,4,151,254,251,91,0,0,7,149,252,249,108,200,214,34,0,0,0,0,0,0,0,0,0,0,0,0,0,40,242,254,167,0,0,46,158,254,254,254,254,212,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,236,254,243,200,236,247,254,254,254,214,115,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,243,254,254,254,254,254,254,217,94,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,121,182,182,234,254,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,248,254,134,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,254,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,227,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,210,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,164,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,144,144,144,144,145,144,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,37,192,217,217,253,251,251,251,251,253,251,246,217,87,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,253,251,251,251,251,253,251,251,251,251,79,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,253,251,251,251,251,253,251,251,251,251,232,77,0,0,0,0,0,0,0,0,0,0,0,255,253,190,180,180,0,0,0,0,0,130,105,243,253,253,255,149,10,0,0,0,0,0,0,0,0,0,0,108,107,15,0,0,0,0,0,0,0,0,0,113,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,73,73,73,73,73,73,99,253,253,255,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,176,251,251,251,251,253,251,251,251,251,253,251,159,83,0,0,0,0,0,0,0,0,0,0,0,6,115,241,253,251,251,251,251,253,251,251,251,251,253,251,251,236,217,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,251,251,251,253,251,251,251,251,253,251,251,251,251,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,251,251,251,253,251,251,251,251,253,251,251,251,122,0,0,0,0,0,0,0,0,0,0,37,253,253,255,253,253,253,253,255,253,242,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,169,251,253,251,251,251,251,253,168,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,35,87,215,215,215,86,35,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,196,254,254,188,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,87,217,253,253,253,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,225,89,89,173,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,253,222,40,0,0,10,28,52,133,145,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,232,253,225,34,0,0,0,51,202,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,237,62,0,0,8,159,246,253,244,210,124,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,253,114,0,0,38,201,253,253,202,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,253,136,25,119,245,253,251,120,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,230,253,253,194,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,240,253,253,253,170,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,240,253,253,213,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,235,253,253,253,235,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,110,226,253,248,183,221,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,245,84,0,95,253,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,235,254,253,126,0,0,49,252,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,193,253,169,7,0,0,0,249,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,243,38,0,0,20,149,253,251,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,253,241,90,90,162,225,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,203,254,253,253,253,253,237,52,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,201,253,163,153,99,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,255,100,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,251,253,208,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,236,253,247,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,227,253,249,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,117,251,253,253,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,246,253,253,190,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,225,253,209,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,187,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,232,253,217,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,175,253,253,133,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,243,253,226,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,185,253,251,76,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,243,253,238,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,208,253,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,211,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,212,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,136,255,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,106,189,241,253,224,249,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,99,199,254,181,96,46,74,249,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,151,69,6,0,0,170,219,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,222,216,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,228,244,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,215,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,245,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,228,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,187,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,123,38,72,193,253,202,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,220,254,248,179,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,228,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,115,241,254,255,254,206,149,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,252,174,180,245,253,254,157,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,239,252,88,0,0,0,142,180,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,190,254,146,0,0,0,0,0,0,66,167,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,222,238,27,0,0,0,0,0,0,0,124,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,231,232,20,0,0,0,0,71,60,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,224,237,26,0,6,121,196,248,224,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,229,233,21,22,171,254,254,223,237,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,226,241,89,213,254,221,69,5,68,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,227,254,254,239,119,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,227,254,246,123,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,214,254,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,204,254,218,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,225,254,144,39,226,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,185,249,147,6,40,233,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,231,240,21,0,139,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,190,249,86,0,102,250,172,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,207,247,42,121,232,233,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,204,248,199,252,218,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,176,254,128,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,245,129,0,0,0,0,0,24,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,191,254,97,0,0,0,0,0,114,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,11,0,0,0,0,34,218,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,11,0,0,0,33,162,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,17,18,126,152,247,254,252,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,239,254,254,254,254,249,194,113,189,248,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,199,213,213,193,73,0,0,232,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,240,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,175,102,179,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,244,255,241,135,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,119,145,158,40,16,119,199,254,249,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,216,254,254,254,247,227,204,254,254,252,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,251,254,254,254,254,254,254,254,187,254,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,36,142,250,254,254,181,129,117,171,254,244,214,254,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,254,254,183,42,0,0,5,32,97,84,254,254,191,0,0,0,0,0,0,0,0,0,0,0,0,78,234,254,254,186,39,0,0,0,0,0,0,84,254,254,191,0,0,0,0,0,0,0,0,0,0,0,33,169,254,254,149,9,0,0,0,0,0,0,9,116,254,252,153,0,0,0,0,0,0,0,0,0,0,32,147,254,254,230,100,0,0,0,0,0,0,0,13,201,254,251,64,0,0,0,0,0,0,0,0,0,0,89,245,254,231,59,0,0,0,0,0,0,0,9,86,255,251,184,0,0,0,0,0,0,0,0,0,0,58,245,254,254,132,0,0,0,0,0,0,0,0,64,254,254,248,61,0,0,0,0,0,0,0,0,0,26,183,254,254,156,9,0,0,0,0,0,0,0,56,229,254,250,191,0,0,0,0,0,0,0,0,0,0,85,252,254,236,89,0,0,0,0,0,0,10,47,186,254,250,192,0,0,0,0,0,0,0,0,0,0,0,188,254,254,204,13,0,0,0,0,0,30,151,254,254,249,193,0,0,0,0,0,0,0,0,0,0,0,0,188,254,254,204,13,0,12,33,33,134,232,254,254,232,193,0,0,0,0,0,0,0,0,0,0,0,0,0,188,255,254,214,40,74,190,254,254,255,254,254,236,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,255,254,254,254,254,254,254,254,255,240,208,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,177,254,254,254,254,254,244,241,207,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,117,238,248,248,136,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,130,207,177,101,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,172,253,255,253,253,170,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,253,253,254,198,44,44,171,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,206,253,253,227,41,0,0,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,229,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,240,253,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,253,253,211,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,232,253,226,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,250,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,242,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,253,253,163,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,253,253,253,246,210,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,207,253,243,235,253,249,182,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,242,158,37,88,184,206,230,166,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,246,201,23,0,8,84,238,215,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,249,238,88,0,0,62,244,191,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,242,253,141,45,8,133,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,162,254,253,199,222,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,143,143,249,229,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,86,86,86,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,170,198,255,255,255,255,255,226,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,0,226,255,255,255,198,170,141,86,86,86,29,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,255,255,198,114,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,255,29,114,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,198,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,255,170,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,170,0,0,0,0,29,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,170,0,0,86,141,255,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,226,255,226,170,86,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,55,137,192,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,189,254,254,254,250,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,65,186,242,165,83,83,171,245,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,243,85,0,0,0,164,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,248,246,83,0,0,0,0,250,254,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,252,79,0,0,0,0,206,254,228,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,145,253,132,0,0,5,43,225,251,254,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,194,5,3,44,221,254,134,63,250,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,165,45,169,254,245,177,15,72,253,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,254,254,217,95,0,0,196,255,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,155,177,177,166,22,0,0,0,232,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,251,244,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,180,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,155,200,227,164,184,102,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,253,253,253,253,238,152,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,188,183,155,188,188,223,253,253,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,228,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,107,216,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,36,129,220,253,253,243,188,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,87,201,253,253,253,253,175,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,139,139,195,239,242,253,253,253,227,126,44,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,206,253,253,253,253,253,253,253,253,186,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,209,217,203,203,233,253,253,253,253,242,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,14,0,0,29,49,49,55,219,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,189,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,69,253,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,152,253,253,209,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,166,253,253,209,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,156,223,253,253,211,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,87,168,245,253,253,239,132,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,129,90,176,234,253,253,253,220,105,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,240,197,109,54,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,153,153,107,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,174,253,253,195,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,251,251,251,253,185,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,221,251,251,251,253,251,188,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,251,251,251,251,253,251,251,86,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,153,251,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,255,253,253,189,0,0,20,206,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,170,253,251,251,69,0,0,0,111,248,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,188,15,0,0,0,0,221,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,251,253,223,15,0,0,0,0,0,83,251,242,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,251,253,220,0,0,0,0,0,0,24,193,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,255,161,0,0,0,0,0,0,0,159,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,251,253,181,0,0,0,0,0,0,0,158,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,251,253,220,0,0,0,0,0,0,0,158,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,251,253,220,0,0,0,0,0,0,0,158,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,193,253,220,0,0,0,0,0,0,40,217,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,255,253,173,12,0,0,0,48,134,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,244,251,149,0,12,52,221,251,251,181,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,251,220,127,174,251,251,251,251,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,110,204,251,253,251,251,251,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,193,253,251,172,94,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,167,209,215,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,95,240,253,254,254,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,182,254,254,180,105,207,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,210,255,203,38,3,0,171,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,208,254,198,35,0,0,16,195,240,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,242,241,15,0,0,32,156,246,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,254,175,27,112,166,248,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,254,254,254,254,254,254,227,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,73,157,157,103,208,254,237,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,221,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,249,254,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,219,254,161,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,254,170,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,223,254,192,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,234,252,149,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,227,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,212,251,125,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,234,239,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,181,252,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,175,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,248,226,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,247,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,241,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,249,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,204,225,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,202,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,193,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,255,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,107,62,3,0,0,0,0,0,54,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,254,202,146,36,11,0,0,33,254,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,230,130,152,213,252,219,116,0,47,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,246,27,0,0,40,126,202,96,157,232,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,123,0,0,0,0,0,33,228,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,148,248,108,5,0,0,31,219,245,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,176,254,215,156,159,244,246,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,104,249,254,254,190,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,162,211,151,0,0,0,0,0,0,80,199,237,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,254,193,44,0,0,0,0,5,159,249,223,57,0,0,0,0,0,0,0,0,0,0,0,0,0,41,197,254,172,32,0,0,0,0,26,139,254,204,53,0,0,0,0,0,0,0,0,0,0,0,0,0,18,154,254,225,103,0,0,0,0,0,90,231,244,151,12,0,0,0,0,0,0,0,0,0,0,0,0,13,163,254,239,58,0,0,0,0,5,17,251,248,130,0,0,0,0,0,0,0,0,0,0,0,0,0,89,240,254,165,5,0,0,0,0,0,75,254,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,114,241,255,254,209,203,175,122,122,122,138,232,254,229,149,0,0,0,0,0,0,0,0,0,0,0,0,0,217,254,254,254,254,254,254,254,254,254,254,254,254,236,134,0,0,0,0,0,0,0,0,0,0,0,0,0,28,28,28,28,28,28,28,28,28,136,254,254,169,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,190,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,231,253,119,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,135,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,254,233,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,217,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,141,170,226,198,170,86,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,170,255,255,198,170,170,170,226,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,255,255,57,29,0,0,0,0,0,0,57,226,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,86,0,0,0,0,0,0,0,0,0,0,170,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,198,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,158,255,160,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,212,253,244,179,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,156,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,207,253,245,106,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,238,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,198,249,253,193,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,64,253,253,248,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,175,253,241,167,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,220,253,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,253,172,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,247,253,238,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,243,137,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,234,253,181,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,160,253,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,91,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,198,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,215,187,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,202,223,181,255,150,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,253,212,237,110,110,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,219,69,69,69,7,142,235,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,37,0,0,0,0,17,210,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,171,254,193,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,209,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,70,254,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,254,173,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,82,233,128,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,255,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,229,253,232,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,219,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,203,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,235,253,191,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,230,187,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,75,180,244,190,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,171,255,197,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,161,249,253,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,66,242,253,251,176,183,253,245,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,253,238,57,0,40,248,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,239,253,236,64,0,0,0,244,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,244,253,246,60,0,0,0,0,106,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,237,100,0,0,0,12,91,250,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,167,0,0,0,45,172,253,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,250,253,209,26,86,210,243,253,253,245,90,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,253,253,253,253,253,253,233,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,253,253,253,253,232,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,16,16,40,253,253,242,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,210,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,137,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,161,251,252,134,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,253,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,249,253,137,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,133,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,255,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,176,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,108,202,0,118,247,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,173,17,234,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,185,9,24,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,147,249,151,9,0,108,253,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,183,13,0,0,157,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,159,254,151,13,0,0,17,224,253,0,85,93,127,185,184,67,0,0,0,0,0,0,0,0,0,0,13,187,254,229,78,70,136,162,178,254,254,254,254,247,210,127,76,0,0,0,0,0,0,0,0,0,0,0,97,253,253,254,253,253,253,241,215,253,202,115,31,21,9,0,0,0,0,0,0,0,0,0,0,0,0,0,76,137,137,138,137,129,79,34,55,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,244,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,247,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,227,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,205,255,254,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,154,251,253,253,253,253,214,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,144,240,253,253,253,243,239,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,91,204,253,253,253,183,114,53,183,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,233,253,253,253,220,113,1,0,0,87,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,38,156,252,253,253,253,135,18,0,0,0,0,116,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,253,153,11,3,0,0,0,0,0,73,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,81,240,228,102,0,0,0,0,0,0,0,5,190,253,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,40,4,0,0,0,0,0,0,0,0,48,253,253,237,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,233,253,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,237,253,253,139,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,113,113,113,113,168,113,240,253,253,253,235,231,68,0,0,0,0,0,0,0,0,0,2,37,130,172,249,251,253,253,253,253,253,253,253,253,253,250,203,77,3,0,0,0,0,0,0,0,0,3,117,253,253,253,253,253,253,253,253,253,253,253,252,224,146,79,0,0,0,0,0,0,0,0,0,0,0,96,253,253,218,164,88,88,93,154,253,253,253,232,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,215,18,0,58,124,190,253,253,253,229,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,242,201,201,247,253,253,253,234,80,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,253,253,253,253,197,133,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,89,135,135,135,135,22,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,239,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,201,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,241,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,108,0,0,0,0,6,35,105,84,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,247,118,0,0,0,16,182,254,254,254,233,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,200,3,0,0,130,254,192,142,142,219,220,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,92,0,0,196,188,11,0,0,43,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,246,199,18,0,210,129,0,0,0,58,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,152,2,126,207,23,0,0,113,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,201,255,146,33,192,208,56,48,217,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,201,254,241,215,255,254,254,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,254,254,254,216,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,128,255,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,247,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,160,240,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,252,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,253,206,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,206,253,252,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,253,170,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,222,252,241,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,179,253,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,252,177,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,241,254,247,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,172,252,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,252,244,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,243,252,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,244,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,243,253,214,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,244,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,69,236,255,218,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,252,252,204,132,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,251,247,99,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,232,247,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,252,99,0,0,0,36,203,185,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,151,0,0,0,43,227,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,63,0,0,0,183,252,137,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,159,0,0,18,253,217,183,252,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,253,224,67,16,221,253,252,252,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,249,221,252,253,252,208,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,232,253,253,150,27,18,239,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,213,252,137,0,0,0,90,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,247,38,0,0,0,160,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,197,247,98,0,0,0,0,169,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,231,0,0,0,0,9,204,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,65,0,0,0,0,39,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,189,5,0,0,0,29,213,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,210,30,22,110,189,239,251,134,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,252,252,252,252,253,231,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,226,252,252,208,129,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,128,212,254,254,201,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,100,249,255,236,236,254,255,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,179,254,236,112,30,188,254,129,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,237,242,116,14,7,178,254,157,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,127,0,0,20,254,183,73,117,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,235,0,0,0,32,254,222,249,251,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,239,59,59,84,207,254,254,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,254,254,170,194,254,229,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,115,91,31,111,254,244,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,236,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,251,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,245,254,139,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,237,250,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,237,248,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,233,250,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,233,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,219,250,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,212,248,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,250,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,252,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,133,191,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,148,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,253,212,100,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,230,253,253,253,253,253,250,169,95,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,230,253,253,253,253,253,253,254,253,253,205,95,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,253,253,253,222,180,185,253,253,253,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,9,167,253,253,253,143,151,136,0,3,118,168,225,253,240,137,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,253,225,30,0,17,0,0,0,0,24,123,231,241,31,0,0,0,0,0,0,0,0,0,0,0,77,253,253,253,180,0,0,0,0,0,0,0,0,0,141,253,36,0,0,0,0,0,0,0,0,0,0,0,145,253,253,253,123,0,0,0,0,0,0,0,0,0,73,253,151,0,0,0,0,0,0,0,0,0,0,0,25,254,254,193,0,0,0,0,0,0,0,0,0,0,0,207,254,29,0,0,0,0,0,0,0,0,0,0,25,253,253,193,0,0,0,0,0,0,0,0,0,0,0,206,253,144,0,0,0,0,0,0,0,0,0,0,21,240,253,201,9,0,0,0,0,0,0,0,0,0,0,188,253,144,0,0,0,0,0,0,0,0,0,0,0,134,253,253,83,0,0,0,0,0,0,0,0,0,0,109,253,144,0,0,0,0,0,0,0,0,0,0,0,37,253,253,198,41,0,0,0,0,0,0,0,0,53,240,253,144,0,0,0,0,0,0,0,0,0,0,0,26,229,253,253,233,147,73,73,74,66,11,73,160,211,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,55,229,253,253,253,253,253,254,249,213,253,253,253,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,55,231,253,253,253,253,254,253,253,253,253,253,253,216,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,122,238,253,253,254,253,253,253,253,253,217,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,122,132,254,184,132,132,104,11,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,173,254,253,203,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,214,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,252,192,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,253,0,82,152,152,152,152,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,253,252,82,243,253,252,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,253,234,253,254,253,224,203,234,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,253,171,112,252,253,171,20,0,193,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,253,203,82,254,253,163,0,0,62,254,253,0,41,41,0,0,0,0,0,0,0,0,0,0,0,21,203,253,252,82,162,253,130,0,0,62,203,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,91,152,253,183,0,0,123,254,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,213,10,193,252,61,41,163,243,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,255,253,41,0,254,253,132,253,254,213,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,0,123,253,252,253,252,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,255,253,255,253,254,233,183,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,213,252,253,212,91,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,222,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,190,253,231,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,170,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,147,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,140,246,251,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,180,253,251,251,173,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,255,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,253,168,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,246,251,251,190,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,180,0,0,0,0,182,180,180,180,180,182,77,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,253,202,31,11,73,73,255,253,253,253,253,255,253,227,42,0,0,0,0,0,0,0,0,0,31,189,251,251,251,253,189,160,251,251,253,251,251,251,251,253,251,147,205,41,0,0,0,0,0,0,0,0,0,144,251,251,251,253,251,251,251,251,201,174,251,251,251,253,230,35,35,10,0,0,0,0,0,0,0,0,0,144,251,251,251,253,251,251,251,251,221,142,142,142,220,143,61,0,0,0,0,0,0,0,0,0,0,0,0,41,226,251,251,253,251,251,251,251,51,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,51,132,152,193,254,253,193,152,132,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,203,203,223,253,252,253,252,253,252,253,252,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,253,254,253,234,233,203,203,102,102,193,253,255,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,91,50,30,30,0,0,0,0,152,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,0,0,0,0,0,0,0,21,214,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,171,0,0,0,0,0,0,0,183,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,183,0,0,0,0,0,0,0,173,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,20,0,0,0,0,0,0,123,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,233,252,233,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,254,233,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,192,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,172,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,255,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,213,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,170,255,254,219,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,238,254,252,245,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,238,254,230,75,0,162,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,215,13,0,20,211,218,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,240,30,0,0,64,254,249,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,240,157,0,5,111,245,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,254,124,97,191,254,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,208,254,254,254,254,254,247,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,246,248,147,100,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,39,0,46,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,244,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,221,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,211,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,146,230,254,236,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,88,226,253,208,148,247,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,221,123,0,0,107,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,181,45,0,0,0,5,211,229,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,105,248,199,18,0,0,0,0,11,188,255,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,241,205,0,0,0,0,0,19,203,253,251,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,214,239,51,0,0,0,0,47,214,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,146,0,0,0,0,73,224,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,236,175,20,50,158,194,254,235,97,79,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,172,247,253,254,253,253,217,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,117,145,253,239,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,218,241,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,218,247,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,185,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,185,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,241,91,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,140,247,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,223,193,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,241,169,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,98,159,194,194,255,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,237,253,253,253,253,254,235,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,221,248,212,128,56,128,254,220,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,241,203,0,0,0,60,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,237,14,0,6,193,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,232,189,4,147,253,158,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,181,242,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,187,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,104,253,253,65,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,232,204,204,213,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,184,254,44,11,164,230,240,122,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,195,5,0,0,77,224,253,244,121,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,221,245,44,0,0,0,0,29,132,246,253,193,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,234,0,0,0,0,0,0,0,25,213,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,129,0,0,0,0,0,0,0,60,203,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,8,237,249,43,0,0,0,0,0,3,96,237,253,188,14,0,0,0,0,0,0,0,0,0,0,0,0,0,10,253,239,65,0,0,0,0,79,189,253,253,156,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,151,253,242,150,129,67,150,250,253,230,106,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,188,253,253,253,253,253,236,175,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,148,253,253,253,183,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,64,128,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,128,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,64,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,64,0,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,64,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,128,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,0,0,0,0,0,0,191,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,0,0,0,0,0,0,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,128,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,64,128,191,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,191,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,197,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,255,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,245,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,244,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,249,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,229,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,57,94,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,142,254,232,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,204,254,135,38,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,242,248,127,7,124,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,183,0,0,0,0,132,254,230,92,0,52,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,238,0,0,0,132,253,229,84,0,0,86,2,0,0,0,0,0,0,0,0,0,0,0,0,1,165,254,249,108,0,14,144,254,227,59,0,0,78,3,0,0,0,0,0,0,0,0,0,0,0,0,8,165,254,198,3,0,11,174,254,204,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,184,254,219,32,0,2,131,254,206,28,0,1,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,255,205,34,0,1,131,254,209,25,0,13,134,81,0,0,0,0,0,0,0,0,0,0,0,0,0,28,244,218,21,0,16,133,254,223,80,53,145,169,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,237,230,146,121,154,252,254,243,249,241,143,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,159,254,254,254,254,253,177,168,84,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,4,157,254,206,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,205,198,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,161,238,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,240,98,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,247,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,250,253,61,0,0,0,0,0,0,0,0,3,143,127,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,61,0,0,0,0,0,0,0,0,7,253,228,148,12,0,0,0,0,0,0,0,0,0,0,0,135,253,253,61,0,0,0,0,0,0,0,0,7,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,254,253,253,61,0,0,0,0,0,0,0,0,7,246,253,253,54,0,0,0,0,0,0,0,0,0,0,0,254,253,253,61,0,0,0,0,0,0,0,0,0,125,253,253,125,0,0,0,0,0,0,0,0,0,0,0,121,253,253,219,36,0,0,0,0,0,0,0,3,180,253,253,191,0,0,0,0,0,0,0,0,0,0,0,13,236,253,253,217,37,0,0,0,0,0,10,168,253,253,253,247,67,0,0,0,0,0,0,0,0,0,0,0,122,253,253,253,225,135,39,0,0,0,139,253,253,253,253,253,112,0,0,0,0,0,0,0,0,0,0,0,26,183,242,253,253,253,224,186,186,186,230,253,253,253,253,253,220,19,0,0,0,0,0,0,0,0,0,0,0,0,98,244,253,253,253,253,253,253,253,253,253,253,253,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,74,191,246,249,253,253,253,253,253,250,174,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,129,129,129,129,129,67,104,253,253,253,243,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,240,253,253,253,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,211,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,116,116,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,155,255,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,233,254,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,232,254,222,210,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,247,254,185,28,104,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,231,254,214,58,0,78,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,188,254,213,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,189,254,226,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,245,74,0,24,120,102,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,250,254,120,0,7,171,254,254,240,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,190,254,169,6,7,160,254,254,239,254,234,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,246,43,0,125,254,225,91,28,200,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,243,254,120,0,6,217,254,97,0,3,198,243,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,218,16,0,113,254,186,11,0,101,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,250,254,103,0,0,138,254,133,4,103,241,237,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,171,6,0,0,216,254,67,104,254,244,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,242,254,72,0,0,0,180,254,172,241,246,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,254,21,0,0,0,134,254,254,233,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,254,59,9,86,140,243,254,194,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,254,254,254,254,254,237,121,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,248,254,254,236,123,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,134,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,131,119,119,119,58,119,119,119,97,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,254,254,254,254,248,254,254,254,252,249,243,243,100,0,0,0,0,0,0,0,0,0,0,0,0,0,9,237,254,217,149,149,149,149,149,149,149,149,217,254,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,162,0,0,0,0,0,0,0,16,199,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,243,34,0,0,0,0,0,0,87,254,254,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,39,0,0,0,0,0,0,170,254,246,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,39,0,0,0,0,0,0,170,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,247,254,106,0,0,0,0,0,0,170,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,254,139,0,0,0,0,0,36,235,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,254,169,0,0,0,0,0,47,254,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,186,67,0,0,0,0,0,140,254,231,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,245,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,227,254,233,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,254,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,159,253,117,3,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,212,252,252,193,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,184,253,252,252,170,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,203,252,253,252,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,253,231,54,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,66,253,253,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,211,252,252,210,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,252,252,176,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,252,221,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,255,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,252,253,244,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,220,252,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,252,252,245,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,252,252,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,66,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,236,252,210,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,203,252,210,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,203,252,210,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,203,252,157,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,73,73,73,73,150,202,254,255,254,254,247,73,0,0,0,0,0,0,0,0,0,0,8,127,145,171,235,250,253,253,254,253,253,253,214,199,198,198,222,162,0,0,0,0,0,0,0,0,0,0,64,245,253,254,253,253,250,216,217,237,253,82,11,0,0,0,87,81,0,0,0,0,0,0,0,0,0,0,0,103,253,254,223,131,50,0,0,31,131,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,238,253,202,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,239,245,89,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,226,199,199,200,180,173,109,109,110,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,214,253,253,253,254,253,253,253,253,254,237,135,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,142,243,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,241,247,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,234,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,210,250,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,198,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,240,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,127,160,160,195,248,135,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,142,236,254,254,254,254,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,249,244,205,152,247,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,160,85,32,0,0,138,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,23,216,254,131,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,185,254,236,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,172,254,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,243,251,134,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,249,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,237,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,192,255,214,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,218,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,229,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,209,254,183,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,240,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,242,247,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,153,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,171,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,122,247,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,254,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,242,254,245,115,223,167,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,240,71,218,254,254,230,111,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,248,254,167,12,173,237,254,254,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,220,254,252,68,0,0,21,137,246,254,252,127,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,254,138,0,0,0,0,0,23,204,254,254,64,0,0,0,0,0,0,0,0,0,0,0,0,0,2,187,254,254,97,0,0,0,0,0,0,65,251,254,186,2,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,191,8,0,0,0,0,0,0,0,231,254,254,105,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,66,0,0,0,0,0,0,0,0,22,237,254,114,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,27,0,0,0,0,0,0,0,0,0,174,254,114,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,27,0,0,0,0,0,0,0,0,0,174,254,105,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,27,0,0,0,0,0,0,0,0,19,227,254,5,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,27,0,0,0,0,0,0,0,0,116,254,254,5,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,38,0,0,0,0,0,0,7,70,246,254,155,1,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,163,0,0,0,0,0,6,110,254,254,182,48,0,0,0,0,0,0,0,0,0,0,0,0,0,22,169,254,253,144,69,0,0,82,209,254,254,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,177,254,254,253,243,141,231,254,254,254,153,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,206,254,254,254,254,254,248,184,96,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,59,146,246,254,168,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,136,162,245,254,220,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,214,249,253,254,253,253,253,248,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,253,234,162,138,88,73,253,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,85,13,0,0,51,199,253,228,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,95,212,254,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,181,254,253,206,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,132,245,253,247,117,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,127,254,253,253,253,235,247,221,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,170,254,254,255,254,254,254,255,254,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,245,253,253,253,207,206,131,115,56,23,128,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,197,230,179,46,0,0,0,0,0,5,161,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,245,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,212,253,173,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,108,240,254,164,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,253,136,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,187,254,247,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,180,247,254,160,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,174,249,253,236,80,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,184,234,254,236,119,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,15,113,155,220,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,76,99,174,174,237,230,254,254,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,218,230,253,253,253,253,253,254,253,226,188,107,15,0,0,0,0,0,0,0,0,0,0,0,0,0,89,235,253,254,253,252,168,168,168,81,69,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,138,252,253,200,38,14,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,222,254,253,184,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,253,253,253,178,205,173,91,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,253,253,253,253,253,253,212,43,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,93,193,154,193,193,193,100,95,227,253,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,174,6,0,0,0,0,0,0,24,133,253,245,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,199,123,50,0,0,39,70,129,237,253,243,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,222,254,254,245,225,225,240,254,254,254,248,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,138,243,253,253,253,253,253,206,132,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,88,130,219,46,43,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,70,70,70,70,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,114,232,253,254,253,253,169,0,0,0,0,0,0,30,172,0,0,0,0,0,0,0,0,0,0,11,125,221,253,251,230,138,137,179,162,0,0,0,0,7,91,226,196,0,0,0,0,0,0,0,0,0,0,182,253,254,185,63,0,0,0,0,0,0,0,0,34,204,253,162,0,0,0,0,0,0,0,0,0,0,89,237,254,68,0,0,0,0,0,0,0,0,13,153,254,236,134,17,0,0,0,0,0,0,0,0,0,0,138,253,202,0,0,0,0,0,0,0,0,55,193,253,202,50,0,0,0,0,0,0,0,0,0,0,0,0,147,253,152,0,0,0,0,0,0,11,125,237,240,179,29,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,169,0,0,0,0,0,85,199,253,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,241,254,119,0,0,0,221,254,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,222,55,164,230,254,210,73,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,179,254,253,253,253,188,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,253,253,185,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,229,255,254,237,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,232,253,173,232,236,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,208,234,104,0,214,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,137,0,0,197,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,46,0,19,237,239,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,192,138,204,253,221,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,226,253,253,247,196,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,69,69,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,175,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,240,254,238,61,0,0,3,47,141,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,249,254,254,254,77,0,0,16,254,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,182,254,254,206,115,2,0,0,167,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,254,254,250,105,0,0,0,0,171,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,223,0,0,0,0,0,171,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,77,0,0,0,0,24,199,254,254,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,238,254,192,19,0,0,0,0,70,254,254,247,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,254,169,0,0,0,0,0,150,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,254,169,0,0,0,0,0,225,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,254,254,229,178,178,178,178,178,246,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,254,254,254,254,254,254,254,254,254,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,254,254,254,254,218,185,191,254,254,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,202,239,187,84,41,0,8,84,235,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,254,245,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,237,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,255,217,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,38,92,146,185,254,254,254,254,255,254,89,12,0,0,0,0,0,0,0,0,0,0,0,2,76,76,127,227,253,253,253,253,253,236,239,213,229,253,253,75,0,0,0,0,0,0,0,0,0,0,0,55,253,253,253,252,250,241,139,55,32,25,26,18,175,253,239,42,0,0,0,0,0,0,0,0,0,0,0,46,166,175,102,83,44,0,0,0,0,0,0,154,253,253,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,200,253,220,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,171,253,251,142,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,143,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,244,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,56,237,253,240,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,231,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,173,253,246,136,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,246,253,146,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,119,222,253,168,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,84,253,253,215,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,231,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,215,253,234,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,252,253,247,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,171,253,253,199,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,249,253,253,198,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,255,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,202,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,242,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,243,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,243,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,251,253,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,244,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,248,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,242,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,241,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,63,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,249,222,222,120,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,254,254,254,254,254,251,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,72,21,105,197,249,254,164,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,219,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,223,249,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,254,181,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,139,253,233,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,112,176,207,227,254,254,236,156,15,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,144,250,254,254,254,254,254,254,254,254,254,225,0,0,0,0,0,0,0,0,0,0,0,0,5,77,196,251,241,199,254,254,254,233,88,19,19,19,19,12,0,0,0,0,0,0,0,0,0,0,0,32,121,254,254,166,138,227,254,222,148,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,252,248,182,195,130,229,254,217,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,50,223,240,125,109,250,255,227,179,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,254,233,254,254,250,169,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,254,254,254,222,154,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,221,186,67,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,132,152,152,254,253,173,172,152,152,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,183,233,252,253,252,253,252,253,252,253,252,223,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,254,253,254,253,254,253,254,253,254,253,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,252,253,171,151,151,213,252,253,252,253,252,41,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,254,253,254,253,173,253,254,213,234,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,252,253,252,253,252,253,252,253,252,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,254,253,254,253,234,253,244,203,254,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,252,253,212,50,50,30,50,40,0,253,252,243,122,0,0,0,0,0,0,0,0,0,0,0,0,21,183,203,162,41,0,0,0,0,0,0,0,254,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,253,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,132,254,253,254,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,82,123,41,0,0,0,82,173,252,253,252,253,212,131,10,0,0,0,0,0,0,0,0,0,0,0,0,31,233,255,253,254,253,254,253,254,253,254,253,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,253,252,253,252,253,252,253,252,253,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,203,254,253,254,253,254,233,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,112,151,151,192,192,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,73,73,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,113,249,253,254,185,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,186,253,253,253,228,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,234,253,231,73,54,16,157,227,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,181,254,233,49,0,0,0,0,52,72,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,255,83,0,0,0,0,68,196,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,224,253,134,2,0,0,20,171,252,253,249,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,240,13,21,50,133,230,254,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,233,200,230,253,245,202,156,253,231,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,254,253,194,41,33,254,233,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,91,92,7,0,45,254,255,18,0,0,0,0,0,0,0,0,0,0,0,55,4,0,0,0,0,0,0,0,0,0,0,106,243,253,83,2,0,0,0,0,0,0,0,0,0,0,0,127,9,0,0,0,0,0,0,0,0,0,28,235,250,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,166,250,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,255,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,248,134,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,194,194,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,228,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,240,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,213,253,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,110,238,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,23,22,14,23,71,133,210,247,253,253,253,128,4,0,0,0,0,0,0,0,0,0,0,0,0,22,161,185,253,250,219,253,253,254,253,253,253,253,171,8,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,253,253,253,253,253,254,191,165,155,55,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,245,242,223,131,131,22,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,74,0,0,14,45,45,14,37,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,231,188,188,208,253,255,208,242,219,188,102,41,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,253,253,253,253,253,254,253,253,253,253,253,233,44,0,0,0,0,0,0,0,0,0,0,0,0,135,239,233,221,221,202,111,111,112,111,111,168,229,254,254,216,9,0,0,0,0,0,0,0,0,0,0,0,0,41,27,0,0,0,0,0,0,0,0,0,17,116,248,253,142,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,35,241,253,176,0,0,0,0,0,0,0,0,0,0,6,157,121,0,0,0,0,0,0,0,0,0,0,0,99,253,253,119,0,0,0,0,0,0,0,0,0,0,91,253,121,0,0,0,0,0,0,0,0,0,0,13,211,253,224,23,0,0,0,0,0,0,0,0,0,27,237,253,121,0,0,0,0,0,0,0,0,0,57,211,253,253,170,0,0,0,0,0,0,0,0,0,0,34,253,253,25,0,0,0,0,0,0,0,8,104,239,253,253,185,9,0,0,0,0,0,0,0,0,0,0,28,240,253,192,45,10,0,28,45,45,155,224,253,253,244,123,9,0,0,0,0,0,0,0,0,0,0,0,0,143,253,253,253,202,188,228,253,253,254,253,253,203,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,125,249,253,253,253,253,253,253,254,253,119,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,169,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,239,252,252,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,164,240,252,252,222,53,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,253,252,130,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,230,252,253,224,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,75,252,252,228,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,252,252,113,0,0,0,32,41,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,223,252,252,167,0,12,27,70,233,252,216,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,224,252,250,231,50,7,185,252,252,252,252,250,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,252,252,225,0,0,190,252,252,252,252,252,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,253,93,77,253,255,253,253,253,253,228,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,252,157,87,247,252,253,252,252,252,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,227,252,252,143,194,252,252,253,252,252,252,73,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,252,252,252,252,252,252,252,253,252,222,60,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,252,252,252,252,252,252,252,253,188,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,252,252,252,252,224,136,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,252,224,198,79,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,224,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,252,249,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,161,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,255,170,101,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,253,102,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,253,253,198,146,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,124,160,191,253,253,253,252,247,204,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,178,253,218,218,253,253,249,123,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,186,22,11,115,152,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,2,0,0,70,253,253,250,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,192,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,213,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,253,196,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,99,244,253,242,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,198,253,253,197,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,233,253,253,206,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,235,253,247,117,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,240,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,248,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,206,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,107,234,255,255,91,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,228,253,253,253,253,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,111,227,253,253,238,189,227,245,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,136,253,253,253,194,18,0,41,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,222,253,253,253,192,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,222,253,253,253,130,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,135,253,253,244,119,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,253,244,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,214,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,253,178,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,195,253,253,253,238,99,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,228,253,253,253,253,237,199,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,133,190,253,253,253,253,237,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,73,232,253,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,101,253,253,240,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,144,253,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,136,248,253,253,253,214,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,204,253,253,253,253,215,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,133,242,242,250,253,253,253,219,96,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,137,253,253,253,253,226,129,35,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,106,106,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,61,184,209,209,248,253,253,238,95,25,0,0,0,0,0,0,0,0,0,0,0,0,0,2,16,69,164,217,254,253,253,253,253,253,253,253,253,201,0,0,0,0,0,0,0,0,0,0,0,0,36,135,253,253,253,253,255,154,133,133,133,218,253,253,253,253,0,0,0,0,0,0,0,0,0,0,58,225,233,253,253,226,178,90,29,5,0,0,0,38,218,253,253,253,0,0,0,0,0,0,0,0,13,66,227,253,244,205,74,48,0,0,0,0,0,0,0,0,134,253,253,253,0,0,0,0,0,0,0,0,106,253,253,189,84,0,0,0,0,0,0,0,0,0,0,16,198,253,253,253,0,0,0,0,0,0,0,0,193,253,253,247,107,91,91,91,90,90,91,90,90,91,223,241,253,253,253,200,0,0,0,0,0,0,0,0,105,253,253,253,253,253,253,253,253,253,254,253,253,253,253,253,253,237,94,24,0,0,0,0,0,0,0,0,43,104,201,253,253,253,253,253,253,253,254,253,253,253,253,253,173,67,0,0,0,0,0,0,0,0,0,0,0,0,9,149,149,149,149,149,149,149,150,236,254,254,254,180,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,220,253,253,155,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,202,253,252,167,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,198,254,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,195,253,254,155,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,253,235,162,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,247,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,247,253,237,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,208,155,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,96,133,0,0,0,0,0,0,0,0,0,0,0,0,0,10,111,186,237,167,10,0,0,0,0,0,17,163,226,42,0,0,0,0,0,0,0,0,0,0,0,19,110,230,255,210,188,213,10,0,0,0,4,91,226,162,20,0,0,0,0,0,0,0,0,0,15,96,145,236,254,214,107,6,0,10,0,0,1,91,233,227,85,0,0,0,0,0,0,0,0,0,0,0,67,246,254,216,103,18,0,0,0,0,0,28,150,254,168,25,0,0,0,0,0,0,0,0,0,0,0,0,128,254,186,11,0,0,0,0,0,13,153,249,202,28,1,0,0,0,0,0,0,0,0,0,0,0,0,0,196,252,46,0,0,0,0,0,118,209,253,103,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,250,165,31,0,0,47,226,254,158,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,254,238,132,128,248,203,60,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,254,254,237,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,141,248,246,203,252,235,128,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,185,30,0,49,137,246,229,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,213,16,0,0,0,0,58,174,219,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,132,0,0,0,0,23,58,68,237,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,179,252,241,241,241,241,246,254,251,227,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,80,142,134,119,176,182,119,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,171,182,202,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,135,254,191,181,201,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,171,254,213,243,244,67,0,176,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,248,129,67,26,57,68,57,21,238,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,253,139,0,0,0,0,0,0,140,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,222,5,0,0,0,0,0,42,244,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,217,0,0,0,0,0,16,213,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,238,83,0,0,0,63,182,253,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,155,249,202,181,213,254,255,233,223,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,109,109,191,253,99,16,171,243,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,234,139,0,0,0,166,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,197,160,5,0,0,0,42,249,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,192,212,21,0,0,0,0,0,182,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,88,0,0,0,0,0,0,181,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,255,88,0,0,0,0,0,0,79,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,109,0,0,0,0,0,0,37,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,212,11,0,0,0,0,0,37,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,191,218,104,0,0,0,0,140,232,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,125,228,202,139,110,171,239,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,88,170,233,191,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,64,146,250,255,254,254,178,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,76,116,220,253,253,253,253,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,215,253,253,253,252,248,190,113,32,250,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,230,253,253,219,109,79,0,0,12,133,252,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,210,253,132,14,0,0,0,44,171,253,253,231,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,82,10,0,6,37,161,241,253,253,169,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,89,206,253,253,253,241,115,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,140,232,253,253,253,253,253,211,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,240,253,253,253,253,253,253,253,253,192,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,219,199,199,128,92,178,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,161,109,20,0,0,0,0,175,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,244,253,245,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,217,253,238,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,217,253,201,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,113,242,253,243,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,119,190,253,253,210,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,124,244,253,253,253,147,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,112,93,52,141,238,253,253,237,151,74,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,253,253,253,240,146,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,224,253,253,219,95,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,229,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,255,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,212,240,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,215,245,68,41,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,254,254,254,244,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,254,203,122,129,233,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,250,57,4,0,0,164,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,238,0,0,0,0,75,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,238,0,0,0,0,0,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,212,0,0,0,0,0,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,238,0,0,0,0,39,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,235,74,0,0,0,139,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,244,118,0,83,248,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,141,253,243,253,230,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,159,212,254,222,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,135,226,253,253,239,253,205,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,142,253,245,180,132,42,187,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,231,254,199,19,0,0,0,178,253,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,223,253,182,19,0,0,0,0,143,242,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,210,253,169,0,0,0,0,4,61,211,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,176,253,201,20,0,0,0,26,150,253,224,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,225,253,75,0,0,0,87,247,253,164,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,211,13,29,123,171,245,253,167,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,204,253,254,253,253,225,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,207,254,254,254,255,254,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,28,91,228,254,184,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,224,253,220,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,141,250,244,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,132,253,225,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,173,253,208,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,162,253,215,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,136,253,183,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,246,188,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,238,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,18,18,32,136,166,255,106,2,0,0,0,0,0,0,0,0,28,137,36,36,7,0,0,4,36,36,72,237,253,253,253,253,253,253,253,73,0,0,0,0,0,0,0,0,216,253,253,253,186,171,171,179,253,253,253,253,253,253,253,253,253,253,253,17,0,0,0,0,0,0,0,0,133,253,253,253,253,253,253,253,253,253,253,253,188,177,65,100,253,253,225,12,0,0,0,0,0,0,0,0,12,164,225,253,253,253,253,253,253,191,128,47,5,0,0,144,253,253,57,0,0,0,0,0,0,0,0,0,0,0,20,29,71,98,29,29,29,9,0,0,0,0,13,202,253,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,91,253,253,213,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,217,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,253,220,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,239,253,242,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,248,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,234,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,233,253,180,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,178,253,222,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,203,253,217,22,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,200,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,104,136,136,37,13,120,239,253,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,235,240,253,253,253,253,253,253,190,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,248,253,253,253,253,191,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,126,232,253,253,253,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,38,196,253,253,223,229,253,253,154,9,18,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,217,253,253,219,41,30,168,253,199,9,61,64,0,0,0,0,0,0,0,0,0,0,0,0,0,8,132,228,253,253,182,18,0,0,217,253,148,0,95,5,0,0,0,0,0,0,0,0,0,0,0,0,7,146,253,253,253,122,18,0,0,62,243,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,146,253,253,241,104,18,0,0,0,88,253,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,242,89,0,0,0,0,0,88,253,253,148,0,90,4,0,0,0,0,0,0,0,0,0,0,113,231,253,253,113,0,0,0,0,0,0,148,253,253,148,0,84,41,0,0,0,0,0,0,0,0,0,11,232,253,253,123,17,0,0,0,0,0,66,221,253,253,48,0,58,66,0,0,0,0,0,0,0,0,0,117,253,253,227,16,0,0,0,0,0,63,224,253,253,68,4,0,58,24,0,0,0,0,0,0,0,0,52,237,253,198,80,0,0,0,0,0,71,201,253,221,54,5,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,165,0,0,0,0,22,129,246,253,222,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,105,0,0,70,106,199,253,253,222,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,243,236,236,247,253,253,253,190,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,199,253,253,253,253,253,253,253,76,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,138,253,253,235,129,105,5,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,25,110,167,221,203,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,246,246,248,254,254,254,254,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,254,209,192,106,75,244,232,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,105,56,7,0,0,0,237,254,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,254,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,245,228,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,243,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,246,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,210,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,246,255,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,171,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,239,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,254,230,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,172,227,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,38,67,67,67,67,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,210,246,235,253,253,253,253,240,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,105,229,246,253,253,242,207,121,121,121,121,25,0,0,0,0,0,0,0,0,0,0,0,0,0,20,109,219,253,253,254,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,253,253,253,254,253,253,239,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,252,253,253,249,245,253,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,99,99,56,13,128,226,253,208,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,250,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,248,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,106,144,148,254,172,144,82,111,187,254,247,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,250,253,253,253,253,253,253,254,253,253,253,198,0,0,0,0,0,0,0,0,0,0,0,0,0,14,177,246,253,253,253,249,154,228,253,254,253,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,245,173,49,10,10,4,30,128,255,253,245,163,4,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,197,5,0,0,27,91,253,253,254,239,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,232,94,89,89,216,253,253,253,190,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,253,253,253,253,253,253,247,242,50,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,221,253,253,253,219,156,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,66,66,66,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,170,170,170,170,198,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,198,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,170,170,86,86,29,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,141,0,0,0,0,0,0,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,114,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,255,226,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,254,244,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,245,254,126,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,179,254,208,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,254,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,239,253,156,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,224,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,198,254,217,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,254,246,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,252,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,252,254,163,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,236,254,164,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,187,254,227,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,254,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,231,254,178,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,176,254,245,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,254,250,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,234,65,205,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,254,253,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,208,206,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,172,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,193,254,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,208,254,178,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,213,254,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,255,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,182,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,196,255,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,169,254,211,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,255,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,224,254,197,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,254,111,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,39,142,221,211,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,86,201,254,254,254,254,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,212,254,254,254,254,254,166,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,218,254,254,254,254,254,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,213,254,254,254,254,254,254,254,254,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,212,254,254,211,196,254,204,31,177,254,237,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,218,254,254,200,62,130,222,39,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,254,254,249,61,0,31,20,0,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,175,252,254,242,38,0,0,0,0,0,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,52,231,254,223,22,0,0,0,0,0,0,0,89,254,254,76,0,0,0,0,0,0,0,0,0,0,0,5,233,254,254,120,0,0,0,0,0,0,0,10,203,254,254,76,0,0,0,0,0,0,0,0,0,0,0,62,254,254,188,6,0,0,0,0,0,0,0,129,254,254,214,5,0,0,0,0,0,0,0,0,0,0,0,186,254,254,110,0,0,0,0,0,0,0,24,210,254,254,42,0,0,0,0,0,0,0,0,0,0,0,30,235,254,254,27,0,0,0,0,0,0,0,139,254,254,170,1,0,0,0,0,0,0,0,0,0,0,0,77,254,254,211,13,0,0,0,0,0,3,126,253,254,208,24,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,229,18,0,0,0,0,24,128,255,254,208,26,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,254,165,40,0,96,104,205,254,254,215,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,149,254,254,254,252,250,254,254,254,252,196,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,152,254,254,254,254,254,254,229,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,119,146,213,254,147,38,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,113,113,113,176,174,222,113,191,255,253,253,253,253,255,206,113,38,0,0,0,0,0,0,0,0,0,147,249,252,252,252,253,252,252,252,252,253,252,252,252,252,253,252,252,209,0,0,0,0,0,0,0,0,0,222,252,252,252,252,253,252,252,252,252,253,252,208,195,195,196,246,252,246,88,0,0,0,0,0,0,0,0,38,209,223,239,223,225,223,192,84,84,84,84,19,0,0,0,130,252,252,112,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,238,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,238,252,233,151,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,165,253,233,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,207,253,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,227,252,95,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,166,245,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,185,252,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,215,254,253,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,213,253,237,62,238,253,71,114,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,253,85,76,250,253,241,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,242,252,128,24,231,253,253,253,224,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,205,10,236,253,253,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,240,253,196,186,254,253,253,253,177,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,182,253,253,253,254,253,253,196,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,202,253,253,254,253,232,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,255,232,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,194,253,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,165,253,253,78,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,134,253,251,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,250,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,245,249,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,186,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,220,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,236,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,51,92,152,152,254,253,214,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,253,252,253,252,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,132,214,253,254,253,254,253,254,253,255,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,192,213,252,233,151,151,70,172,252,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,92,253,255,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,253,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,254,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,102,102,102,233,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,152,152,254,253,254,253,254,253,254,253,173,10,0,0,0,0,0,0,0,0,0,0,0,0,0,41,163,223,253,252,253,212,213,252,253,252,253,252,253,172,0,0,0,0,0,0,0,0,0,0,0,0,11,132,254,253,203,20,152,132,214,253,254,131,193,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,132,252,253,212,82,142,233,252,253,252,192,30,112,252,253,252,0,0,0,0,0,0,0,0,0,0,0,62,255,253,203,20,254,253,254,253,254,172,0,0,41,162,102,20,0,0,0,0,0,0,0,0,0,0,0,183,253,252,102,0,253,252,253,252,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,255,253,255,253,254,213,142,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,252,233,70,91,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,193,144,144,144,144,57,34,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,254,253,253,253,253,253,253,240,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,140,154,223,253,253,253,253,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,102,56,253,253,253,250,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,100,250,253,253,251,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,213,253,253,253,222,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,94,218,254,253,253,238,108,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,146,215,253,253,254,253,253,202,155,155,102,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,211,253,253,253,253,254,253,253,253,253,253,253,223,20,0,0,0,0,0,0,0,0,0,0,0,0,117,242,253,253,253,253,253,254,253,253,253,253,253,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,117,243,254,224,221,221,173,112,34,0,0,8,159,254,255,162,0,0,0,0,0,0,0,0,0,0,0,0,0,51,77,7,0,0,0,0,0,0,6,108,253,253,222,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,157,249,253,253,128,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,194,253,253,253,124,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,137,231,253,253,207,93,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,141,239,253,254,246,108,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,69,155,245,253,253,253,195,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,78,169,222,253,253,253,240,142,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,143,186,253,253,166,138,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,130,175,175,175,230,254,190,175,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,226,254,254,254,255,254,254,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,127,127,127,230,254,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,255,254,254,153,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,243,254,254,110,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,246,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,248,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,218,254,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,254,254,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,254,242,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,254,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,62,146,146,218,255,243,146,57,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,143,184,218,253,253,253,253,253,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,155,253,253,251,250,248,248,248,250,253,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,249,253,220,61,44,0,0,0,117,253,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,151,15,0,0,0,7,153,241,253,253,142,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,11,97,223,253,253,236,107,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,154,253,253,253,242,163,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,154,240,253,253,253,246,82,71,87,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,242,253,253,253,253,253,252,233,250,253,248,233,58,0,0,0,0,0,0,0,0,0,0,0,0,0,28,230,253,253,253,253,253,253,253,253,253,253,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,28,230,253,253,253,208,161,161,152,54,54,75,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,67,57,16,8,0,0,0,0,9,185,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,180,253,253,229,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,237,253,253,228,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,120,244,253,253,243,157,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,204,253,253,253,210,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,124,244,253,253,216,96,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,148,249,253,253,237,128,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,223,253,250,162,75,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,235,145,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,156,171,216,156,112,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,222,253,253,253,254,253,241,125,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,174,159,78,78,123,229,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,194,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,250,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,226,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,240,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,254,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,231,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,249,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,247,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,217,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,222,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,239,254,57,0,0,0,138,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,186,3,0,5,111,241,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,199,79,79,194,253,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,253,254,250,116,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,155,223,253,177,155,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,155,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,164,241,229,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,110,247,253,147,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,112,0,0,0,0,0,3,120,254,215,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,228,72,0,0,0,0,14,182,254,158,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,188,250,105,0,0,0,0,16,197,254,158,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,207,254,167,0,0,0,0,16,176,254,157,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,227,254,134,6,0,0,0,0,195,251,126,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,251,88,1,0,0,0,2,160,249,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,245,150,82,81,81,81,166,251,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,218,254,254,254,254,254,251,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,14,14,16,173,254,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,139,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,247,158,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,248,157,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,221,139,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,223,159,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,129,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,190,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,254,249,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,240,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,229,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,181,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,250,250,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,148,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,241,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,210,255,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,254,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,255,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,247,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,149,254,254,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,221,253,253,201,187,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,240,253,253,164,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,197,253,253,117,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,190,254,253,164,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,254,201,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,248,253,234,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,215,253,234,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,251,253,137,5,0,0,92,111,135,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,207,254,249,58,0,97,221,254,255,254,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,250,107,0,107,254,253,227,187,230,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,238,253,199,0,156,248,254,155,27,53,200,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,246,78,152,251,253,155,9,66,196,253,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,22,246,253,165,108,253,253,181,71,189,253,253,241,159,8,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,157,240,253,253,230,254,253,253,207,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,196,253,253,253,253,254,246,150,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,253,253,253,253,253,234,147,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,171,227,253,250,176,94,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,206,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,100,100,100,100,100,100,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,250,253,253,253,253,253,253,250,243,244,166,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,207,203,217,198,198,198,198,246,254,253,219,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,136,10,5,19,0,0,0,0,48,70,227,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,247,253,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,211,253,192,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,245,255,233,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,245,253,240,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,254,254,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,145,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,253,82,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,128,0,0,0,30,56,56,157,166,84,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,253,253,253,200,199,199,228,253,253,253,253,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,41,214,247,254,253,253,253,253,253,142,131,99,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,100,99,99,99,99,99,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,128,204,253,253,253,255,253,253,253,242,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,131,234,252,253,252,252,252,253,252,252,252,253,208,13,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,252,253,252,186,168,106,130,196,252,253,208,13,0,0,0,0,0,0,0,0,0,0,0,0,0,91,252,252,151,78,28,6,0,0,26,210,252,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,76,0,0,0,0,0,0,70,253,253,226,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,225,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,229,252,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,252,214,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,229,253,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,101,252,252,247,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,252,252,214,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,241,252,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,154,253,254,209,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,252,209,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,234,252,214,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,252,252,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,178,253,254,222,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,252,247,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,102,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,105,114,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,227,252,252,252,252,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,216,253,252,251,237,192,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,221,252,253,223,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,233,252,252,178,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,148,252,252,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,252,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,252,244,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,231,252,252,252,229,158,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,103,129,252,253,252,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,244,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,70,0,0,0,0,210,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,238,63,0,24,134,253,252,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,252,244,238,240,252,253,230,153,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,239,252,252,252,252,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,182,252,252,252,104,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,132,173,253,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,102,183,213,252,253,252,233,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,92,214,253,254,253,254,253,203,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,253,212,151,151,131,50,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,122,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,163,203,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,213,203,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,234,253,254,172,152,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,91,253,252,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,102,214,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,243,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,10,0,0,31,173,254,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,91,0,82,233,252,253,171,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,255,253,224,203,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,253,171,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,13,13,24,24,24,66,138,202,253,222,25,0,0,0,0,0,0,0,0,0,0,30,161,161,161,100,47,197,211,211,253,252,252,252,252,253,252,252,45,0,0,0,0,0,0,0,0,0,0,47,252,252,252,253,252,252,252,252,253,252,252,227,183,253,252,202,13,0,0,0,0,0,0,0,0,0,0,9,77,160,160,169,193,77,45,45,46,45,45,29,43,253,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,8,0,0,0,0,0,0,0,220,253,231,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,233,255,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,252,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,252,247,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,228,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,244,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,240,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,178,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,9,0,0,0,0,0,0,5,35,214,232,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,199,196,18,0,0,0,0,0,194,253,228,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,168,253,201,27,0,0,0,7,152,254,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,194,253,253,57,0,0,0,0,62,230,254,170,48,0,0,0,0,0,0,0,0,0,0,0,0,0,25,156,255,254,145,8,0,0,0,31,204,254,218,53,0,0,0,0,0,0,0,0,0,0,0,0,0,7,131,253,226,128,12,0,0,0,2,88,243,245,68,0,0,0,0,0,0,0,0,0,0,0,0,0,44,199,253,222,60,0,0,0,0,0,155,253,195,48,0,0,0,0,0,0,0,0,0,0,0,0,0,32,190,253,216,34,0,0,0,0,0,123,250,253,100,77,188,68,0,0,0,0,0,0,0,0,0,0,0,134,253,253,94,98,99,98,128,195,195,254,253,253,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,254,254,255,254,254,254,254,255,249,195,180,60,0,0,0,0,0,0,0,0,0,0,0,0,0,181,250,253,253,245,234,225,135,206,253,241,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,78,78,48,0,0,55,240,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,217,231,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,222,253,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,217,254,205,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,95,254,236,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,230,235,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,213,187,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,218,255,176,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,250,253,253,253,244,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,235,253,253,253,253,253,215,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,253,247,229,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,251,253,253,247,121,51,236,253,227,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,253,253,253,197,0,0,125,253,253,139,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,204,253,253,253,218,33,0,0,125,253,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,253,253,253,50,0,0,0,71,248,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,20,201,253,253,253,125,5,0,0,0,112,252,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,163,5,0,0,0,0,125,253,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,15,167,253,253,253,143,0,0,0,0,0,125,253,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,253,54,0,0,0,0,20,208,253,253,246,67,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,178,3,0,0,2,22,206,253,253,253,187,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,123,0,0,0,49,253,253,253,253,213,28,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,253,247,6,0,85,206,253,253,253,211,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,155,253,253,253,161,206,247,253,253,253,213,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,253,253,253,253,253,248,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,196,253,253,253,253,253,253,226,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,177,232,253,253,236,206,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,130,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,29,29,29,154,253,253,253,242,141,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,128,252,252,252,253,252,252,252,253,252,187,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,252,252,252,206,168,80,106,178,252,252,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,237,241,139,103,28,13,0,0,0,79,252,252,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,238,51,0,0,0,0,0,0,0,92,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,166,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,252,148,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,249,253,202,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,226,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,57,120,225,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,215,252,253,252,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,243,252,252,253,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,191,254,253,253,253,251,175,225,250,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,234,252,253,252,252,177,75,0,0,75,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,198,234,252,252,253,252,148,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,225,253,252,252,252,190,65,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,229,253,255,253,253,140,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,187,252,252,253,240,109,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,252,252,143,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,252,102,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,226,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,119,119,119,157,255,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,234,254,254,254,254,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,254,254,165,110,56,49,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,254,122,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,231,254,168,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,254,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,168,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,254,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,252,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,229,15,0,0,0,0,0,46,60,60,150,170,60,23,0,0,0,0,0,0,0,0,0,0,0,0,26,250,143,0,0,0,18,53,157,238,254,254,254,254,254,211,184,177,25,0,0,0,0,0,0,0,0,0,38,251,163,4,0,0,176,254,254,255,220,208,118,78,95,208,236,254,213,86,0,0,0,0,0,0,0,0,0,229,254,39,0,62,242,242,215,114,22,0,0,0,0,0,64,254,254,124,0,0,0,0,0,0,0,0,0,119,254,217,46,114,254,159,0,0,0,0,0,0,0,34,171,254,233,44,0,0,0,0,0,0,0,0,0,46,166,254,254,254,254,174,157,124,27,27,27,47,157,217,252,154,45,0,0,0,0,0,0,0,0,0,0,0,46,225,235,252,254,254,254,254,254,254,254,254,252,221,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,233,254,254,251,211,111,111,111,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,250,254,224,108,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,124,225,224,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,114,192,254,253,245,122,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,103,190,247,252,252,253,252,252,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,153,241,253,252,252,238,143,127,82,242,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,246,252,252,243,153,84,28,0,0,22,237,252,147,0,0,0,0,0,0,0,0,0,0,0,0,0,36,242,252,182,59,35,0,0,0,0,18,199,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,97,0,0,0,0,0,0,18,123,253,253,199,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,199,253,252,166,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,128,246,252,250,152,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,197,252,252,226,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,211,236,252,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,61,227,253,253,253,247,211,250,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,252,252,252,217,140,0,188,252,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,188,231,126,21,12,0,43,242,252,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,197,252,236,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,175,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,43,114,236,255,222,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,140,252,252,252,239,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,4,22,66,237,252,252,238,99,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,197,182,252,252,253,252,185,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,252,252,164,129,42,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,165,220,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,207,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,251,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,241,245,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,249,208,2,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,206,124,254,255,244,134,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,241,245,198,113,161,253,153,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,171,3,0,6,150,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,226,14,0,0,0,31,235,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,131,0,0,0,0,0,222,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,222,0,0,0,0,0,0,223,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,221,0,0,0,0,0,71,245,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,247,79,0,0,0,81,230,186,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,217,222,74,64,173,245,206,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,134,193,228,144,60,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,198,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,226,198,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,86,0,0,170,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,57,0,170,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,255,57,0,57,226,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,114,0,57,226,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,141,0,29,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,114,0,57,255,255,86,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,170,0,57,226,255,255,170,198,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,255,255,255,255,255,255,255,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,255,255,226,114,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,226,226,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,226,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,140,185,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,134,249,254,253,238,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,194,253,253,254,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,238,253,253,230,254,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,227,43,78,198,253,240,153,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,228,9,0,6,145,253,253,208,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,253,253,110,0,0,7,87,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,180,36,36,19,0,0,0,7,65,231,201,14,0,0,0,0,0,0,0,0,0,0,0,0,0,21,212,253,117,0,0,0,0,0,0,0,0,194,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,218,25,0,0,0,0,0,0,0,0,194,253,99,0,0,0,0,0,0,0,0,0,0,0,0,2,174,254,118,0,0,0,0,0,0,0,0,0,195,254,36,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,60,0,0,0,0,0,0,0,0,6,199,204,15,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,60,0,0,0,0,0,0,0,7,89,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,253,60,0,0,0,0,0,0,0,72,253,239,39,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,60,0,0,0,0,0,0,56,230,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,60,0,0,0,0,0,42,185,239,151,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,60,0,0,0,0,51,233,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,181,253,191,65,0,89,155,238,253,118,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,246,230,251,253,249,75,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,40,167,253,253,253,137,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,46,0,0,0,0,0,0,7,98,148,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,246,168,0,0,0,0,0,26,134,253,233,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,193,253,109,0,0,0,0,23,190,253,198,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,178,253,161,14,0,0,0,20,194,253,219,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,196,253,221,15,0,0,0,16,182,253,216,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,233,253,175,36,0,0,0,5,156,253,207,86,0,0,0,0,0,0,0,0,0,0,0,0,0,6,142,246,253,221,39,9,43,97,154,203,253,253,253,219,153,137,0,0,0,0,0,0,0,0,0,0,58,221,253,253,253,188,183,253,253,253,254,253,253,235,165,195,165,97,0,0,0,0,0,0,0,0,0,0,255,254,254,254,254,254,254,254,196,229,255,232,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,212,183,137,96,87,8,32,223,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,50,7,0,0,0,0,32,218,253,108,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,217,251,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,250,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,226,169,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,214,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,137,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,37,166,37,37,37,37,37,37,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,129,251,251,253,251,251,251,251,253,169,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,221,251,251,251,253,251,251,251,251,253,251,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,221,180,182,77,27,180,180,255,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,230,61,0,0,0,0,0,0,149,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,127,30,0,0,0,0,0,0,0,10,159,251,236,61,0,0,0,0,0,0,0,0,0,0,0,0,0,42,61,0,0,0,0,0,0,0,0,0,144,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,173,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,255,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,221,253,251,230,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,192,231,251,253,251,91,37,37,37,37,166,115,217,0,0,0,0,0,0,0,0,0,0,0,0,79,110,190,251,251,251,253,251,251,251,251,253,251,251,251,251,0,0,0,0,0,0,0,0,0,0,0,79,231,253,251,251,251,251,253,251,251,251,251,253,251,225,71,71,0,0,0,0,0,0,0,0,0,0,0,79,232,255,253,253,253,253,234,180,180,180,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,108,107,128,251,147,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,35,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,164,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,179,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,181,253,253,236,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,233,253,253,134,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,126,232,253,253,227,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,184,253,253,253,179,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,192,253,253,253,200,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,189,253,253,253,118,170,174,174,174,123,50,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,150,253,253,253,205,60,179,253,253,253,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,23,196,253,253,253,162,235,239,253,253,253,253,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,7,152,253,253,253,253,223,253,253,253,196,185,151,253,253,135,0,0,0,0,0,0,0,0,0,0,0,52,204,253,253,253,253,253,253,253,231,79,35,121,220,253,220,35,0,0,0,0,0,0,0,0,0,0,4,178,253,253,241,226,253,253,253,231,62,26,140,253,253,253,103,0,0,0,0,0,0,0,0,0,0,3,156,253,253,227,170,239,253,253,223,151,211,224,253,253,219,115,3,0,0,0,0,0,0,0,0,0,0,1,153,253,253,249,240,253,253,253,253,253,253,253,253,173,98,0,0,0,0,0,0,0,0,0,0,0,0,6,239,253,253,253,253,253,253,253,253,253,224,54,30,5,0,0,0,0,0,0,0,0,0,0,0,0,0,1,91,207,253,253,253,253,253,253,176,115,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,156,253,253,158,18,18,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,246,218,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,97,192,232,105,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,237,203,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,232,254,254,244,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,156,254,209,250,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,163,11,143,254,233,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,164,192,11,0,74,253,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,122,254,195,0,0,0,95,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,254,231,44,0,0,0,127,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,192,254,95,0,0,0,0,65,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,220,35,0,0,0,0,12,254,237,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,233,253,86,0,0,0,0,0,12,255,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,249,0,0,0,0,0,0,12,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,254,148,0,0,0,0,0,0,113,254,237,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,250,254,129,0,0,0,0,0,0,183,254,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,254,13,0,0,0,0,0,112,254,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,192,5,0,0,0,0,12,185,254,251,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,147,0,0,0,0,0,173,254,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,225,40,66,25,16,102,243,254,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,230,254,221,214,254,254,217,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,167,254,254,254,254,254,254,217,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,67,194,254,254,227,100,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,191,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,191,255,255,255,191,128,128,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,128,0,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,191,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,64,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,128,0,0,0,0,0,191,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,64,128,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,0,0,0,0,64,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,191,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,128,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,106,174,255,255,255,250,133,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,223,253,253,253,253,253,254,253,186,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,118,96,96,220,253,253,212,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,226,253,253,253,36,0,0,5,96,235,253,233,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,115,72,10,0,0,0,0,128,253,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,253,253,60,0,0,0,0,0,0,9,189,253,236,37,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,60,0,0,0,0,0,0,0,72,253,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,60,0,0,0,0,0,0,0,49,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,60,0,0,0,0,0,0,0,49,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,118,0,0,0,0,0,0,0,3,185,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,35,250,254,185,3,0,0,0,0,0,0,0,183,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,48,0,0,0,0,0,0,0,182,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,123,0,0,0,0,0,0,7,192,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,205,253,225,24,0,0,0,0,0,17,205,253,225,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,65,0,0,0,0,0,35,233,253,233,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,231,53,0,0,0,0,84,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,205,253,253,181,45,0,0,71,238,253,194,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,235,253,253,236,213,166,240,253,230,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,238,253,253,254,253,253,232,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,122,248,254,253,160,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,138,243,255,253,137,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,228,252,252,253,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,228,252,252,252,253,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,252,252,252,252,253,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,250,253,252,252,252,200,253,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,108,233,253,255,249,146,21,0,255,253,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,136,252,252,252,249,117,0,0,0,180,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,252,252,252,221,63,0,0,0,0,107,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,43,233,252,252,218,35,0,0,0,0,0,66,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,252,221,88,0,0,0,0,0,0,138,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,62,243,255,253,69,0,0,0,0,0,0,0,87,253,253,150,0,0,0,0,0,0,0,0,0,0,0,13,215,252,253,202,25,0,0,0,0,0,0,0,138,252,252,45,0,0,0,0,0,0,0,0,0,0,0,101,252,252,236,25,0,0,0,0,0,0,0,32,222,252,252,45,0,0,0,0,0,0,0,0,0,0,38,240,252,252,135,0,0,0,0,0,0,0,0,210,253,252,195,9,0,0,0,0,0,0,0,0,0,0,47,252,252,200,11,0,0,0,0,0,0,32,157,250,253,231,48,0,0,0,0,0,0,0,0,0,0,0,162,253,253,137,0,0,0,0,0,0,36,222,253,253,252,135,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,158,0,0,34,47,47,110,219,252,252,252,135,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,185,184,234,252,252,253,252,252,227,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,77,236,252,253,252,252,252,252,253,193,77,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,242,253,252,252,252,147,23,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,125,61,125,125,125,221,160,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,242,248,253,253,250,253,253,253,253,253,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,253,253,253,213,76,142,174,253,253,253,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,146,149,149,189,109,0,0,35,224,253,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,90,99,138,235,253,253,253,95,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,142,249,253,253,253,253,253,140,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,253,253,253,253,253,245,215,128,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,175,175,175,175,175,195,253,253,253,253,247,195,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,51,145,181,229,253,253,249,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,141,228,253,250,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,229,253,215,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,217,0,0,0,0,0,0,0,0,0,106,52,46,97,176,176,122,0,0,0,0,0,0,0,0,6,177,253,253,0,0,0,0,0,0,0,0,170,251,253,253,253,253,253,215,130,30,0,0,0,0,0,0,0,143,253,253,0,0,0,0,0,0,0,0,254,253,253,103,91,91,91,63,0,0,0,0,0,0,0,0,3,158,253,253,0,0,0,0,0,0,0,0,255,253,253,110,27,4,0,0,0,0,0,0,0,0,0,17,112,253,253,253,0,0,0,0,0,0,0,0,167,253,253,253,253,163,150,150,46,20,20,20,20,40,150,214,253,253,243,166,0,0,0,0,0,0,0,0,0,108,110,231,252,253,253,253,253,253,253,253,253,253,253,253,252,240,111,0,0,0,0,0,0,0,0,0,0,0,0,0,105,117,117,224,247,247,247,251,253,250,253,249,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,123,60,123,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,255,232,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,36,249,253,247,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,128,253,253,247,185,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,234,253,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,243,253,253,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,213,253,253,253,248,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,250,253,253,253,128,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,212,253,253,253,190,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,253,253,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,253,253,231,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,176,253,253,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,253,253,224,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,242,253,253,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,253,253,217,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,238,253,253,234,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,243,253,253,171,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,219,253,253,217,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,251,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,155,234,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,111,232,254,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,105,254,254,254,254,226,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,224,254,254,254,249,185,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,142,254,254,254,185,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,229,254,254,240,62,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,254,238,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,251,254,254,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,254,105,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,254,215,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,254,152,106,164,205,205,160,78,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,225,254,254,254,254,254,254,254,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,254,254,254,254,254,254,254,254,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,254,254,254,254,254,225,122,201,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,247,254,254,251,192,31,18,0,164,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,200,254,254,113,0,0,0,75,243,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,254,254,48,73,57,137,247,254,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,195,254,254,254,254,254,254,254,254,230,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,232,254,254,254,254,254,226,164,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,160,254,254,195,114,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,43,43,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,137,190,242,253,252,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,225,252,252,252,253,252,242,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,215,189,189,227,252,252,205,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,148,252,252,226,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,252,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,252,189,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,252,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,253,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,43,61,253,253,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,128,227,252,252,252,252,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,162,232,246,252,253,252,252,252,252,253,166,11,6,66,0,0,0,0,0,0,0,0,0,0,6,91,169,218,252,252,236,242,253,252,252,252,252,253,252,210,190,182,0,0,0,0,0,0,0,0,0,36,162,252,252,191,147,155,198,246,253,252,199,121,129,253,252,252,182,42,0,0,0,0,0,0,0,0,61,183,253,253,218,87,123,156,253,253,255,222,106,0,0,168,211,158,35,0,0,0,0,0,0,0,0,0,209,252,252,252,200,253,252,252,252,252,168,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,252,252,253,252,251,205,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,189,189,189,189,190,110,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,68,125,182,255,186,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,160,250,218,179,134,235,224,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,124,43,0,0,0,98,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,220,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,243,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,210,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,244,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,247,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,227,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,236,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,247,173,0,29,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,62,91,227,249,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,210,250,157,229,227,78,67,142,209,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,254,90,3,56,231,254,254,236,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,230,254,145,3,0,0,11,30,96,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,235,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,233,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,126,250,254,254,101,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,82,230,253,253,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,253,253,253,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,232,154,121,94,253,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,251,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,146,253,253,253,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,155,224,253,253,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,245,255,253,253,253,253,253,251,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,245,253,254,253,210,143,215,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,193,236,208,111,19,0,56,254,254,216,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,56,253,253,253,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,201,3,0,0,0,0,0,0,0,0,0,0,0,22,27,0,0,0,0,0,0,0,0,0,0,166,253,253,99,0,0,0,0,0,0,0,0,0,0,0,0,186,215,31,0,0,0,0,0,0,0,0,105,235,253,206,22,0,0,0,0,0,0,0,0,0,0,0,62,250,253,240,145,69,12,7,2,0,8,104,239,253,253,31,0,0,0,0,0,0,0,0,0,0,0,0,26,208,253,253,253,253,253,210,167,155,224,253,253,244,170,9,0,0,0,0,0,0,0,0,0,0,0,0,0,26,178,253,253,253,253,253,253,254,253,253,247,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,57,143,143,143,225,253,254,253,161,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,170,229,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,253,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,247,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,216,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,210,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,115,43,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,255,254,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,247,254,253,189,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,254,189,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,168,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,253,253,0,0,0,0,0,0,0,12,67,9,0,0,0,0,0,0,0,0,0,0,0,0,0,35,222,253,253,119,0,0,0,0,0,0,5,175,253,33,0,0,0,0,0,0,0,0,0,0,0,0,5,151,253,253,179,2,0,0,0,0,0,0,128,253,253,33,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,152,0,0,0,0,0,0,20,237,253,253,33,0,0,0,0,0,0,0,0,0,0,0,8,173,253,253,238,43,0,0,0,0,0,0,128,253,253,192,7,0,0,0,0,0,0,0,0,0,0,0,81,253,253,253,104,0,0,0,0,0,0,3,201,253,251,72,0,0,0,0,0,0,0,0,0,0,0,128,250,253,253,249,155,155,59,20,0,0,0,124,253,253,209,0,0,0,0,0,0,0,0,0,0,11,107,242,253,253,253,253,253,253,253,217,159,48,17,231,253,250,98,0,0,0,0,0,0,0,0,0,0,19,220,253,253,229,143,244,253,253,253,254,253,241,224,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,107,221,153,0,0,0,68,111,111,227,254,254,254,254,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,200,253,253,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,253,175,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,217,253,251,134,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,253,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,251,254,253,205,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,255,242,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,217,253,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,129,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,128,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,206,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,187,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,139,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,39,39,39,29,0,251,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,184,254,254,254,237,138,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,165,254,254,254,249,249,158,127,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,254,200,103,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,231,254,248,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,247,254,254,62,50,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,216,254,254,254,254,254,232,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,238,254,254,254,254,239,249,254,241,98,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,156,254,254,251,177,92,6,61,200,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,254,254,113,0,0,0,0,99,254,254,233,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,222,212,41,2,0,0,0,0,6,236,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,245,254,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,250,254,243,55,0,0,0,0,0,0,0,0,0,0,0,81,126,66,45,0,0,0,0,0,0,6,137,239,254,255,77,0,0,0,0,0,0,0,0,0,0,0,0,185,254,254,241,207,104,104,150,127,212,216,254,254,243,124,8,0,0,0,0,0,0,0,0,0,0,0,0,36,208,241,254,254,254,254,254,254,254,254,254,228,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,184,187,254,254,254,254,198,174,76,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,254,88,38,38,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,86,35,0,0,0,0,0,0,24,212,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,171,0,0,0,0,0,4,173,249,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,171,0,0,0,0,0,119,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,161,0,0,0,0,30,232,228,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,254,90,0,0,0,0,136,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,242,254,48,0,0,0,18,230,228,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,189,1,0,0,0,105,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,233,254,85,0,0,0,15,222,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,188,254,192,1,0,0,0,102,254,164,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,235,48,0,0,0,0,186,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,165,254,239,52,0,0,0,0,73,254,203,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,190,254,254,254,195,51,12,0,4,185,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,235,251,165,147,163,243,254,235,189,138,254,238,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,165,99,0,0,0,32,105,189,231,254,254,187,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,200,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,237,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,252,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,230,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,189,250,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,239,254,254,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,236,254,254,221,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,235,254,254,254,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,237,254,254,221,113,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,190,254,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,239,254,254,253,66,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,190,254,254,231,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,172,254,254,251,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,254,253,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,254,212,0,0,0,0,0,0,0,46,78,163,102,11,0,0,0,0,0,0,0,0,0,0,0,90,244,254,254,86,0,0,0,0,36,148,214,238,254,254,254,134,0,0,0,0,0,0,0,0,0,0,33,247,254,254,105,1,0,0,0,88,221,254,254,254,254,254,254,153,0,0,0,0,0,0,0,0,0,0,97,254,254,209,14,0,0,0,37,226,254,254,254,254,254,254,251,36,0,0,0,0,0,0,0,0,0,3,166,254,254,165,0,0,0,39,223,254,254,254,254,255,254,247,96,0,0,0,0,0,0,0,0,0,0,18,254,254,254,110,0,0,0,160,254,254,254,254,254,254,223,66,0,0,0,0,0,0,0,0,0,0,0,18,254,254,254,165,0,0,48,229,254,254,254,254,254,216,99,0,0,0,0,0,0,0,0,0,0,0,0,13,222,254,254,236,202,202,231,254,254,254,254,254,112,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,254,254,254,254,254,254,254,254,254,254,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,17,106,233,254,252,202,254,254,254,254,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,245,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,254,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,68,0,0,0,0,0,15,232,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,128,0,0,0,0,0,0,135,208,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,128,0,0,0,0,0,0,64,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,105,0,0,0,0,0,0,24,245,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,30,0,0,0,0,0,0,0,136,190,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,230,0,0,0,0,0,0,0,0,96,255,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,236,0,0,0,0,0,0,0,0,23,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,236,0,0,0,0,0,20,1,21,85,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,244,104,150,177,222,252,227,213,188,189,167,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,251,205,191,157,117,44,7,0,0,0,129,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,3,0,0,0,0,0,0,0,0,129,241,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,247,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,246,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,193,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,211,254,254,188,136,136,136,180,202,252,255,254,224,37,0,0,0,0,0,0,0,0,0,0,0,0,8,152,253,253,253,253,253,253,253,253,253,253,253,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,253,253,223,200,200,200,200,200,252,253,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,253,182,29,0,0,0,0,0,249,253,253,205,14,0,0,0,0,0,0,0,0,0,0,0,0,75,253,253,125,2,0,0,0,0,0,93,252,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,6,29,29,4,0,0,0,0,0,0,217,253,253,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,252,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,60,236,253,252,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,253,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,231,253,253,227,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,238,253,253,129,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,243,253,253,219,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,188,253,253,217,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,179,253,253,235,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,196,253,253,249,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,173,253,253,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,253,210,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,211,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,156,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,128,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,64,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,191,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,191,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,128,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,128,0,0,0,0,0,191,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,105,187,254,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,193,254,254,247,252,254,246,215,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,109,218,254,254,217,84,100,254,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,254,238,132,11,0,108,254,254,250,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,254,81,0,0,99,249,254,232,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,224,14,37,187,254,254,232,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,254,148,240,254,254,167,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,254,254,247,108,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,254,230,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,187,254,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,225,254,254,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,214,254,210,132,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,223,25,79,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,242,254,83,0,154,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,232,0,5,195,254,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,201,5,114,254,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,254,195,254,254,196,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,228,254,255,254,196,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,171,232,148,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,202,153,67,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,254,254,254,237,226,226,132,132,128,38,38,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,56,74,192,251,254,254,254,255,254,254,254,254,222,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,140,178,178,198,254,254,254,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,18,92,113,138,254,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,216,175,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,235,171,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,244,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,250,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,216,254,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,254,215,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,239,254,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,152,254,253,193,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,253,252,253,252,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,254,253,234,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,253,252,151,111,92,232,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,244,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,252,162,0,0,0,0,41,163,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,131,0,0,0,0,113,233,254,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,172,10,0,0,21,183,253,252,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,253,62,41,51,132,254,253,254,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,223,243,253,252,253,252,253,252,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,254,253,254,233,82,82,214,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,91,50,50,91,30,0,123,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,253,224,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,162,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,255,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,255,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,36,36,64,64,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,54,96,172,174,254,254,254,254,224,120,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,143,204,254,254,254,254,254,254,204,205,254,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,254,254,188,165,165,108,47,47,14,15,180,254,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,102,8,0,0,0,0,0,0,0,96,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,11,4,0,0,0,0,0,0,0,0,96,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,221,254,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,255,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,241,254,167,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,255,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,212,254,212,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,254,43,0,0,0,0,9,51,131,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,215,255,209,17,0,2,30,108,225,254,243,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,254,192,48,156,170,254,254,242,207,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,171,254,254,254,254,254,254,247,189,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,218,254,254,254,254,217,166,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,153,153,118,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,121,156,254,233,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,246,253,253,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,238,253,253,253,253,253,250,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,81,254,253,253,253,189,232,253,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,254,253,228,73,11,187,253,253,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,138,226,253,254,230,55,0,0,187,253,253,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,253,253,214,53,0,0,11,198,253,249,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,224,253,253,253,0,0,0,0,68,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,226,253,253,238,107,0,0,0,0,68,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,43,165,253,253,239,50,0,0,0,0,0,68,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,254,235,49,0,0,0,0,0,0,68,254,255,228,0,0,0,0,0,0,0,0,0,0,0,0,146,251,253,253,156,0,0,0,0,0,0,0,124,253,253,99,0,0,0,0,0,0,0,0,0,0,0,40,237,253,253,155,8,0,0,0,0,0,0,0,201,253,253,93,0,0,0,0,0,0,0,0,0,0,0,149,253,253,232,45,0,0,0,0,0,0,0,69,245,253,219,15,0,0,0,0,0,0,0,0,0,0,32,244,253,253,81,0,0,0,0,0,0,0,0,187,253,253,107,0,0,0,0,0,0,0,0,0,0,0,121,253,253,194,14,0,0,0,0,0,0,23,104,243,253,253,80,0,0,0,0,0,0,0,0,0,0,0,102,251,253,228,68,19,13,0,0,0,41,130,253,253,243,114,25,0,0,0,0,0,0,0,0,0,0,0,0,145,250,253,253,204,189,161,161,161,255,253,253,245,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,251,253,253,253,253,253,253,255,247,240,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,120,120,140,253,253,253,121,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,38,124,202,255,213,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,159,188,253,253,253,236,177,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,222,241,253,253,227,139,85,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,253,179,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,68,212,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,179,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,247,237,39,0,0,0,8,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,198,0,2,40,164,235,249,233,233,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,97,19,159,253,253,249,199,220,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,240,253,153,193,253,234,161,56,0,21,246,216,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,253,253,253,253,180,51,0,0,0,102,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,211,253,242,111,7,0,0,0,0,206,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,48,39,0,0,0,0,0,23,224,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,239,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,226,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,162,253,214,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,224,142,103,228,253,246,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,253,253,208,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,157,253,230,106,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,255,255,174,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,252,253,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,250,253,253,253,228,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,216,253,253,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,253,224,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,230,253,253,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,253,253,176,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,206,253,253,239,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,228,242,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,146,227,253,253,213,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,187,253,253,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,218,253,253,184,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,182,253,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,253,189,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,207,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,241,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,230,253,253,197,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,253,253,207,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,206,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,96,195,51,0,0,0,0,0,0,97,255,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,254,211,0,0,0,0,0,0,168,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,254,254,138,0,0,0,0,0,4,199,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,254,44,0,0,0,0,0,10,254,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,249,39,0,0,0,0,0,92,254,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,243,254,100,0,0,0,0,0,15,156,254,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,235,7,0,0,51,131,178,246,254,254,196,2,0,0,0,0,0,0,0,0,0,0,0,0,0,7,197,254,160,5,100,182,251,254,254,254,254,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,130,190,254,254,254,249,143,107,254,254,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,254,254,254,220,61,13,0,44,254,254,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,254,183,64,15,0,0,0,44,254,195,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,222,208,81,3,0,0,0,0,0,109,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,10,0,0,0,0,0,0,0,155,252,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,243,244,3,132,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,250,192,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,252,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,244,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,185,135,85,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,225,246,252,253,252,193,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,244,231,250,255,253,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,56,19,150,253,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,252,252,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,253,206,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,57,144,243,253,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,172,197,229,252,252,252,253,252,234,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,231,252,252,253,252,252,252,253,252,252,240,51,0,0,0,0,0,0,0,0,0,0,0,0,0,60,241,254,247,247,253,254,253,253,128,114,207,253,253,114,0,0,0,0,0,0,0,0,0,0,0,0,63,234,252,209,128,234,252,253,240,158,9,0,94,252,252,207,169,169,144,0,0,0,0,0,0,0,0,111,234,252,252,172,234,252,252,244,81,0,0,0,13,171,252,253,252,252,52,0,0,0,0,0,0,0,0,141,252,252,252,253,252,252,202,75,0,0,0,0,0,10,78,140,65,28,3,0,0,0,0,0,0,0,0,242,253,253,253,254,209,113,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,196,196,196,134,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,42,0,0,0,37,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,158,244,245,203,20,0,56,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,176,132,242,172,22,128,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,210,8,0,39,215,119,201,245,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,218,13,0,0,105,247,253,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,127,0,0,0,114,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,217,244,102,0,16,200,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,231,49,73,253,208,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,186,253,201,150,249,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,182,253,254,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,181,255,215,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,240,248,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,238,254,87,250,242,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,202,5,121,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,124,0,37,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,39,0,37,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,14,41,145,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,219,230,253,238,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,194,254,233,149,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,123,156,253,253,254,218,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,227,252,252,252,252,253,252,247,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,253,252,242,160,126,200,252,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,128,84,42,0,0,104,252,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,236,255,253,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,232,252,253,153,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,22,110,189,232,251,252,252,109,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,252,253,252,252,252,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,252,252,236,182,252,252,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,106,106,0,0,22,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,252,252,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,252,252,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,252,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,191,191,14,0,0,0,0,0,0,0,103,253,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,252,211,102,0,0,0,0,0,68,237,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,251,252,252,233,153,127,127,215,245,252,233,100,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,231,252,253,252,252,252,252,253,231,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,129,209,252,252,252,208,86,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,254,254,231,154,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,189,143,143,229,253,205,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,128,37,0,0,6,117,246,159,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,32,0,0,0,0,0,217,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,228,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,170,253,253,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,253,124,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,244,253,121,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,250,245,104,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,244,229,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,213,252,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,206,251,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,249,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,234,253,197,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,217,253,241,41,0,0,0,37,80,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,209,253,242,67,0,21,77,197,208,53,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,199,90,91,226,216,140,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,253,253,253,254,130,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,153,232,153,60,54,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,101,225,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,252,252,223,0,0,0,0,0,0,0,60,176,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,252,100,0,0,0,0,0,0,48,193,252,33,0,0,0,0,0,0,0,0,0,0,0,0,5,147,251,252,168,2,0,0,0,0,0,8,181,252,252,33,0,0,0,0,0,0,0,0,0,0,0,5,146,252,252,199,23,0,0,0,0,0,0,160,252,252,202,12,0,0,0,0,0,0,0,0,0,0,0,147,252,252,248,64,0,0,0,0,0,0,20,217,252,218,38,0,0,0,0,0,0,0,0,0,0,8,194,251,252,252,242,10,0,0,0,0,0,11,198,252,252,203,0,0,0,0,0,0,0,0,0,0,40,223,252,252,252,252,252,235,60,0,0,0,0,42,252,252,226,39,0,0,0,0,0,0,0,0,0,0,143,252,252,246,175,202,252,252,232,139,0,0,31,217,252,252,98,0,0,0,0,0,0,0,0,0,0,0,96,252,209,82,0,12,234,252,252,252,159,34,147,252,252,214,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,245,253,255,253,253,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,244,253,252,252,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,252,252,191,44,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,253,252,157,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,163,252,253,214,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,252,252,253,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,244,252,252,170,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,235,252,252,233,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,252,252,195,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,243,185,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,120,57,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,242,222,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,252,226,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,206,253,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,201,252,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,252,252,154,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,73,253,252,220,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,255,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,242,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,171,253,253,253,208,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,149,252,252,231,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,148,148,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,110,188,255,180,88,128,176,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,137,253,253,253,253,225,223,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,29,211,253,253,249,98,66,122,139,139,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,253,253,253,199,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,212,253,253,156,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,211,253,253,159,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,217,253,250,181,21,26,49,91,157,84,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,211,253,253,250,195,195,225,253,253,253,253,230,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,253,253,253,241,237,165,129,140,248,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,248,253,235,192,92,20,0,0,0,0,173,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,54,35,0,0,0,0,0,0,0,173,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,214,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,245,253,198,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,204,253,253,124,0,0,0,0,0,0,0,0,0,0,0,166,132,149,104,71,0,0,0,0,0,0,152,239,253,253,155,8,0,0,0,0,0,0,0,0,0,0,0,180,253,253,253,252,249,249,249,242,164,249,253,253,253,119,36,0,0,0,0,0,0,0,0,0,0,0,0,12,108,215,253,253,253,253,253,253,253,253,253,237,96,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,37,72,145,145,145,145,145,145,90,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,224,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,113,74,0,0,0,0,0,8,207,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,211,215,29,0,0,0,0,0,108,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,170,247,46,0,0,0,0,0,11,213,227,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,113,58,0,0,0,0,0,140,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,239,92,205,0,0,0,0,39,251,203,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,251,166,217,98,0,0,0,0,145,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,254,242,40,0,0,0,44,246,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,254,254,107,0,0,0,5,175,240,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,254,212,18,0,0,0,71,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,251,233,47,0,0,0,0,232,223,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,138,0,0,0,0,38,251,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,250,229,105,70,19,0,190,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,254,254,136,86,247,115,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,121,138,188,244,254,254,252,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,174,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,209,218,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,222,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,229,255,153,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,172,252,253,240,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,172,252,252,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,252,178,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,246,253,252,148,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,188,246,252,241,65,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,253,241,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,252,252,65,0,0,0,0,0,13,57,57,57,44,0,0,0,0,0,0,0,0,0,0,0,0,29,234,253,252,148,6,0,0,0,0,85,172,252,252,253,215,19,0,0,0,0,0,0,0,0,0,0,26,210,252,253,202,6,0,0,0,0,201,253,252,252,252,253,252,156,0,0,0,0,0,0,0,0,0,0,108,253,253,239,38,0,0,0,0,147,253,254,253,253,253,254,253,56,0,0,0,0,0,0,0,0,0,0,82,252,252,225,0,0,0,0,63,234,252,253,214,240,252,253,252,56,0,0,0,0,0,0,0,0,0,23,234,252,252,100,0,0,0,111,234,252,252,153,178,240,252,206,93,13,0,0,0,0,0,0,0,0,0,29,252,252,252,0,0,0,51,241,252,252,151,191,252,252,252,63,0,0,0,0,0,0,0,0,0,0,0,13,207,253,253,126,0,0,176,254,253,253,253,254,253,244,75,0,0,0,0,0,0,0,0,0,0,0,0,0,144,252,252,244,169,169,243,253,252,252,252,253,189,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,196,252,253,252,252,252,253,252,252,252,106,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,28,203,252,252,252,253,227,139,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,56,128,249,254,235,114,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,95,121,242,252,243,158,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,195,253,253,14,0,0,115,253,253,229,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,253,253,253,14,0,0,1,58,227,253,237,79,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,228,10,0,0,0,0,42,229,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,253,118,0,0,0,0,0,0,44,239,253,227,45,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,69,0,0,0,0,0,0,0,152,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,219,253,225,4,0,0,0,0,0,0,0,31,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,25,232,253,223,0,0,0,0,0,0,0,0,26,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,163,253,253,126,0,0,0,0,0,0,0,0,85,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,124,0,0,0,0,0,0,0,2,206,253,253,122,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,124,0,0,0,0,0,0,10,185,254,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,124,0,0,0,0,0,4,147,253,253,243,73,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,253,124,0,0,0,0,0,88,253,253,247,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,250,253,212,0,0,0,0,64,243,253,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,223,0,0,0,67,239,253,253,231,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,251,78,6,73,205,253,254,246,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,253,253,232,200,253,253,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,108,232,253,253,254,253,235,123,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,153,193,153,153,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,168,220,96,19,10,0,18,34,120,143,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,123,252,252,252,220,199,176,216,252,252,252,208,0,0,0,0,0,0,0,0,0,0,0,0,0,9,124,224,252,252,252,252,253,252,252,252,252,252,252,208,0,0,0,0,0,0,0,0,0,0,0,0,9,186,252,252,252,252,202,121,10,39,121,123,214,252,252,150,0,0,0,0,0,0,0,0,0,0,0,0,171,252,252,252,252,151,23,0,0,0,0,23,252,252,221,34,0,0,0,0,0,0,0,0,0,0,0,0,209,252,252,252,119,22,0,0,0,0,0,147,252,252,131,0,0,0,0,0,0,0,0,0,0,0,0,0,200,247,221,131,11,0,0,0,0,0,96,251,252,248,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,34,0,0,0,0,0,0,60,236,252,243,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,199,252,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,252,252,233,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,253,240,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,209,253,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,213,252,253,107,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,206,252,252,202,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,236,252,252,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,193,252,252,225,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,113,252,252,231,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,252,252,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,252,252,249,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,214,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,91,111,116,209,210,139,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,217,253,253,253,253,254,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,214,246,253,235,134,128,75,242,253,112,8,173,180,0,0,0,0,0,0,0,0,0,0,0,0,0,51,201,253,225,120,16,0,70,227,254,169,60,202,254,253,0,0,0,0,0,0,0,0,0,0,0,0,51,232,253,221,39,0,0,55,248,223,87,60,235,253,254,253,0,0,0,0,0,0,0,0,0,0,0,88,232,253,225,37,0,0,0,17,65,0,86,233,254,254,254,220,0,0,0,0,0,0,0,0,0,0,52,233,253,209,10,0,0,0,0,0,3,134,252,253,238,253,246,91,0,0,0,0,0,0,0,0,0,8,233,254,196,29,0,0,0,0,0,23,183,253,244,89,139,254,208,0,0,0,0,0,0,0,0,0,0,128,253,222,34,0,0,0,0,0,82,213,251,176,16,0,194,253,149,0,0,0,0,0,0,0,0,0,23,228,253,132,0,0,0,0,4,162,244,227,140,0,0,67,250,252,29,0,0,0,0,0,0,0,0,0,141,254,189,13,0,0,0,73,232,253,164,35,0,0,0,180,254,164,0,0,0,0,0,0,0,0,0,0,255,253,89,0,11,67,115,246,253,82,8,0,0,0,0,179,254,163,0,0,0,0,0,0,0,0,0,0,254,253,199,169,227,253,253,242,108,2,0,0,0,0,17,229,253,98,0,0,0,0,0,0,0,0,0,0,195,254,254,254,254,219,129,30,0,0,0,0,0,0,35,253,236,33,0,0,0,0,0,0,0,0,0,0,17,152,74,74,74,7,0,0,0,0,0,0,0,0,156,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,206,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,179,142,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,104,186,254,254,255,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,95,239,253,253,237,253,254,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,254,216,144,18,152,175,63,79,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,137,251,253,169,25,0,0,16,123,235,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,253,177,23,0,0,68,217,254,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,58,0,28,156,254,254,255,158,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,253,185,140,232,253,253,237,76,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,253,253,254,253,228,123,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,254,174,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,207,253,253,253,96,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,217,254,254,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,207,254,253,253,234,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,247,253,183,158,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,247,253,185,8,118,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,200,36,0,154,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,117,0,37,239,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,217,253,34,0,112,253,253,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,241,253,99,116,254,253,168,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,245,253,254,204,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,155,253,215,133,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,255,72,0,0,0,0,0,0,0,0,0,96,99,3,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,72,0,0,0,0,0,0,0,0,28,223,246,43,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,72,0,0,0,0,0,0,0,0,49,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,72,0,0,0,0,0,0,0,0,72,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,72,0,0,0,0,0,0,0,9,190,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,182,18,0,0,0,0,0,0,72,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,101,0,0,0,0,0,49,189,253,253,240,39,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,180,0,0,0,0,104,238,253,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,21,217,253,247,190,110,110,225,254,253,168,177,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,219,253,253,253,253,253,254,115,22,210,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,156,242,242,242,184,59,0,0,170,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,205,253,185,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,231,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,152,214,253,193,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,183,253,252,253,252,253,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,92,254,253,254,131,92,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,253,252,131,10,31,192,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,253,203,20,0,0,0,21,52,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,212,20,0,0,0,82,223,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,224,20,0,0,51,92,254,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,182,102,102,183,253,252,253,252,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,254,253,254,253,254,253,254,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,192,253,171,151,151,50,172,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,253,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,233,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,233,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,255,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,195,196,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,190,249,253,254,223,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,231,253,240,253,254,253,235,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,249,112,35,54,111,253,179,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,198,0,0,0,73,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,215,11,0,0,73,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,88,0,0,176,241,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,225,222,56,133,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,250,253,253,196,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,253,207,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,255,215,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,250,249,166,134,249,224,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,189,0,0,105,248,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,144,0,0,0,146,242,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,144,0,0,0,95,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,243,144,0,0,0,37,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,163,0,0,0,76,242,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,244,95,37,108,248,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,164,248,254,253,250,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,189,201,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,24,24,24,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,212,252,252,252,211,100,68,161,120,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,236,253,252,252,252,252,253,252,252,252,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,252,253,252,252,252,252,253,252,252,218,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,146,248,252,253,252,136,65,137,201,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,212,253,253,253,210,0,0,0,0,24,253,253,161,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,252,252,235,153,0,0,0,0,0,24,252,252,160,0,0,0,0,0,0,0,0,0,0,0,19,164,246,253,252,202,64,0,0,0,0,0,0,108,252,252,160,0,0,0,0,0,0,0,0,0,0,0,112,252,252,253,172,13,0,0,0,0,0,0,0,138,252,252,66,0,0,0,0,0,0,0,0,0,0,95,246,252,252,180,8,0,0,0,0,0,0,0,0,191,252,252,45,0,0,0,0,0,0,0,0,0,13,212,253,253,180,0,0,0,0,0,0,0,0,0,0,255,253,184,0,0,0,0,0,0,0,0,0,0,118,252,252,252,22,0,0,0,0,0,0,0,0,0,22,253,252,183,0,0,0,0,0,0,0,0,0,0,253,252,252,153,6,0,0,0,0,0,0,0,0,26,152,253,240,81,0,0,0,0,0,0,0,0,0,0,253,252,195,9,0,0,0,0,0,0,0,0,0,134,252,253,112,0,0,0,0,0,0,0,0,0,0,0,253,252,183,0,0,0,0,0,0,0,0,0,116,248,252,243,50,0,0,0,0,0,0,0,0,0,0,0,244,253,253,159,34,22,11,0,0,0,34,253,253,253,243,53,0,0,0,0,0,0,0,0,0,0,0,0,61,206,240,252,252,245,203,161,161,109,212,252,240,164,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,208,252,253,252,252,252,252,247,183,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,150,161,160,160,160,108,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,191,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,227,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,231,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,252,220,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,255,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,210,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,255,211,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,253,252,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,226,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,247,252,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,231,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,241,179,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,131,197,252,247,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,154,252,252,252,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,255,247,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,119,234,252,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,252,252,194,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,252,252,252,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,243,253,252,233,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,253,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,210,252,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,251,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,187,252,252,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,252,252,252,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,252,252,252,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,253,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,243,253,252,145,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,253,170,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,252,241,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,73,125,253,98,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,144,144,190,251,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,228,251,251,251,251,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,253,251,251,251,251,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,180,231,253,251,251,173,71,253,251,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,255,253,164,0,182,255,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,253,168,15,0,180,253,251,230,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,242,92,0,0,180,253,251,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,231,251,251,180,0,0,47,211,253,251,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,221,251,251,251,51,0,0,109,251,253,147,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,253,0,0,89,253,253,234,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,251,251,251,147,0,0,217,251,147,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,166,253,251,246,137,10,11,140,246,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,170,251,253,251,215,47,31,150,251,251,251,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,251,253,251,241,211,200,253,251,251,173,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,255,253,253,253,253,255,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,251,251,253,251,251,251,251,253,251,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,246,251,251,253,251,251,251,251,164,35,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,253,251,251,251,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,251,251,253,251,225,71,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,121,227,254,255,169,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,108,164,252,253,253,253,253,253,247,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,108,254,253,253,253,253,253,253,253,252,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,254,253,181,173,173,190,253,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,53,53,53,6,0,0,160,253,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,201,253,253,243,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,253,247,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,147,231,253,253,230,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,253,253,232,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,121,121,0,171,254,254,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,242,253,253,242,253,253,253,253,253,224,97,0,0,0,0,0,0,0,0,0,0,0,0,0,30,94,193,232,253,253,253,254,253,253,253,253,253,253,236,40,0,0,0,0,0,0,0,0,0,0,0,73,206,253,253,253,253,253,253,254,253,253,185,194,253,253,253,223,38,0,0,0,0,0,0,0,0,32,124,248,253,235,88,120,253,253,253,254,225,136,9,14,165,253,253,253,225,0,0,0,0,0,0,0,0,149,253,253,253,200,153,233,253,253,253,229,45,0,0,0,14,166,253,253,154,0,0,0,0,0,0,0,0,255,253,253,253,253,253,253,253,251,213,42,0,0,0,0,0,13,80,80,38,0,0,0,0,0,0,0,0,255,253,253,253,253,253,249,226,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,253,250,240,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,120,120,120,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,228,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,191,254,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,236,254,254,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,236,254,254,254,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,245,254,210,254,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,65,39,254,254,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,246,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,240,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,175,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,254,249,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,219,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,160,254,250,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,31,31,131,254,250,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,164,250,254,254,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,254,240,254,254,254,254,129,0,0,0,0,0,2,51,0,0,0,0,0,0,0,0,0,0,0,0,225,254,225,181,254,254,254,254,210,26,0,0,0,0,84,246,0,0,0,0,0,0,0,0,0,0,0,0,242,250,254,254,247,177,159,253,254,210,25,0,0,47,236,182,0,0,0,0,0,0,0,0,0,0,0,0,46,49,95,110,32,0,0,150,253,255,221,115,96,190,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,236,254,254,254,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,208,254,181,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,145,254,255,254,220,35,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,145,254,253,253,253,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,252,254,250,217,241,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,142,76,7,128,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,163,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,231,253,253,198,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,233,253,253,192,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,98,221,253,253,235,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,110,213,240,253,254,253,253,226,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,159,253,253,253,253,254,253,253,253,158,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,254,254,249,184,123,192,254,255,254,66,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,26,142,188,109,62,0,0,25,253,253,253,180,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,62,26,0,0,0,0,0,0,0,0,3,171,253,253,181,17,0,0,0,0,0,0,0,0,0,0,0,0,254,142,0,0,0,0,0,0,0,0,139,253,253,239,52,0,0,0,0,0,0,0,0,0,0,0,0,0,254,249,188,86,24,66,86,86,137,206,254,253,241,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,228,245,253,253,253,253,254,198,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,207,253,253,253,253,253,253,253,201,145,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,87,132,132,132,132,28,11,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,119,189,123,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,229,254,215,254,233,147,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,216,190,229,254,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,227,173,50,35,215,254,254,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,115,253,190,0,0,102,254,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,183,48,25,0,0,71,254,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,179,43,0,0,0,20,233,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,67,253,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,3,79,129,249,127,28,170,254,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,96,194,168,243,254,254,254,232,238,254,253,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,254,254,254,254,254,254,254,254,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,126,254,254,246,202,198,252,254,254,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,254,231,83,0,0,138,254,254,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,254,245,159,0,0,25,121,254,254,199,232,194,17,0,0,0,0,0,0,0,0,0,0,0,0,0,21,231,254,133,21,45,157,253,215,254,254,254,254,254,132,21,0,0,0,0,0,0,0,0,0,0,0,0,80,255,254,245,235,246,254,254,254,254,254,203,129,244,129,31,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,254,254,254,254,254,254,254,208,22,0,46,5,0,0,0,0,0,0,0,0,0,0,0,0,0,29,235,254,254,254,254,254,254,237,163,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,94,118,254,239,154,233,53,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,15,0,0,0,0,0,7,163,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,188,0,0,0,0,0,7,210,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,182,248,178,0,0,0,0,0,12,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,202,253,253,53,0,0,0,0,8,225,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,157,0,0,0,0,0,89,253,253,236,26,0,0,0,0,0,0,0,0,0,0,0,0,0,109,249,253,226,21,0,0,0,0,0,128,253,253,90,0,0,0,0,0,0,0,0,0,0,0,0,1,36,225,253,232,92,0,0,0,0,10,190,249,253,227,34,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,251,125,0,0,0,0,0,14,219,253,247,39,0,0,0,0,0,0,0,0,0,0,0,0,75,222,253,253,160,0,0,0,0,0,0,186,253,253,242,0,0,0,0,0,0,0,0,0,0,0,0,78,215,253,253,253,136,44,0,0,0,0,44,248,253,253,199,92,0,0,0,0,0,0,0,0,0,0,97,221,254,254,254,254,254,235,62,5,0,9,217,254,254,254,254,147,0,0,0,0,0,0,0,0,0,0,254,253,253,209,149,239,253,253,253,138,30,96,253,253,253,253,246,30,0,0,0,0,0,0,0,0,0,0,254,227,111,21,0,34,149,253,253,253,230,240,253,253,253,253,199,0,0,0,0,0,0,0,0,0,0,0,11,8,0,0,0,0,1,49,238,253,255,253,253,253,253,158,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,232,254,253,253,200,126,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,247,254,230,74,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,248,253,234,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,215,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,220,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,227,255,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,156,253,189,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,232,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,251,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,223,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,227,31,31,31,31,31,31,17,0,86,229,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,253,253,253,254,253,253,254,222,184,246,253,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,213,234,253,253,223,213,213,213,216,253,254,162,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,60,60,14,0,0,0,16,253,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,239,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,225,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,254,219,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,254,221,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,214,253,231,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,220,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,190,255,253,253,253,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,231,252,253,252,252,252,252,252,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,222,252,252,252,146,170,158,129,96,96,199,216,216,0,0,0,0,0,0,0,0,0,0,0,0,0,72,197,252,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,235,252,252,252,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,96,235,252,252,252,134,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,166,252,252,252,252,148,53,81,91,205,130,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,186,252,252,252,252,252,252,237,251,253,252,252,245,188,69,0,0,0,0,0,0,0,0,0,0,0,0,184,252,252,252,252,252,252,252,252,252,253,252,252,252,252,211,21,0,0,0,0,0,0,0,0,0,0,0,81,252,252,252,252,252,252,148,80,11,11,23,149,252,252,252,203,17,0,0,0,0,0,0,0,0,0,0,0,12,121,121,121,29,0,0,0,0,0,0,0,105,250,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,188,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,252,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,225,252,252,252,36,0,0,0,0,0,0,0,0,0,0,0,6,61,20,0,0,0,0,0,0,0,6,145,252,252,252,191,10,0,0,0,0,0,0,0,0,0,0,4,147,252,175,0,0,0,0,0,0,39,147,252,252,252,231,62,0,0,0,0,0,0,0,0,0,0,0,9,216,252,243,205,170,85,188,205,205,231,252,252,252,191,120,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,252,252,252,252,252,252,253,252,252,234,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,159,252,252,252,252,252,252,252,253,242,127,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,11,98,131,131,28,11,69,69,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,135,225,225,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,62,191,253,253,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,246,204,215,253,66,19,107,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,134,10,228,171,3,178,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,224,240,166,253,43,123,253,194,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,141,5,218,224,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,187,253,153,125,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,223,253,246,190,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,254,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,193,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,247,255,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,254,238,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,254,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,217,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,132,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,175,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,235,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,246,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,246,254,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,254,242,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,45,222,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,252,252,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,252,252,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,160,252,252,218,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,212,253,255,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,155,252,252,249,185,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,155,252,252,252,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,252,252,252,210,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,243,252,252,210,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,255,253,215,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,174,252,253,223,67,0,0,0,0,0,17,47,162,161,65,0,0,0,0,0,0,0,0,0,0,0,0,101,252,252,253,123,0,0,0,7,70,153,209,252,253,252,234,33,0,0,0,0,0,0,0,0,0,0,0,184,252,252,192,17,0,0,43,212,252,252,252,252,253,252,252,45,0,0,0,0,0,0,0,0,0,0,95,246,252,252,116,0,0,95,230,253,252,252,252,252,253,252,136,4,0,0,0,0,0,0,0,0,0,0,162,253,253,253,0,5,138,253,253,252,230,247,253,253,242,135,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,252,22,68,252,252,252,234,47,197,252,231,42,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,252,216,228,252,252,252,253,252,252,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,154,252,252,253,252,252,252,252,253,252,185,66,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,137,242,253,231,137,137,137,23,22,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,79,79,79,79,145,254,255,254,254,175,166,125,44,0,0,0,0,0,0,0,0,0,0,0,0,177,245,252,253,253,253,253,253,253,254,253,253,253,253,253,249,172,44,0,0,0,0,0,0,0,0,0,55,250,253,253,175,105,105,105,105,105,105,50,17,17,63,117,191,217,210,41,0,0,0,0,0,0,0,0,0,133,231,253,122,0,0,0,0,0,0,0,0,0,0,0,0,11,90,74,0,0,0,0,0,0,0,0,0,13,197,244,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,130,0,0,12,27,8,0,18,27,27,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,251,253,140,106,106,202,253,199,160,233,253,253,180,21,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,253,253,253,248,205,156,67,48,70,154,240,253,202,20,0,0,0,0,0,0,0,0,0,0,0,0,166,253,253,253,192,41,0,0,0,0,0,0,19,205,253,160,0,0,0,0,0,0,0,0,0,0,0,0,58,172,124,40,0,0,0,0,0,0,0,0,0,53,254,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,227,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,193,253,221,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,54,2,0,0,0,0,0,0,0,0,0,113,250,253,216,8,0,0,0,0,0,0,0,0,0,0,0,0,157,148,17,0,0,0,0,0,0,10,112,251,253,220,85,0,0,0,0,0,0,0,0,0,0,0,0,0,19,241,217,114,30,16,14,24,138,213,254,253,194,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,208,252,253,243,239,253,253,253,218,132,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,211,253,253,253,189,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,79,254,235,136,172,255,202,136,136,136,136,98,3,0,0,0,0,0,0,0,0,0,0,0,0,0,30,182,253,253,253,253,253,253,253,253,253,253,253,253,35,0,0,0,0,0,0,0,0,0,0,0,0,15,217,253,253,253,145,82,82,181,224,253,253,253,253,236,28,0,0,0,0,0,0,0,0,0,0,0,15,177,253,253,252,171,24,0,0,0,29,107,253,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,253,206,0,0,0,0,0,93,231,253,253,230,56,0,0,0,0,0,0,0,0,0,0,0,0,31,176,253,159,15,0,0,0,0,0,162,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,11,7,0,0,0,0,2,150,252,253,253,148,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,94,253,253,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,253,253,253,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,160,253,253,227,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,188,253,253,224,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,165,253,253,253,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,253,227,106,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,241,253,253,160,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,237,253,253,216,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,236,253,253,219,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,218,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,242,253,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,215,253,116,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,178,254,219,254,254,255,219,184,161,112,67,67,67,37,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,254,254,254,254,254,254,254,254,254,254,254,254,241,159,19,0,0,0,0,0,0,0,0,0,0,0,132,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,141,0,0,0,0,0,0,0,0,0,0,0,93,209,254,183,178,112,175,178,178,179,245,254,254,254,254,254,235,25,0,0,0,0,0,0,0,0,0,0,0,8,18,2,0,0,0,0,0,0,17,18,82,226,254,254,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,254,249,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,254,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,254,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,232,254,254,222,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,255,250,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,196,254,254,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,254,240,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,254,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,249,254,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,208,254,162,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,148,245,253,253,175,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,85,173,253,252,157,133,239,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,173,252,252,253,201,19,0,158,253,246,232,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,171,252,252,226,128,21,6,134,204,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,182,42,0,80,206,252,252,253,252,146,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,253,84,80,166,253,253,253,218,150,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,211,242,253,252,245,98,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,252,252,250,152,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,252,226,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,175,252,252,252,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,175,255,253,253,243,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,197,252,253,252,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,252,252,191,252,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,237,252,182,43,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,59,43,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,42,166,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,252,226,104,253,252,201,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,252,252,244,253,252,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,252,252,252,243,153,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,236,252,252,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,25,137,252,254,188,80,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,137,222,224,230,185,200,254,171,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,226,249,159,39,11,1,143,254,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,249,221,45,0,0,0,0,149,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,225,248,55,0,0,0,0,28,198,211,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,158,0,0,0,0,0,200,245,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,208,246,124,7,0,0,142,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,215,254,171,35,104,254,218,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,210,254,227,232,227,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,121,254,254,254,178,94,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,255,227,201,254,254,236,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,81,3,63,147,222,252,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,79,0,0,0,58,233,233,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,254,79,0,0,0,0,219,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,254,94,0,0,0,0,219,223,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,196,239,0,0,0,38,236,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,10,0,7,182,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,88,0,134,254,178,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,197,94,119,249,182,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,254,202,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,57,155,239,254,255,184,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,87,217,253,253,249,250,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,169,253,253,250,89,49,127,246,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,204,253,246,214,53,0,0,0,31,34,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,105,246,253,212,73,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,253,198,17,0,0,0,0,26,229,239,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,198,19,0,0,0,0,21,200,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,238,253,144,11,0,15,60,179,206,253,253,250,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,227,253,253,211,194,217,253,253,253,253,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,203,229,253,253,235,213,253,253,253,240,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,122,133,31,10,175,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,235,253,244,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,218,253,237,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,236,253,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,244,253,216,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,248,216,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,132,213,254,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,203,243,253,252,253,171,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,254,213,142,20,0,0,51,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,50,10,0,0,0,0,92,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,255,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,233,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,247,252,252,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,247,252,247,99,0,0,0,0,0,0,0,73,161,74,0,0,0,0,0,0,0,0,0,0,0,0,71,253,252,252,119,0,0,0,0,0,0,0,128,211,252,147,0,0,0,0,0,0,0,0,0,0,0,54,228,253,252,235,14,0,0,0,0,0,0,18,216,252,252,59,0,0,0,0,0,0,0,0,0,0,31,174,253,254,253,65,0,0,0,0,0,0,0,105,253,253,172,18,0,0,0,0,0,0,0,0,0,0,206,252,252,253,110,5,0,0,0,0,0,0,45,227,252,252,110,0,0,0,0,0,0,0,0,0,22,162,251,252,252,253,123,11,0,0,0,0,0,32,171,253,252,136,7,0,0,0,0,0,0,0,0,0,43,252,252,252,252,253,252,210,83,0,0,0,0,91,252,253,252,126,0,0,0,0,0,0,0,0,0,0,87,252,252,182,235,253,252,252,189,0,0,0,98,204,252,253,173,29,0,0,0,0,0,0,0,0,0,0,0,80,106,35,0,62,185,250,253,209,18,0,189,253,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,252,252,217,190,247,252,252,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,202,252,253,252,252,252,252,214,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,242,253,252,252,236,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,253,255,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,232,252,239,132,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,196,252,252,176,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,237,252,226,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,236,252,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,228,150,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,253,239,203,120,55,28,43,55,55,107,223,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,210,222,253,253,254,253,235,245,253,254,253,253,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,61,176,235,251,253,253,240,235,245,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,72,72,21,0,145,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,241,254,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,232,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,234,253,127,0,0,0,0,3,90,77,0,0,0,0,0,0,0,0,0,20,136,181,181,182,181,181,181,207,254,253,217,181,181,182,181,191,253,220,0,0,0,0,0,0,0,0,0,55,254,254,254,255,254,254,254,254,255,254,254,222,181,182,161,78,0,0,0,0,0,0,0,0,0,0,0,24,186,128,108,109,108,108,119,253,254,169,95,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,243,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,238,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,225,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,175,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,28,157,254,212,255,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,230,253,253,253,253,251,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,215,232,162,145,250,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,26,194,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,138,253,253,237,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,234,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,198,252,253,237,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,63,250,253,253,234,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,6,95,221,253,253,253,253,165,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,253,253,253,253,253,253,223,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,253,215,155,189,253,253,177,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,150,109,45,3,0,2,196,253,242,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,250,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,247,253,228,34,0,0,0,0,0,0,0,0,0,0,0,0,61,135,91,0,0,0,0,0,0,0,13,168,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,4,202,253,76,0,0,0,0,0,0,9,229,253,253,175,3,0,0,0,0,0,0,0,0,0,0,0,0,16,215,253,227,119,21,0,0,30,68,182,253,253,217,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,253,229,218,218,233,253,253,253,209,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,238,253,253,253,253,253,253,253,180,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,57,149,198,185,192,86,46,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,148,147,105,105,105,105,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,229,252,252,252,252,252,252,235,208,112,60,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,252,252,243,252,252,252,252,253,252,252,252,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,252,146,55,132,132,132,132,182,252,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,99,20,0,0,0,0,0,12,82,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,252,252,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,249,252,252,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,219,252,249,136,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,209,253,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,255,228,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,242,252,228,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,239,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,189,252,252,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,183,252,252,168,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,39,178,243,252,252,170,17,0,0,0,0,15,13,30,30,30,30,30,0,0,0,0,0,0,0,0,0,139,252,252,252,252,252,140,134,134,134,134,134,189,182,252,252,252,252,252,0,0,0,0,0,0,0,0,151,249,252,252,252,252,252,252,252,252,253,252,252,252,252,252,252,252,183,75,0,0,0,0,0,0,0,0,227,252,252,252,238,239,252,252,252,252,253,214,207,207,207,189,59,59,14,0,0,0,0,0,0,0,0,0,43,103,103,103,73,74,103,103,103,103,104,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,136,136,136,136,136,106,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,119,231,253,253,253,253,253,253,221,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,141,253,253,253,230,139,82,169,253,253,221,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,253,253,149,36,0,0,12,168,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,233,253,253,149,8,0,0,0,0,12,211,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,45,247,253,253,151,7,0,0,0,0,0,0,201,253,253,0,0,0,0,0,0,0,0,0,0,0,0,44,234,253,253,211,4,0,0,0,0,0,0,63,251,253,195,0,0,0,0,0,0,0,0,0,0,0,7,159,253,253,240,42,0,0,0,0,0,0,0,131,253,253,125,0,0,0,0,0,0,0,0,0,0,0,145,253,253,252,137,0,0,0,0,0,0,0,30,227,253,190,7,0,0,0,0,0,0,0,0,0,0,66,234,253,253,220,0,0,0,0,0,0,0,0,76,253,253,153,0,0,0,0,0,0,0,0,0,0,28,235,253,253,253,38,0,0,0,0,0,0,0,59,233,253,253,117,0,0,0,0,0,0,0,0,0,0,80,253,253,253,120,2,0,0,0,0,0,0,5,187,253,253,222,22,0,0,0,0,0,0,0,0,0,8,198,253,253,172,3,0,0,0,0,0,0,0,172,253,253,253,63,0,0,0,0,0,0,0,0,0,0,79,253,253,253,104,0,0,0,0,0,0,55,183,253,253,229,93,1,0,0,0,0,0,0,0,0,0,0,136,253,253,212,20,0,0,0,0,0,10,218,253,253,236,127,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,182,0,0,46,48,67,83,165,253,253,201,37,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,234,183,183,250,253,253,253,253,229,135,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,253,253,253,253,253,253,253,195,134,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,121,253,253,253,253,204,141,35,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,17,17,17,17,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,168,253,253,253,253,186,143,191,255,253,253,244,143,230,200,56,0,0,0,0,0,0,0,0,0,0,0,49,241,252,252,252,252,252,252,252,253,252,252,252,252,252,252,146,0,0,0,0,0,0,0,0,0,0,0,0,209,252,252,252,161,153,183,166,154,153,153,153,153,67,44,17,0,0,0,0,0,0,0,0,0,0,0,0,52,237,252,252,89,0,4,2,0,0,0,0,0,0,69,19,0,0,0,0,0,0,0,0,0,0,0,0,0,104,233,252,248,99,15,0,0,0,0,5,56,141,245,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,233,252,252,178,50,0,0,74,150,252,252,248,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,175,252,252,243,122,198,249,252,252,248,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,173,252,252,253,252,252,210,136,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,204,252,253,252,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,244,252,253,252,196,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,210,253,253,240,253,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,252,252,252,44,199,252,246,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,252,161,0,31,217,252,219,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,252,246,82,0,0,96,251,252,120,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,252,175,0,0,0,0,218,252,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,175,0,0,0,0,46,252,252,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,248,246,135,10,0,0,23,252,252,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,252,252,241,154,154,163,252,252,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,170,252,253,252,252,252,252,225,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,142,253,252,252,252,228,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,193,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,193,254,253,224,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,253,224,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,253,244,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,233,41,0,0,0,0,0,31,92,92,10,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,233,50,0,0,0,0,102,183,233,252,253,131,0,0,0,0,0,0,0,0,0,0,0,0,51,233,254,253,41,0,0,0,11,173,254,253,254,253,254,151,0,0,0,0,0,0,0,0,0,0,0,0,152,252,253,212,0,0,0,41,173,252,253,212,213,252,233,50,0,0,0,0,0,0,0,0,0,0,0,0,254,253,224,20,0,0,132,253,254,253,142,102,254,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,203,0,0,163,253,252,253,130,123,243,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,214,92,214,253,254,253,152,173,254,253,163,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,253,252,253,252,253,252,233,252,233,111,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,234,253,254,253,254,233,203,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,252,253,171,91,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,170,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,141,86,198,255,141,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,29,0,0,29,198,226,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,141,0,0,0,0,141,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,86,0,0,29,29,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,226,114,170,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,86,114,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,29,86,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,86,170,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,170,0,0,170,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,114,0,0,57,226,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,29,0,0,0,57,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,141,0,0,0,0,0,114,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,86,0,0,0,0,0,29,226,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,86,0,0,0,0,0,0,114,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,86,0,0,0,0,0,0,57,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,114,0,0,0,0,0,0,0,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,57,0,0,0,0,0,86,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,141,86,86,86,198,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,114,170,198,198,170,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,118,243,255,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,228,252,252,249,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,186,252,252,189,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,252,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,252,221,43,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,255,228,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,149,236,252,243,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,142,234,252,252,122,25,0,0,0,7,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,252,252,252,210,0,0,0,76,197,212,223,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,252,252,252,32,0,0,64,248,252,253,252,215,21,0,0,0,0,0,0,0,0,0,0,0,0,9,181,255,253,247,42,0,13,170,253,253,253,255,253,215,21,0,0,0,0,0,0,0,0,0,0,0,0,114,252,253,252,162,0,0,159,252,252,235,153,180,252,183,0,0,0,0,0,0,0,0,0,0,0,0,19,220,252,253,187,19,0,116,253,252,202,44,32,222,240,81,0,0,0,0,0,0,0,0,0,0,0,0,112,252,252,234,17,0,76,248,253,252,89,34,218,253,206,0,0,0,0,0,0,0,0,0,0,0,0,22,215,252,252,126,0,116,238,252,253,157,38,218,252,243,60,0,0,0,0,0,0,0,0,0,0,0,0,26,222,253,253,55,97,222,253,253,255,144,7,66,222,106,0,0,0,0,0,0,0,0,0,0,0,0,0,47,252,252,252,170,252,252,252,252,253,121,91,206,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,234,252,252,253,252,252,252,252,253,208,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,236,252,253,252,252,252,252,98,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,75,201,252,252,210,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,241,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,216,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,254,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,208,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,255,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,255,206,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,254,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,251,254,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,212,184,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,202,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,188,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,188,253,253,164,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,246,253,253,164,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,204,254,253,116,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,187,253,243,136,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,202,253,253,178,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,193,253,253,215,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,253,253,230,71,0,0,0,0,51,164,217,188,83,0,0,0,0,0,0,0,0,0,0,0,0,0,145,247,253,253,80,0,0,0,44,217,242,253,253,253,210,15,0,0,0,0,0,0,0,0,0,0,0,37,254,254,248,44,0,0,5,139,254,254,254,254,254,254,162,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,189,44,0,0,92,253,253,248,201,253,253,242,49,0,0,0,0,0,0,0,0,0,0,0,83,252,253,253,65,0,0,92,254,253,253,48,147,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,111,6,0,132,248,254,248,97,137,250,253,79,4,0,0,0,0,0,0,0,0,0,0,0,92,238,253,217,19,0,78,231,253,233,65,137,250,253,124,8,0,0,0,0,0,0,0,0,0,0,0,27,213,253,246,81,0,134,209,253,253,48,139,244,246,93,12,0,0,0,0,0,0,0,0,0,0,0,0,19,220,253,178,0,43,194,253,253,253,123,214,253,236,39,0,0,0,0,0,0,0,0,0,0,0,0,0,19,220,253,202,155,189,253,253,253,253,255,242,209,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,142,240,253,253,253,253,253,253,253,210,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,191,191,230,200,143,61,33,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,67,220,255,254,226,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,216,254,254,248,231,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,108,252,254,254,254,245,221,219,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,231,254,245,109,254,254,223,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,241,72,254,247,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,128,254,254,250,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,254,254,211,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,254,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,239,184,37,244,248,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,232,48,0,66,243,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,173,0,0,0,202,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,54,0,0,0,84,254,207,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,250,9,0,0,0,9,210,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,169,0,0,0,0,0,198,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,184,2,0,0,0,0,198,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,58,0,0,0,0,198,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,197,0,0,0,0,198,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,209,252,154,36,0,114,252,159,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,242,254,240,218,250,228,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,170,254,254,169,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,156,254,254,188,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,125,235,253,251,248,253,239,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,199,68,51,253,186,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,127,252,253,194,7,0,48,68,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,188,2,0,0,0,0,37,75,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,242,253,182,39,0,0,0,0,48,230,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,232,253,253,42,0,0,0,0,6,198,253,253,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,119,1,0,0,0,10,210,253,253,178,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,230,17,0,0,19,95,171,253,253,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,253,202,78,128,164,250,253,253,253,253,130,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,253,253,252,250,209,253,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,94,94,94,94,59,49,104,253,253,186,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,241,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,253,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,214,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,184,253,250,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,244,253,216,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,253,216,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,137,98,1,0,0,0,0,0,17,85,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,239,13,0,0,0,0,0,141,254,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,213,237,64,0,0,0,0,0,0,176,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,6,140,248,249,145,0,0,0,0,0,0,98,254,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,32,254,217,59,0,0,0,0,0,0,13,220,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,63,223,254,59,0,0,0,0,0,0,10,176,254,243,50,0,0,0,0,0,0,0,0,0,0,0,1,101,240,242,109,5,0,0,0,0,0,7,42,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,99,254,237,60,0,0,27,55,55,64,117,198,254,254,254,114,0,0,0,0,0,0,0,0,0,0,14,171,248,254,127,88,201,201,188,195,162,60,126,237,254,254,217,26,0,0,0,0,0,0,0,0,0,0,149,254,254,254,243,231,165,41,9,6,0,0,15,211,254,254,50,0,0,0,0,0,0,0,0,0,0,0,183,254,253,195,86,0,0,0,0,0,0,0,168,254,254,211,15,0,0,0,0,0,0,0,0,0,0,0,28,48,47,0,0,0,0,0,0,0,0,0,168,254,254,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,228,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,173,255,254,254,243,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,175,243,253,253,253,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,170,253,253,253,253,253,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,237,253,253,253,253,205,211,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,238,253,253,253,236,162,11,63,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,148,243,253,253,252,161,53,0,0,63,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,8,194,253,253,253,253,226,0,0,0,0,63,253,253,182,0,0,0,0,0,0,0,0,0,0,0,0,15,192,253,253,253,253,146,5,0,0,0,0,63,253,253,116,0,0,0,0,0,0,0,0,0,0,0,20,186,253,253,253,221,52,7,0,0,0,0,0,185,253,253,116,0,0,0,0,0,0,0,0,0,0,0,167,253,253,253,253,127,0,0,0,0,0,0,23,214,253,248,85,0,0,0,0,0,0,0,0,0,0,82,237,253,253,253,72,7,0,0,0,0,0,0,183,253,253,206,0,0,0,0,0,0,0,0,0,0,78,239,253,253,252,154,2,0,0,0,0,0,0,12,224,253,253,96,0,0,0,0,0,0,0,0,0,67,245,253,253,253,161,0,0,0,0,0,0,0,4,182,253,253,230,41,0,0,0,0,0,0,0,0,0,118,253,253,253,236,53,0,0,0,0,0,0,0,125,253,253,253,144,0,0,0,0,0,0,0,0,0,0,248,253,253,231,55,0,0,0,0,0,0,12,108,247,253,253,228,45,0,0,0,0,0,0,0,0,0,0,254,253,253,198,0,0,0,0,0,0,61,176,253,253,253,226,55,0,0,0,0,0,0,0,0,0,0,0,254,253,253,211,63,63,63,63,185,199,239,253,253,253,194,55,0,0,0,0,0,0,0,0,0,0,0,0,232,253,253,253,253,253,253,253,253,253,253,253,226,75,4,0,0,0,0,0,0,0,0,0,0,0,0,0,108,240,253,253,253,253,253,253,253,248,232,217,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,156,253,253,253,253,253,130,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,170,255,170,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,198,86,86,226,170,0,198,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,0,0,0,57,255,114,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,0,0,0,86,255,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,170,0,0,0,57,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,170,0,0,0,226,226,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,86,0,0,86,226,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,170,0,0,86,57,255,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,198,0,0,57,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,114,141,255,170,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,114,0,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,205,254,254,251,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,249,253,253,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,202,249,253,253,253,253,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,202,253,253,253,188,211,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,247,253,253,238,138,10,150,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,128,246,253,253,253,167,0,0,150,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,253,236,78,13,0,0,150,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,245,253,253,235,72,0,0,0,22,235,253,251,85,0,0,0,0,0,0,0,0,0,0,0,0,28,186,246,253,253,198,73,0,0,0,0,130,253,253,210,0,0,0,0,0,0,0,0,0,0,0,0,27,205,253,253,253,235,43,0,0,0,0,9,181,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,202,253,253,253,235,73,0,0,0,0,10,151,253,253,243,30,0,0,0,0,0,0,0,0,0,0,0,108,248,253,253,236,72,0,0,0,0,0,40,253,253,249,124,0,0,0,0,0,0,0,0,0,0,0,82,250,253,253,237,71,0,0,0,0,0,56,188,253,253,210,0,0,0,0,0,0,0,0,0,0,0,20,206,253,253,238,70,0,0,0,0,0,56,228,253,253,215,35,0,0,0,0,0,0,0,0,0,0,0,208,253,253,253,138,0,0,0,0,26,64,228,253,253,249,85,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,175,10,0,0,0,58,231,253,253,253,215,85,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,104,20,20,64,150,232,253,253,253,216,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,253,253,253,253,253,220,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,253,253,253,253,253,253,251,146,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,253,253,253,253,145,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,225,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,196,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,238,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,254,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,238,3,36,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,186,0,176,223,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,254,146,0,219,254,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,250,58,77,244,242,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,234,234,36,150,254,254,200,153,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,254,254,254,254,254,254,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,254,254,254,254,247,250,209,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,135,204,218,254,254,68,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,252,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,236,219,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,204,252,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,246,252,170,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,171,252,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,249,252,164,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,253,227,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,252,126,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,245,252,233,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,246,253,217,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,183,253,255,186,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,252,252,222,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,242,252,244,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,171,252,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,252,182,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,253,223,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,225,253,252,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,204,252,253,210,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,190,252,216,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,182,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,113,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,239,252,252,244,121,148,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,252,237,248,252,253,231,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,14,124,252,253,252,244,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,252,132,2,6,117,209,252,252,238,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,240,252,133,2,0,0,93,222,133,151,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,252,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,252,252,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,239,252,196,193,193,194,71,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,252,252,252,252,253,252,185,149,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,61,149,149,255,253,253,253,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,93,252,252,213,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,194,252,252,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,236,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,252,252,225,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,252,252,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,141,252,252,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,195,238,238,238,238,240,241,252,252,252,239,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,207,207,207,215,252,253,252,252,252,168,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,103,165,163,252,252,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,78,229,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,159,253,253,193,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,91,203,253,253,202,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,254,253,135,19,0,0,0,0,26,142,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,237,254,254,124,0,0,0,0,0,85,221,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,198,251,253,253,90,2,0,0,0,0,17,234,254,253,54,0,0,0,0,0,0,0,0,0,0,0,70,207,254,253,253,102,0,0,0,0,0,5,141,240,254,98,9,0,0,0,0,0,0,0,0,0,0,68,240,253,254,253,253,203,93,9,0,0,0,80,253,253,254,23,0,0,0,0,0,0,0,0,0,0,0,231,254,254,254,254,254,254,254,120,13,0,128,254,254,254,0,0,0,0,0,0,0,0,0,0,0,0,64,251,206,115,56,23,23,173,254,236,46,102,245,253,248,73,0,0,0,0,0,0,0,0,0,0,0,0,13,46,9,0,0,0,0,17,203,253,232,240,254,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,253,254,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,254,254,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,251,253,253,56,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,125,237,253,234,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,254,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,254,255,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,243,253,253,173,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,253,236,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,220,253,177,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,191,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,172,252,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,85,85,134,185,85,123,197,198,234,252,252,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,252,252,252,253,252,252,252,253,252,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,209,113,113,114,113,163,13,29,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,171,13,0,0,0,0,0,29,252,252,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,233,37,0,0,0,0,0,29,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,196,0,0,0,0,0,0,128,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,197,0,0,0,0,0,0,141,253,244,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,65,0,0,0,0,0,0,141,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,208,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,237,178,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,97,144,236,206,230,144,148,254,254,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,230,254,253,253,253,253,253,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,254,253,171,197,154,154,154,154,154,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,157,251,253,242,77,2,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,225,253,253,166,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,108,240,253,253,253,147,123,93,12,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,159,253,253,253,253,253,253,254,253,253,149,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,249,253,253,253,253,230,176,221,253,253,253,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,253,200,124,23,0,19,62,235,253,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,111,24,0,0,0,0,0,0,197,255,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,196,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,246,253,207,29,0,0,0,0,0,0,0,0,0,0,0,0,3,100,33,0,0,0,0,0,0,0,66,217,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,197,5,0,0,0,0,0,25,130,253,253,200,107,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,232,8,0,0,0,0,28,160,254,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,253,233,160,35,16,122,210,253,254,250,199,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,158,253,253,253,253,253,253,253,253,229,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,157,250,253,253,253,253,253,220,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,191,230,249,143,61,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,104,141,241,255,253,253,253,255,228,104,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,216,252,252,252,247,196,196,221,253,252,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,246,253,252,186,118,50,0,0,25,78,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,139,190,65,6,0,0,0,0,0,179,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,179,254,253,194,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,172,252,253,240,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,209,252,252,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,241,252,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,54,229,253,254,253,253,253,242,66,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,252,252,252,253,252,252,252,253,252,149,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,187,252,214,168,168,80,56,178,252,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,28,15,0,0,0,0,4,128,252,252,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,26,0,0,0,0,0,0,0,0,0,198,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,57,206,225,0,0,0,0,0,0,0,0,13,209,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,225,0,0,0,0,0,0,0,0,144,252,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,250,75,0,0,0,0,0,0,13,206,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,38,226,254,253,128,29,0,0,0,13,204,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,228,252,252,252,169,169,169,206,253,252,233,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,149,252,252,253,252,252,252,253,170,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,65,190,253,252,252,202,128,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,4,29,66,41,129,29,29,29,29,29,117,91,0,0,0,0,0,0,0,0,88,0,0,0,0,0,0,26,179,252,252,252,253,252,252,252,253,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,222,253,252,252,252,216,252,252,252,253,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,101,246,252,253,227,103,28,16,28,28,128,253,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,251,75,0,0,0,0,48,241,255,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,215,227,75,0,0,0,0,38,172,252,253,214,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,31,0,0,0,0,10,197,252,252,244,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,252,252,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,179,254,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,253,252,170,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,240,252,253,170,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,243,252,252,190,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,206,253,252,233,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,191,252,253,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,252,252,253,151,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,253,252,252,252,184,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,252,224,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,28,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,79,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,243,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,239,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,203,0,0,0,0,16,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,223,54,0,0,0,0,156,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,255,15,0,0,0,0,196,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,15,0,0,0,32,247,60,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,197,1,0,0,0,130,249,156,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,158,0,0,0,19,200,198,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,53,5,89,172,237,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,215,250,240,136,136,181,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,120,71,24,40,241,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,200,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,242,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,62,146,248,255,255,254,107,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,133,253,253,253,253,253,253,253,151,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,94,233,253,253,251,146,94,99,147,220,232,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,253,251,187,65,0,0,0,0,0,42,46,0,0,0,0,0,0,0,0,0,0,0,0,0,14,162,247,253,253,168,0,0,0,0,0,79,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,145,253,253,251,123,3,0,0,0,33,207,252,247,38,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,251,120,0,0,0,0,35,221,253,253,241,35,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,123,0,0,6,87,172,225,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,138,125,208,234,253,241,252,253,253,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,253,253,253,253,253,135,248,253,233,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,119,161,161,161,161,161,174,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,248,253,253,214,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,201,253,253,214,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,251,253,253,108,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,182,253,253,216,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,253,240,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,192,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,242,186,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,121,190,255,76,0,0,0,54,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,91,107,107,107,192,252,252,253,247,25,0,0,54,252,251,101,0,0,0,0,0,0,0,0,0,0,90,142,248,252,252,252,252,252,252,253,252,229,154,110,232,252,252,154,0,0,0,0,0,0,0,0,0,0,240,252,252,252,252,252,252,252,252,253,252,252,240,244,252,252,252,238,0,0,0,0,0,0,0,0,0,96,249,252,252,252,252,252,252,252,252,221,249,252,252,252,252,252,252,133,0,0,0,0,0,0,0,0,0,121,252,252,252,252,252,252,204,73,227,61,242,252,252,252,252,252,232,28,0,0,0,0,0,0,0,0,0,121,252,252,252,252,252,245,78,22,133,211,252,252,252,252,252,224,120,0,0,0,0,0,0,0,0,0,0,44,244,252,252,252,252,216,27,208,208,253,252,252,252,252,246,71,0,0,0,0,0,0,0,0,0,0,0,0,240,245,252,252,252,252,196,252,252,253,252,252,252,248,118,0,0,0,0,0,0,0,0,0,0,0,0,0,114,106,252,252,252,252,252,252,252,253,252,252,209,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,253,253,253,253,253,253,255,253,209,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,144,252,252,252,252,252,252,253,150,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,178,252,252,252,252,252,252,253,241,107,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,231,252,252,252,252,252,252,253,252,252,240,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,252,252,252,213,220,253,252,252,252,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,252,252,252,252,214,221,253,252,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,231,252,252,252,252,252,252,253,252,252,252,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,109,252,252,252,252,252,252,253,252,252,243,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,168,248,252,252,252,252,253,252,121,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,210,252,181,181,120,189,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,28,48,48,48,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,95,196,198,228,231,254,254,254,242,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,127,251,254,254,254,254,254,254,254,254,254,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,254,254,254,254,254,254,229,171,143,110,67,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,212,254,254,150,22,20,20,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,254,233,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,150,251,254,246,114,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,126,254,254,254,172,50,25,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,157,254,255,254,254,254,246,230,248,214,145,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,254,254,254,254,254,254,254,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,254,254,254,189,111,52,52,69,190,254,207,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,213,202,109,17,2,0,0,0,0,131,254,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,168,254,254,191,0,0,0,0,0,0,0,0,0,0,0,0,71,240,162,0,0,0,0,0,0,0,0,66,251,254,245,34,0,0,0,0,0,0,0,0,0,0,0,0,213,254,156,0,0,0,0,0,0,0,63,252,254,254,176,11,0,0,0,0,0,0,0,0,0,0,0,0,204,254,241,152,30,7,0,6,21,107,249,254,254,231,37,0,0,0,0,0,0,0,0,0,0,0,0,0,62,231,254,254,254,197,172,192,254,254,254,254,231,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,75,240,252,254,254,254,254,254,254,254,141,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,189,237,254,254,228,94,94,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,46,46,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,123,245,156,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,157,252,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,119,253,252,252,141,4,0,0,0,0,18,22,22,22,7,0,0,0,0,0,0,0,0,0,0,0,68,190,252,253,252,212,28,0,0,0,59,134,239,253,252,252,180,18,0,0,0,0,0,0,0,0,0,36,241,252,252,174,121,29,0,0,80,211,249,252,252,253,217,147,66,0,0,0,0,0,0,0,0,0,0,103,253,253,191,45,0,0,29,175,255,253,253,243,167,45,0,0,0,0,0,0,0,0,0,0,0,0,32,237,252,231,54,0,0,87,232,252,253,252,174,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,92,0,4,136,251,252,252,223,91,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,196,81,139,252,252,236,145,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,77,244,252,252,253,252,244,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,255,253,245,78,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,252,252,252,252,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,252,252,170,126,233,252,252,250,197,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,252,182,0,0,42,111,215,253,252,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,252,103,0,0,0,0,62,253,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,250,253,42,0,0,0,0,0,148,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,252,156,0,0,0,0,36,227,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,245,252,233,153,127,127,179,253,245,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,242,253,252,252,252,252,243,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,165,252,252,252,208,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,48,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,175,251,254,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,243,252,254,243,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,214,254,254,197,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,239,254,250,156,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,225,254,255,230,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,196,254,254,242,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,244,254,254,195,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,242,254,254,203,16,0,0,0,5,6,14,40,3,0,0,0,0,0,0,0,0,0,0,0,0,0,18,198,254,254,242,33,0,0,9,131,249,254,254,254,210,91,10,0,0,0,0,0,0,0,0,0,0,0,125,254,255,254,151,0,0,0,166,254,254,254,254,254,254,254,170,0,0,0,0,0,0,0,0,0,0,114,253,254,243,157,2,0,48,229,254,254,215,181,109,164,254,254,177,0,0,0,0,0,0,0,0,17,89,248,254,245,119,0,0,0,114,254,254,187,10,0,53,235,254,234,73,0,0,0,0,0,0,0,0,71,231,254,254,173,0,0,0,104,249,254,232,29,43,167,247,254,249,50,0,0,0,0,0,0,0,0,0,164,254,254,195,36,0,0,45,213,254,254,243,182,250,254,254,206,70,0,0,0,0,0,0,0,0,0,0,194,254,255,212,30,51,40,200,254,254,254,254,254,254,165,122,19,0,0,0,0,0,0,0,0,0,0,0,112,239,255,254,254,255,254,254,254,254,254,243,187,89,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,197,244,249,252,244,251,254,254,214,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,67,0,61,137,197,197,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,110,255,202,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,110,156,227,254,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,160,251,254,254,202,85,67,204,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,93,248,253,254,178,57,4,2,4,87,246,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,229,157,147,65,2,0,8,43,164,254,162,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,94,205,254,254,194,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,245,250,254,254,254,243,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,235,250,254,254,254,241,211,135,52,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,77,3,64,77,130,234,228,254,254,254,213,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,10,103,186,237,254,253,189,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,194,250,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,242,196,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,205,223,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,213,219,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,71,153,242,250,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,158,202,254,254,185,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,169,210,245,254,202,220,167,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,190,115,62,62,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,128,169,211,214,129,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,213,253,254,254,254,254,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,244,254,254,216,218,254,219,170,24,7,174,208,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,254,128,6,7,13,7,0,0,75,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,254,30,0,0,0,0,0,29,175,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,254,129,0,0,0,0,39,224,254,254,192,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,217,254,249,50,0,0,39,223,254,254,171,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,249,254,177,8,87,223,254,254,141,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,254,254,196,249,254,233,102,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,254,254,254,166,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,183,254,254,254,108,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,235,254,254,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,234,254,189,201,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,252,254,180,33,138,254,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,168,5,0,138,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,254,45,0,0,203,254,252,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,254,111,2,76,247,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,254,254,137,214,255,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,214,254,254,254,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,133,247,235,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,230,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,239,214,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,237,167,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,197,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,247,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,240,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,236,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,237,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,61,0,0,0,0,0,34,112,167,167,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,179,0,0,0,8,128,248,250,254,254,249,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,235,0,0,0,188,254,165,53,134,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,244,235,0,0,97,249,89,9,0,94,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,243,47,1,217,254,0,0,57,238,208,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,254,91,229,254,54,134,237,169,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,97,254,254,254,254,251,245,121,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,104,222,249,254,255,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,66,184,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,29,117,241,255,253,253,203,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,128,252,252,252,253,252,252,252,244,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,210,253,252,252,252,253,252,252,252,253,240,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,246,252,253,252,164,139,28,28,28,228,190,139,31,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,253,239,150,25,0,0,0,60,191,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,252,252,227,38,0,0,0,0,38,234,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,29,234,253,252,224,94,0,0,0,0,60,209,252,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,185,252,253,252,118,0,0,0,0,151,241,252,252,252,225,0,0,0,0,0,0,0,0,0,0,0,0,7,204,253,254,146,0,26,41,141,229,253,254,253,253,253,101,0,0,0,0,0,0,0,0,0,0,0,0,19,215,252,253,234,169,243,253,252,252,252,253,252,252,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,243,253,252,252,252,253,252,252,252,253,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,40,139,139,139,28,28,28,228,253,252,252,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,241,254,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,209,252,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,252,252,253,208,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,206,252,252,241,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,216,252,252,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,252,252,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,252,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,113,113,255,253,253,237,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,147,225,246,252,252,253,252,252,252,252,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,150,227,253,252,252,252,252,196,195,195,233,252,140,0,0,0,0,0,0,0,0,0,0,0,0,0,57,234,252,252,253,226,223,208,84,0,0,0,169,252,216,113,0,0,0,0,0,0,0,0,0,0,0,0,163,252,252,252,112,12,0,0,0,0,0,0,169,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,226,253,253,112,0,0,0,0,0,0,0,57,253,253,255,168,0,0,0,0,0,0,0,0,0,0,0,0,225,252,252,158,48,0,0,57,85,86,210,231,252,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,116,252,252,252,229,197,197,234,252,253,252,252,214,227,253,167,0,0,0,0,0,0,0,0,0,0,0,0,28,115,242,252,253,252,252,233,223,225,176,84,31,153,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,112,112,189,112,37,0,0,0,0,29,252,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,253,252,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,202,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,237,141,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,178,254,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,240,253,253,247,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,253,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,253,243,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,224,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,132,253,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,253,174,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,232,253,253,224,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,191,253,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,253,208,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,243,253,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,250,253,253,192,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,245,253,253,223,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,247,253,253,244,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,155,253,251,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,121,197,253,255,253,133,190,121,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,205,248,252,252,252,253,252,252,252,252,215,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,252,252,252,253,252,252,252,252,252,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,252,252,201,172,172,173,172,172,169,252,252,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,235,252,128,0,0,0,0,0,213,252,252,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,252,245,79,0,0,0,98,242,252,184,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,239,252,199,19,20,167,244,252,185,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,252,252,203,204,252,252,201,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,191,252,252,253,252,190,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,252,252,253,195,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,253,255,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,206,252,252,252,253,247,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,245,252,242,82,97,253,252,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,252,183,0,0,140,252,188,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,241,252,115,20,0,0,25,242,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,252,252,79,0,0,0,0,240,252,231,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,252,252,176,36,0,0,0,240,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,205,252,252,242,160,160,161,247,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,133,238,247,252,252,253,252,252,248,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,126,252,253,252,202,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,67,67,102,161,209,254,254,237,153,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,246,254,254,254,254,254,254,254,254,254,244,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,150,150,150,150,56,56,56,119,211,254,254,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,248,254,228,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,248,254,250,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,152,243,254,232,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,227,254,254,228,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,183,251,254,254,192,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,189,252,254,254,254,254,200,60,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,254,254,254,255,254,254,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,95,49,0,60,95,195,254,255,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,241,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,242,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,39,0,0,0,0,0,0,0,23,216,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,238,206,0,0,0,0,0,0,10,150,254,254,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,240,96,0,0,0,0,23,172,254,254,220,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,235,254,253,245,154,151,186,248,254,254,237,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,224,254,254,254,254,254,255,254,193,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,108,191,254,254,254,160,76,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,24,24,77,98,139,139,192,245,139,139,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,187,253,253,254,253,253,253,253,254,224,207,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,156,253,196,184,122,69,69,69,69,69,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,236,77,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,247,154,57,20,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,235,254,245,221,216,208,199,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,191,137,137,180,253,254,239,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,128,236,254,212,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,188,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,185,17,0,0,0,0,0,0,0,19,220,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,177,4,0,0,0,0,0,0,0,0,208,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,216,109,0,0,0,0,0,0,0,0,0,208,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,248,170,3,0,0,0,0,0,0,0,133,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,44,0,0,0,0,0,5,68,229,236,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,222,117,0,0,0,32,87,253,234,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,174,253,250,208,208,208,229,254,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,128,202,253,253,253,253,128,23,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,29,117,241,255,253,253,253,179,10,0,13,154,253,128,4,0,0,0,0,0,0,0,0,0,0,0,51,179,252,252,252,253,252,252,252,253,196,82,94,253,252,252,153,0,0,0,0,0,0,0,0,0,0,67,234,253,252,252,214,168,93,56,56,253,252,252,252,253,252,224,94,0,0,0,0,0,0,0,0,0,0,147,252,253,227,103,15,0,0,38,113,253,252,252,252,241,139,94,0,0,0,0,0,0,0,0,0,0,0,198,253,255,203,7,0,41,166,253,253,254,253,231,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,234,253,252,149,107,253,252,252,252,247,196,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,252,252,252,253,252,252,177,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,252,252,252,241,139,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,241,254,253,253,190,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,82,234,252,253,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,187,252,252,168,224,252,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,243,252,252,0,169,252,252,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,128,4,179,253,253,239,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,28,29,252,252,252,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,252,252,116,29,252,252,252,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,215,252,240,128,252,252,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,207,253,253,254,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,215,252,253,252,252,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,252,253,252,148,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,128,140,115,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,179,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,208,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,242,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,85,44,0,0,0,0,0,0,0,0,0,177,174,0,0,0,0,0,0,0,0,0,0,0,0,5,116,207,240,223,115,0,0,0,0,0,0,0,0,177,91,0,0,0,0,0,0,0,0,0,0,0,25,172,205,97,27,24,235,0,0,0,0,0,0,0,0,224,54,0,0,0,0,0,0,0,0,0,0,0,209,206,22,0,0,0,231,0,0,0,0,0,0,0,0,255,54,0,0,0,0,0,0,0,0,0,0,86,203,19,0,0,0,85,223,0,0,0,0,0,0,0,0,254,54,0,0,0,0,0,0,0,0,0,23,238,47,0,0,0,0,145,116,0,0,0,0,0,0,0,0,254,54,0,0,0,0,0,0,0,0,0,135,171,1,0,0,0,72,248,55,0,0,0,0,0,0,0,0,202,86,0,0,0,0,0,0,0,0,0,200,79,0,0,0,31,184,144,1,0,0,0,0,0,0,0,0,142,228,14,0,0,0,0,0,0,0,18,240,31,0,0,29,183,149,11,0,0,0,0,0,0,0,0,0,22,224,175,60,0,0,0,0,0,0,24,253,31,0,40,151,93,0,0,0,0,0,0,0,0,0,0,0,0,50,159,245,191,43,6,7,7,6,10,204,196,187,167,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,116,230,231,236,241,232,242,185,125,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,45,34,46,46,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,47,140,221,255,220,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,94,94,172,204,253,253,253,253,181,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,163,253,253,253,253,253,253,229,170,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,199,253,253,253,224,157,67,67,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,160,253,253,192,65,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,217,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,225,253,251,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,195,253,253,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,158,253,253,228,132,110,110,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,245,253,253,253,253,253,253,237,120,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,253,253,213,253,253,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,200,242,163,109,20,5,45,217,253,240,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,44,0,0,0,0,0,121,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,246,253,237,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,175,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,140,225,55,0,0,0,0,0,40,233,253,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,227,46,0,0,0,0,59,222,253,253,194,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,251,253,242,218,146,121,218,248,253,253,145,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,253,253,253,253,253,253,167,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,61,149,160,253,253,253,164,46,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,139,159,253,211,138,139,212,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,68,161,161,244,253,252,252,252,252,253,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,252,252,252,252,205,69,69,135,252,253,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,252,252,252,116,21,0,0,93,252,253,252,195,9,0,0,0,0,0,0,0,0,0,0,0,0,136,250,253,252,168,43,2,0,0,0,144,252,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,81,253,253,252,135,0,0,0,0,5,138,253,253,255,253,184,0,0,0,0,0,0,0,0,0,0,0,9,197,252,252,157,0,0,0,0,15,178,252,252,252,253,252,183,0,0,0,0,0,0,0,0,0,0,0,130,252,252,252,116,0,0,57,122,191,252,252,252,252,253,252,100,0,0,0,0,0,0,0,0,0,0,0,161,252,252,252,218,93,124,244,252,253,252,252,252,252,253,172,13,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,253,252,252,252,252,253,252,252,252,252,243,50,0,0,0,0,0,0,0,0,0,0,0,0,0,116,239,253,255,253,253,253,253,255,253,253,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,217,253,252,252,252,252,253,252,252,193,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,79,183,234,252,252,253,252,170,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,215,252,253,214,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,253,255,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,228,252,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,236,252,252,252,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,221,232,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,179,254,186,104,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,244,254,253,253,253,253,193,118,118,118,192,155,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,235,137,174,186,253,254,253,253,253,253,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,253,142,0,0,3,57,214,247,253,253,253,244,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,58,23,0,0,0,0,0,49,193,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,224,254,231,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,241,253,237,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,164,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,254,253,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,231,255,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,254,228,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,217,253,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,169,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,235,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,254,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,232,253,234,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,238,154,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,191,121,121,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,108,178,242,253,253,253,253,216,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,111,253,253,254,164,159,159,234,253,236,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,253,111,2,0,0,158,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,237,196,53,53,0,0,0,0,14,165,253,206,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,66,25,0,0,0,0,0,0,0,54,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,239,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,220,255,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,94,94,94,94,45,0,0,0,123,248,253,238,59,0,0,0,0,0,0,0,0,0,0,0,0,123,214,245,253,253,253,253,233,215,157,130,247,253,236,145,0,0,0,0,0,0,0,0,0,0,0,0,86,248,253,253,253,207,193,253,253,254,253,253,253,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,236,164,66,21,27,253,253,254,253,253,253,203,18,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,115,9,0,0,49,253,253,255,253,253,253,232,67,0,0,0,0,0,0,0,0,0,0,0,0,0,145,250,253,180,161,161,219,253,253,255,242,226,226,248,234,69,10,0,0,0,0,0,0,0,0,0,0,0,0,221,253,253,253,253,253,253,246,177,62,0,0,124,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,45,162,253,253,253,168,120,57,0,0,0,0,32,120,190,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,70,219,255,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,60,126,228,254,248,172,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,207,254,254,204,111,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,170,254,178,53,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,168,254,180,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,204,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,249,237,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,254,132,60,100,29,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,209,254,254,254,254,254,254,213,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,250,199,96,76,199,250,239,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,147,90,32,0,0,0,0,226,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,128,251,206,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,42,0,0,0,0,81,181,254,231,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,208,161,161,169,233,254,254,171,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,254,254,254,238,146,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,14,34,55,14,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,124,143,143,29,41,100,143,104,143,143,129,52,72,32,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,191,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,233,252,226,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,221,253,252,252,211,120,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,252,253,252,252,252,253,119,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,252,253,252,252,252,253,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,242,252,253,148,66,252,253,252,247,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,35,11,154,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,252,252,253,35,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,233,253,253,145,0,0,0,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,149,252,252,252,20,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,252,148,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,252,108,0,0,0,0,253,252,252,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,253,253,253,108,0,0,0,63,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,252,108,0,0,32,237,253,252,220,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,252,108,0,11,150,252,253,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,252,252,252,190,84,155,252,252,253,210,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,191,253,253,253,255,253,253,253,255,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,242,252,252,253,252,252,252,119,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,221,252,253,252,246,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,190,253,128,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,59,156,239,254,254,254,255,246,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,147,220,253,254,253,253,253,245,254,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,138,211,253,253,253,254,216,144,78,48,101,92,24,0,0,0,0,0,0,0,0,0,0,0,0,0,22,181,254,253,253,216,138,57,10,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,254,245,126,5,0,0,0,0,0,0,121,239,135,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,255,246,71,0,0,0,0,0,85,254,255,249,60,0,0,0,0,0,0,0,0,0,0,0,0,0,6,114,254,253,241,69,0,0,10,118,250,253,249,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,253,241,101,138,211,253,253,222,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,149,253,253,253,254,253,240,198,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,253,253,254,207,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,239,254,254,254,255,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,95,239,253,247,236,253,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,254,247,84,40,253,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,237,253,207,32,0,24,230,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,60,0,0,152,253,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,254,254,155,0,0,49,246,254,241,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,253,253,162,13,73,226,253,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,229,253,253,224,253,253,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,227,253,254,253,253,201,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,155,216,245,126,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,129,69,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,251,254,186,99,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,75,212,112,57,101,176,230,184,76,3,0,0,0,33,77,0,0,0,0,0,0,0,0,0,0,0,27,141,113,17,0,0,0,0,43,174,248,226,185,159,184,101,5,0,0,0,0,0,0,0,0,0,0,80,130,27,0,20,12,21,38,38,21,0,24,89,74,76,9,0,0,0,0,0,0,0,0,0,0,15,144,192,169,193,221,219,239,206,205,230,245,245,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,230,148,61,0,0,7,19,5,0,0,27,115,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,20,0,0,0,0,0,0,0,0,0,0,5,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,200,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,126,181,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,92,199,148,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,98,119,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,191,255,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,122,252,249,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,252,252,247,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,252,234,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,246,252,252,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,253,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,252,252,252,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,252,252,132,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,252,252,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,250,253,252,136,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,212,253,255,218,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,252,252,249,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,234,252,252,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,252,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,244,252,252,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,245,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,252,221,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,246,253,252,233,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,252,253,235,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,252,190,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,197,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,171,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,224,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,252,253,156,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,255,253,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,161,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,224,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,241,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,246,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,190,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,118,237,221,118,118,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,101,243,253,253,230,225,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,170,253,253,253,253,191,179,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,237,253,253,253,253,160,94,235,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,238,253,253,253,236,162,11,63,253,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,243,253,253,252,236,53,0,0,63,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,250,253,253,253,154,0,0,0,0,63,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,148,250,253,253,253,146,2,0,0,0,0,122,253,253,253,0,0,0,0,0,0,0,0,0,0,0,20,183,243,253,253,221,127,7,0,0,0,0,0,199,253,253,204,0,0,0,0,0,0,0,0,0,0,0,93,253,253,253,253,127,0,0,0,0,0,0,0,199,253,253,116,0,0,0,0,0,0,0,0,0,0,156,237,253,253,253,72,7,0,0,0,0,0,0,87,239,253,238,31,0,0,0,0,0,0,0,0,0,11,217,253,253,252,154,2,0,0,0,0,0,0,0,220,253,253,143,0,0,0,0,0,0,0,0,0,4,175,253,253,253,161,0,0,0,0,0,0,0,4,64,239,253,252,93,0,0,0,0,0,0,0,0,0,118,253,253,253,253,103,0,0,0,0,0,0,0,125,253,253,253,144,0,0,0,0,0,0,0,0,0,0,173,253,253,253,164,5,0,0,0,0,0,12,182,247,253,253,228,45,0,0,0,0,0,0,0,0,0,0,254,253,253,205,11,0,0,0,0,0,120,4,158,253,253,226,55,0,0,0,0,0,0,0,0,0,0,0,254,253,253,211,63,63,63,122,199,199,229,125,230,223,191,55,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,253,253,253,253,253,253,253,253,249,208,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,232,250,253,253,253,253,253,246,232,131,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,145,253,253,253,193,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,170,254,255,254,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,164,251,232,139,23,23,144,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,199,247,162,25,0,0,0,24,253,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,199,253,151,0,0,0,0,0,15,228,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,136,0,0,0,0,0,0,0,185,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,235,181,6,0,0,0,0,0,0,0,50,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,232,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,254,139,0,0,0,0,0,0,0,0,9,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,115,0,0,0,0,0,0,0,0,174,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,81,0,0,0,0,0,0,13,181,244,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,245,160,13,0,0,5,32,116,221,248,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,221,184,185,197,253,253,254,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,216,254,254,190,101,119,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,23,23,2,22,247,216,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,248,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,249,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,236,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,255,255,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,235,253,253,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,210,253,253,183,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,242,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,233,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,234,253,253,236,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,201,253,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,253,253,194,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,236,253,253,233,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,197,253,253,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,253,158,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,239,253,253,232,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,233,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,242,253,253,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,247,253,253,92,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,233,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,205,235,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,24,108,180,253,76,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,252,252,235,206,207,117,0,0,43,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,170,44,0,0,0,0,68,246,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,252,111,0,0,0,0,26,203,252,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,246,146,0,0,74,205,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,247,253,201,34,212,253,234,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,202,252,253,244,123,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,224,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,215,252,95,253,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,212,247,94,0,255,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,252,110,0,0,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,240,50,0,0,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,245,79,0,0,0,253,252,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,250,230,0,0,0,106,253,210,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,244,50,0,9,233,255,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,243,50,66,194,252,218,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,236,253,209,234,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,252,252,218,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,178,106,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,137,255,182,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,102,253,254,202,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,222,253,253,204,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,243,253,251,137,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,228,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,228,255,254,146,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,224,253,254,130,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,222,253,253,101,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,230,253,245,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,228,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,255,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,248,254,202,9,0,0,0,0,47,127,145,145,30,0,0,0,0,0,0,0,0,0,0,0,0,0,32,213,253,254,76,0,0,0,63,211,248,253,253,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,157,4,0,15,141,254,253,253,253,253,248,68,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,26,0,59,212,253,254,181,130,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,254,80,112,254,254,254,156,68,241,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,253,253,247,253,253,249,102,27,235,253,203,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,194,253,254,253,253,250,217,218,250,208,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,183,254,253,253,253,253,254,184,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,189,253,253,246,162,72,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,157,242,215,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,101,236,254,242,207,254,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,147,236,254,227,128,35,6,207,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,231,106,16,0,0,0,200,254,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,222,214,36,0,0,0,0,0,200,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,188,13,0,0,0,0,0,201,255,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,200,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,223,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,255,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,244,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,241,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,141,141,141,79,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,157,253,252,252,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,240,252,253,252,252,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,243,252,252,253,177,177,252,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,254,253,253,241,101,0,0,163,254,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,206,253,252,233,109,0,0,0,38,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,191,252,253,233,62,0,0,0,0,0,165,252,234,59,0,0,0,0,0,0,0,0,0,0,0,0,13,206,252,252,241,59,0,0,0,0,0,0,91,252,252,139,0,0,0,0,0,0,0,0,0,0,0,0,204,253,253,253,51,0,0,0,0,0,0,0,29,253,253,190,0,0,0,0,0,0,0,0,0,0,19,107,253,252,233,145,0,0,0,0,0,0,0,0,29,252,252,215,0,0,0,0,0,0,0,0,0,0,123,252,253,252,130,0,0,0,0,0,0,0,0,0,66,252,252,214,0,0,0,0,0,0,0,0,0,76,222,252,253,151,6,0,0,0,0,0,0,0,0,0,241,252,252,90,0,0,0,0,0,0,0,0,4,179,253,253,226,38,0,0,0,0,0,0,0,0,10,128,254,253,156,0,0,0,0,0,0,0,0,0,128,252,252,252,38,0,0,0,0,0,0,0,0,0,110,252,253,240,43,0,0,0,0,0,0,0,0,0,253,252,252,214,0,0,0,0,0,0,0,0,0,132,240,252,253,109,0,0,0,0,0,0,0,0,0,0,253,252,252,40,0,0,0,0,0,0,0,51,226,243,252,252,78,9,0,0,0,0,0,0,0,0,0,0,255,253,253,53,29,16,29,29,129,29,154,253,254,247,187,13,0,0,0,0,0,0,0,0,0,0,0,0,228,252,252,252,253,215,252,252,253,252,252,252,197,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,224,252,252,253,252,252,252,253,196,130,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,28,28,140,139,103,128,28,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,166,204,189,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,238,254,250,193,169,117,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,200,255,209,25,3,217,254,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,204,21,0,5,254,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,252,249,79,0,0,45,254,254,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,217,11,0,0,95,254,228,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,201,254,166,0,0,0,95,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,254,254,19,0,0,0,182,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,166,254,167,2,0,0,58,250,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,254,15,0,0,6,207,254,212,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,254,214,2,0,0,180,254,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,224,251,67,0,0,80,245,254,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,246,0,2,89,235,251,254,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,246,0,128,254,240,62,254,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,251,157,253,239,60,32,254,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,206,254,254,239,61,0,32,254,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,214,184,27,0,0,27,245,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,250,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,230,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,161,209,254,254,255,212,128,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,254,254,254,254,254,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,220,136,56,56,204,254,254,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,241,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,90,248,254,232,143,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,204,254,254,250,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,121,254,254,254,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,172,246,254,254,254,254,197,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,254,254,254,254,254,254,254,215,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,250,208,125,66,115,233,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,201,255,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,194,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,4,0,0,0,0,0,0,0,115,254,254,218,6,0,0,0,0,0,0,0,0,0,0,0,0,0,57,238,96,0,0,0,0,0,5,69,223,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,143,0,0,0,0,32,199,254,254,254,189,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,254,252,238,151,151,231,248,254,254,251,134,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,194,252,254,254,254,254,254,255,214,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,159,226,254,173,159,66,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,55,138,138,255,253,169,138,138,76,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,84,252,252,252,253,252,252,252,252,253,194,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,252,252,189,184,183,202,252,252,253,252,234,118,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,252,227,66,4,0,0,13,45,45,211,252,252,236,19,0,0,0,0,0,0,0,0,0,0,0,0,220,253,231,48,0,0,0,0,0,0,0,13,96,221,252,22,0,0,0,0,0,0,0,0,0,0,0,155,253,255,196,0,0,0,0,0,0,0,0,0,0,123,253,86,0,0,0,0,0,0,0,0,0,0,45,236,252,144,33,0,0,0,0,0,0,0,0,0,0,70,252,137,0,0,0,0,0,0,0,0,0,0,101,252,136,0,0,0,0,0,0,0,0,0,0,0,0,101,252,137,0,0,0,0,0,0,0,0,0,81,240,252,22,0,0,0,0,0,0,0,0,0,0,0,0,184,252,43,0,0,0,0,0,0,0,0,0,161,252,168,2,0,0,0,0,0,0,0,0,0,0,0,95,246,252,22,0,0,0,0,0,0,0,0,24,253,215,21,0,0,0,0,0,0,0,0,0,0,0,3,170,253,245,21,0,0,0,0,0,0,0,0,45,252,183,0,0,0,0,0,0,0,0,0,0,0,0,118,252,252,139,0,0,0,0,0,0,0,0,0,107,252,183,0,0,0,0,0,0,0,0,0,0,0,116,253,252,202,13,0,0,0,0,0,0,0,0,0,24,252,183,0,0,0,0,0,0,0,0,0,0,76,248,253,252,89,0,0,0,0,0,0,0,0,0,0,13,211,215,21,0,0,0,0,0,0,0,0,116,238,252,253,106,6,0,0,0,0,0,0,0,0,0,0,0,162,253,211,34,0,0,0,0,0,3,118,253,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,80,240,252,252,151,47,47,47,99,170,252,252,235,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,252,252,253,252,252,252,252,253,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,88,202,253,252,252,252,252,253,252,153,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,96,252,252,252,252,243,117,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,208,255,254,254,152,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,197,242,253,253,253,253,253,215,197,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,208,252,253,253,215,114,127,217,250,253,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,253,253,146,29,0,0,26,237,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,251,253,251,60,4,0,10,95,240,253,253,180,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,248,0,0,59,203,253,253,253,176,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,239,253,249,10,99,239,253,253,242,135,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,218,253,253,253,207,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,250,133,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,253,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,22,0,0,0,29,214,253,253,253,213,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,75,219,253,253,253,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,215,253,248,187,253,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,253,85,4,215,253,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,235,253,201,9,0,181,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,187,3,0,118,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,208,253,253,128,70,240,253,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,253,251,241,253,253,205,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,253,253,242,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,119,241,253,164,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,18,18,63,137,192,124,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,103,171,254,254,254,239,219,219,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,96,172,213,254,221,201,165,83,46,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,11,97,208,254,254,186,117,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,223,60,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,243,254,141,19,0,0,0,0,0,0,0,98,218,162,88,0,0,0,0,0,0,0,0,0,0,0,0,18,254,203,3,0,0,0,0,0,2,43,169,251,249,249,247,177,0,0,0,0,0,0,0,0,0,0,0,17,245,231,37,0,0,0,0,4,133,254,201,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,151,8,0,0,0,42,254,242,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,197,254,192,73,31,6,147,241,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,199,254,254,226,202,254,213,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,41,146,250,254,254,255,223,214,214,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,254,183,141,176,254,254,253,232,154,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,231,2,0,2,5,5,182,244,254,220,93,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,245,231,0,0,0,0,0,0,13,184,246,254,116,2,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,231,0,0,0,0,0,0,0,0,162,254,254,17,0,0,0,0,0,0,0,0,0,0,0,0,0,30,216,248,99,0,0,0,0,0,0,0,66,254,254,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,246,174,84,14,0,82,84,161,216,254,254,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,111,254,254,254,225,220,254,254,254,254,174,107,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,37,135,172,254,202,135,122,17,17,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,69,187,255,214,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,221,239,254,254,254,254,217,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,242,254,254,214,162,162,235,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,196,252,254,235,51,3,0,49,233,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,155,254,254,219,26,0,0,0,74,173,138,26,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,254,254,215,12,0,0,37,0,0,0,52,247,195,0,0,0,0,0,0,0,0,0,0,0,0,0,20,211,254,215,50,0,0,0,0,0,10,94,215,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,16,250,254,151,0,0,0,0,22,116,211,254,254,251,141,0,0,0,0,0,0,0,0,0,0,0,0,0,30,251,254,195,102,178,178,141,239,254,254,254,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,177,254,254,254,254,254,208,128,189,254,254,226,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,48,48,48,48,48,3,23,221,254,248,148,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,254,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,232,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,226,254,254,107,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,167,254,254,232,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,254,246,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,228,254,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,247,254,254,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,254,243,202,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,246,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,101,199,255,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,150,224,253,253,233,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,253,159,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,168,248,253,211,29,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,152,253,253,251,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,253,215,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,165,252,253,211,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,253,236,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,220,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,239,253,253,135,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,219,253,253,161,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,238,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,246,253,253,86,37,70,84,224,88,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,253,253,192,213,253,253,253,253,248,100,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,253,253,253,253,253,253,253,253,253,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,248,253,253,253,245,191,191,191,191,191,233,253,206,23,0,0,0,0,0,0,0,0,0,0,0,0,30,215,253,253,253,253,129,8,8,8,8,51,223,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,253,253,253,253,253,253,253,253,253,253,253,227,53,0,0,0,0,0,0,0,0,0,0,0,0,9,45,102,207,253,253,253,253,253,253,253,253,250,128,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,99,244,253,253,253,253,178,99,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,159,250,125,34,34,34,34,34,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,194,253,253,253,253,253,254,253,253,213,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,253,253,253,254,253,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,253,253,180,102,10,10,91,253,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,198,198,17,0,0,0,34,253,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,197,253,253,175,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,254,253,236,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,245,255,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,203,253,254,195,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,211,254,254,237,67,0,0,0,0,0,6,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,253,82,0,0,0,0,0,0,33,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,250,253,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,228,253,253,203,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,223,253,253,200,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,253,250,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,146,253,253,253,146,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,253,253,227,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,253,192,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,244,71,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,228,255,182,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,224,181,109,223,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,217,55,11,0,145,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,243,88,0,0,0,145,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,233,23,0,0,0,145,127,0,33,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,140,0,0,0,0,53,46,0,124,228,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,254,160,0,0,0,0,0,0,82,216,238,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,245,44,0,0,0,0,123,245,207,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,239,213,24,0,38,160,245,193,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,240,151,33,228,253,129,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,254,182,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,180,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,231,143,62,217,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,216,21,0,78,248,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,18,0,0,155,207,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,156,0,0,0,182,208,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,39,0,0,4,196,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,240,0,0,0,141,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,222,110,109,186,241,240,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,130,247,253,175,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,118,23,0,0,0,0,0,0,235,255,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,104,0,0,0,0,0,71,250,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,249,253,104,0,0,0,0,0,179,253,230,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,204,253,246,57,0,0,0,0,20,214,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,91,0,0,0,0,0,193,253,243,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,251,253,205,6,0,0,0,0,76,251,253,128,11,2,0,0,0,0,0,0,0,0,0,0,0,0,49,232,253,253,42,0,0,0,0,45,231,253,253,47,90,9,0,0,0,0,0,0,0,0,0,0,0,11,180,253,253,220,9,0,0,0,10,176,253,253,124,90,159,1,0,0,0,0,0,0,0,0,0,0,4,175,253,253,253,253,198,83,0,0,61,253,253,254,172,226,163,0,0,0,0,0,0,0,0,0,0,0,167,253,253,239,229,253,253,252,190,149,213,253,253,253,253,213,28,0,0,0,0,0,0,0,0,0,0,0,209,253,243,106,37,148,246,253,253,253,253,253,253,253,217,70,0,0,0,0,0,0,0,0,0,0,0,0,160,193,63,0,0,0,52,193,253,253,253,250,166,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,250,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,252,253,237,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,236,253,250,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,244,253,236,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,251,254,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,253,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,150,238,254,255,254,255,144,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,94,94,166,247,253,253,253,253,253,253,253,236,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,253,253,230,215,114,114,114,192,236,253,240,61,0,0,0,0,0,0,0,0,0,0,0,0,0,52,170,170,170,79,23,0,0,0,0,0,49,230,253,236,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,199,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,253,253,194,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,241,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,226,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,250,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,253,244,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,251,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,235,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,192,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,59,217,254,168,204,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,103,185,235,253,254,253,235,230,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,116,254,253,253,253,253,175,167,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,185,253,254,250,213,146,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,183,253,253,193,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,239,254,244,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,95,254,253,253,156,42,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,172,253,254,253,253,253,253,206,175,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,238,253,254,253,253,253,253,254,253,240,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,111,155,155,147,88,103,58,140,253,253,221,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,193,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,45,0,0,0,0,0,0,121,244,253,237,58,0,0,0,0,0,0,0,0,0,0,0,0,0,23,230,254,42,0,0,0,0,0,83,255,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,247,222,27,0,0,10,88,207,244,254,251,135,18,0,5,3,0,0,0,0,0,0,0,0,0,0,0,109,241,253,181,175,176,211,253,253,253,254,128,0,0,0,41,27,0,0,0,0,0,0,0,0,0,0,0,23,229,253,253,253,254,253,253,247,213,95,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,155,208,253,254,245,155,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,143,254,254,254,254,255,217,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,181,254,254,254,254,254,254,254,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,215,254,237,101,18,7,50,251,254,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,177,254,213,28,0,0,0,119,254,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,254,253,84,0,0,0,34,251,254,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,254,185,0,0,0,149,221,254,254,210,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,244,254,166,0,0,0,103,253,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,254,96,0,0,0,68,252,254,237,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,254,96,0,0,25,231,254,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,254,149,18,61,235,254,254,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,246,254,242,234,254,254,254,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,254,254,254,245,224,250,254,210,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,154,191,157,39,31,248,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,254,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,197,254,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,234,254,244,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,234,212,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,131,253,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,253,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,162,253,252,192,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,132,253,254,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,102,102,162,253,252,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,173,253,254,253,254,253,254,253,214,10,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,41,163,243,253,252,253,252,253,252,253,252,253,212,142,61,82,41,203,243,0,0,0,0,0,0,0,0,31,233,254,253,254,253,254,253,254,253,214,253,254,253,254,253,254,253,254,131,0,0,0,0,0,0,0,0,132,252,253,252,253,252,253,252,233,111,10,50,71,151,213,252,253,171,50,10,0,0,0,0,0,0,0,0,193,253,255,253,255,253,244,122,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,252,253,252,233,151,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,177,253,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,252,252,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,236,252,252,183,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,252,252,185,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,198,252,252,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,252,252,192,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,252,231,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,208,252,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,252,252,174,0,0,0,21,168,129,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,252,252,99,0,0,78,229,252,252,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,215,253,228,0,0,78,255,253,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,252,252,131,0,0,220,253,252,252,252,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,252,252,131,0,65,247,253,197,126,252,252,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,252,252,131,0,78,252,253,138,157,252,223,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,252,252,131,0,61,245,253,229,237,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,252,252,169,0,0,220,253,252,252,252,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,167,252,251,143,0,67,253,252,252,237,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,219,252,235,154,154,253,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,212,252,252,252,253,252,145,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,161,252,252,191,114,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,144,130,34,34,34,34,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,172,253,254,253,253,253,253,193,177,177,177,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,218,253,253,254,253,253,253,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,253,237,73,121,121,193,249,253,253,253,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,253,253,229,125,0,0,0,0,151,253,253,236,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,165,131,31,0,0,0,0,44,242,253,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,160,253,253,227,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,253,251,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,246,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,229,253,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,221,254,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,186,17,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,92,254,253,253,143,15,0,0,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,51,234,255,253,191,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,231,253,254,186,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,232,253,253,228,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,176,253,253,249,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,240,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,143,124,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,182,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,250,253,88,0,0,0,0,0,0,0,0,0,24,163,26,0,0,0,0,0,0,0,0,0,0,0,0,210,253,188,33,0,0,0,0,0,0,0,0,0,180,253,190,0,0,0,0,0,0,0,0,0,0,0,64,252,232,4,0,0,0,0,0,0,0,0,0,49,247,253,209,0,0,0,0,0,0,0,0,0,0,0,67,253,246,58,0,0,0,0,0,0,0,0,0,0,199,253,209,0,0,0,0,0,0,0,0,0,0,0,67,253,236,19,0,0,0,0,0,0,0,0,0,44,242,253,209,0,0,0,0,0,0,0,0,0,0,0,67,253,242,43,0,0,0,0,0,0,0,0,0,56,253,253,209,0,0,0,0,0,0,0,0,0,0,0,67,253,253,155,0,0,0,0,0,0,0,0,0,124,253,253,209,0,0,0,0,0,0,0,0,0,0,0,18,221,253,215,17,0,0,0,0,0,0,0,7,193,253,253,175,0,0,0,0,0,0,0,0,0,0,0,0,162,253,253,189,10,0,0,0,0,0,0,23,253,253,249,56,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,254,254,187,111,34,34,63,101,197,255,254,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,163,253,253,253,253,253,255,253,253,253,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,82,158,253,253,253,254,253,253,253,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,10,10,10,11,10,10,137,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,253,253,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,253,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,167,215,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,155,80,89,248,145,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,173,248,254,183,195,253,209,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,218,254,254,211,189,189,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,254,194,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,254,207,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,249,254,212,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,223,254,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,218,254,254,254,243,177,140,113,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,254,254,254,254,254,254,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,235,254,254,216,204,124,105,231,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,101,149,95,12,0,0,0,174,254,240,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,254,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,226,254,238,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,3,207,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,180,224,0,0,0,0,0,0,69,254,254,232,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,254,245,56,0,0,0,0,41,231,254,252,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,254,254,236,178,91,91,128,228,254,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,110,217,254,254,254,254,254,254,254,123,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,124,205,254,254,254,156,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,154,254,255,176,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,241,253,253,253,253,244,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,146,252,253,253,171,40,161,253,237,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,140,253,253,204,87,17,0,40,253,253,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,178,9,0,0,0,4,183,253,182,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,176,253,253,143,0,0,0,0,15,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,253,253,253,143,0,0,0,15,200,253,253,210,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,174,253,253,143,0,0,21,200,253,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,253,253,182,90,128,232,253,253,253,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,253,253,253,253,253,253,253,253,169,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,152,253,253,253,253,253,253,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,159,226,226,226,246,253,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,253,253,250,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,250,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,253,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,248,253,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,130,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,95,148,149,179,209,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,253,253,254,253,253,247,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,35,35,35,155,253,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,202,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,218,253,161,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,206,253,248,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,253,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,255,208,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,113,227,245,248,253,254,172,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,167,245,253,253,253,253,253,254,253,216,101,51,0,0,0,0,0,0,0,0,0,0,0,0,0,17,161,233,253,207,214,253,253,251,170,187,253,253,253,233,128,83,53,59,209,0,0,0,0,0,0,0,0,169,253,227,122,94,232,253,235,112,0,11,89,143,233,253,253,253,253,236,136,0,0,0,0,0,0,0,0,223,253,176,210,253,253,198,77,0,0,0,0,0,24,59,130,130,130,81,0,0,0,0,0,0,0,0,0,205,253,253,253,230,112,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,145,67,61,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,253,253,253,244,118,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,206,206,206,248,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,137,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,180,253,255,211,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,252,253,252,154,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,121,69,131,227,252,154,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,137,252,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,252,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,215,252,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,253,245,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,219,240,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,253,240,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,218,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,75,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,201,229,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,245,252,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,183,252,252,199,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,252,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,252,252,245,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,252,252,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,253,252,252,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,202,253,252,145,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,253,252,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,197,253,255,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,252,252,230,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,193,252,252,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,252,252,252,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,193,252,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,70,248,252,252,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,39,141,252,252,177,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,231,252,252,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,252,252,220,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,180,247,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,235,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,214,254,254,196,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,254,254,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,254,254,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,254,140,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,237,254,254,173,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,254,230,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,251,254,254,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,254,254,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,254,254,24,116,137,211,211,113,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,254,254,234,254,254,254,254,254,216,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,254,254,254,254,254,254,254,254,187,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,254,254,254,254,254,216,179,254,254,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,254,254,254,254,254,254,111,1,108,254,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,225,254,254,254,223,185,20,0,2,207,254,231,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,234,140,56,41,74,213,254,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,183,254,254,254,254,254,254,254,254,254,249,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,181,254,254,254,254,254,254,254,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,128,165,239,254,254,254,175,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,150,206,255,246,81,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,231,253,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,23,145,250,253,241,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,237,253,250,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,210,253,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,212,253,253,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,76,209,253,253,246,98,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,63,179,253,253,253,234,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,97,134,214,253,253,253,253,227,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,253,253,253,253,253,241,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,251,155,234,253,253,253,185,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,47,5,5,0,4,64,201,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,50,121,9,0,0,0,0,0,0,0,0,89,253,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,99,0,0,0,0,0,0,0,13,181,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,245,80,7,0,0,0,0,9,187,253,253,247,34,0,0,0,0,0,0,0,0,0,0,0,0,0,31,219,253,253,166,36,0,2,89,203,253,253,245,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,216,253,253,237,218,219,253,253,253,250,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,253,253,253,253,180,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,76,198,228,149,149,67,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,134,203,237,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,71,145,249,254,253,253,101,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,167,253,253,236,218,147,96,201,201,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,165,253,253,209,49,0,0,0,170,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,155,7,0,0,0,56,230,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,153,9,0,0,0,54,231,253,253,201,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,206,253,117,12,0,41,149,233,253,253,253,229,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,253,253,253,223,218,235,254,253,253,253,155,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,136,253,253,253,253,201,145,97,253,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,46,132,86,11,6,0,25,253,230,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,255,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,249,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,37,121,201,245,232,109,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,200,254,254,254,254,254,254,213,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,212,254,254,254,250,228,253,254,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,245,254,254,210,99,65,0,240,254,255,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,171,239,107,12,0,0,170,253,254,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,233,254,254,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,254,253,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,254,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,163,244,254,254,254,239,195,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,42,133,214,252,254,254,254,254,254,254,254,252,114,16,0,0,0,0,0,0,0,0,0,0,0,0,30,148,254,254,254,254,254,254,240,129,160,229,254,254,254,149,53,0,0,0,0,0,0,0,0,0,25,189,245,254,254,254,254,254,248,182,14,0,0,11,162,254,254,254,193,0,0,0,0,0,0,0,0,15,215,254,254,254,254,254,254,187,58,0,0,0,0,0,6,142,176,153,43,0,0,0,0,0,0,0,0,192,254,254,254,254,249,227,62,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,254,254,232,176,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,140,126,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,43,43,43,254,252,146,43,43,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,140,250,250,250,252,250,250,250,250,224,85,85,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,250,250,250,250,252,250,250,250,250,252,250,250,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,250,250,250,250,252,250,250,250,250,252,250,250,195,27,0,0,0,0,0,0,0,0,0,0,0,0,0,7,41,146,110,41,41,41,41,41,41,76,250,250,250,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,250,250,250,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,250,250,250,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,250,250,250,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,210,252,250,250,110,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,43,183,252,255,252,231,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,140,250,250,250,238,166,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,250,250,250,250,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,168,252,250,250,137,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,237,250,252,250,144,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,252,252,252,252,254,252,252,112,43,43,43,43,43,43,255,182,43,43,43,0,0,0,0,0,0,0,0,252,250,250,250,250,252,250,250,250,250,252,250,250,250,250,252,250,250,250,250,0,0,0,0,0,0,0,0,252,250,250,250,250,252,250,250,250,250,252,250,250,250,250,252,250,250,165,125,0,0,0,0,0,0,0,0,112,250,250,250,250,252,250,250,250,250,252,250,250,250,250,83,83,83,27,0,0,0,0,0,0,0,0,0,7,41,41,181,250,41,41,41,41,41,41,41,41,41,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,92,254,253,254,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,173,252,253,252,253,252,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,173,254,253,254,172,102,102,123,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,253,252,213,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,253,254,253,254,172,92,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,253,252,253,252,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,253,224,203,203,223,254,253,132,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,50,20,0,0,20,172,252,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,92,193,254,50,0,0,0,0,0,0,173,253,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,213,10,0,0,0,0,0,41,253,252,253,212,20,0,0,0,0,0,0,0,0,0,0,0,0,41,255,253,234,152,52,31,11,51,132,253,254,253,244,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,253,252,253,232,213,252,253,252,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,214,253,254,253,254,253,254,253,224,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,50,151,192,233,151,151,70,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,248,255,213,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,209,253,236,136,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,242,253,244,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,236,253,253,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,186,253,253,184,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,251,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,175,253,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,248,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,233,253,253,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,253,253,145,5,0,0,48,164,200,189,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,228,29,0,0,96,246,253,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,205,0,0,62,235,253,188,222,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,205,0,7,197,253,194,17,164,253,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,205,0,86,253,244,65,0,201,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,217,16,233,253,133,0,16,218,246,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,253,94,241,231,32,63,221,253,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,250,253,252,253,229,180,251,253,185,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,253,253,253,247,157,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,58,228,253,253,168,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,149,230,243,151,101,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,198,243,254,254,254,254,254,239,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,254,249,246,254,254,255,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,244,254,254,102,150,254,254,254,232,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,254,254,149,250,254,254,233,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,243,254,254,254,254,254,232,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,254,254,254,249,170,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,188,254,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,110,254,254,254,237,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,254,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,248,254,254,254,254,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,222,254,244,86,254,254,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,242,254,254,114,6,254,254,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,147,254,254,171,6,6,254,254,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,254,232,21,0,81,254,254,225,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,254,173,0,31,224,254,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,254,106,33,156,254,254,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,254,244,236,254,254,252,121,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,239,254,254,254,254,230,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,142,223,205,82,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,175,176,219,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,82,244,254,213,144,26,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,254,254,254,254,254,195,155,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,218,254,247,234,153,134,140,240,254,244,115,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,158,50,0,0,0,0,22,128,233,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,252,244,62,0,0,0,0,0,0,0,90,254,210,5,0,0,0,0,0,0,0,0,0,0,0,0,7,202,254,97,0,0,0,0,0,0,0,0,22,241,254,10,0,0,0,0,0,0,0,0,0,0,0,0,36,254,238,32,0,0,0,0,0,0,0,0,0,156,254,10,0,0,0,0,0,0,0,0,0,0,0,0,158,254,111,0,0,0,0,0,0,0,0,0,0,235,185,3,0,0,0,0,0,0,0,0,0,0,0,65,254,240,20,0,0,0,0,0,0,0,0,0,80,247,93,0,0,0,0,0,0,0,0,0,0,0,0,107,254,177,0,0,0,0,0,0,0,0,0,13,192,217,0,0,0,0,0,0,0,0,0,0,0,0,0,165,250,61,0,0,0,0,0,0,0,0,0,149,254,96,0,0,0,0,0,0,0,0,0,0,0,0,9,241,234,0,0,0,0,0,0,0,0,0,32,239,181,3,0,0,0,0,0,0,0,0,0,0,0,0,11,254,234,0,0,0,0,0,0,0,0,5,160,210,25,0,0,0,0,0,0,0,0,0,0,0,0,0,50,254,234,0,0,0,0,0,0,0,6,118,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,254,234,0,0,0,0,0,0,4,198,254,173,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,172,253,137,4,0,0,0,41,216,254,173,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,184,91,41,107,228,253,140,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,143,240,254,254,250,252,246,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,154,227,254,217,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,155,250,178,97,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,179,250,254,254,254,254,236,187,65,11,11,82,111,32,0,0,0,0,0,0,0,0,0,0,0,0,69,207,254,254,254,153,189,253,254,254,254,254,254,254,254,164,0,0,0,0,0,0,0,0,0,0,0,5,207,254,254,244,161,8,0,34,118,247,254,254,254,254,254,118,0,0,0,0,0,0,0,0,0,0,0,11,254,254,232,88,0,0,0,0,0,50,164,200,254,254,254,65,0,0,0,0,0,0,0,0,0,0,0,5,125,125,49,0,0,0,0,0,0,0,2,131,254,254,171,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,254,223,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,231,254,251,113,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,233,254,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,233,254,254,173,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,254,254,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,251,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,105,254,254,245,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,179,254,254,240,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,254,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,242,254,254,175,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,223,254,254,254,181,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,254,247,172,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,221,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,102,102,102,102,102,102,195,102,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,202,202,252,254,254,254,254,254,254,254,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,252,254,254,254,236,108,108,108,108,108,206,254,228,54,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,254,20,6,0,0,0,0,0,171,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,233,12,0,0,0,0,0,0,147,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,116,0,0,0,0,0,0,0,16,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,99,221,145,7,0,0,0,0,0,0,0,16,254,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,16,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,254,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,176,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,254,226,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,234,254,207,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,215,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,255,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,104,254,252,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,196,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,238,253,253,150,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,65,185,253,253,231,114,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,253,241,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,233,253,253,240,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,233,253,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,160,253,253,253,169,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,100,253,253,253,235,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,235,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,234,253,253,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,208,253,253,253,233,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,107,253,253,253,233,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,253,253,253,222,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,222,253,253,253,226,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,253,253,155,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,115,244,253,253,235,124,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,150,253,253,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,248,253,253,235,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,145,253,253,174,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,97,173,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,210,254,253,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,227,44,218,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,42,222,186,58,0,210,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,253,130,12,0,0,140,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,238,43,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,250,60,0,2,41,174,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,180,59,168,253,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,146,253,253,177,230,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,33,33,15,210,166,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,155,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,171,252,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,187,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,215,240,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,165,198,254,255,236,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,199,251,254,254,254,254,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,194,252,254,254,215,140,88,63,246,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,199,254,254,219,87,9,0,0,35,199,247,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,175,254,247,159,25,0,0,0,0,38,223,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,254,254,117,0,0,0,0,4,98,228,254,235,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,254,94,0,0,0,36,179,254,254,236,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,235,254,119,0,13,126,252,254,254,161,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,249,153,229,254,254,179,79,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,168,254,254,254,232,103,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,196,254,254,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,215,254,217,202,254,153,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,220,254,221,28,17,232,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,251,55,0,0,223,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,238,248,55,0,0,60,242,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,231,0,0,0,166,254,254,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,254,235,11,0,51,245,254,181,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,249,254,149,57,203,254,249,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,254,254,254,246,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,153,254,254,228,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,150,102,47,47,47,29,0,0,51,255,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,225,253,253,253,253,232,197,197,227,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,232,241,253,253,253,253,253,253,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,44,67,67,67,67,67,209,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,185,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,191,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,185,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,244,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,128,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,0,0,128,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,191,64,0,0,0,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,64,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,64,0,0,0,0,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,191,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,191,0,0,0,0,0,64,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,191,0,0,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,0,0,0,0,0,0,64,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,64,0,0,0,0,0,64,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,128,0,0,0,0,0,191,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,128,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,64,0,64,128,255,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,118,118,118,192,118,118,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,127,234,245,253,253,253,253,253,253,242,166,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,128,253,253,253,253,253,253,253,253,253,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,253,253,253,253,225,138,61,61,87,198,229,253,228,148,12,0,0,0,0,0,0,0,0,0,0,0,35,192,253,253,248,136,40,0,0,0,0,0,51,236,253,253,73,0,0,0,0,0,0,0,0,0,0,0,254,253,253,250,132,0,0,0,0,0,0,0,0,50,238,253,191,0,0,0,0,0,0,0,0,0,0,0,254,253,253,128,0,0,0,0,0,0,0,0,0,0,51,123,93,0,0,0,0,0,0,0,0,0,0,0,254,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,253,253,217,114,66,0,0,0,0,51,69,69,69,200,87,15,0,0,0,0,0,0,0,0,0,0,0,32,213,253,253,253,249,186,186,186,186,235,253,253,253,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,34,129,247,253,253,253,253,253,253,253,253,253,253,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,128,246,250,253,251,246,246,156,109,109,246,253,193,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,129,84,0,0,0,0,0,241,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,193,253,244,188,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,193,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,207,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,242,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,176,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,236,252,253,253,253,249,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,82,243,254,232,126,148,253,243,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,162,253,253,177,30,0,4,119,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,246,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,157,254,243,71,0,0,0,11,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,158,254,241,106,0,0,0,103,225,239,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,243,137,0,0,0,95,244,253,250,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,181,4,32,109,173,254,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,253,233,196,253,253,253,254,253,240,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,233,255,254,254,228,254,255,254,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,18,18,18,48,253,254,182,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,241,253,216,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,200,253,242,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,253,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,224,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,233,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,246,253,167,0,0,0,0,0,0,0,0,0,0,22,168,0,0,0,0,0,0,0,0,0,0,0,1,131,251,181,46,0,0,0,0,0,0,0,0,0,15,199,253,0,0,0,0,0,0,0,0,0,0,20,126,253,134,0,0,0,0,0,0,0,0,0,0,0,33,253,253,0,0,0,0,0,0,0,0,0,0,148,253,253,54,0,0,0,0,0,0,0,0,0,0,0,33,253,172,0,0,0,0,0,0,0,0,0,120,250,252,128,3,0,0,0,0,0,0,0,0,0,0,0,129,253,140,0,0,0,0,0,0,0,0,8,197,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,37,0,0,0,0,0,0,0,0,122,253,212,24,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,37,0,0,0,0,0,0,0,0,246,249,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,37,0,0,0,0,0,0,0,0,254,194,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,37,0,0,0,0,0,0,0,0,254,253,71,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,253,37,0,0,0,0,0,0,0,0,143,253,149,9,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,37,0,0,0,0,0,0,0,0,13,207,253,184,41,0,0,0,0,0,0,0,15,35,60,133,202,253,237,29,0,0,0,0,0,0,0,0,0,68,200,253,238,206,138,98,98,98,98,199,217,233,253,187,237,253,141,0,0,0,0,0,0,0,0,0,0,0,5,94,226,251,253,253,253,248,180,171,119,77,10,4,211,222,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,147,188,181,64,0,0,0,0,0,45,240,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,235,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,202,230,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,188,253,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,188,253,253,188,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,202,253,253,164,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,228,254,253,164,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,239,253,254,201,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,193,253,253,234,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,253,253,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,248,253,253,137,0,0,0,41,150,188,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,223,253,253,137,5,0,30,154,238,253,253,252,183,0,0,0,0,0,0,0,0,0,0,0,0,0,13,216,254,254,195,0,0,159,254,254,255,254,254,254,210,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,253,217,30,0,154,254,253,198,87,215,253,253,132,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,131,18,182,248,254,155,8,66,253,253,201,17,0,0,0,0,0,0,0,0,0,0,0,0,96,253,253,207,30,202,253,253,164,9,66,244,253,207,15,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,93,146,253,253,229,70,155,253,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,211,249,253,253,230,231,253,253,253,124,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,253,253,253,253,253,253,254,250,199,74,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,252,253,253,253,253,253,253,147,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,253,253,196,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,167,253,253,166,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,113,113,113,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,85,101,225,226,249,252,252,252,241,225,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,246,252,252,252,253,252,252,252,252,253,252,239,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,252,252,249,223,225,223,114,84,84,146,249,252,227,13,0,0,0,0,0,0,0,0,0,0,0,0,0,50,237,220,99,0,0,0,0,0,0,0,146,252,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,31,0,0,0,0,0,0,0,0,85,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,219,252,226,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,57,222,252,239,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,215,252,253,127,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,234,252,242,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,222,252,239,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,153,253,252,102,0,0,0,0,0,0,0,29,29,138,153,29,0,0,0,0,0,0,0,0,0,0,0,29,252,253,204,25,0,0,0,0,0,16,140,253,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,170,253,255,106,0,0,0,114,113,222,253,253,255,253,228,126,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,103,85,101,225,253,252,252,252,252,168,121,21,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,253,252,252,252,252,253,233,195,102,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,252,253,252,252,249,223,162,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,112,112,112,112,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,134,214,255,254,218,138,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,185,234,253,253,253,253,253,253,181,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,184,253,253,253,231,217,217,230,253,253,25,25,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,253,253,233,126,26,0,0,89,253,253,25,171,251,145,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,253,96,0,0,0,0,80,252,253,236,247,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,253,88,0,0,0,0,92,249,253,253,253,221,98,0,0,0,0,0,0,0,0,0,0,0,0,0,94,253,253,182,3,4,16,177,246,253,253,231,107,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,203,253,253,137,184,253,253,253,220,117,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,253,253,253,250,133,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,242,253,253,253,171,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,238,253,253,253,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,76,243,253,251,222,253,253,127,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,154,253,253,192,71,63,253,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,156,253,253,240,36,0,4,215,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,253,79,0,0,0,181,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,250,123,2,0,0,31,223,253,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,242,73,0,0,32,156,253,253,227,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,251,253,242,207,187,235,253,253,253,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,253,253,253,253,252,175,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,104,184,253,253,204,125,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,111,236,254,254,190,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,163,221,253,253,131,77,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,242,253,254,227,111,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,202,253,253,179,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,253,253,253,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,176,253,253,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,228,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,132,248,254,155,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,255,253,228,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,197,254,245,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,242,253,203,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,249,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,181,253,241,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,180,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,194,194,21,79,122,218,245,253,249,79,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,253,253,253,253,229,180,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,253,250,176,176,80,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,167,215,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,88,213,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,252,252,252,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,252,252,252,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,252,252,212,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,170,252,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,252,238,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,231,252,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,252,236,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,252,253,252,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,242,253,255,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,239,252,252,228,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,252,252,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,216,252,252,252,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,252,252,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,241,252,252,252,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,252,210,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,252,252,252,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,252,252,160,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,165,142,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,130,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,166,254,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,254,245,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,26,0,0,0,0,0,212,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,236,66,0,0,0,52,239,241,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,198,0,0,0,82,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,227,254,113,0,0,0,106,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,130,22,0,0,0,206,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,230,254,80,0,0,0,0,206,254,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,182,254,221,20,0,0,0,57,243,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,153,254,254,245,199,199,169,75,128,254,254,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,254,254,254,254,254,254,254,254,254,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,254,199,85,43,43,134,233,254,254,224,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,182,14,0,0,0,0,28,207,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,30,12,0,0,0,0,0,61,248,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,254,219,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,255,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,160,253,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,155,252,252,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,252,252,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,174,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,252,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,245,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,252,221,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,253,252,227,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,240,253,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,160,253,255,239,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,103,252,252,249,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,221,252,252,209,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,122,252,252,210,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,252,252,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,202,253,253,203,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,240,253,252,221,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,252,233,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,235,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,243,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,132,152,233,193,233,193,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,233,252,253,252,253,252,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,254,253,183,102,0,41,173,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,212,0,0,0,0,10,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,224,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,151,0,0,0,21,113,152,132,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,151,0,0,82,223,233,192,253,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,244,40,11,132,254,172,0,0,92,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,162,0,173,252,213,10,0,0,31,232,223,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,132,173,254,172,0,0,0,0,0,203,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,252,213,10,0,0,0,0,0,203,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,244,162,41,0,0,0,0,0,11,213,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,40,0,0,0,0,0,0,0,92,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,21,214,253,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,162,0,0,0,0,0,0,0,82,223,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,103,0,0,0,0,0,153,233,255,233,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,20,0,0,0,123,203,253,252,172,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,153,112,153,233,255,233,142,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,192,253,252,253,212,131,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,56,56,127,155,155,155,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,134,230,254,254,254,254,254,254,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,237,254,254,254,222,158,104,212,243,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,239,254,254,192,107,18,0,0,13,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,236,254,254,183,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,254,254,199,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,251,254,235,58,54,86,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,207,254,254,254,243,249,254,245,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,238,254,254,254,254,254,254,254,239,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,254,236,204,124,42,10,205,254,222,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,222,194,55,0,0,0,0,128,254,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,250,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,22,0,0,0,0,0,0,0,6,170,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,65,190,210,10,0,0,0,0,0,0,0,113,245,254,215,10,0,0,0,0,0,0,0,0,0,0,0,111,242,254,93,0,0,0,0,0,0,2,143,243,254,254,104,0,0,0,0,0,0,0,0,0,0,0,0,134,248,254,151,135,45,36,36,113,234,236,254,254,254,126,6,0,0,0,0,0,0,0,0,0,0,0,0,0,175,254,254,254,254,254,254,254,254,254,254,249,98,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,146,254,254,254,254,254,254,228,207,47,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,55,55,55,55,55,55,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,253,255,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,190,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,145,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,252,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,215,253,235,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,252,253,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,197,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,241,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,252,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,252,252,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,251,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,255,253,216,141,141,141,141,141,141,116,29,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,252,252,252,253,252,252,252,253,252,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,252,186,168,168,168,168,243,253,252,252,252,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,151,6,0,0,0,0,25,153,252,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,0,0,0,0,0,0,13,254,253,253,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,252,233,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,246,253,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,210,252,253,151,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,179,253,253,251,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,252,252,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,175,253,252,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,154,253,254,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,252,253,189,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,234,252,252,194,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,252,252,252,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,253,244,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,253,151,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,214,253,253,253,255,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,214,251,251,251,251,253,244,111,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,235,188,251,251,253,251,251,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,229,66,16,31,31,189,236,251,244,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,158,0,0,0,0,0,190,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,131,191,236,251,223,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,158,251,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,182,236,251,251,253,204,109,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,251,251,251,193,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,230,253,253,253,195,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,141,228,251,253,205,111,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,204,253,251,251,141,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,91,236,251,251,232,64,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,251,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,12,12,32,16,28,32,92,190,221,251,251,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,173,174,251,188,236,251,253,251,251,251,251,126,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,251,251,251,253,204,188,148,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,94,253,251,251,251,152,95,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,81,205,200,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,201,254,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,131,239,254,254,252,147,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,179,254,254,254,219,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,254,254,210,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,86,241,254,254,230,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,254,254,254,197,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,232,254,254,236,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,254,239,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,245,254,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,60,251,254,250,158,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,211,254,254,201,26,0,0,0,57,60,148,168,168,125,2,0,0,0,0,0,0,0,0,0,0,0,0,46,211,254,250,60,0,0,63,137,252,254,254,254,254,254,51,0,0,0,0,0,0,0,0,0,0,0,0,219,254,254,139,6,65,143,251,254,254,248,249,254,254,243,4,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,92,148,254,254,255,254,184,78,219,254,238,113,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,236,254,254,254,232,112,21,222,254,254,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,254,254,254,254,254,254,230,181,251,254,254,167,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,211,254,254,254,254,254,254,254,254,238,184,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,103,227,254,254,254,254,231,146,136,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,255,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,87,0,0,0,0,68,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,210,253,22,0,0,0,16,250,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,233,19,0,0,0,16,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,247,253,123,0,0,0,0,16,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,243,82,26,100,239,239,240,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,153,253,245,185,206,253,253,253,253,253,199,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,253,253,253,253,253,253,253,253,253,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,198,253,253,253,253,182,68,22,179,253,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,253,236,150,7,0,0,21,180,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,253,68,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,135,8,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,201,153,5,0,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,224,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,215,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,222,254,254,187,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,208,227,215,215,228,247,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,19,0,8,188,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,243,253,183,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,82,243,253,239,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,216,253,253,246,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,82,238,253,253,200,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,109,205,254,253,248,130,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,188,250,253,253,254,239,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,254,254,254,254,255,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,215,159,111,28,191,253,238,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,249,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,246,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,207,63,0,0,0,0,35,247,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,117,243,184,21,0,0,0,20,182,254,250,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,242,249,56,0,0,0,82,201,253,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,226,252,216,99,133,217,252,253,232,172,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,246,253,253,253,253,253,183,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,221,253,253,186,138,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,139,218,255,243,73,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,209,253,253,253,253,253,149,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,242,253,239,115,74,198,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,245,244,171,7,0,0,11,205,253,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,164,0,0,0,0,0,93,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,245,253,188,0,0,0,0,0,66,253,250,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,229,161,0,0,0,0,0,66,253,233,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,30,0,0,0,0,0,0,66,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,124,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,253,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,93,93,61,0,0,0,0,0,0,67,253,216,3,0,0,0,0,0,0,0,0,0,0,0,0,13,148,243,253,253,248,185,108,14,0,0,51,242,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,185,253,234,194,194,194,249,253,222,11,0,98,253,210,15,0,0,0,0,0,0,0,0,0,0,0,0,62,247,237,60,0,0,0,104,253,253,199,33,98,253,101,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,107,0,0,0,0,1,103,248,253,247,247,216,4,0,0,0,0,0,0,0,0,0,0,0,0,0,57,245,187,17,0,0,0,0,0,154,253,253,228,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,154,0,0,0,0,90,245,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,240,252,147,33,70,194,252,253,226,253,252,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,253,253,253,238,183,18,163,226,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,72,242,253,170,145,68,0,0,9,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,171,254,254,255,254,254,224,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,220,253,253,253,253,253,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,211,253,253,249,144,139,139,139,139,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,217,253,253,171,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,253,191,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,242,253,210,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,231,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,165,253,253,235,128,87,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,249,249,253,249,233,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,205,253,253,253,253,253,202,212,253,205,89,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,194,253,253,253,248,161,76,4,39,197,253,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,154,250,232,158,15,0,0,0,6,203,253,248,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,6,106,253,253,216,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,217,253,253,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,137,253,253,251,123,0,0,0,0,0,0,0,0,0,0,0,0,10,143,204,0,0,0,0,0,0,0,91,249,253,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,204,42,0,0,0,0,102,211,245,253,253,128,20,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,253,232,141,141,161,249,253,253,253,237,170,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,108,245,253,253,253,253,253,253,253,198,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,253,253,253,147,37,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,226,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,114,226,255,255,255,255,226,141,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,255,255,198,170,226,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,255,141,0,0,0,141,255,255,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,255,170,0,0,0,0,0,29,114,226,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,226,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,57,0,86,141,114,170,86,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,170,255,255,255,255,255,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,29,255,255,255,114,29,29,114,255,226,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,86,255,170,0,0,0,0,0,57,255,255,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,255,198,29,29,0,0,0,0,0,0,114,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,255,29,0,0,0,0,0,0,0,29,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,198,86,0,0,0,0,0,29,226,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,170,86,57,86,57,255,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,255,255,255,255,255,255,255,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,198,226,255,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,184,242,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,254,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,66,73,0,0,0,0,0,0,0,0,0,111,254,241,40,0,0,0,0,0,0,0,0,0,0,0,0,154,252,253,64,0,0,0,0,0,0,17,196,253,228,21,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,254,94,0,0,0,0,0,0,82,254,254,196,5,0,0,0,0,0,0,0,0,0,0,0,0,20,202,254,215,12,0,0,0,0,0,7,230,254,250,53,0,0,0,0,0,0,0,0,0,0,0,0,54,245,254,254,16,0,0,0,0,0,0,175,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,21,201,254,254,174,2,0,0,0,0,0,27,209,254,236,48,6,10,0,0,0,0,0,0,0,0,0,21,203,254,254,206,22,0,0,0,0,0,0,170,254,254,118,4,198,125,0,0,0,0,0,0,0,0,0,244,254,254,254,121,32,0,0,0,0,0,128,253,254,127,136,219,228,23,0,0,0,0,0,0,0,0,0,255,254,254,254,254,237,150,75,44,15,20,208,254,254,254,254,253,188,6,0,0,0,0,0,0,0,0,0,177,177,106,156,254,254,254,254,254,254,254,254,254,254,254,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,101,183,219,254,254,254,254,254,230,207,51,19,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,60,222,254,254,254,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,175,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,247,254,240,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,254,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,238,254,223,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,254,212,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,246,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,228,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,252,243,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,13,0,0,0,0,0,0,0,26,244,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,231,113,0,0,0,0,0,0,0,0,169,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,113,0,0,0,0,0,0,0,0,169,252,252,38,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,113,0,0,0,0,0,0,0,0,119,252,252,113,0,0,0,0,0,0,0,0,0,0,0,0,7,204,253,214,0,0,0,0,0,0,0,0,57,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,113,0,0,0,0,0,0,0,0,32,228,252,225,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,25,0,0,0,0,0,0,0,0,13,209,252,225,0,0,0,0,0,0,0,0,0,0,0,0,157,252,252,0,0,38,113,114,38,0,0,0,0,197,252,225,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,255,253,253,253,254,253,253,253,254,253,253,253,229,10,0,0,0,0,0,0,0,0,0,0,0,144,252,252,253,252,252,252,247,234,252,252,253,252,252,252,253,122,13,0,0,0,0,0,0,0,0,0,0,13,143,168,156,56,56,56,50,38,56,56,56,130,234,252,253,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,253,252,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,252,178,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,191,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,128,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,128,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,64,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,255,64,0,0,0,0,128,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,128,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,191,0,0,0,0,0,0,128,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,255,128,0,0,0,0,0,0,64,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,64,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,128,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,191,0,64,128,255,255,255,255,255,255,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,255,191,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,191,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,196,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,222,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,164,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,251,183,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,193,234,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,164,15,0,0,9,130,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,247,234,57,0,0,0,38,254,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,242,247,47,0,0,0,0,108,247,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,192,254,117,0,0,0,0,42,244,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,197,5,0,0,0,0,129,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,241,251,38,0,0,0,0,74,254,224,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,254,116,0,0,0,0,0,157,254,188,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,219,245,6,0,0,0,0,79,249,218,19,0,0,0,0,173,179,39,0,0,0,0,0,0,0,0,0,0,219,252,144,61,19,19,54,167,254,193,69,114,114,130,207,240,242,87,0,0,0,0,0,0,0,0,0,0,66,254,254,254,254,254,254,254,254,255,254,254,254,254,216,137,31,0,0,0,0,0,0,0,0,0,0,0,2,48,131,197,197,197,231,254,232,198,114,103,103,16,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,240,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,246,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,233,0,0,0,0,0,0,0,0,153,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,252,253,151,0,0,0,0,0,0,21,142,253,232,0,0,0,0,0,0,0,0,0,0,0,0,31,193,254,253,142,0,0,0,0,0,0,0,52,253,255,172,0,0,0,0,0,0,0,0,0,0,0,41,173,252,253,212,20,0,0,0,0,0,0,41,173,252,253,50,0,0,0,0,0,0,0,0,0,0,11,173,254,253,244,40,0,0,0,0,0,0,31,173,254,253,123,0,0,0,0,0,0,0,0,0,0,41,173,252,253,252,162,0,0,0,0,0,0,0,152,252,253,252,0,0,0,0,0,0,0,0,0,0,113,233,254,253,254,253,234,30,0,0,0,0,0,21,254,253,244,122,0,0,0,0,0,0,0,0,0,0,253,252,253,252,253,252,253,172,0,0,0,0,21,203,253,252,203,0,0,0,0,0,0,0,0,0,0,0,214,233,123,0,21,183,254,253,193,51,0,0,214,253,254,253,193,30,0,0,0,0,0,0,0,0,0,0,10,30,0,0,0,0,213,252,253,232,102,142,253,252,253,252,213,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,253,254,253,254,253,254,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,131,252,253,252,253,252,91,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,212,253,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,50,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,123,183,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,252,252,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,253,252,251,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,239,253,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,252,253,217,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,252,252,239,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,242,252,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,252,252,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,252,252,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,253,253,190,0,0,0,22,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,252,189,0,0,100,221,237,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,252,252,98,66,233,247,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,217,252,253,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,252,253,252,252,226,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,255,253,223,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,252,253,189,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,252,252,252,152,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,252,252,236,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,200,244,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,230,151,151,151,151,151,151,194,151,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,248,254,254,254,254,254,254,254,254,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,220,255,254,179,114,114,131,218,252,254,255,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,254,234,28,0,0,0,0,240,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,253,129,0,0,0,0,57,247,254,233,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,78,73,0,0,0,0,30,236,254,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,183,254,254,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,247,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,225,254,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,176,254,254,200,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,254,221,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,237,254,238,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,233,254,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,186,254,254,150,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,251,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,247,254,249,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,206,254,250,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,176,254,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,254,254,238,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,227,201,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,134,203,179,111,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,145,249,254,253,253,253,198,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,240,253,253,235,220,253,253,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,84,238,253,253,207,41,9,102,237,253,194,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,230,83,4,0,0,0,169,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,236,253,194,112,0,0,0,0,0,169,253,232,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,229,32,0,0,0,0,0,0,169,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,242,230,54,0,0,0,0,0,0,14,202,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,217,219,26,0,0,0,0,0,0,37,253,227,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,253,245,46,0,0,0,0,0,152,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,254,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,105,253,214,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,157,163,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,246,253,254,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,254,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,181,187,253,190,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,48,48,0,25,253,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,171,253,216,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,217,253,247,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,219,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,111,0,0,0,0,0,0,0,0,4,114,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,169,189,0,0,0,0,0,0,0,0,101,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,31,221,252,189,0,0,0,0,0,0,0,16,226,252,146,0,0,0,0,0,0,0,0,0,0,0,0,0,218,252,252,119,0,0,0,0,0,0,29,232,252,236,31,0,0,0,0,0,0,0,0,0,0,0,27,194,253,252,190,14,0,0,0,0,0,0,175,252,252,145,0,0,0,0,0,0,0,0,0,0,0,31,218,253,254,186,9,0,0,0,0,0,0,80,254,253,170,0,0,0,0,0,0,0,0,0,0,0,29,213,252,252,253,63,0,0,0,0,0,0,48,242,253,252,91,0,0,0,0,0,0,0,0,0,0,13,187,252,252,252,253,123,2,0,0,0,0,2,124,252,253,122,2,0,0,0,0,0,0,0,0,0,0,218,252,252,252,252,253,252,47,0,0,0,0,92,252,252,243,47,0,0,0,0,0,0,0,0,0,0,0,253,252,244,77,86,253,252,223,106,62,0,36,223,252,252,79,0,0,0,0,0,0,0,0,0,0,0,0,18,106,9,0,0,237,253,253,253,253,237,227,253,253,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,231,252,252,252,253,252,252,252,252,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,118,202,252,253,252,251,205,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,252,253,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,252,253,252,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,255,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,252,252,186,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,251,252,244,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,252,252,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,147,121,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,53,178,254,241,144,53,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,253,254,253,253,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,223,154,154,223,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,128,0,0,71,253,241,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,136,61,0,0,67,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,131,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,139,253,249,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,79,198,254,253,171,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,253,254,253,253,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,143,47,33,187,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,254,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,131,253,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,55,0,0,5,188,253,253,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,153,45,79,198,255,242,118,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,253,253,253,210,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,191,143,143,47,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,93,148,236,254,253,245,122,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,216,247,252,252,253,252,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,240,222,126,170,129,226,252,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,114,252,252,236,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,236,252,244,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,52,218,253,254,204,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,85,146,211,252,252,252,204,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,180,237,252,253,252,252,252,252,119,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,252,252,252,253,252,252,252,252,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,147,182,147,86,77,138,138,252,253,203,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,255,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,211,253,252,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,119,249,253,245,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,252,252,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,9,106,150,0,0,0,0,0,0,116,232,252,252,191,54,0,0,0,0,0,0,0,0,0,0,0,0,68,201,253,174,0,0,0,11,130,210,253,253,253,236,45,0,0,0,0,0,0,0,0,0,0,0,0,112,237,252,205,11,0,64,94,206,252,253,252,252,231,54,0,0,0,0,0,0,0,0,0,0,0,0,0,139,252,252,247,232,233,247,252,252,252,250,196,73,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,184,252,252,252,253,252,252,252,199,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,95,173,252,191,147,94,42,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,221,176,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,158,169,0,0,5,70,108,183,240,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,241,212,44,0,0,0,0,0,3,178,217,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,248,36,0,0,0,0,0,0,0,98,254,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,233,13,0,0,0,0,0,0,0,181,228,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,255,44,0,0,0,0,0,0,38,228,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,254,128,0,0,0,0,0,8,204,233,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,206,6,0,0,0,0,159,250,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,251,145,0,0,0,89,243,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,242,39,0,53,248,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,243,203,27,255,212,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,251,242,238,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,149,253,253,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,253,188,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,191,14,233,255,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,209,182,9,0,129,254,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,179,217,22,0,0,136,254,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,186,15,10,32,238,222,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,169,254,237,217,253,220,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,220,255,255,247,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,157,241,251,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,232,253,253,253,253,253,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,151,254,253,253,253,253,253,253,253,242,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,231,253,254,253,253,232,81,201,253,253,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,229,253,253,254,253,155,45,15,201,253,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,11,69,228,253,253,253,254,88,8,0,89,253,253,235,34,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,253,253,253,239,164,5,0,0,201,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,125,231,253,253,252,233,50,0,0,0,0,201,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,253,253,226,0,0,0,0,0,43,229,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,158,254,254,254,150,0,0,0,0,0,0,81,254,254,235,49,0,0,0,0,0,0,0,0,0,0,0,103,252,253,253,253,80,0,0,0,0,0,40,224,253,253,156,0,0,0,0,0,0,0,0,0,0,0,45,232,253,253,228,131,8,0,0,0,0,0,94,253,253,205,8,0,0,0,0,0,0,0,0,0,0,0,234,253,253,253,186,0,0,0,0,0,0,0,207,253,253,199,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,232,67,0,0,0,0,0,0,121,248,253,235,77,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,173,0,0,0,0,0,29,188,250,253,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,228,68,41,41,126,174,216,255,253,253,176,17,0,0,0,0,0,0,0,0,0,0,0,0,0,157,252,253,253,253,253,253,253,253,253,255,253,179,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,240,251,253,253,253,253,253,246,177,107,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,120,120,120,120,120,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,255,165,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,224,253,253,253,166,97,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,253,253,253,253,218,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,116,247,253,253,247,199,253,253,253,172,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,244,219,121,3,82,226,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,137,253,253,103,0,0,0,0,42,233,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,253,207,23,0,0,0,0,0,149,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,251,253,253,30,0,0,0,0,0,0,83,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,20,186,253,253,154,3,0,0,0,0,0,0,83,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,253,146,27,0,0,0,0,0,0,0,121,253,212,0,0,0,0,0,0,0,0,0,0,0,0,56,237,253,250,100,0,0,0,0,0,0,0,20,226,253,212,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,239,0,0,0,0,0,0,0,0,119,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,236,0,0,0,0,0,0,1,75,248,253,251,131,0,0,0,0,0,0,0,0,0,0,0,0,213,253,236,53,0,0,0,0,0,0,75,253,253,253,125,0,0,0,0,0,0,0,0,0,0,0,0,92,251,253,219,0,0,0,0,0,76,193,248,253,253,119,3,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,219,0,0,0,75,121,244,253,253,213,115,5,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,227,63,63,122,248,253,253,246,187,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,253,253,253,253,253,253,253,223,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,211,248,253,253,253,253,235,121,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,253,171,116,116,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,84,163,254,255,227,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,176,253,253,253,253,253,253,228,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,169,217,247,217,162,156,253,253,248,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,0,100,207,253,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,63,238,253,251,200,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,219,253,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,141,235,253,253,239,103,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,130,204,253,253,253,128,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,109,139,232,253,253,253,253,134,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,246,253,253,253,253,253,253,253,143,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,246,253,247,155,155,155,234,253,253,150,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,79,4,0,0,0,4,215,253,253,186,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,253,226,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,239,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,231,18,0,0,0,0,0,0,0,0,0,0,0,0,0,8,206,91,2,0,0,0,0,0,17,239,253,251,127,3,0,0,0,0,0,0,0,0,0,0,0,0,0,164,253,197,7,0,0,0,30,131,237,253,253,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,242,218,146,115,140,233,253,253,253,209,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,158,253,253,253,253,253,253,253,253,204,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,149,245,253,253,253,251,128,46,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,96,96,96,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,92,190,221,251,251,253,185,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,205,253,251,251,251,251,253,251,188,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,221,248,251,253,184,31,70,228,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,228,251,211,94,95,23,0,0,59,253,251,251,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,253,205,19,0,0,0,0,0,0,96,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,62,31,0,0,0,0,0,0,0,24,205,251,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,220,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,251,211,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,213,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,32,197,251,211,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,127,205,253,251,251,251,173,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,84,236,251,251,253,251,251,251,251,242,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,251,251,251,251,253,251,251,251,251,253,240,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,253,253,255,253,205,59,218,255,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,253,247,110,0,39,221,244,251,236,91,0,0,0,0,0,0,0,0,0,0,0,0,0,173,251,251,251,251,253,140,0,0,0,0,111,251,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,72,188,220,196,89,31,8,0,0,0,0,4,31,169,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,17,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,228,254,241,126,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,145,161,251,254,147,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,207,254,148,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,132,254,228,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,77,254,246,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,102,47,132,254,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,167,218,246,254,254,254,254,187,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,107,234,254,254,254,254,254,254,254,191,55,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,236,254,254,254,254,254,254,180,225,254,238,101,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,254,254,254,254,248,145,25,5,68,203,254,254,233,209,146,146,171,230,203,0,0,0,0,0,0,0,0,189,254,251,182,98,19,0,0,0,0,4,109,202,254,254,254,255,190,107,49,0,0,0,0,0,0,0,0,1,16,16,0,0,0,0,0,0,0,0,0,4,16,16,16,16,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,112,183,197,116,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,128,242,225,128,185,254,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,167,250,107,10,0,120,254,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,247,79,0,0,0,194,205,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,244,89,49,0,26,226,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,199,254,252,236,243,241,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,126,159,254,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,234,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,245,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,227,212,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,198,237,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,222,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,205,191,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,243,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,219,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,118,160,255,166,124,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,167,210,254,253,253,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,233,253,253,254,198,188,246,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,225,254,254,235,72,6,34,238,254,143,121,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,254,239,35,0,0,22,126,253,254,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,193,253,242,62,0,0,32,157,241,253,254,243,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,226,253,196,19,86,147,243,253,254,227,169,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,149,253,248,242,253,254,253,227,204,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,254,254,254,231,153,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,152,252,253,254,253,190,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,188,253,253,252,254,253,190,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,241,254,254,176,57,193,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,224,254,249,98,11,0,95,253,253,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,248,91,0,0,0,123,253,252,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,194,0,0,0,16,178,254,251,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,241,32,0,0,60,236,253,220,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,241,252,175,18,0,193,254,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,170,124,250,254,236,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,216,254,254,254,254,216,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,222,253,253,143,54,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,253,253,253,253,255,253,253,253,253,195,96,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,251,251,251,251,253,251,251,251,251,253,251,220,190,91,20,0,0,0,0,0,0,0,0,0,0,0,0,126,126,126,126,126,126,126,126,236,251,253,251,251,251,251,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,31,31,149,188,244,251,242,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,251,253,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,158,255,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,233,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,231,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,96,255,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,88,251,161,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,189,251,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,186,251,196,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,158,253,231,94,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,174,253,253,219,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,131,191,236,251,184,62,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,251,253,251,251,141,127,128,127,127,127,127,128,127,63,112,127,0,0,0,0,0,0,0,0,0,0,0,162,251,253,251,251,251,251,253,251,251,235,188,213,204,173,184,188,0,0,0,0,0,0,0,0,0,0,0,24,94,95,94,94,94,94,95,94,94,70,0,36,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,167,254,254,254,255,254,246,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,223,253,253,253,253,253,253,253,197,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,112,114,114,114,240,253,253,220,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,247,253,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,168,253,253,191,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,186,253,253,176,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,179,246,253,253,188,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,89,166,166,236,253,253,246,117,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,181,232,253,253,253,253,253,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,253,253,253,253,253,253,253,253,189,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,223,247,155,152,51,134,211,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,4,0,0,0,0,80,243,253,252,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,247,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,247,253,171,0,0,0,0,0,0,0,0,0,0,0,0,66,115,0,0,0,0,0,0,0,0,0,13,139,253,253,171,0,0,0,0,0,0,0,0,0,0,0,0,109,244,69,0,0,0,0,0,1,21,104,146,253,253,247,76,0,0,0,0,0,0,0,0,0,0,0,0,150,253,227,68,6,0,32,68,156,253,253,253,253,245,87,0,0,0,0,0,0,0,0,0,0,0,0,0,103,251,253,253,221,218,235,253,253,253,253,252,164,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,251,253,253,253,253,253,253,242,156,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,123,245,253,247,149,147,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,247,152,83,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,235,195,251,204,164,121,79,79,79,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,189,2,8,26,95,125,153,165,181,210,239,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,242,189,0,0,0,0,0,0,0,0,6,92,254,113,0,0,0,0,0,0,0,0,0,0,0,0,0,74,254,87,0,0,0,0,0,0,0,0,0,2,194,241,0,0,0,0,0,0,0,0,0,0,0,0,0,7,21,2,0,0,0,0,0,0,0,0,0,6,206,249,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,254,252,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,254,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,246,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,240,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,244,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,145,254,227,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,243,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,207,252,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,113,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,241,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,206,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,139,254,226,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,156,254,58,37,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,66,201,235,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,241,253,195,116,254,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,201,253,253,64,8,201,253,186,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,253,192,5,0,81,253,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,231,255,211,0,0,0,59,254,254,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,183,253,226,36,0,0,0,59,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,165,0,0,0,0,59,253,253,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,247,253,185,8,0,0,0,0,112,253,253,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,229,253,200,36,0,0,0,0,0,156,253,222,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,254,254,57,0,0,0,0,0,0,179,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,253,141,3,0,0,0,0,0,128,254,251,86,0,0,0,0,0,0,0,0,0,0,0,0,0,28,235,254,209,24,0,0,0,0,0,13,213,254,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,244,40,0,0,0,0,0,13,223,253,244,115,0,0,0,0,0,0,0,0,0,0,0,0,0,61,248,253,157,0,0,0,0,0,8,183,253,253,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,0,0,0,0,0,37,186,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,241,250,121,0,0,0,11,95,239,253,253,167,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,213,0,0,0,55,210,253,254,247,144,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,219,40,137,219,247,253,253,192,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,253,253,253,254,253,253,200,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,255,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,180,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,233,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,159,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,245,253,165,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,253,253,188,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,249,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,229,253,220,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,171,184,253,246,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,140,253,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,253,248,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,253,253,253,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,184,253,253,253,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,190,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,250,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,241,254,226,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,245,254,220,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,254,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,221,254,225,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,240,254,241,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,194,254,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,254,250,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,230,254,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,254,247,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,210,254,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,254,241,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,242,255,255,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,163,254,254,222,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,254,249,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,255,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,245,254,234,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,91,229,254,212,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,237,253,253,253,253,108,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,168,253,253,253,253,253,253,111,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,154,253,253,253,253,253,253,253,253,104,33,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,253,253,253,253,253,156,124,24,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,243,203,203,234,253,253,253,253,253,194,24,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,185,92,0,0,71,114,208,253,253,253,253,194,18,0,0,0,0,0,0,0,0,0,0,0,240,253,253,244,97,0,0,0,0,0,16,24,152,253,253,253,195,28,0,0,0,0,0,0,0,0,0,0,255,253,253,220,0,0,0,0,0,0,0,0,10,168,253,253,253,106,0,0,0,0,0,0,0,0,0,0,254,253,253,220,0,0,0,0,0,0,0,0,0,3,153,253,253,249,15,0,0,0,0,0,0,0,0,0,254,253,253,221,5,0,0,0,0,0,0,0,0,0,14,170,253,253,21,0,0,0,0,0,0,0,0,0,190,253,253,253,129,0,0,0,0,0,0,0,0,0,0,131,253,253,179,0,0,0,0,0,0,0,0,0,91,253,253,253,129,0,0,0,0,0,0,0,0,0,0,119,250,253,179,0,0,0,0,0,0,0,0,0,91,253,253,253,186,18,0,0,0,0,0,0,0,0,0,0,222,253,179,0,0,0,0,0,0,0,0,0,18,167,253,253,253,181,19,0,0,0,0,0,0,0,0,0,222,253,239,73,0,0,0,0,0,0,0,0,0,17,253,253,253,253,186,98,0,0,0,0,0,0,0,69,238,253,214,43,0,0,0,0,0,0,0,0,0,3,101,240,253,253,253,245,222,222,110,58,58,58,191,238,253,253,141,0,0,0,0,0,0,0,0,0,0,0,0,83,177,253,253,253,253,253,253,253,253,253,253,253,253,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,8,153,179,246,253,253,253,253,253,253,253,253,199,15,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,89,249,253,253,253,253,226,89,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,94,254,255,254,218,138,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,234,253,253,253,253,253,253,181,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,252,253,253,231,217,217,245,253,253,185,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,202,253,233,126,26,0,0,51,209,253,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,214,235,51,0,0,0,0,0,37,246,253,212,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,41,0,0,0,0,0,0,0,110,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,210,253,253,57,0,0,0,0,0,0,0,0,0,0,0,0,0,14,42,42,42,42,41,0,0,0,0,49,253,253,170,1,0,0,0,0,0,0,0,0,0,0,0,33,146,212,253,253,253,253,252,192,192,91,53,219,253,253,83,0,0,0,0,0,0,0,0,0,0,0,6,156,253,253,253,253,253,253,253,253,253,253,247,253,253,242,39,0,0,0,0,0,0,0,0,0,0,0,122,253,253,253,253,253,185,175,241,253,253,253,253,253,253,248,112,79,79,47,0,0,0,0,0,0,0,0,159,253,253,204,34,25,3,0,21,25,207,253,253,253,253,253,253,253,249,137,0,0,0,0,0,0,0,0,227,253,229,22,0,0,0,0,0,14,216,253,253,232,115,186,186,139,64,0,0,0,0,0,0,0,0,0,150,253,233,35,0,0,0,0,14,225,253,253,214,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,253,223,60,0,0,64,239,253,253,244,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,249,135,153,238,253,253,253,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,125,228,254,224,125,125,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,118,232,250,253,253,253,253,253,253,250,164,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,253,253,253,253,253,253,253,253,253,253,253,246,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,243,253,218,149,149,149,173,253,253,253,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,25,17,0,0,0,110,253,253,253,253,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,212,253,253,253,253,197,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,215,253,253,253,220,38,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,221,253,253,253,175,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,253,253,253,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,253,253,243,109,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,194,240,253,253,253,253,195,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,213,253,253,253,253,196,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,78,176,253,253,253,207,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,177,253,253,253,249,78,0,0,0,0,0,0,0,0,0,0,16,33,154,17,0,0,0,0,0,0,0,0,14,195,253,253,253,117,0,0,0,0,0,0,0,0,0,0,118,253,253,166,110,27,19,0,0,0,0,0,25,219,253,253,253,117,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,253,221,150,50,20,20,111,166,253,253,253,242,108,0,0,0,0,0,0,0,0,0,0,118,253,253,253,253,253,253,253,253,253,253,253,253,253,245,230,48,0,0,0,0,0,0,0,0,0,0,0,54,117,170,249,253,253,253,253,253,253,253,253,252,230,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,123,190,230,253,253,223,123,123,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,59,146,153,255,255,254,255,255,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,95,184,187,253,253,253,253,253,253,253,253,216,59,0,0,0,0,0,0,0,0,0,0,0,0,85,222,236,253,253,253,252,248,241,139,139,139,166,253,253,175,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,227,210,159,83,0,0,0,0,13,175,253,253,170,0,0,0,0,0,0,0,0,0,0,0,0,139,194,78,26,0,0,0,0,0,0,65,188,253,253,253,81,0,0,0,0,0,0,0,0,0,0,0,0,4,8,0,0,0,0,0,0,6,149,248,253,253,253,173,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,195,253,253,253,253,127,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,108,215,253,253,253,253,253,119,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,132,242,253,253,253,253,253,253,253,253,234,205,125,3,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,253,253,253,253,253,253,253,253,253,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,5,232,253,253,253,253,169,138,138,107,79,161,171,253,253,233,28,0,0,0,0,0,0,0,0,0,0,0,1,81,204,181,103,16,2,0,0,0,0,0,2,71,241,253,136,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,252,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,145,0,0,0,0,0,0,0,0,0,0,3,104,104,104,84,0,0,0,0,0,0,0,0,0,42,251,253,145,0,0,0,0,0,0,0,0,0,10,176,253,253,253,205,0,0,0,0,0,0,0,4,61,233,253,244,81,0,0,0,0,0,0,0,0,0,76,253,253,253,253,239,179,179,155,117,71,71,71,182,253,253,253,107,0,0,0,0,0,0,0,0,0,0,168,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,240,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,127,182,244,158,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,156,241,254,254,254,244,239,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,205,254,214,135,80,8,7,149,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,119,6,0,0,0,0,140,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,249,177,8,0,0,0,0,203,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,228,218,41,0,0,32,250,237,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,229,209,28,0,103,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,230,210,44,249,238,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,247,231,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,254,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,254,254,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,249,236,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,234,136,53,248,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,43,20,194,212,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,43,0,51,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,49,0,8,178,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,240,133,0,0,109,249,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,230,53,0,29,247,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,251,244,177,211,247,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,168,237,255,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,21,0,0,0,0,0,0,0,0,254,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,198,0,0,0,0,0,0,0,33,254,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,255,199,0,0,0,0,0,0,0,149,255,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,11,222,254,198,0,0,0,0,0,0,0,181,254,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,254,153,0,0,0,0,0,0,0,181,254,245,44,0,0,0,0,0,0,0,0,0,0,0,0,23,222,253,254,202,109,109,109,110,57,19,25,212,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,253,254,253,253,253,253,254,253,253,253,253,254,108,0,0,0,0,0,0,0,0,0,0,0,0,16,228,254,254,255,254,254,254,254,255,254,254,254,254,255,50,0,0,0,0,0,0,0,0,0,0,0,0,43,245,253,233,199,146,108,108,108,109,108,128,253,253,166,2,0,0,0,0,0,0,0,0,0,0,0,0,0,31,36,23,0,0,0,0,0,0,0,192,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,233,253,246,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,253,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,254,248,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,253,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,250,253,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,131,131,158,164,131,229,216,89,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,178,142,242,242,242,242,242,252,211,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,215,248,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,159,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,158,254,201,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,66,162,232,254,224,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,127,185,254,254,243,174,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,254,243,174,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,208,254,238,150,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,93,192,238,203,90,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,204,254,165,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,238,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,254,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,247,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,203,254,74,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,203,254,171,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,241,254,135,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,119,201,251,228,106,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,255,255,144,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,150,90,0,0,0,38,21,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,188,254,254,254,255,254,254,254,254,255,254,254,242,153,0,0,0,0,0,0,0,0,0,0,0,0,6,165,253,253,253,253,254,253,253,243,229,230,194,137,48,3,0,0,0,0,0,0,0,0,0,0,0,7,160,254,192,97,97,97,94,36,36,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,253,254,176,155,104,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,247,253,254,253,253,253,245,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,104,61,61,61,61,132,237,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,254,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,97,31,0,0,0,0,0,0,9,211,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,169,110,95,81,110,132,195,235,240,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,253,253,253,253,254,253,253,253,167,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,81,129,181,138,135,116,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,109,109,255,211,109,109,110,15,0,0,0,0,0,0,0,0,0,0,0,0,11,73,73,197,217,217,218,247,252,252,253,252,252,252,253,180,21,0,0,0,0,0,0,0,0,0,0,53,191,252,252,252,252,252,253,252,252,252,253,252,252,252,253,241,61,0,0,0,0,0,0,0,0,0,0,31,108,190,252,252,148,108,108,108,108,108,108,148,252,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,207,252,252,119,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,253,252,252,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,206,253,252,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,255,222,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,242,252,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,252,252,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,155,253,252,179,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,252,253,241,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,221,252,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,218,253,253,208,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,217,252,252,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,190,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,145,229,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,154,254,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,254,234,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,254,252,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,248,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,250,254,196,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,196,254,224,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,249,254,189,19,0,0,0,40,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,147,254,254,133,0,0,35,174,244,236,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,231,254,246,47,6,86,245,254,254,254,245,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,91,254,248,195,11,92,254,254,254,237,254,254,196,35,0,0,0,0,0,0,0,0,0,0,0,0,0,25,236,254,228,36,73,244,254,245,127,4,183,254,202,18,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,112,47,248,254,245,71,59,197,254,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,252,59,150,254,254,168,206,252,254,254,198,17,0,0,0,0,0,0,0,0,0,0,0,0,0,11,223,254,230,66,252,254,254,254,254,254,254,179,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,241,254,206,215,254,254,254,254,254,224,97,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,241,254,254,254,254,254,254,231,138,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,229,254,254,254,254,254,168,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,76,141,195,229,165,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,213,132,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,199,252,243,130,0,0,0,0,0,0,7,25,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,81,0,0,0,0,0,0,0,73,252,169,4,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,73,252,252,23,0,0,0,0,0,0,0,0,0,0,0,0,0,147,252,191,10,0,0,0,0,0,0,0,73,252,252,23,0,0,0,0,0,0,0,0,0,0,0,0,14,201,252,167,0,0,0,0,0,0,0,0,73,252,252,23,0,0,0,0,0,0,0,0,0,0,0,0,89,252,252,70,0,0,0,0,0,0,0,0,73,252,252,23,0,0,0,0,0,0,0,0,0,0,0,14,201,252,190,7,0,0,0,0,0,0,0,0,119,252,252,23,0,0,0,0,0,0,0,0,0,0,0,37,252,252,180,0,0,0,0,0,0,0,0,0,193,252,252,23,0,0,0,0,0,0,0,0,0,0,0,37,252,252,65,0,0,0,0,64,121,121,143,241,250,252,206,12,0,0,0,0,0,0,0,0,0,0,13,208,253,195,47,132,237,253,253,255,253,252,241,241,250,253,150,0,0,0,0,0,0,0,0,0,0,0,94,252,252,252,252,252,252,252,229,229,159,93,0,6,199,252,36,0,0,0,0,0,0,0,0,0,0,0,145,252,252,252,242,216,113,96,5,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,0,0,0,0,122,252,220,118,60,0,0,0,0,0,0,0,0,84,252,252,36,0,0,0,0,0,0,0,0,0,0,0,7,72,24,0,0,0,0,0,0,0,0,0,0,152,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,252,252,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,138,212,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,79,158,158,246,255,193,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,73,126,126,203,243,254,254,254,254,254,254,220,24,0,0,0,0,0,0,0,0,0,0,0,21,92,160,226,254,254,254,254,254,254,254,254,254,254,254,220,0,0,0,0,0,0,0,0,0,0,51,250,251,254,254,254,254,254,254,254,254,254,208,196,226,254,254,220,0,0,0,0,0,0,0,0,0,6,173,254,254,254,254,254,254,254,240,224,133,81,8,0,99,254,254,220,0,0,0,0,0,0,0,0,0,63,254,254,254,254,254,203,160,72,31,0,0,0,0,0,134,254,254,220,0,0,0,0,0,0,0,0,0,3,104,166,199,120,36,4,0,0,0,0,0,0,0,16,232,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,254,254,223,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,228,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,206,254,254,158,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,254,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,248,254,254,162,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,217,254,254,241,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,254,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,238,254,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,193,254,254,231,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,186,254,254,252,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,217,254,254,215,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,185,254,199,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,132,173,253,234,152,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,252,253,252,253,252,203,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,142,142,61,132,253,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,212,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,203,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,173,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,252,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,224,61,113,152,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,102,233,252,243,243,253,171,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,253,254,253,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,253,252,131,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,233,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,255,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,150,165,165,225,255,204,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,166,248,254,254,254,254,254,254,219,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,201,254,254,254,254,254,254,254,254,254,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,199,254,254,254,224,212,219,254,254,254,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,254,254,248,106,10,16,214,254,254,254,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,213,254,254,96,0,16,195,254,254,254,254,252,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,254,254,17,0,182,254,254,254,201,88,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,254,254,59,197,253,254,254,231,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,254,254,254,248,254,254,254,231,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,148,254,254,254,254,254,228,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,254,254,217,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,239,254,254,254,219,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,254,254,254,225,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,236,254,254,254,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,187,254,254,231,174,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,254,249,61,173,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,254,252,230,254,254,254,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,249,254,254,254,254,254,254,135,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,229,254,254,254,249,215,100,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,177,246,164,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,99,132,132,190,132,132,133,132,58,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,165,252,252,252,252,252,252,253,252,252,231,145,104,0,0,0,0,0,0,0,0,0,0,0,0,0,91,216,252,252,252,252,252,236,216,217,216,238,252,226,154,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,252,252,236,101,48,0,0,0,52,84,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,252,252,151,238,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,252,252,181,98,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,134,252,252,239,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,116,225,252,240,114,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,175,252,252,242,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,11,161,252,252,242,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,241,255,253,236,110,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,229,242,252,252,175,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,113,240,252,225,59,6,0,0,0,0,0,0,0,0,0,0,3,21,0,0,0,0,0,0,0,0,0,0,0,56,181,252,252,59,0,0,0,0,0,0,0,0,0,0,99,211,98,0,0,0,0,0,0,0,0,0,0,0,18,181,252,225,46,0,0,0,0,0,0,0,0,0,37,221,244,193,164,73,49,0,0,0,0,0,0,0,0,18,181,252,175,4,0,0,0,0,0,0,0,0,0,39,220,252,252,252,236,205,205,90,86,37,0,0,0,0,16,224,252,110,0,0,0,0,0,0,0,0,0,0,40,155,179,252,252,252,252,252,253,232,217,217,130,97,137,247,252,131,0,0,0,0,0,0,0,0,0,0,0,0,6,23,122,185,252,252,253,252,252,252,252,252,252,252,205,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,11,69,132,131,149,252,252,252,252,206,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,13,39,85,143,203,223,174,134,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,102,254,254,254,254,254,254,254,254,134,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,116,196,254,254,254,254,243,254,254,254,254,254,87,0,0,0,0,0,0,0,0,0,0,0,0,0,73,245,254,254,254,247,163,126,36,44,61,254,254,254,121,0,0,0,0,0,0,0,0,0,0,0,0,82,240,254,234,163,78,27,0,0,0,0,111,254,254,254,115,0,0,0,0,0,0,0,0,0,0,0,46,237,254,234,44,0,0,0,0,0,0,80,249,254,254,254,82,0,0,0,0,0,0,0,0,0,0,9,189,254,233,44,0,0,0,0,1,25,161,251,254,254,252,137,9,0,0,0,0,0,0,0,0,0,0,61,254,251,80,0,0,0,2,17,143,254,254,254,254,252,96,0,0,0,0,0,0,0,0,0,0,0,0,186,254,211,20,29,56,110,151,254,254,254,254,254,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,238,255,254,254,254,248,214,250,254,254,200,13,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,254,254,254,254,234,158,34,62,250,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,103,190,190,140,108,18,0,11,190,254,254,175,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,254,254,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,235,254,254,150,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,240,254,201,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,239,254,248,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,126,254,254,204,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,254,254,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,254,254,196,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,247,254,245,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,152,173,253,254,253,254,253,254,253,193,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,253,252,253,212,253,252,253,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,244,122,82,0,0,0,72,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,243,40,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,254,71,0,0,0,0,254,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,192,0,0,0,0,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,0,0,0,123,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,91,0,0,41,243,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,254,253,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,253,254,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,233,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,255,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,192,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,109,160,160,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,38,218,254,254,254,251,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,144,254,254,254,254,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,244,254,254,211,102,116,251,254,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,118,254,254,252,143,15,0,0,245,254,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,167,254,254,223,66,0,0,0,0,245,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,220,254,254,145,9,0,0,0,0,61,251,254,93,0,0,0,0,0,0,0,0,0,0,0,0,0,96,251,254,226,93,0,0,0,0,0,0,176,254,170,3,0,0,0,0,0,0,0,0,0,0,0,0,97,247,254,181,33,0,0,0,0,0,0,73,243,254,86,0,0,0,0,0,0,0,0,0,0,0,0,29,242,254,155,27,0,0,0,0,0,0,18,224,254,176,10,0,0,0,0,0,0,0,0,0,0,0,10,254,254,211,0,0,0,0,0,0,0,45,206,254,176,4,0,0,0,0,0,0,0,0,0,0,0,0,142,254,247,50,0,0,0,0,0,0,23,244,254,230,36,0,0,0,0,0,0,0,0,0,0,0,0,34,241,254,95,0,0,0,0,0,3,38,221,254,231,49,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,231,13,0,0,0,0,29,157,254,254,231,44,0,0,0,0,0,0,0,0,0,0,0,0,0,62,252,254,126,0,0,0,0,69,183,255,247,164,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,246,16,0,9,86,134,230,254,250,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,244,0,79,195,254,254,254,222,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,253,245,253,254,254,220,71,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,244,254,254,254,248,218,100,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,159,159,131,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,51,132,253,254,253,173,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,173,252,253,252,253,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,253,244,203,234,253,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,252,81,0,233,252,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,254,172,0,163,254,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,111,91,10,21,223,253,252,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,152,253,254,253,92,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,203,233,252,253,252,253,232,142,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,253,254,253,254,253,254,253,254,213,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,253,252,253,252,253,252,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,183,20,0,0,0,183,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,111,0,0,0,0,0,183,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,233,254,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,20,0,0,0,0,0,0,233,252,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,151,0,0,0,21,132,253,254,253,203,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,232,41,0,21,162,253,252,253,252,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,255,253,254,172,214,253,254,253,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,252,253,252,253,252,253,252,172,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,254,253,254,253,203,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,91,172,212,233,111,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,247,170,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,244,253,250,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,253,253,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,253,253,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,249,253,253,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,232,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,245,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,253,236,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,240,253,252,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,253,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,254,255,244,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,245,253,227,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,253,200,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,239,253,251,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,222,253,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,253,240,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,223,253,243,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,246,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,222,182,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,221,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,255,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,186,222,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,253,181,20,104,181,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,254,255,254,254,202,254,170,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,253,254,182,63,16,227,254,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,253,191,3,0,77,253,204,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,241,253,181,0,23,222,246,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,243,214,227,233,117,217,246,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,241,172,20,92,255,254,243,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,241,100,0,7,76,89,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,166,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,216,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,156,254,254,255,254,223,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,20,35,154,215,232,253,253,253,254,253,253,247,131,0,0,0,0,0,0,0,0,0,0,0,0,0,49,167,253,253,253,254,253,253,253,222,223,253,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,16,246,253,253,253,237,214,130,87,19,12,12,180,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,60,254,253,253,110,36,0,0,0,0,0,0,177,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,38,99,142,195,15,0,0,0,0,0,0,14,224,254,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,253,253,174,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,216,253,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,219,254,253,128,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,98,98,60,99,53,31,159,253,254,200,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,254,255,254,254,254,254,255,163,59,50,0,0,0,0,0,0,0,0,0,0,0,0,87,214,254,253,253,253,253,254,253,253,253,253,254,253,253,236,45,0,0,0,0,0,0,0,0,0,0,123,247,253,254,253,253,253,253,254,253,253,253,253,175,167,78,36,0,0,0,0,0,0,0,0,0,0,71,247,253,253,207,117,87,19,72,254,253,253,148,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,253,253,177,23,0,0,68,217,254,253,192,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,254,254,139,0,0,8,138,246,254,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,253,253,168,0,13,185,241,253,237,114,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,253,253,158,116,224,253,253,240,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,253,253,253,253,254,253,195,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,200,253,253,253,254,162,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,208,19,0,0,0,94,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,254,166,0,0,65,253,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,169,0,0,66,254,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,169,0,0,120,254,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,169,0,28,219,254,207,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,254,254,169,0,187,254,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,254,254,58,0,203,254,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,254,39,66,246,254,254,222,210,210,210,210,132,35,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,254,211,219,254,254,254,254,254,254,254,254,249,80,0,0,0,0,0,0,0,0,0,0,0,0,87,250,254,254,254,254,254,255,254,254,254,254,254,248,107,0,0,0,0,0,0,0,0,0,0,0,0,0,86,250,254,254,254,254,254,254,254,254,190,65,65,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,254,254,254,254,254,241,105,71,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,78,78,228,254,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,222,254,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,254,208,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,254,252,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,59,104,156,156,194,255,254,254,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,65,147,214,229,254,253,253,253,253,254,253,253,236,45,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,253,253,254,253,253,253,253,254,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,22,212,254,253,253,231,213,154,117,117,78,193,254,253,195,16,0,0,0,0,0,0,0,0,0,0,0,0,9,208,254,162,58,27,0,0,0,99,248,253,254,245,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,239,254,254,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,20,88,132,214,254,253,253,250,121,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,194,253,253,253,253,254,253,253,241,138,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,31,186,248,254,253,253,253,253,254,253,253,253,253,249,241,69,18,0,0,0,0,0,0,0,0,0,0,0,68,241,253,254,253,253,253,253,254,253,253,253,253,254,253,253,191,0,0,0,0,0,0,0,0,0,0,0,99,249,254,255,254,235,180,98,99,98,98,98,135,232,254,254,238,36,0,0,0,0,0,0,0,0,0,0,0,36,39,39,39,27,0,0,0,0,0,0,0,148,253,253,222,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,240,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,246,253,253,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,217,254,253,154,27,0,0,0,0,0,0,0,0,0,0,28,89,156,81,23,0,0,0,0,14,67,186,254,254,255,196,30,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,230,214,147,118,118,224,253,253,253,253,151,6,0,0,0,0,0,0,0,0,0,0,0,109,241,253,253,253,254,253,253,253,253,254,253,253,210,100,0,0,0,0,0,0,0,0,0,0,0,0,0,35,232,253,253,253,254,253,253,253,253,254,234,183,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,58,73,155,155,155,185,253,215,133,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,165,208,249,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,15,225,252,252,252,120,0,0,0,0,0,0,2,95,164,47,0,0,0,0,0,0,0,0,0,0,0,86,252,252,252,252,209,110,0,0,0,0,0,36,135,252,252,207,0,0,0,0,0,0,0,0,0,0,18,190,252,252,243,177,27,0,0,0,0,0,36,215,252,252,252,163,0,0,0,0,0,0,0,0,0,75,196,252,252,252,204,0,0,0,0,0,0,29,213,252,252,252,241,52,0,0,0,0,0,0,0,0,0,105,252,252,252,252,74,0,0,0,0,0,0,164,252,252,252,252,84,0,0,0,0,0,0,0,0,0,0,105,252,252,252,181,4,0,0,0,53,91,212,247,252,252,241,84,1,0,0,0,0,0,0,0,0,0,0,105,252,252,252,190,45,45,98,193,228,253,252,252,252,168,52,0,0,0,0,0,0,0,0,0,0,0,0,105,252,252,252,252,252,252,252,252,252,253,252,252,181,12,0,0,0,0,0,0,0,0,0,0,0,0,0,62,235,253,253,253,253,253,253,253,253,255,253,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,252,252,252,252,252,252,252,252,253,202,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,185,237,237,247,252,252,252,252,176,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,183,252,252,252,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,227,252,252,241,195,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,189,252,252,252,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,252,252,252,204,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,252,252,202,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,173,120,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,159,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,172,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,2,0,0,0,0,0,0,0,55,230,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,214,151,0,0,0,0,0,0,10,177,254,187,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,253,168,0,0,0,0,0,0,101,253,225,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,249,253,49,0,0,0,0,0,25,232,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,206,254,117,0,0,0,0,0,0,124,254,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,254,235,39,0,0,0,0,0,40,240,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,244,254,247,190,142,137,77,59,59,105,253,253,80,0,0,0,0,0,0,0,0,0,0,0,0,0,73,227,253,254,253,253,253,254,253,253,253,248,253,193,43,0,0,0,0,0,0,0,0,0,0,0,0,38,218,254,254,255,251,234,234,156,156,156,240,255,242,51,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,253,193,130,49,0,0,0,0,10,195,254,150,9,0,0,0,0,0,0,0,0,0,0,0,0,0,211,244,152,9,0,0,0,0,0,0,143,253,225,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,16,0,0,0,0,0,0,0,37,202,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,170,254,218,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,253,244,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,117,108,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,29,29,29,117,141,154,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,70,169,197,252,253,252,252,252,253,252,252,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,246,253,252,252,252,244,205,168,168,78,252,252,164,0,0,0,0,0,0,0,0,0,0,0,0,0,26,222,252,140,139,52,28,25,13,0,0,79,252,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,253,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,227,119,113,101,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,29,41,141,178,253,255,253,253,253,251,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,131,197,252,253,252,252,252,247,196,196,145,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,252,252,177,168,118,196,252,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,65,28,3,0,0,185,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,229,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,252,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,206,177,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,151,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,13,11,6,13,11,3,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,196,236,254,246,226,254,245,200,206,174,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,227,254,254,254,250,247,236,207,172,128,80,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,175,254,134,75,44,33,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,175,254,178,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,175,254,194,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,187,254,254,181,111,142,157,93,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,254,254,254,254,254,254,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,252,201,164,101,37,28,180,255,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,135,44,2,24,0,0,0,0,91,252,229,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,230,167,108,108,108,129,193,252,231,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,254,254,254,254,254,254,254,254,229,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,142,204,219,254,254,254,212,143,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,12,12,12,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,137,243,255,173,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,185,202,87,90,254,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,214,160,8,0,70,254,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,185,3,0,0,77,232,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,250,22,0,0,1,177,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,227,146,0,0,0,15,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,53,0,0,6,191,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,17,0,61,200,254,252,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,244,196,158,244,164,225,206,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,185,221,152,18,211,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,237,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,246,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,235,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,246,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,207,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,187,254,211,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,250,254,123,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,251,254,171,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,230,255,219,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,207,254,226,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,254,251,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,247,93,0,0,0,0,0,17,41,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,245,254,179,0,0,0,0,16,108,208,254,248,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,254,253,57,0,0,0,58,124,253,254,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,15,207,254,175,0,0,0,82,244,254,254,199,187,254,142,0,0,0,0,0,0,0,0,0,0,0,0,0,80,254,252,60,0,4,99,254,254,247,59,2,91,178,2,0,0,0,0,0,0,0,0,0,0,0,0,3,188,254,143,0,0,91,254,250,193,5,0,58,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,241,254,46,1,69,239,249,99,29,82,194,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,254,254,60,5,254,254,234,194,249,254,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,233,219,254,254,254,254,254,219,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,254,254,254,254,254,223,59,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,159,173,248,227,173,138,54,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,254,254,254,254,196,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,177,254,253,206,198,198,254,229,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,128,245,253,204,42,5,0,0,163,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,133,253,251,169,20,0,0,0,0,144,253,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,253,253,202,0,0,0,0,0,0,130,253,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,255,254,230,20,0,0,0,0,0,0,163,254,217,0,0,0,0,0,0,0,0,0,0,0,0,0,4,190,254,221,28,0,0,0,0,0,0,0,215,253,164,0,0,0,0,0,0,0,0,0,0,0,0,0,97,253,243,73,0,0,0,0,0,0,0,0,254,253,127,0,0,0,0,0,0,0,0,0,0,0,0,3,184,253,174,0,0,0,0,0,0,0,0,7,254,253,127,0,0,0,0,0,0,0,0,0,0,0,0,102,253,253,91,0,0,0,0,0,0,0,0,124,254,253,94,0,0,0,0,0,0,0,0,0,0,0,0,153,254,195,0,0,0,0,0,0,0,0,0,182,255,218,13,0,0,0,0,0,0,0,0,0,0,0,0,217,253,111,0,0,0,0,0,0,0,0,11,222,254,115,0,0,0,0,0,0,0,0,0,0,0,0,47,248,244,36,0,0,0,0,0,0,0,0,77,253,254,63,0,0,0,0,0,0,0,0,0,0,0,0,55,253,235,0,0,0,0,0,0,0,0,42,241,253,190,4,0,0,0,0,0,0,0,0,0,0,0,0,55,253,248,84,0,0,0,0,0,0,105,243,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,221,106,5,27,0,27,157,254,254,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,202,253,254,237,242,235,222,173,120,240,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,127,217,216,216,177,49,0,68,253,224,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,253,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,240,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,73,131,163,86,80,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,133,253,254,253,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,177,253,253,254,219,248,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,103,230,253,245,169,54,4,217,253,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,181,254,253,240,61,0,0,20,230,253,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,183,254,255,192,46,0,0,0,171,254,242,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,192,14,0,0,0,16,239,253,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,248,253,207,13,0,0,0,0,196,253,247,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,191,253,206,61,0,0,0,2,51,254,253,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,253,112,0,0,0,0,51,253,254,181,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,255,254,159,0,0,0,0,63,254,254,234,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,248,254,169,22,0,0,0,12,219,253,233,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,213,253,243,60,0,0,0,37,219,253,231,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,253,253,104,0,0,0,46,215,253,237,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,243,253,124,0,0,0,79,232,254,233,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,241,254,209,0,0,42,163,254,254,234,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,60,20,139,245,253,253,201,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,253,253,225,230,254,253,234,171,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,245,253,253,253,254,184,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,162,162,162,105,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,118,118,132,254,254,254,210,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,156,241,253,253,253,253,253,253,253,248,69,0,0,0,0,0,0,0,0,0,0,0,0,64,106,213,206,167,253,253,253,253,253,210,177,249,253,253,75,0,0,0,0,0,0,0,0,0,0,0,53,235,253,246,198,226,253,253,208,172,61,27,0,114,246,253,105,0,0,0,0,0,0,0,0,0,0,0,66,240,216,71,0,42,82,82,16,0,0,0,0,71,243,253,212,0,0,0,0,0,0,0,0,0,0,0,97,253,198,0,0,0,0,0,0,0,0,0,0,104,253,253,212,0,0,0,0,0,0,0,0,0,0,0,47,232,128,0,0,0,0,0,0,0,0,0,0,104,253,253,212,0,0,0,0,0,0,0,0,0,0,0,0,5,2,0,0,0,0,0,0,0,0,0,0,104,253,253,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,253,236,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,250,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,208,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,253,253,251,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,189,253,155,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,253,253,150,72,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,231,246,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,253,240,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,253,253,245,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,194,186,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,239,255,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,247,254,254,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,136,254,254,207,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,254,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,235,254,254,176,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,254,254,254,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,231,254,254,162,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,254,235,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,233,254,253,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,247,254,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,156,254,254,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,254,254,233,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,254,242,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,247,254,254,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,209,254,254,203,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,208,254,254,246,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,195,254,254,249,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,254,250,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,173,253,152,30,0,0,0,21,51,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,253,252,253,131,0,0,0,183,253,252,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,244,122,0,0,0,0,51,253,254,213,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,252,203,0,0,0,0,0,132,252,213,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,41,0,0,0,0,0,152,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,0,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,213,0,0,0,0,0,0,152,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,253,252,0,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,254,253,0,0,0,0,0,0,152,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,41,0,0,0,0,0,152,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,102,0,0,0,0,0,152,253,214,51,113,152,152,152,62,0,0,0,0,0,0,0,0,0,0,0,213,252,203,102,0,82,102,142,233,252,253,252,253,252,253,252,61,0,0,0,0,0,0,0,0,0,0,0,82,243,254,253,254,253,254,253,254,253,254,213,142,102,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,172,252,253,252,192,151,213,252,213,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,214,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,212,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,255,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,255,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,213,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,59,134,97,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,162,226,253,253,254,235,117,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,153,194,253,253,253,253,254,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,237,253,254,253,253,253,253,254,253,253,219,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,253,253,254,207,126,58,58,178,253,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,171,76,0,0,0,0,23,230,254,254,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,39,9,0,0,0,0,0,35,232,253,219,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,246,253,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,30,0,195,254,253,192,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,112,194,255,254,254,254,254,255,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,118,200,241,253,253,254,253,253,253,253,254,253,128,2,0,0,0,0,0,0,0,0,0,0,0,0,58,205,254,253,253,253,253,254,253,253,253,253,254,253,253,117,0,0,0,0,0,0,0,0,0,0,4,137,244,253,254,253,225,213,176,126,238,253,253,253,238,253,253,250,159,0,0,0,0,0,0,0,0,0,95,253,253,253,254,162,18,0,0,97,253,253,253,103,36,148,253,200,80,0,0,0,0,0,0,0,0,59,239,254,254,231,38,0,0,47,156,255,254,254,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,253,253,222,43,43,118,185,235,253,254,251,165,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,253,254,253,253,253,253,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,253,253,253,253,254,253,253,253,222,95,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,155,155,155,155,155,155,155,65,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,45,138,138,138,139,138,170,253,253,255,232,138,138,138,128,24,76,5,0,0,0,0,0,0,0,0,0,24,252,252,252,252,253,252,252,252,252,253,252,252,252,252,253,252,252,119,0,0,0,0,0,0,0,0,0,24,252,252,252,252,253,252,233,240,252,253,252,252,252,252,253,252,252,77,0,0,0,0,0,0,0,0,0,15,160,160,160,160,161,108,117,37,45,46,67,160,160,160,169,252,252,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,221,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,223,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,245,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,250,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,220,252,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,252,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,191,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,252,235,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,203,252,119,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,101,94,91,159,159,159,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,49,97,156,229,253,253,253,253,253,253,250,58,0,0,0,0,0,0,0,0,0,0,0,0,0,8,104,227,253,253,254,253,253,253,253,253,253,253,253,173,0,0,0,0,0,0,0,0,0,0,0,0,0,40,225,253,253,253,254,213,177,177,177,176,225,253,253,193,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,253,219,112,18,9,0,0,0,54,253,253,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,11,140,50,24,0,0,0,0,6,158,244,253,253,223,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,124,200,253,253,253,181,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,57,175,245,253,253,253,253,202,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,60,123,220,253,254,253,253,253,253,253,240,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,253,253,254,253,253,253,253,253,253,238,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,254,254,254,254,255,195,149,95,146,242,254,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,187,215,170,87,28,3,0,0,0,75,253,253,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,253,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,253,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,226,253,242,65,0,0,0,0,0,0,0,0,0,5,33,113,113,113,181,63,0,0,0,0,0,15,82,243,253,253,113,0,0,0,0,0,0,0,0,0,0,66,253,253,253,253,202,0,0,0,0,23,99,236,253,253,253,161,3,0,0,0,0,0,0,0,0,0,0,156,253,253,253,253,249,244,223,231,244,247,253,253,253,242,78,3,0,0,0,0,0,0,0,0,0,0,0,184,253,253,253,253,253,253,253,253,253,254,238,224,133,30,0,0,0,0,0,0,0,0,0,0,0,0,0,42,111,138,159,159,159,159,159,159,90,66,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,233,254,213,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,183,253,252,253,252,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,214,253,203,102,62,223,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,203,253,171,20,0,0,203,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,255,233,123,0,0,0,62,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,253,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,254,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,223,253,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,252,203,0,0,0,0,0,0,0,0,82,163,203,203,122,0,0,0,0,0,0,0,0,0,0,0,0,51,253,203,0,0,0,0,0,0,0,113,253,254,213,214,253,102,0,0,0,0,0,0,0,0,0,0,0,51,252,243,40,0,0,0,0,0,0,233,212,50,10,31,232,183,0,0,0,0,0,0,0,0,0,0,0,21,223,254,71,0,0,0,0,0,0,254,151,0,0,0,203,203,0,0,0,0,0,0,0,0,0,0,0,0,162,253,232,41,0,0,0,0,0,213,192,0,0,41,243,162,0,0,0,0,0,0,0,0,0,0,0,0,0,234,253,173,10,0,0,0,0,82,243,234,152,173,253,132,51,0,0,0,0,0,0,0,0,0,0,0,0,30,212,253,212,82,0,0,0,0,122,253,252,253,252,213,212,103,20,0,0,0,0,0,0,0,0,0,0,0,41,173,253,255,253,153,152,173,253,255,213,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,91,213,252,253,252,233,151,131,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,94,219,254,254,254,222,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,152,225,225,254,253,253,253,253,253,253,226,69,0,0,0,0,0,0,0,0,0,0,0,0,7,149,197,236,253,253,253,254,253,253,253,253,253,253,251,126,0,0,0,0,0,0,0,0,0,0,0,0,107,253,253,253,253,253,253,254,253,222,149,102,239,253,234,25,0,0,0,0,0,0,0,0,0,0,0,0,48,246,253,219,206,126,112,53,18,11,0,62,232,253,165,3,0,0,0,0,0,0,0,0,0,0,0,0,14,133,133,14,0,0,0,0,0,0,6,236,253,246,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,134,253,253,168,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,253,253,248,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,245,253,247,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,235,253,253,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,255,254,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,163,246,254,247,173,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,133,253,253,248,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,200,253,253,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,219,253,253,247,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,149,253,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,228,253,253,253,171,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,175,253,253,227,130,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,253,235,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,211,225,107,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,56,153,235,254,254,254,254,254,254,219,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,117,216,253,253,253,253,249,243,234,143,119,208,6,0,0,0,0,0,0,0,0,0,0,0,0,0,20,201,253,253,253,190,187,89,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,198,253,247,124,34,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,230,231,178,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,236,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,239,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,253,245,72,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,148,253,253,188,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,99,218,253,252,139,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,112,250,253,235,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,197,253,235,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,153,253,179,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,249,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,251,252,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,205,11,0,0,65,242,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,231,253,79,47,124,250,253,216,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,238,253,247,249,253,246,171,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,240,253,242,121,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,88,196,195,195,171,112,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,155,247,253,254,253,253,253,254,187,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,103,248,253,253,253,254,193,217,253,254,253,249,138,0,0,0,0,0,0,0,0,0,0,0,0,0,40,218,254,255,251,216,109,0,4,152,248,255,254,254,224,0,0,0,0,0,0,0,0,0,0,0,0,28,240,253,241,178,49,0,0,34,186,253,253,254,235,106,41,0,0,0,0,0,0,0,0,0,0,0,0,92,253,239,87,0,0,14,83,242,253,253,253,249,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,253,230,12,0,37,167,253,254,253,187,247,168,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,254,205,56,188,254,254,255,166,36,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,254,253,253,205,83,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,179,253,253,254,253,203,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,225,253,253,254,168,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,255,254,254,254,255,193,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,249,254,253,202,244,254,211,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,247,253,254,135,56,250,254,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,249,253,253,193,95,227,253,248,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,254,254,254,255,254,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,253,253,253,254,253,226,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,117,158,194,195,146,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,237,255,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,12,0,0,0,0,0,0,0,73,254,253,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,183,195,16,0,0,0,0,0,0,73,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,254,242,33,0,0,0,0,0,0,95,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,205,254,192,0,0,0,0,0,0,1,176,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,36,0,0,0,0,0,0,10,254,254,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,170,1,0,0,0,0,0,0,103,254,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,49,251,254,167,0,0,0,0,0,0,0,114,254,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,254,101,0,0,0,0,0,25,134,238,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,240,31,0,4,49,49,131,244,254,254,254,232,25,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,240,75,130,210,254,254,254,254,153,234,254,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,252,254,254,254,254,254,254,191,112,50,254,254,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,180,254,254,254,217,179,60,4,0,132,254,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,52,52,52,9,0,0,0,0,143,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,233,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,230,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,52,0,0,0,3,25,80,113,107,59,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,215,214,94,127,155,210,254,254,254,254,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,252,254,254,254,254,250,209,154,114,135,96,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,242,244,210,149,100,67,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,195,230,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,254,214,178,180,87,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,246,254,254,254,254,255,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,230,254,208,117,63,47,254,230,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,178,231,94,6,0,0,34,241,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,20,0,0,0,5,182,233,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,151,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,152,94,94,94,94,79,185,254,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,254,254,254,254,254,254,185,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,148,148,148,148,148,148,79,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,92,155,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,17,17,17,17,119,253,254,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,254,254,254,254,254,254,254,213,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,254,254,254,254,254,222,109,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,191,254,254,254,178,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,247,254,254,128,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,254,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,254,7,0,26,67,67,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,254,7,108,195,254,254,239,157,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,254,248,252,254,254,254,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,254,254,254,254,254,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,254,254,254,254,254,216,165,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,243,254,254,246,224,40,25,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,77,139,139,94,0,0,25,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,206,238,116,4,0,0,0,0,52,254,255,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,254,254,254,143,51,0,0,0,190,254,254,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,225,254,254,254,235,223,223,223,247,254,255,224,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,231,254,254,254,254,254,254,254,254,230,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,15,184,254,254,254,254,254,254,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,90,250,254,254,238,90,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,114,126,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,146,230,254,253,248,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,128,245,253,253,254,253,253,249,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,248,253,253,220,105,208,253,253,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,243,104,0,0,114,254,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,102,93,0,0,0,94,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,147,253,250,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,247,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,228,253,240,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,73,112,163,163,163,163,163,195,255,238,91,0,0,0,0,0,0,0,0,0,0,0,0,0,50,177,236,245,253,253,253,254,253,253,253,253,254,177,8,0,0,0,0,0,0,0,0,0,0,0,73,205,245,253,254,253,253,253,253,254,253,253,253,253,254,253,62,0,0,0,0,0,0,0,0,0,0,38,191,253,253,253,254,236,189,144,112,59,208,253,251,248,254,253,245,121,0,0,0,0,0,0,0,0,0,163,253,253,253,188,72,5,0,0,0,137,253,253,202,117,221,253,253,248,117,0,0,0,0,0,0,0,0,170,254,254,254,189,27,0,0,6,170,255,254,191,0,0,27,175,243,222,84,0,0,0,0,0,0,0,0,5,133,253,253,253,242,216,158,237,253,254,202,22,0,0,0,0,15,10,0,0,0,0,0,0,0,0,0,0,28,139,245,253,254,253,253,253,253,159,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,144,144,144,144,144,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,246,222,155,79,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,254,254,254,211,210,147,149,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,237,254,254,254,254,254,254,230,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,90,134,193,235,254,254,254,251,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,217,254,254,247,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,254,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,241,254,249,141,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,208,254,254,202,41,41,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,195,195,241,254,254,254,254,254,254,236,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,254,254,254,254,254,254,254,254,254,156,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,254,254,254,252,249,165,149,139,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,227,254,254,219,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,254,254,254,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,254,163,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,252,254,251,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,254,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,249,254,254,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,254,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,103,254,254,254,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,153,254,148,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,101,249,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,246,254,204,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,175,254,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,245,254,222,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,186,254,249,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,246,254,238,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,232,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,228,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,246,254,230,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,132,254,254,206,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,238,254,245,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,174,254,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,254,254,231,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,222,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,254,205,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,230,254,254,229,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,206,254,254,234,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,254,254,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,207,254,254,116,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,202,255,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,253,230,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,253,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,210,253,253,250,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,246,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,246,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,250,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,159,253,253,253,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,253,253,253,253,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,253,253,253,243,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,253,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,253,252,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,250,253,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,253,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,238,253,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,108,0,0,0,0,5,52,56,136,183,245,245,119,0,0,0,0,0,0,0,0,0,0,0,0,0,61,249,240,177,177,201,242,243,254,254,254,254,254,253,106,0,0,0,0,0,0,0,0,0,0,0,0,21,201,254,243,254,254,254,254,254,254,254,218,139,81,30,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,216,30,109,139,108,93,78,19,19,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,253,236,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,243,254,178,101,101,92,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,221,254,254,254,254,254,254,228,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,204,254,254,254,242,198,161,223,254,212,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,253,242,153,71,20,0,0,27,247,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,21,0,0,0,0,0,151,254,191,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,6,0,0,0,0,0,92,250,244,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,222,177,210,210,182,205,239,252,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,219,254,254,254,254,254,254,226,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,180,180,193,245,217,153,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,246,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,209,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,194,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,239,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,202,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,235,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,245,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,205,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,134,113,154,123,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,246,221,254,254,254,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,230,43,21,147,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,114,0,0,59,254,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,236,27,0,0,99,250,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,154,0,0,42,242,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,215,105,134,240,228,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,252,254,255,212,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,89,202,223,199,135,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,86,249,254,254,254,254,254,242,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,156,254,254,254,230,202,231,254,254,225,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,155,254,254,172,86,0,0,6,83,254,254,88,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,122,3,0,0,0,0,12,222,254,254,225,53,0,0,0,0,0,0,0,0,0,0,0,0,0,205,254,189,4,0,0,0,0,5,103,254,254,254,254,82,0,0,0,0,0,0,0,0,0,0,0,0,48,248,254,96,0,0,0,21,69,225,254,254,254,185,94,2,0,0,0,0,0,0,0,0,0,0,0,0,11,210,254,214,14,0,64,212,254,254,254,243,104,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,254,118,148,253,254,254,246,132,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,241,254,254,254,254,254,163,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,254,254,254,255,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,242,254,254,254,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,241,254,254,254,254,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,223,254,254,109,198,254,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,254,254,134,7,122,254,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,243,254,203,7,0,190,254,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,123,30,201,251,254,163,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,254,250,242,254,254,189,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,254,254,254,139,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,137,254,254,184,55,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,144,144,144,144,163,172,144,144,144,144,144,192,94,0,0,0,0,0,0,0,0,0,0,0,0,0,18,221,253,253,253,253,253,253,253,254,253,253,253,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,111,253,245,175,253,205,215,253,253,254,253,253,158,154,52,0,0,0,0,0,0,0,0,0,0,0,0,0,177,253,163,3,10,6,7,10,10,11,10,10,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,227,188,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,53,12,12,12,12,12,12,12,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,253,253,253,253,253,253,253,253,253,198,198,155,49,45,29,0,0,0,0,0,0,0,0,0,0,0,0,24,176,206,253,253,253,250,223,253,253,254,253,253,253,253,231,84,0,0,0,0,0,0,0,0,0,0,0,0,0,13,33,33,33,31,20,33,33,96,172,253,253,253,253,247,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,183,247,254,255,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,248,253,163,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,253,125,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,16,253,253,143,0,0,0,0,0,0,0,0,0,0,0,126,94,12,0,0,0,0,0,0,0,0,0,0,12,253,253,119,0,0,0,0,0,0,0,0,0,0,0,46,253,211,95,0,0,0,0,0,0,0,0,0,50,253,226,21,0,0,0,0,0,0,0,0,0,0,0,22,245,253,252,213,89,12,0,0,0,11,36,160,242,253,124,0,0,0,0,0,0,0,0,0,0,0,0,0,22,201,253,253,253,253,155,155,155,250,253,253,251,190,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,66,146,253,253,254,253,253,253,253,192,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,33,33,143,172,253,147,71,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,198,255,255,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,226,255,255,255,255,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,255,255,170,170,198,255,255,226,226,226,29,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,226,57,0,0,0,0,170,255,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,170,29,0,0,0,0,57,226,255,255,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,29,0,0,0,0,114,255,255,255,255,141,29,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,226,0,0,0,0,198,255,255,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,57,0,0,170,255,255,255,198,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,226,114,198,255,255,255,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,255,255,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,226,255,255,255,255,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,226,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,255,255,255,255,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,170,198,255,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,255,255,255,29,0,255,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,198,255,255,114,0,114,255,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,141,0,57,226,255,226,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,198,170,226,255,255,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,255,255,255,255,255,255,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,255,255,255,255,255,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,76,0,0,0,0,0,0,93,252,239,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,243,206,0,0,0,0,0,0,93,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,231,255,207,0,0,0,0,0,0,93,253,255,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,206,0,0,0,0,0,0,93,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,253,206,0,0,0,0,0,0,93,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,248,253,112,0,0,0,0,0,0,93,252,253,92,0,34,9,0,0,0,0,0,0,0,0,0,0,116,248,252,180,8,0,0,0,11,116,116,165,252,253,238,230,238,75,0,0,0,0,0,0,0,0,0,110,253,253,253,139,138,170,253,253,255,253,253,253,253,255,253,236,135,11,0,0,0,0,0,0,0,0,36,219,252,252,252,253,252,252,252,252,228,206,206,170,252,253,149,25,0,0,0,0,0,0,0,0,0,0,107,252,252,252,252,253,240,183,89,69,32,0,0,93,252,253,92,0,0,0,0,0,0,0,0,0,0,0,15,202,160,160,160,98,37,0,0,0,0,0,0,93,252,253,185,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,93,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,255,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,179,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,141,147,232,190,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,99,251,254,254,254,249,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,128,254,254,254,254,254,249,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,189,254,254,254,172,237,254,248,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,183,252,254,225,84,17,229,254,249,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,197,254,254,164,29,0,15,233,254,249,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,149,254,254,171,5,0,0,81,254,254,248,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,149,251,254,213,30,0,0,0,69,254,254,200,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,246,254,238,67,0,0,0,0,137,254,254,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,231,254,213,80,6,0,0,0,37,233,254,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,254,145,0,0,0,0,0,37,245,254,254,116,0,0,0,0,0,0,0,0,0,0,0,0,0,45,230,254,216,32,0,0,0,0,0,13,223,254,254,147,0,0,0,0,0,0,0,0,0,0,0,0,0,166,254,254,73,0,0,0,0,0,0,47,234,254,250,78,0,0,0,0,0,0,0,0,0,0,0,0,97,252,254,169,6,0,0,0,0,0,4,137,254,254,235,16,0,0,0,0,0,0,0,0,0,0,0,7,197,254,249,69,0,0,0,0,0,3,79,254,254,247,60,0,0,0,0,0,0,0,0,0,0,0,0,47,251,254,216,9,0,0,0,0,28,125,254,254,247,145,0,0,0,0,0,0,0,0,0,0,0,0,0,58,252,254,210,19,33,100,100,143,243,254,254,253,138,18,0,0,0,0,0,0,0,0,0,0,0,0,0,52,252,254,254,254,254,255,254,254,254,255,248,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,246,254,254,254,254,255,254,254,238,152,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,168,190,254,235,168,94,82,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,191,255,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,255,255,255,255,255,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,255,255,255,255,128,0,0,0,0,128,255,255,255,64,0,0,0,0,0,0,0,0,0,0,0,64,255,191,64,0,0,0,0,0,0,0,0,0,128,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,128,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,255,255,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,128,128,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,102,165,190,228,202,190,155,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,174,246,254,254,254,254,254,254,254,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,223,254,248,176,113,71,50,27,58,230,254,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,252,254,157,32,0,0,0,0,0,3,181,254,123,0,0,0,0,0,0,0,0,0,0,0,0,0,34,226,254,116,2,0,0,0,0,0,0,116,254,254,111,0,0,0,0,0,0,0,0,0,0,0,0,34,223,246,112,2,0,0,0,0,0,0,67,252,254,209,4,0,0,0,0,0,0,0,0,0,0,0,10,188,254,128,0,0,0,0,0,0,0,78,240,254,240,37,0,0,0,0,0,0,0,0,0,0,0,0,102,254,186,6,0,0,0,0,0,0,100,251,254,210,45,0,0,0,0,0,0,0,0,0,0,0,0,32,251,225,31,0,0,0,0,0,30,162,251,254,248,52,0,0,0,0,0,0,0,0,0,0,0,0,0,164,254,114,0,0,0,0,30,129,244,254,254,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,187,254,98,6,22,57,136,237,243,161,88,254,247,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,254,239,226,246,254,244,178,46,0,185,254,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,223,254,254,222,140,45,0,0,53,249,247,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,42,42,3,0,0,0,8,198,254,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,254,229,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,242,254,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,254,217,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,243,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,202,254,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,73,150,172,255,152,150,96,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,124,201,253,253,253,253,253,253,253,181,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,251,93,10,10,10,121,243,244,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,248,253,253,253,252,148,0,0,0,0,106,253,236,27,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,253,253,168,37,16,0,0,0,0,89,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,0,187,253,253,213,27,0,0,0,0,0,39,202,253,253,36,0,0,0,0,0,0,0,0,0,0,0,0,18,218,253,253,43,0,0,0,0,0,0,141,253,253,198,7,0,0,0,0,0,0,0,0,0,0,0,0,105,253,253,253,31,0,0,0,0,36,141,248,253,253,237,27,0,0,0,0,0,0,0,0,0,0,0,0,53,252,253,253,35,6,6,70,149,236,253,253,253,253,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,253,253,253,253,253,253,253,253,253,253,253,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,105,155,242,253,253,233,155,169,253,253,253,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,5,5,4,34,248,253,253,209,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,241,253,253,243,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,248,253,253,243,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,242,253,253,241,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,245,253,253,245,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,231,253,253,218,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,197,253,253,247,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,239,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,179,247,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,154,212,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,66,149,211,251,254,254,253,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,113,196,239,254,254,254,216,195,248,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,214,254,254,252,217,133,51,6,0,164,254,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,254,231,160,50,0,0,0,0,10,234,254,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,95,13,0,0,0,0,0,1,164,254,228,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,254,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,238,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,74,157,184,184,152,38,0,0,70,240,254,176,7,0,0,0,0,0,0,0,0,0,0,0,0,0,17,169,254,254,254,254,254,244,187,144,207,254,179,9,0,0,0,0,0,0,0,0,0,0,0,0,0,87,238,254,254,244,224,224,246,254,254,254,254,185,7,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,254,226,118,36,0,0,52,243,254,254,254,194,47,0,0,0,0,0,0,0,0,0,0,0,0,72,238,252,133,11,0,0,4,89,225,254,236,176,240,254,250,208,130,0,0,0,0,0,0,0,0,0,0,144,254,131,0,0,0,60,172,254,254,186,32,0,48,184,234,213,28,0,0,0,0,0,0,0,0,0,0,228,254,81,0,2,67,241,254,248,123,3,0,0,0,0,12,10,0,0,0,0,0,0,0,0,0,0,0,255,254,163,122,153,254,254,231,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,253,254,254,254,252,175,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,213,213,186,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,102,161,209,254,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,226,254,245,202,122,122,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,108,252,249,139,42,0,0,31,138,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,254,254,104,0,0,0,7,194,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,233,254,148,3,0,0,22,180,254,254,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,166,254,247,26,0,0,0,123,254,254,254,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,137,0,0,0,79,246,254,254,254,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,246,242,31,0,95,186,251,245,86,172,254,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,251,217,217,248,243,142,32,0,90,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,247,254,254,254,208,66,0,0,0,76,254,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,95,95,39,0,0,0,0,0,76,255,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,251,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,242,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,252,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,244,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,165,169,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,45,0,0,0,0,0,0,0,0,42,51,4,0,0,0,0,0,0,0,0,0,0,0,0,0,30,154,251,225,0,0,0,0,0,0,0,0,254,253,140,0,0,0,0,0,87,82,0,0,0,13,61,161,244,253,253,229,0,0,0,0,0,0,0,0,173,251,229,5,0,0,0,33,249,254,204,146,199,240,254,254,212,227,254,148,0,0,0,0,0,0,0,0,0,121,110,0,0,0,1,166,253,253,254,253,251,225,163,82,63,250,240,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,253,253,224,166,102,37,0,0,14,209,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,133,11,0,0,0,0,5,172,253,170,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,67,2,0,0,0,0,5,146,254,210,16,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,135,254,209,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,110,252,224,34,0,0,0,0,0,0,0,0,0,0,0,0,69,24,0,0,0,0,0,0,0,0,0,101,253,230,44,0,0,0,0,0,0,0,0,0,0,0,0,0,122,27,0,0,0,0,0,0,0,0,54,246,245,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,221,251,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,177,255,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,253,224,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,100,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,91,91,112,255,222,91,91,191,201,91,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,253,253,253,253,225,164,17,14,0,0,0,0,0,0,0,0,0,0,0,0,0,91,253,253,253,253,253,253,253,253,253,253,253,253,253,229,107,14,0,0,0,0,0,0,0,0,0,0,0,20,173,151,56,56,56,56,56,56,56,168,220,245,253,253,253,166,33,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,186,253,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,181,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,253,253,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,221,253,253,253,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,25,209,253,253,251,148,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,158,253,253,253,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,138,253,253,253,233,143,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,160,253,253,253,253,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,253,253,100,48,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,206,253,249,122,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,250,253,197,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,206,253,253,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,253,253,238,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,179,253,151,89,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,151,230,247,202,101,8,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,116,218,251,254,237,241,254,254,247,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,96,233,254,218,128,68,134,242,254,254,178,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,211,104,5,104,223,254,253,166,149,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,226,223,14,69,196,254,253,166,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,237,235,142,247,254,213,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,241,254,255,242,113,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,157,253,254,196,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,107,239,254,254,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,205,254,248,143,208,247,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,246,254,217,59,12,235,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,254,167,42,114,204,241,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,254,254,254,254,254,251,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,175,195,176,144,95,93,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,15,0,0,0,0,4,135,255,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,246,210,101,76,76,116,144,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,251,253,253,253,253,251,248,252,253,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,102,102,201,187,65,0,168,253,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,195,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,253,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,253,253,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,238,253,191,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,244,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,253,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,247,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,243,253,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,191,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,163,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,231,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,15,0,0,0,0,0,0,0,39,235,254,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,228,134,0,0,0,0,0,0,57,224,253,124,2,0,0,0,0,0,0,0,0,0,0,0,0,0,25,222,254,90,0,0,0,0,0,16,233,254,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,222,252,101,6,0,0,0,0,42,223,254,158,10,0,0,0,0,0,0,0,0,0,0,0,0,0,25,237,254,171,0,0,0,0,0,0,212,254,196,9,0,0,0,0,0,0,0,0,0,0,0,0,0,69,233,254,245,114,13,0,0,0,7,183,254,198,10,0,0,0,0,0,0,0,0,0,0,0,0,3,103,253,254,254,254,254,227,91,7,0,100,254,242,52,0,0,0,0,0,0,0,0,0,0,0,0,0,140,254,254,232,171,143,197,254,254,232,226,254,254,229,169,127,11,0,0,0,0,0,0,0,0,0,0,0,242,254,167,10,0,0,3,107,143,219,254,255,198,103,34,18,0,0,0,0,0,0,0,0,0,0,0,0,124,100,1,0,0,0,0,0,26,228,254,139,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,207,254,154,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,158,254,221,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,238,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,248,254,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,178,254,245,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,165,165,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,78,148,148,148,166,174,96,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,128,227,252,252,252,252,253,252,252,184,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,250,231,178,126,126,127,161,251,252,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,145,70,0,0,0,0,0,57,246,236,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,173,252,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,253,250,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,252,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,223,250,196,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,190,252,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,252,208,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,245,243,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,237,252,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,252,233,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,252,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,252,21,0,0,0,0,0,0,45,107,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,219,255,151,0,0,0,0,32,96,218,253,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,222,16,0,22,128,191,237,252,231,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,252,250,153,180,237,252,253,236,126,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,225,253,252,252,252,226,128,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,165,217,147,77,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,150,229,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,241,236,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,125,221,69,87,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,106,234,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,242,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,249,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,234,165,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,207,203,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,163,244,46,0,0,5,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,251,94,0,0,86,184,240,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,250,92,0,0,152,252,240,252,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,232,166,5,0,98,245,184,55,236,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,224,20,0,122,252,137,3,184,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,247,99,5,143,246,92,35,174,223,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,222,154,5,177,249,89,106,237,225,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,232,26,153,255,199,200,253,160,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,249,106,90,252,254,254,200,75,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,254,212,241,254,229,106,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,212,254,254,127,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,50,254,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,66,138,202,232,138,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,155,252,252,253,252,252,219,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,186,252,227,79,69,90,202,252,221,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,252,195,29,0,0,0,13,215,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,130,0,0,0,0,0,61,242,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,255,228,32,0,0,0,0,0,0,231,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,244,253,132,0,0,0,0,0,0,81,244,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,92,0,0,0,0,66,184,240,252,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,92,0,0,0,0,103,227,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,252,253,92,0,0,0,0,22,215,252,252,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,255,232,48,0,22,87,212,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,252,227,161,244,253,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,227,252,252,252,215,110,119,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,45,45,45,21,0,70,252,252,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,240,252,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,252,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,200,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,233,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,234,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,176,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,176,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,255,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,238,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,254,232,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,228,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,254,191,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,223,249,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,202,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,217,223,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,192,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,253,232,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,67,67,67,67,228,254,255,254,254,254,254,170,67,67,35,0,0,0,0,0,0,0,0,0,0,0,104,168,253,253,253,253,253,253,253,253,253,253,253,253,253,253,130,0,0,0,0,0,0,0,0,0,52,198,241,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,226,51,0,0,0,0,0,0,0,0,67,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,65,0,0,0,0,0,0,0,0,67,253,253,253,253,253,253,253,253,253,163,238,253,253,253,253,253,253,253,65,0,0,0,0,0,0,0,0,62,234,227,46,46,46,46,46,46,46,17,41,46,46,239,253,253,253,152,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,253,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,246,253,253,219,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,106,241,253,253,233,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,253,253,253,210,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,243,253,253,223,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,109,243,253,253,253,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,121,253,253,253,210,149,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,219,253,253,253,227,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,241,253,253,253,223,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,253,253,253,210,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,239,253,253,100,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,234,84,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,195,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,253,253,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,242,181,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,231,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,254,204,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,111,248,254,207,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,254,254,236,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,168,247,249,180,254,254,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,152,254,248,91,63,254,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,126,254,237,146,0,55,252,254,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,254,54,0,0,51,251,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,246,254,161,7,0,0,77,254,254,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,169,254,232,34,0,0,0,161,254,242,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,102,254,230,77,0,0,0,65,243,254,174,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,235,247,78,0,0,0,12,204,254,200,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,200,254,146,0,0,0,0,148,254,254,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,254,238,59,0,0,48,190,251,254,123,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,243,248,56,0,10,149,245,254,254,102,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,254,155,9,110,225,254,254,217,66,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,251,254,182,225,254,254,254,148,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,254,254,254,254,254,178,51,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,254,219,107,22,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,85,255,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,251,253,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,254,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,224,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,224,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,197,255,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,251,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,197,254,253,226,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,251,253,251,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,254,253,226,56,0,0,0,0,0,57,85,85,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,253,251,168,0,0,0,57,168,169,224,253,251,225,168,169,168,0,0,0,0,0,0,0,0,0,0,86,253,254,253,198,85,254,253,254,253,254,253,254,253,254,253,254,253,57,0,0,0,0,0,0,0,0,0,85,251,253,251,253,251,253,251,253,251,253,251,253,251,253,251,253,251,168,0,0,0,0,0,0,0,0,0,86,253,254,253,254,253,254,253,254,253,226,168,254,253,254,253,254,253,169,0,0,0,0,0,0,0,0,0,28,196,253,251,253,251,253,251,253,251,225,168,253,251,253,251,253,251,168,0,0,0,0,0,0,0,0,0,0,114,254,253,254,253,254,253,254,253,254,253,254,253,254,253,254,253,0,0,0,0,0,0,0,0,0,0,0,0,84,196,253,251,253,251,253,251,253,251,253,251,253,251,253,251,0,0,0,0,0,0,0,0,0,0,0,0,0,114,169,168,254,253,254,253,254,253,254,253,254,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,251,253,251,253,251,196,196,84,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,207,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,255,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,64,0,0,0,0,0,159,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,223,207,0,0,0,0,48,239,223,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,143,0,0,0,0,159,255,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,239,255,48,0,0,0,80,255,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,255,191,0,0,0,0,191,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,223,255,96,0,0,0,48,255,207,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,255,191,0,0,0,0,207,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,255,255,64,0,0,0,112,255,223,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,191,255,255,175,128,128,96,207,255,191,64,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,255,255,255,255,255,255,239,159,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,175,96,32,32,0,32,255,255,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,255,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,207,255,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,223,255,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,255,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,207,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,91,91,96,254,254,254,255,169,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,17,184,253,253,253,253,253,253,253,253,152,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,135,253,253,253,253,253,253,253,253,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,0,48,224,253,253,253,253,221,215,56,56,145,253,253,253,106,0,0,0,0,0,0,0,0,0,0,0,0,53,224,253,253,185,129,129,4,0,0,13,182,253,253,225,55,0,0,0,0,0,0,0,0,0,0,0,0,87,242,253,211,18,0,0,0,0,84,217,253,253,253,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,114,0,0,0,0,5,184,253,253,253,180,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,108,4,0,0,0,75,231,253,253,253,173,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,253,253,253,182,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,183,253,253,253,245,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,253,250,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,99,239,253,253,186,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,70,253,253,253,175,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,182,253,253,253,253,7,0,0,0,0,94,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,69,253,253,253,253,253,47,42,106,205,205,244,122,0,0,0,0,0,0,0,0,0,0,0,0,0,9,182,253,253,253,253,253,253,253,253,253,253,253,231,59,0,0,0,0,0,0,0,0,0,0,0,0,0,17,253,253,253,253,253,253,253,253,253,253,253,152,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,253,253,253,253,253,253,253,253,253,253,142,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,210,253,253,253,212,179,179,126,15,15,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,253,173,89,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,223,71,4,12,16,66,98,127,171,208,223,223,177,0,0,0,0,0,0,0,0,0,0,0,0,0,42,247,254,217,216,251,254,254,252,219,190,139,92,47,31,0,0,0,0,0,0,0,0,0,0,0,0,29,239,254,254,217,188,152,118,89,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,208,254,125,3,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,206,254,185,37,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,255,254,254,254,206,120,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,168,137,121,99,150,237,147,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,246,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,48,1,0,0,0,0,0,151,254,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,162,254,93,5,0,0,10,138,253,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,196,254,235,197,197,241,254,197,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,80,155,206,223,180,121,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,231,127,59,59,37,59,59,74,156,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,148,253,253,253,253,239,253,253,253,253,222,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,253,253,254,253,253,253,253,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,64,184,213,213,238,253,253,253,253,207,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,238,253,253,253,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,179,254,254,244,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,253,216,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,235,254,247,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,253,254,142,13,40,40,115,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,121,157,195,248,253,254,226,213,253,253,254,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,255,254,254,254,254,255,254,254,254,254,135,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,253,253,253,253,254,228,106,39,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,253,253,253,154,78,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,253,247,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,231,253,253,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,255,254,254,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,253,179,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,235,254,239,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,230,254,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,63,204,255,227,144,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,168,254,254,254,254,254,241,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,108,254,254,254,254,254,254,254,236,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,156,252,254,254,244,156,128,248,254,228,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,219,254,254,247,105,32,0,92,248,254,247,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,254,254,254,133,0,0,0,28,239,254,173,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,250,254,254,207,5,0,0,0,142,253,254,203,7,0,0,0,0,0,0,0,0,0,0,0,0,0,28,242,254,254,216,40,0,0,0,0,109,254,254,223,16,0,0,0,0,0,0,0,0,0,0,0,0,41,214,254,254,204,52,0,0,0,0,4,172,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,203,254,254,223,65,0,0,0,0,0,6,217,254,252,57,0,0,0,0,0,0,0,0,0,0,0,0,40,251,254,254,153,0,0,0,0,0,0,94,254,254,250,17,0,0,0,0,0,0,0,0,0,0,0,0,157,254,254,194,3,0,0,0,0,0,14,217,254,254,220,0,0,0,0,0,0,0,0,0,0,0,0,16,224,254,249,66,0,0,0,0,0,14,152,254,254,247,91,0,0,0,0,0,0,0,0,0,0,0,0,106,254,254,189,0,0,0,0,0,5,156,254,254,254,211,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,133,0,0,0,0,14,187,254,254,254,233,49,0,0,0,0,0,0,0,0,0,0,0,0,0,161,254,254,98,0,0,3,101,235,254,254,254,194,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,252,254,136,5,118,201,254,254,254,250,143,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,212,254,254,254,254,254,254,254,157,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,240,254,254,254,254,212,70,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,203,254,254,130,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,24,24,128,139,159,222,97,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,47,47,99,162,219,252,252,252,253,252,252,252,252,22,0,0,0,0,0,0,0,0,0,0,0,0,0,161,252,252,252,253,252,252,252,252,253,252,252,252,252,116,0,0,0,0,0,0,0,0,0,0,0,0,0,120,252,252,252,253,252,252,252,252,253,252,252,252,252,74,0,0,0,0,0,0,0,0,0,0,0,0,0,26,168,252,252,253,252,252,252,147,253,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,116,53,0,0,0,11,255,253,253,253,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,252,252,235,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,253,252,252,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,238,253,252,252,119,0,0,0,26,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,218,252,253,252,252,234,178,158,127,122,25,0,0,0,0,0,0,0,0,0,0,0,0,43,241,255,253,253,253,253,255,253,253,253,253,242,209,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,253,252,252,252,252,253,252,252,235,153,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,131,196,252,252,252,253,252,202,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,227,252,252,253,120,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,246,252,252,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,212,253,253,253,242,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,252,252,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,252,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,160,227,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,189,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,255,132,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,227,254,189,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,204,254,238,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,254,254,114,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,224,254,214,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,230,254,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,209,254,234,125,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,254,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,241,254,242,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,208,254,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,254,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,229,254,254,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,170,254,254,152,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,240,254,226,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,216,254,252,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,235,254,230,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,254,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,238,254,230,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,151,254,254,193,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,156,255,253,253,253,255,223,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,233,253,254,253,227,72,218,248,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,218,253,253,254,253,133,0,0,218,217,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,253,253,207,103,0,0,0,218,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,222,35,21,0,0,0,0,218,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,212,253,113,0,0,0,0,0,0,134,253,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,253,253,72,0,0,0,0,0,0,134,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,254,254,72,0,0,0,0,0,0,219,254,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,253,253,72,0,0,0,0,0,0,218,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,201,21,0,0,0,0,0,0,218,248,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,180,0,0,0,0,0,0,0,218,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,181,0,0,0,0,0,0,48,234,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,253,243,62,0,0,0,0,0,151,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,232,253,72,0,0,0,6,121,254,180,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,72,0,0,0,121,253,254,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,234,47,0,74,254,254,209,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,223,253,233,74,208,253,211,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,243,253,254,253,248,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,254,253,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,95,206,255,254,241,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,182,242,254,254,239,210,254,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,61,187,252,254,243,167,121,6,75,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,5,132,222,254,254,254,254,204,23,0,30,210,254,231,13,0,0,0,0,0,0,0,0,0,0,0,0,0,40,254,254,254,237,203,161,81,3,9,192,254,250,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,113,104,55,7,0,0,0,0,153,254,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,185,253,254,166,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,194,254,254,254,124,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,47,209,254,254,254,254,254,226,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,127,254,254,254,223,161,86,246,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,206,254,254,234,124,7,0,0,236,254,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,254,254,244,119,13,0,0,0,55,254,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,199,254,180,31,0,0,0,0,0,74,254,242,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,82,3,0,0,0,0,0,9,219,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,254,254,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,212,254,193,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,251,243,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,90,237,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,41,41,41,9,0,0,1,73,174,254,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,254,228,221,221,222,254,254,254,174,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,118,118,13,96,118,118,121,254,254,255,118,0,0,0,0,0,0,0,0,0,0,0,0,0,123,234,234,245,253,253,236,250,253,253,253,253,253,253,248,69,0,0,0,0,0,0,0,0,0,0,0,0,213,253,253,253,253,253,253,253,239,177,177,177,249,253,253,75,0,0,0,0,0,0,0,0,0,0,0,0,213,211,61,61,61,61,61,61,50,0,0,0,241,253,206,18,0,0,0,0,0,0,0,0,0,0,0,0,69,64,0,0,0,0,0,0,0,0,1,102,249,253,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,253,253,204,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,200,253,253,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,111,21,48,248,253,253,197,111,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,227,227,227,238,253,232,232,253,253,253,253,253,225,41,0,0,0,0,0,0,0,0,0,0,0,0,21,183,253,253,253,253,253,253,253,253,253,219,184,139,36,0,0,0,0,0,0,0,0,0,0,0,0,0,62,242,247,123,138,71,133,253,253,248,127,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,121,0,0,12,182,253,222,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,253,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,253,219,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,174,253,253,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,253,253,224,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,176,253,226,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,253,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,161,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,231,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,213,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,163,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,183,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,240,227,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,210,250,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,252,177,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,232,226,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,170,254,62,0,0,0,46,127,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,254,161,4,0,10,141,249,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,242,209,20,0,33,196,254,227,254,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,254,109,0,51,220,254,188,118,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,237,199,4,45,242,253,123,106,247,184,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,60,42,231,253,151,177,254,221,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,230,227,11,158,254,248,248,254,162,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,254,111,80,254,254,254,219,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,254,215,250,254,253,161,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,235,254,254,218,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,194,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,153,75,0,0,0,0,68,103,236,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,239,255,253,245,245,245,245,252,255,254,176,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,254,254,254,254,254,205,67,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,150,125,125,69,20,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,255,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,220,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,234,74,53,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,254,254,254,216,148,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,248,254,254,254,254,254,221,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,62,62,79,166,249,254,241,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,216,254,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,205,254,187,0,0,0,0,0,0,0,0,0,0,0,0,0,12,15,0,0,0,0,0,0,0,0,0,83,254,254,178,0,0,0,0,0,0,0,0,0,0,0,0,26,214,193,6,0,0,0,0,0,0,0,52,210,254,249,61,0,0,0,0,0,0,0,0,0,0,0,0,95,254,254,222,219,219,150,115,115,115,217,246,254,251,138,0,0,0,0,0,0,0,0,0,0,0,0,0,35,225,254,254,254,254,254,254,254,254,254,254,224,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,46,142,150,150,219,254,254,254,237,115,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,158,250,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,195,254,254,231,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,104,246,254,251,245,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,254,224,87,72,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,245,254,223,37,0,106,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,231,254,223,37,0,0,163,254,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,190,254,249,48,0,0,0,239,254,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,245,254,100,0,0,0,0,239,255,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,245,254,165,8,0,0,0,33,246,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,195,254,248,35,0,0,0,0,149,254,179,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,142,254,254,100,0,0,0,0,12,238,254,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,227,254,162,7,0,0,0,0,124,254,240,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,254,218,23,0,0,0,0,50,243,254,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,248,254,64,0,0,0,0,13,223,254,198,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,197,254,187,6,0,0,0,13,186,254,239,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,254,248,43,0,0,0,13,186,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,204,254,128,0,0,0,12,187,254,254,98,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,254,217,24,0,0,12,187,254,254,126,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,252,254,69,0,0,74,232,254,254,127,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,147,254,183,1,0,139,254,254,241,86,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,255,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,248,252,253,253,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,251,253,253,173,52,12,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,227,253,253,78,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,253,194,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,229,253,253,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,253,253,156,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,222,253,253,253,253,243,182,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,231,253,253,253,253,253,253,218,182,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,253,201,205,253,253,253,253,199,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,195,13,17,65,170,253,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,253,108,0,0,0,15,198,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,237,253,175,0,0,0,0,176,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,248,253,175,0,0,0,0,176,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,225,50,0,0,0,176,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,249,253,226,50,0,19,184,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,253,227,150,224,253,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,251,253,253,253,253,253,253,253,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,247,252,253,253,249,247,230,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,223,123,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,253,110,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,197,242,252,253,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,252,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,191,252,252,252,253,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,237,253,252,252,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,252,253,252,246,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,221,252,253,252,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,233,253,253,255,222,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,232,252,252,253,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,212,252,252,252,237,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,253,252,252,252,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,255,253,253,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,242,252,253,252,241,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,181,252,252,253,252,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,191,252,252,252,253,210,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,253,253,253,253,255,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,175,252,252,252,252,159,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,140,252,252,252,252,231,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,221,252,252,252,231,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,177,254,254,254,255,254,254,254,255,254,232,44,0,0,0,0,0,0,0,0,0,0,0,0,0,14,104,244,253,253,253,253,253,253,253,253,253,253,253,241,107,0,0,0,0,0,0,0,0,0,0,0,58,174,253,253,253,253,233,177,177,177,177,177,177,177,177,177,82,0,0,0,0,0,0,0,0,0,21,97,239,253,253,253,229,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,253,253,253,233,147,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,245,253,250,146,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,226,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,249,165,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,187,253,253,253,253,240,227,104,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,47,151,194,253,253,253,253,240,106,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,68,138,205,248,253,253,209,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,200,246,253,251,98,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,199,253,253,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,200,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,95,0,0,0,0,0,0,0,0,83,248,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,97,243,53,0,0,0,0,0,23,83,194,253,253,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,222,182,54,0,0,0,56,115,253,253,253,253,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,243,179,179,179,245,253,253,253,252,144,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,204,253,253,253,253,253,253,238,217,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,134,253,253,253,204,116,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,213,253,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,140,255,212,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,253,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,253,207,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,253,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,213,255,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,161,253,223,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,234,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,197,254,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,253,223,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,254,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,238,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,228,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,253,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,233,255,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,120,253,223,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,233,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,123,148,148,148,87,43,43,43,43,43,43,43,43,43,148,148,201,227,25,0,0,0,0,0,0,0,0,43,252,252,252,252,253,252,252,252,252,253,252,252,252,252,253,252,252,231,28,0,0,0,0,0,0,0,0,22,47,29,126,170,170,126,170,126,126,127,126,179,205,126,127,221,252,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,206,238,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,252,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,253,224,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,223,253,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,252,243,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,204,252,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,213,252,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,182,252,194,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,206,247,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,252,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,253,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,253,252,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,253,182,23,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,252,252,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,217,94,14,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,49,134,214,232,131,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,169,254,254,254,254,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,150,254,254,246,163,170,254,254,236,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,182,254,254,132,10,76,234,254,254,215,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,245,226,70,2,54,247,254,254,254,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,247,70,0,88,248,254,220,157,237,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,233,0,91,235,254,240,96,3,92,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,236,98,253,254,240,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,186,254,254,255,214,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,254,254,223,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,254,255,254,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,250,254,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,248,254,240,165,254,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,209,254,240,76,40,254,217,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,253,252,111,0,49,254,235,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,246,254,118,0,3,173,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,244,25,0,131,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,216,254,160,37,199,252,250,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,251,254,161,236,254,250,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,205,254,254,254,254,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,29,42,141,141,141,192,141,141,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,235,253,254,253,253,253,254,253,253,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,253,254,253,253,253,254,253,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,207,253,253,141,116,28,128,78,28,28,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,248,188,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,222,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,254,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,159,241,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,29,4,0,0,0,0,0,0,199,254,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,151,253,104,0,0,0,0,0,38,210,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,253,253,140,0,0,0,0,148,235,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,253,140,0,0,0,102,254,253,215,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,254,254,141,0,19,154,254,252,150,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,197,253,216,170,226,253,253,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,253,255,253,187,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,153,253,242,140,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,193,255,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,125,241,254,254,230,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,247,254,254,159,86,220,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,164,254,254,219,70,14,177,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,187,254,252,156,32,0,50,254,236,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,218,254,240,91,0,0,0,58,254,249,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,219,254,239,57,0,0,0,0,43,208,254,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,206,254,187,31,0,0,0,0,0,2,210,220,18,0,0,0,0,0,0,0,0,0,0,0,0,0,49,236,254,207,20,0,0,0,0,0,0,37,254,229,0,0,0,0,0,0,0,0,0,0,0,0,0,12,216,254,206,20,0,0,0,0,0,0,0,172,254,153,0,0,0,0,0,0,0,0,0,0,0,0,0,160,254,222,50,0,0,0,0,0,0,0,72,248,254,69,0,0,0,0,0,0,0,0,0,0,0,0,83,248,240,111,0,0,0,0,0,0,0,43,241,253,152,5,0,0,0,0,0,0,0,0,0,0,0,27,229,254,153,2,0,0,0,0,0,0,59,216,254,176,19,0,0,0,0,0,0,0,0,0,0,0,0,126,254,182,22,0,0,0,0,0,2,102,227,254,217,47,0,0,0,0,0,0,0,0,0,0,0,0,0,169,242,57,0,0,0,0,0,6,151,254,254,214,43,0,0,0,0,0,0,0,0,0,0,0,0,0,34,237,180,10,0,0,0,0,39,209,254,254,176,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,254,122,0,0,0,3,113,238,254,252,156,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,223,254,3,0,0,45,200,254,254,235,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,232,211,6,49,167,248,254,254,173,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,153,242,216,254,254,254,254,144,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,11,11,11,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,186,254,254,254,174,165,111,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,242,246,209,221,234,234,234,253,242,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,45,0,0,0,0,26,245,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,184,254,194,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,254,225,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,244,252,203,140,138,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,169,254,254,254,241,189,96,134,96,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,42,105,107,216,254,254,254,254,237,150,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,56,149,111,222,254,254,171,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,156,254,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,1,0,0,0,0,0,0,6,111,254,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,32,0,0,0,0,0,0,0,25,248,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,224,218,44,0,0,0,0,0,38,171,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,181,254,253,180,141,114,169,180,249,254,240,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,99,234,254,254,254,254,254,250,219,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,88,164,225,165,65,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,10,0,0,0,0,0,0,0,80,235,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,214,183,0,0,0,0,0,0,34,215,253,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,217,253,253,0,0,0,0,0,0,183,253,210,7,0,0,0,0,0,0,0,0,0,0,0,0,0,19,219,254,254,159,0,0,0,0,0,86,254,244,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,253,253,137,5,0,0,0,0,48,246,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,254,253,174,7,0,0,0,0,0,196,254,230,28,0,0,0,0,0,0,0,0,0,0,0,0,0,86,239,254,216,39,0,0,0,0,0,86,239,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,36,220,253,242,63,0,0,0,0,0,16,201,253,199,5,0,0,0,0,0,0,0,0,0,0,0,0,26,183,254,254,211,94,94,106,43,0,0,128,254,254,52,0,0,0,0,0,0,0,0,0,0,0,0,0,125,253,253,253,254,253,253,253,253,214,135,224,253,214,8,0,0,0,0,0,0,0,0,0,0,0,0,104,247,253,253,253,254,234,197,197,228,254,253,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,247,170,85,14,9,0,0,8,167,253,253,113,3,0,0,0,0,0,0,0,0,0,0,0,0,0,203,253,119,0,0,0,0,0,0,40,223,253,202,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,67,0,0,0,0,0,0,5,180,255,232,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,254,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,196,253,221,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,225,225,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,72,170,255,194,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,83,211,254,254,254,254,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,159,252,192,102,75,166,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,188,216,82,0,0,0,125,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,187,80,0,0,0,0,46,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,209,209,143,114,56,218,254,61,38,63,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,139,228,254,254,254,254,254,245,249,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,103,93,213,254,254,226,129,73,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,214,33,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,227,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,254,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,254,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,240,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,49,106,143,192,255,231,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,9,20,105,175,241,254,254,254,254,254,254,178,0,0,0,0,0,0,0,0,0,0,0,0,1,19,97,166,254,254,254,254,254,254,254,254,254,254,254,207,3,0,0,0,0,0,0,0,0,0,0,9,162,254,254,254,254,254,254,254,254,254,239,190,133,146,254,254,8,0,0,0,0,0,0,0,0,0,0,92,254,254,254,254,254,254,237,192,134,67,9,0,0,67,254,254,8,0,0,0,0,0,0,0,0,0,0,84,254,254,235,193,135,62,13,0,0,0,0,0,0,67,254,254,8,0,0,0,0,0,0,0,0,0,0,2,62,81,15,0,0,0,0,0,0,0,0,0,0,67,254,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,199,254,254,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,176,254,254,217,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,122,254,254,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,122,254,254,254,176,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,148,254,254,254,217,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,176,254,254,254,239,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,191,254,254,254,239,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,220,254,254,254,199,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,245,254,254,254,160,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,247,254,254,241,122,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,249,254,254,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,254,254,134,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,194,151,151,153,191,69,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,250,254,254,254,254,254,254,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,173,182,218,218,247,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,248,254,31,0,0,0,54,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,254,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,235,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,244,254,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,42,42,6,6,6,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,254,254,254,254,254,238,156,102,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,254,254,254,254,254,254,254,254,254,254,218,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,205,183,17,5,5,5,5,65,145,235,254,246,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,163,254,238,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,205,254,206,11,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,12,101,237,254,244,53,0,0,0,0,0,0,0,0,0,0,0,0,0,53,149,0,0,0,0,0,0,55,218,254,254,234,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,243,113,11,17,115,118,219,247,254,247,176,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,188,254,254,254,254,254,243,197,95,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,153,254,254,186,150,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,34,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,7,25,68,121,179,195,243,253,201,76,2,0,0,0,0,0,0,0,0,113,0,0,0,0,38,133,208,198,235,254,254,254,254,254,238,225,254,254,124,0,0,0,0,0,0,0,0,165,0,0,0,0,235,254,254,254,245,225,181,128,70,18,9,5,79,253,199,0,0,0,0,0,0,0,0,168,0,0,0,0,119,151,133,71,18,0,0,0,0,0,0,46,212,254,184,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,2,102,248,254,219,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,151,254,254,186,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,195,254,254,148,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,176,255,251,117,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,185,254,242,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,213,254,234,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,184,255,233,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,215,254,238,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,254,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,235,87,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,28,130,43,128,255,218,191,234,148,21,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,86,136,211,253,253,253,253,253,253,253,253,253,253,96,1,0,0,0,0,0,0,0,0,0,0,0,1,36,253,253,253,253,253,253,253,253,253,253,253,253,253,253,150,25,1,0,0,0,0,0,0,0,0,0,86,253,253,250,228,228,228,140,105,105,105,105,208,238,253,253,253,253,5,0,0,0,0,0,0,0,0,4,208,251,222,134,5,26,22,9,0,0,0,0,0,94,253,253,253,253,5,0,0,0,0,0,0,0,0,6,234,200,0,100,175,237,224,92,0,0,0,0,13,117,253,253,253,100,2,0,0,0,0,0,0,0,0,0,43,0,0,155,253,253,253,197,0,0,0,75,197,253,253,253,179,4,0,0,0,0,0,0,0,0,0,0,0,0,0,49,166,253,253,236,174,114,174,238,253,253,253,156,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,234,253,253,253,253,253,253,253,187,74,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,214,253,253,253,253,253,99,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,161,253,253,253,253,253,253,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,253,253,217,253,253,253,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,191,253,237,145,25,204,253,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,189,253,253,101,0,0,192,253,253,239,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,237,51,0,0,147,253,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,253,253,227,100,78,0,69,253,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,212,253,253,253,221,28,121,253,253,253,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,213,179,253,240,249,253,253,215,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,30,133,213,253,253,253,253,216,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,137,66,253,120,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,242,253,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,215,253,208,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,173,253,249,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,254,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,250,254,194,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,204,253,232,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,253,253,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,250,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,107,249,253,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,253,254,206,23,0,0,12,76,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,224,253,240,44,0,19,131,237,253,240,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,240,73,0,58,222,254,254,254,254,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,221,253,149,0,59,238,253,238,165,195,253,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,253,234,7,54,220,253,185,36,98,249,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,240,253,115,19,209,253,221,29,149,250,249,131,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,238,18,131,255,254,140,222,255,247,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,253,129,44,250,254,253,253,253,224,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,140,213,253,254,253,243,150,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,253,253,253,253,254,162,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,199,254,254,66,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,173,253,253,253,254,245,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,199,253,253,181,205,254,253,229,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,254,253,206,24,158,254,253,253,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,252,254,158,23,0,158,254,253,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,33,244,254,179,0,0,0,159,255,254,254,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,253,253,20,0,0,0,158,254,253,232,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,237,253,128,93,48,118,231,254,253,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,249,254,253,253,253,253,254,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,174,208,228,253,178,229,253,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,0,91,254,239,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,87,10,0,0,0,0,9,225,253,237,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,191,47,0,0,0,0,87,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,150,254,239,167,28,0,0,4,192,253,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,80,253,253,244,114,0,0,53,253,253,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,201,254,254,225,106,28,232,254,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,152,251,254,253,241,245,253,240,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,239,253,253,253,253,254,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,101,241,253,253,254,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,85,169,229,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,129,213,254,255,193,181,122,154,145,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,159,254,254,254,254,254,254,254,254,254,250,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,134,254,254,254,254,254,254,248,252,254,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,122,122,142,122,122,94,37,95,254,254,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,94,239,254,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,214,254,254,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,145,244,254,254,246,99,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,150,245,254,254,254,238,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,91,234,254,254,254,254,254,254,210,95,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,254,254,254,254,254,254,254,254,254,186,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,254,254,194,175,111,111,111,181,254,254,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,77,55,3,1,0,0,0,0,6,204,254,195,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,122,254,254,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,250,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,242,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,200,247,254,249,68,0,0,0,0,0,0,0,0,0,0,27,70,49,3,0,0,0,0,0,0,20,128,251,254,254,231,76,0,0,0,0,0,0,0,0,0,0,33,243,254,254,230,171,110,47,8,8,92,217,254,254,254,174,31,0,0,0,0,0,0,0,0,0,0,0,108,254,254,254,254,254,254,254,254,254,254,254,254,226,66,5,0,0,0,0,0,0,0,0,0,0,0,0,34,180,180,240,254,254,254,254,254,254,254,254,153,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,176,253,222,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,117,225,240,253,252,252,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,200,252,252,252,196,148,55,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,107,253,242,223,129,84,0,0,0,0,0,29,107,7,0,0,0,0,0,0,0,0,0,0,0,0,0,107,252,253,167,0,0,0,0,0,0,0,0,253,204,25,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,204,15,0,0,0,0,0,26,207,253,204,94,0,0,0,0,0,0,0,0,0,0,0,0,0,51,243,252,178,57,0,0,0,0,123,231,252,204,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,155,252,253,233,75,0,32,198,246,239,180,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,161,253,252,233,169,215,253,195,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,237,252,252,252,112,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,253,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,249,233,224,252,163,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,135,253,186,43,137,252,253,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,123,252,240,71,0,10,161,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,63,0,0,0,0,253,214,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,170,253,0,0,0,0,0,255,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,252,226,72,0,0,0,253,252,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,227,253,233,165,19,0,253,186,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,237,252,252,196,169,253,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,158,252,252,252,112,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,235,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,227,254,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,220,254,183,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,243,254,172,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,246,254,199,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,106,245,249,164,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,255,254,137,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,244,254,118,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,84,243,254,152,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,87,254,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,245,254,218,15,0,0,26,59,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,209,254,218,35,0,13,129,247,254,200,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,217,29,0,0,194,254,246,174,249,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,107,245,230,60,0,2,173,254,209,53,57,245,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,242,233,60,0,0,116,254,198,17,69,242,216,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,142,0,0,49,234,247,32,121,241,233,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,231,11,0,0,123,254,194,191,254,212,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,241,181,0,5,24,234,254,254,251,163,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,246,202,221,254,254,252,197,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,23,150,188,212,215,151,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,255,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,253,252,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,113,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,240,240,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,145,253,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,253,197,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,233,253,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,101,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,53,253,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,228,249,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,253,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,251,185,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,181,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,157,241,164,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,60,237,254,254,254,185,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,93,254,254,254,254,124,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,94,254,254,239,199,254,204,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,254,236,90,8,168,254,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,253,254,219,93,0,0,187,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,252,254,215,110,0,0,10,196,254,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,217,254,254,83,0,0,0,28,241,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,254,254,150,6,0,0,0,119,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,242,254,206,35,0,0,0,0,176,254,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,215,254,254,96,0,0,0,0,116,255,254,234,16,0,0,0,0,0,0,0,0,0,0,0,0,0,13,177,254,254,170,5,0,0,0,15,195,254,254,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,254,254,229,14,0,0,0,2,147,254,254,233,19,0,0,0,0,0,0,0,0,0,0,0,0,0,12,223,254,247,118,0,0,0,12,101,254,254,248,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,254,254,164,0,0,0,14,143,254,254,235,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,254,219,20,0,0,55,197,254,254,233,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,245,254,96,0,14,127,241,254,255,181,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,254,243,87,150,235,254,254,254,130,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,233,254,254,254,254,254,184,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,50,235,254,254,182,77,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,110,251,255,195,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,191,253,248,248,253,246,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,213,253,246,102,168,161,202,122,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,253,223,72,0,37,22,114,253,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,253,187,0,0,0,80,240,253,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,145,0,0,63,205,253,246,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,253,61,0,135,243,253,253,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,213,201,3,135,252,254,253,239,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,226,249,237,252,253,254,253,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,133,253,253,253,200,254,242,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,117,32,112,255,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,254,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,245,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,249,254,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,249,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,6,167,228,121,0,0,0,0,0,67,200,79,0,0,0,0,0,0,0,0,3,0,0,0,13,185,246,179,222,254,254,251,113,71,146,158,197,252,254,79,0,0,0,0,0,0,0,0,0,0,0,0,66,254,254,254,254,254,254,254,254,254,254,254,254,254,254,79,0,0,0,0,0,0,0,0,0,0,0,11,187,254,254,254,254,254,254,254,254,254,254,254,254,254,254,79,0,0,0,0,0,0,0,0,0,0,0,144,254,254,254,251,210,210,239,211,210,161,123,68,236,254,254,79,0,0,0,0,0,0,0,0,0,0,64,249,254,254,241,92,0,0,29,2,0,0,7,187,254,254,254,79,0,0,0,0,0,0,0,0,0,0,149,254,254,238,95,0,0,0,0,0,0,6,157,254,254,254,241,44,0,0,0,0,0,0,0,0,0,0,79,252,251,173,0,0,0,0,0,0,5,188,254,254,254,240,62,0,0,0,0,0,0,0,0,0,0,0,0,63,58,0,0,0,0,0,0,0,158,254,254,254,241,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,248,254,254,254,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,252,254,255,254,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,252,254,254,254,102,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,99,248,254,254,254,131,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,254,254,255,254,131,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,245,254,254,254,132,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,84,245,254,254,254,134,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,45,245,254,254,253,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,224,254,254,252,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,214,254,254,253,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,158,254,254,254,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,255,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,125,252,253,232,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,251,253,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,250,253,253,253,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,209,253,253,253,206,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,248,227,185,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,38,28,66,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,106,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,20,15,196,253,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,217,253,222,228,253,231,143,124,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,227,252,253,253,253,253,253,249,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,227,253,253,226,123,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,37,122,174,236,189,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,60,119,186,225,254,254,254,254,254,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,120,202,254,254,254,254,254,253,218,234,254,224,11,0,0,0,0,0,0,0,0,0,0,0,0,16,143,237,254,254,254,254,229,133,101,43,11,185,254,200,12,0,0,0,0,0,0,0,0,0,0,0,0,184,251,254,254,251,125,32,16,0,0,2,179,254,254,82,0,0,0,0,0,0,0,0,0,0,0,0,23,237,254,187,76,19,0,0,0,0,23,182,254,245,102,3,0,0,0,0,0,0,0,0,0,0,0,0,2,75,70,1,0,0,0,0,0,48,162,254,254,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,198,254,251,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,148,224,254,254,250,78,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,152,241,254,254,254,254,254,254,159,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,237,254,254,254,254,207,202,254,254,254,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,132,254,254,227,113,28,3,0,56,213,254,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,134,204,141,9,0,0,0,0,0,156,254,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,3,179,254,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,234,254,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,235,254,131,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,66,206,254,216,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,96,162,254,254,188,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,126,213,254,254,254,209,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,199,243,243,243,254,254,254,255,238,128,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,254,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,241,254,177,238,247,247,158,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,98,254,237,198,239,199,254,254,249,160,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,243,254,138,4,13,4,63,162,185,254,237,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,254,214,15,0,0,0,0,0,17,227,254,252,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,183,254,166,0,0,0,0,0,0,0,33,128,254,252,126,0,0,0,0,0,0,0,0,0,0,0,0,45,253,254,52,0,0,0,0,0,0,0,0,14,207,254,247,55,0,0,0,0,0,0,0,0,0,0,0,83,254,191,2,0,0,0,0,0,0,0,0,0,24,177,254,232,14,0,0,0,0,0,0,0,0,0,0,83,254,181,0,0,0,0,0,0,0,0,0,0,0,31,244,254,190,0,0,0,0,0,0,0,0,0,0,42,253,206,5,0,0,0,0,0,0,0,0,0,0,0,68,207,250,81,0,0,0,0,0,0,0,0,0,0,251,216,6,0,0,0,0,0,0,0,0,0,0,0,0,23,220,234,0,0,0,0,0,0,0,0,0,0,251,254,13,0,0,0,0,0,0,0,0,0,0,0,0,0,182,250,0,0,0,0,0,0,0,0,0,0,251,254,13,0,0,0,0,0,0,0,0,0,0,0,0,0,182,241,0,0,0,0,0,0,0,0,0,0,251,254,20,0,0,0,0,0,0,0,0,0,0,0,0,13,213,128,0,0,0,0,0,0,0,0,0,0,151,254,138,2,0,0,0,0,0,0,0,0,0,0,0,106,254,78,0,0,0,0,0,0,0,0,0,0,21,249,254,55,0,0,0,0,0,0,0,0,0,2,84,236,210,21,0,0,0,0,0,0,0,0,0,0,0,150,254,236,23,1,0,0,0,0,0,2,48,167,254,214,46,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,254,166,74,5,20,92,132,186,254,254,179,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,150,254,254,254,254,254,254,254,254,187,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,3,39,62,62,62,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,86,225,147,141,161,199,253,254,255,255,255,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,214,254,254,254,254,254,254,218,157,94,85,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,254,217,178,131,111,61,15,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,248,208,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,92,248,213,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,231,254,70,81,160,185,185,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,217,254,254,254,254,254,254,254,172,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,254,254,254,200,130,54,29,207,241,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,205,250,156,9,2,0,0,84,254,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,28,0,0,0,0,87,249,243,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,80,16,0,0,0,0,45,196,249,220,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,195,254,223,139,111,160,210,253,254,199,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,249,254,254,254,254,254,221,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,212,249,189,139,63,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,232,152,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,254,254,244,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,252,254,194,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,226,254,254,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,235,254,254,183,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,91,254,254,254,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,175,254,254,183,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,254,254,215,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,52,235,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,250,64,0,0,0,0,0,63,161,241,177,58,11,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,230,0,0,0,0,3,171,239,254,254,254,254,216,46,0,0,0,0,0,0,0,0,0,0,0,126,254,254,230,0,0,0,0,143,254,254,254,254,254,254,254,187,0,0,0,0,0,0,0,0,0,0,0,126,254,254,230,0,0,0,0,241,254,254,254,254,254,254,254,198,5,0,0,0,0,0,0,0,0,0,0,126,254,254,230,0,0,0,35,247,254,254,236,229,254,254,254,160,6,0,0,0,0,0,0,0,0,0,0,54,236,254,246,75,0,0,28,246,254,254,240,204,254,254,251,68,0,0,0,0,0,0,0,0,0,0,0,0,101,254,254,247,23,0,0,153,254,254,254,254,254,255,222,35,0,0,0,0,0,0,0,0,0,0,0,0,21,250,254,254,221,118,102,152,254,254,254,254,254,254,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,245,254,254,254,254,254,254,254,254,254,254,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,188,250,254,254,254,254,254,254,253,166,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,78,129,249,218,225,194,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,141,218,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,76,222,214,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,230,244,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,103,205,36,0,0,0,0,0,132,254,214,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,248,223,36,0,0,0,0,65,224,248,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,135,244,241,78,0,0,0,0,31,172,253,154,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,253,239,134,0,0,0,0,0,88,253,235,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,121,230,241,128,6,0,0,0,0,85,207,253,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,224,255,242,116,68,74,62,16,0,105,254,236,86,0,0,0,0,0,0,0,0,0,0,0,0,0,79,208,253,254,253,253,253,254,253,240,171,236,253,112,5,0,0,0,0,0,0,0,0,0,0,0,0,11,226,253,253,254,253,253,253,254,253,253,253,254,253,87,0,0,0,0,0,0,0,0,0,0,0,0,0,117,253,253,253,175,138,79,19,50,110,241,253,224,79,3,0,0,0,0,0,0,0,0,0,0,0,0,0,115,234,168,60,0,0,0,0,0,76,242,254,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,153,253,205,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,244,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,248,253,144,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,47,170,255,190,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,203,253,214,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,159,247,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,138,249,235,79,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,253,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,225,252,139,0,0,0,0,0,0,132,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,154,252,252,139,0,0,0,0,0,82,240,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,253,252,214,28,0,0,0,0,13,206,252,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,255,253,56,0,0,0,0,0,41,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,243,253,189,19,0,0,0,0,0,141,252,252,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,172,252,231,19,0,0,0,0,0,0,229,252,148,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,197,252,225,0,0,0,0,0,0,101,253,252,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,253,253,214,0,0,0,0,0,0,114,254,253,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,188,0,0,0,0,0,0,138,253,214,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,235,28,0,0,0,0,0,225,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,252,253,234,137,63,0,0,38,237,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,223,253,254,253,253,253,254,253,253,253,254,253,69,13,129,73,0,0,0,0,0,0,0,0,0,0,0,0,104,221,253,252,252,252,253,252,252,252,253,252,224,206,197,152,0,0,0,0,0,0,0,0,0,0,0,0,0,25,69,142,143,205,253,252,164,252,253,252,224,205,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,28,28,191,252,128,28,19,63,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,204,241,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,252,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,186,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,120,169,232,252,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,120,204,253,254,254,254,254,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,162,248,254,254,254,254,199,185,254,254,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,204,254,254,254,223,118,33,4,96,254,254,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,209,62,9,0,0,0,71,254,254,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,226,188,55,0,0,0,0,0,149,254,252,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,4,0,0,0,0,0,29,224,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,215,254,235,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,24,0,0,0,22,194,254,254,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,93,177,223,235,216,175,130,185,254,252,143,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,229,254,254,254,254,254,254,254,254,254,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,170,251,254,254,254,224,226,254,254,254,254,254,194,10,0,0,0,0,0,0,0,0,0,0,0,0,10,201,254,254,237,128,52,7,84,254,254,254,254,254,254,148,0,0,0,0,0,0,0,0,0,0,0,0,126,254,254,217,31,0,0,30,214,254,251,149,65,149,248,252,87,0,0,0,0,0,0,0,0,0,0,36,253,254,218,30,0,5,87,226,254,244,114,0,0,0,81,205,42,0,0,0,0,0,0,0,0,0,0,118,254,254,93,0,11,128,254,254,231,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,21,65,219,254,252,196,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,169,254,254,230,254,254,250,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,109,254,254,254,253,200,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,223,254,254,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,193,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,157,254,132,0,0,0,0,0,64,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,243,254,162,0,0,0,0,58,249,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,231,254,222,66,0,0,0,0,66,254,241,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,230,254,254,165,0,0,0,0,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,2,128,241,254,254,231,10,0,0,0,0,0,71,254,225,8,0,0,0,0,0,0,0,0,0,0,0,2,130,254,254,224,168,8,0,0,0,0,40,50,189,254,222,0,0,0,0,0,0,0,0,0,0,0,27,183,254,254,250,110,88,187,196,196,196,196,243,254,254,254,222,0,0,0,0,0,0,0,0,0,0,0,77,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,252,70,0,0,0,0,0,0,0,0,0,0,77,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,234,27,0,0,0,0,0,0,0,0,0,0,49,243,254,254,254,254,254,254,254,221,162,162,162,162,225,254,222,0,0,0,0,0,0,0,0,0,0,0,0,14,16,16,16,16,16,16,16,10,0,0,0,0,174,254,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,236,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,234,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,174,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,254,254,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,236,180,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,203,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,243,253,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,237,253,251,196,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,234,254,253,196,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,187,254,254,182,0,0,0,0,0,0,0,55,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,181,253,253,216,19,0,0,0,0,0,0,0,222,196,0,0,0,0,0,0,0,0,0,0,0,0,0,83,241,253,253,157,24,13,0,0,0,0,0,108,249,221,0,0,0,0,0,0,0,0,0,0,0,0,0,254,253,253,253,254,253,221,151,93,25,17,102,254,253,171,0,0,0,0,0,0,0,0,0,0,0,0,185,254,254,254,254,254,254,254,254,254,254,254,254,255,254,105,0,0,0,0,0,0,0,0,0,0,0,13,222,254,253,253,253,254,253,253,253,254,253,253,253,254,194,29,0,0,0,0,0,0,0,0,0,0,0,5,79,163,145,62,46,46,46,46,46,46,126,253,253,247,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,214,253,253,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,221,254,254,136,0,0,0,0,0,0,0,0,0,0,0,0,38,13,0,0,0,0,0,0,0,0,0,68,254,253,248,56,0,0,0,0,0,0,0,0,0,0,0,0,13,4,0,0,0,0,0,0,0,0,28,240,254,253,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,199,253,254,185,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,130,254,254,210,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,243,253,253,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,187,253,251,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,151,254,253,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,51,92,132,51,113,193,254,213,132,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,61,253,252,253,252,253,252,253,252,253,232,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,163,203,254,253,203,162,102,142,234,253,214,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,50,50,0,0,0,0,112,252,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,253,244,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,253,252,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,173,253,254,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,41,62,162,253,252,253,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,254,253,254,253,254,172,152,112,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,172,252,253,252,253,252,253,252,243,203,102,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,61,0,82,82,203,203,223,254,253,254,172,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,50,172,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,254,253,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,102,203,253,252,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,193,254,253,254,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,183,233,252,253,252,192,30,0,0,0,0,0,0,0,0,0,0,0,0,52,193,92,131,0,62,153,193,254,253,254,253,244,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,252,233,192,203,223,253,252,253,252,172,50,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,102,255,253,254,253,244,203,183,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131,171,192,111,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,254,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,186,251,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,253,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,193,253,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,251,233,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,183,254,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,85,253,185,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,239,253,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,253,172,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,242,245,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,180,255,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,253,204,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,231,253,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,137,253,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,253,237,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,219,254,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,253,175,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,71,254,246,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,19,204,254,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,253,191,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,125,125,125,125,164,150,225,254,254,255,254,238,125,125,125,57,0,0,0,0,0,0,0,0,0,122,248,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,244,0,0,0,0,0,0,0,0,0,125,253,253,253,253,253,253,253,164,142,142,142,162,253,253,253,253,253,247,0,0,0,0,0,0,0,0,0,9,79,149,149,149,35,86,19,4,0,0,0,4,19,19,43,253,253,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,175,253,248,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,143,253,253,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,191,253,247,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,101,253,253,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,253,253,233,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,194,253,253,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,203,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,195,253,253,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,246,194,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,43,230,253,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,146,253,253,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,222,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,189,253,231,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,252,253,232,137,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,217,253,253,91,0,0,0,0,0,0,0,0,0,0\n',
     '7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,97,220,80,0,0,0,0,0,0,0,62,189,223,139,0,0,0,0,0,0,0,0,0,0,0,0,39,189,254,241,41,0,0,0,0,0,17,121,251,254,254,182,0,0,0,0,0,0,0,0,0,0,20,131,226,254,247,71,0,0,5,15,102,158,233,254,254,254,254,178,0,0,0,0,0,0,0,0,0,2,188,254,254,254,87,37,55,145,184,254,254,254,254,254,254,254,232,47,0,0,0,0,0,0,0,0,0,87,254,254,254,254,241,249,254,254,254,254,254,244,253,254,254,249,77,0,0,0,0,0,0,0,0,0,39,239,254,254,254,254,254,254,254,254,254,210,127,70,245,254,248,84,0,0,0,0,0,0,0,0,0,0,201,254,254,238,248,226,208,154,95,62,21,3,96,249,254,232,58,0,0,0,0,0,0,0,0,0,0,0,224,254,155,19,34,0,0,0,0,0,0,96,250,254,249,63,0,0,0,0,0,0,0,0,0,0,0,0,86,142,2,0,0,0,0,0,0,0,156,254,254,213,56,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,250,254,247,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,75,254,254,223,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,238,254,247,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,58,249,254,233,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,236,254,250,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,231,254,248,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,215,254,237,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,217,255,248,94,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,199,222,222,123,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,124,254,255,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,252,253,81,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,126,251,227,116,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,250,253,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,129,253,228,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,225,253,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,253,253,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,215,253,194,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,74,246,253,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,213,67,53,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,253,253,235,176,152,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,158,253,253,118,84,190,253,253,220,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,92,253,253,51,0,21,118,243,253,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,35,230,253,139,6,0,0,176,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,205,253,253,73,5,5,182,253,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,81,251,253,253,171,166,253,253,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,249,253,253,253,253,232,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,253,253,253,230,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,177,241,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,151,250,254,254,237,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,204,254,254,254,254,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,90,232,254,254,254,254,254,241,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,93,254,254,254,172,80,237,254,254,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,247,254,244,91,0,0,78,254,254,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,249,254,244,67,0,0,0,84,254,254,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,55,252,254,242,66,0,0,0,0,200,254,254,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,243,254,241,68,0,0,0,0,16,238,254,248,48,0,0,0,0,0,0,0,0,0,0,0,0,0,60,223,254,242,68,0,0,0,0,0,162,254,254,133,0,0,0,0,0,0,0,0,0,0,0,0,0,29,211,254,244,66,0,0,0,0,1,60,250,254,224,26,0,0,0,0,0,0,0,0,0,0,0,0,4,166,254,254,127,0,0,0,0,0,49,254,254,251,53,0,0,0,0,0,0,0,0,0,0,0,0,0,115,254,254,179,0,0,0,0,1,49,235,254,252,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,167,254,211,22,0,0,0,0,120,254,254,229,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,117,254,254,120,0,0,0,36,204,253,254,226,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,254,234,24,0,0,79,232,254,254,187,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,230,254,141,0,65,160,254,254,247,160,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,242,254,231,174,242,254,254,218,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,206,254,254,254,254,250,159,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,156,241,215,162,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,44,128,186,255,255,255,144,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,178,254,254,242,229,229,244,254,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,73,254,197,103,30,0,0,157,254,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,99,250,14,0,0,0,0,157,254,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,230,19,0,0,0,56,211,254,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,55,0,0,16,202,254,174,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,37,98,209,254,254,87,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,110,254,254,254,254,254,193,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,144,103,64,115,208,254,194,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,219,254,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,254,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,200,235,21,0,0,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,194,254,36,0,0,0,0,0,0,0,0,0,0,0,0,36,253,250,201,91,3,0,0,0,0,0,0,10,215,252,35,0,0,0,0,0,0,0,0,0,0,0,0,37,254,234,154,178,46,0,0,0,0,0,0,133,254,170,0,0,0,0,0,0,0,0,0,0,0,0,0,21,224,254,30,0,0,0,0,0,0,0,53,237,250,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,254,140,0,0,0,0,0,12,120,238,250,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,247,243,112,0,0,46,100,193,254,252,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,253,173,184,249,254,254,211,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,87,145,229,254,215,130,72,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     '6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,161,213,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,253,254,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,63,255,254,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,217,254,211,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,192,253,228,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,176,254,253,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,213,254,255,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,155,254,253,99,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,120,244,249,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,155,254,253,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,171,254,255,139,0,0,37,109,37,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,105,254,253,119,5,32,176,244,253,243,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,244,255,139,27,78,213,254,228,228,254,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,222,253,191,16,110,243,254,191,52,197,254,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,156,254,223,42,135,255,254,156,11,171,254,228,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,238,253,98,73,248,243,98,32,155,254,232,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,254,228,21,192,254,171,109,213,254,239,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,139,253,186,42,254,253,233,253,254,211,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,238,254,254,255,254,255,202,135,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,94,170,253,254,191,78,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n',
     ...]




```python
import numpy as np 
import matplotlib.pyplot as plt
values = data_list[30600].split(',')
image = np.asfarray(values[1:]).reshape((28,28))
plt.imshow(image)
plt.show()
```


    
![png](main_files/main_14_0.png)
    



```python
values[0]
```




    '1'



## Training


```python
# hyper-parameters:
inputNodes = 784
hiddenNodes = 100
outputNodes = 10
learningRate = 0.1
myANN = Neurona(inputNodes, hiddenNodes, outputNodes)
```


```python
myANN.wih[:,0]
```




    array([ 3.80810137e-01, -2.76021452e-01,  1.89578510e-01, -4.40622523e-01,
            4.49345620e-04, -2.99576867e-02,  2.88898176e-01,  1.00257001e-01,
           -1.25427321e-01, -4.10841382e-01,  1.01058830e-01, -4.19682107e-01,
           -2.61884751e-01, -4.86639132e-01, -4.10475994e-01,  4.72554845e-01,
           -2.58545906e-01,  2.12843730e-01,  4.77632343e-01,  4.85691685e-01,
           -2.21585439e-01,  1.43760970e-01, -2.23361202e-01, -3.69871226e-01,
           -1.21973032e-01, -4.29052035e-01, -3.97413451e-01,  4.65864914e-01,
           -1.26186271e-01,  2.07401026e-01,  1.05937271e-01,  1.46875776e-01,
            2.95015245e-01,  3.43457017e-02, -3.29510246e-01, -2.48072947e-01,
           -3.64935302e-01,  3.09460892e-01, -5.01871329e-02,  2.98023264e-01,
           -3.19341252e-01, -3.90225500e-02,  3.10060197e-01, -3.13901381e-01,
            3.69558936e-01, -1.38918625e-01, -4.78037558e-01,  9.24705861e-02,
           -1.34122723e-01, -8.70299561e-02, -3.93637460e-02,  3.81876093e-01,
           -8.53474718e-02, -1.29582776e-01, -4.02245397e-01, -4.56054710e-01,
            2.64854223e-02, -1.53704117e-01,  1.90609293e-01,  3.62048289e-01,
           -6.25482544e-02,  3.82745274e-01,  1.43009716e-01,  1.75700493e-01,
            4.09349632e-01, -4.89451563e-01, -9.27621754e-02,  1.41559919e-01,
            1.34585537e-01, -2.86828229e-01,  3.44307471e-01, -4.98223666e-01,
           -4.05137857e-01,  1.81890913e-01, -4.57908080e-01,  4.87169160e-01,
           -2.11761055e-01,  3.18985378e-02, -3.00127711e-01,  4.80807855e-01,
           -2.70966977e-01,  2.36741392e-02, -3.03853361e-01, -4.29846112e-02,
            5.33828969e-02,  2.18366071e-01,  2.13736555e-01, -1.15094147e-01,
           -2.41327435e-02,  3.40917056e-01,  3.76097667e-02, -5.77225150e-03,
           -3.83882298e-01, -2.31975044e-01,  2.44874629e-01,  7.90940279e-02,
           -2.92400249e-01,  4.53702317e-01,  8.09984361e-02, -4.93878547e-02])




```python
epoch = 1
for e in range(epoch):
    for record in data_list:
        values = record.split(',')
        inputData = (np.asfarray(values[1:])/255*0.99) +0.01
        target = np.zeros(outputNodes)+0.01
        target[int(values[0])] = 0.99
        myANN.backpropagation(inputData, target, learningRate)
        pass
    pass
```


```python
len(data_list)
```




    49999




```python
values = data_list[30600].split(',')
inputData = (np.asfarray(values[1:])/255*0.99) +0.01
myANN.feedforward(inputData)
```


```python
myANN.Oo
```




    array([[2.42193187e-02],
           [1.11760730e-01],
           [5.09994337e-01],
           [4.44172963e-02],
           [3.37977872e-04],
           [3.97805262e-03],
           [1.06099919e-03],
           [3.15328122e-02],
           [1.33289159e-01],
           [2.44129745e-03]])




```python

```
